/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DESC = 448,
    DICTIONARY = 449,
    DISABLE_P = 450,
    DISCARD = 451,
    DISTINCT = 452,
    DO = 453,
    DOCUMENT_P = 454,
    DOMAIN_P = 455,
    DOUBLE_P = 456,
    DROP = 457,
    EACH = 458,
    ELSE = 459,
    ENABLE_P = 460,
    ENCODING = 461,
    ENCRYPTED = 462,
    END_P = 463,
    ENUM_P = 464,
    ESCAPE = 465,
    EVENT = 466,
    EXCEPT = 467,
    EXCLUDE = 468,
    EXCLUDING = 469,
    EXCLUSIVE = 470,
    EXECUTE = 471,
    EXISTS = 472,
    EXPLAIN = 473,
    EXTENSION = 474,
    EXTERNAL = 475,
    EXTRACT = 476,
    FALSE_P = 477,
    FAMILY = 478,
    FETCH = 479,
    FILTER = 480,
    FIRST_P = 481,
    FLOAT_P = 482,
    FOLLOWING = 483,
    FOR = 484,
    FORCE = 485,
    FOREIGN = 486,
    FORWARD = 487,
    FREEZE = 488,
    FROM = 489,
    FULL = 490,
    FUNCTION = 491,
    FUNCTIONS = 492,
    GLOBAL = 493,
    GRANT = 494,
    GRANTED = 495,
    GREATEST = 496,
    GROUP_P = 497,
    GROUPING = 498,
    HANDLER = 499,
    HAVING = 500,
    HEADER_P = 501,
    HOLD = 502,
    HOUR_P = 503,
    IDENTITY_P = 504,
    IF_P = 505,
    ILIKE = 506,
    IMMEDIATE = 507,
    IMMUTABLE = 508,
    IMPLICIT_P = 509,
    IMPORT_P = 510,
    IN_P = 511,
    INCLUDING = 512,
    INCREMENT = 513,
    INDEX = 514,
    INDEXES = 515,
    INHERIT = 516,
    INHERITS = 517,
    INITIALLY = 518,
    INLINE_P = 519,
    INNER_P = 520,
    INOUT = 521,
    INPUT_P = 522,
    INSENSITIVE = 523,
    INSERT = 524,
    INSTEAD = 525,
    INT_P = 526,
    INTEGER = 527,
    INTERSECT = 528,
    INTERVAL = 529,
    INTO = 530,
    INVOKER = 531,
    IS = 532,
    ISNULL = 533,
    ISOLATION = 534,
    JOIN = 535,
    KEY = 536,
    LABEL = 537,
    LANGUAGE = 538,
    LARGE_P = 539,
    LAST_P = 540,
    LATERAL_P = 541,
    LEADING = 542,
    LEAKPROOF = 543,
    LEAST = 544,
    LEFT = 545,
    LEVEL = 546,
    LIKE = 547,
    LIMIT = 548,
    LISTEN = 549,
    LOAD = 550,
    LOCAL = 551,
    LOCALTIME = 552,
    LOCALTIMESTAMP = 553,
    LOCATION = 554,
    LOCK_P = 555,
    LOCKED = 556,
    LOGGED = 557,
    MAPPING = 558,
    MATCH = 559,
    MATERIALIZED = 560,
    MAXVALUE = 561,
    MINUTE_P = 562,
    MINVALUE = 563,
    MODE = 564,
    MONTH_P = 565,
    MOVE = 566,
    NAME_P = 567,
    NAMES = 568,
    NATIONAL = 569,
    NATURAL = 570,
    NCHAR = 571,
    NEXT = 572,
    NO = 573,
    NONE = 574,
    NOT = 575,
    NOTHING = 576,
    NOTIFY = 577,
    NOTNULL = 578,
    NOWAIT = 579,
    NULL_P = 580,
    NULLIF = 581,
    NULLS_P = 582,
    NUMERIC = 583,
    OBJECT_P = 584,
    OF = 585,
    OFF = 586,
    OFFSET = 587,
    OIDS = 588,
    ON = 589,
    ONLY = 590,
    OPERATOR = 591,
    OPTION = 592,
    OPTIONS = 593,
    OR = 594,
    ORDER = 595,
    ORDINALITY = 596,
    OUT_P = 597,
    OUTER_P = 598,
    OVER = 599,
    OVERLAPS = 600,
    OVERLAY = 601,
    OWNED = 602,
    OWNER = 603,
    PARSER = 604,
    PARTIAL = 605,
    PARTITION = 606,
    PASSING = 607,
    PASSWORD = 608,
    PLACING = 609,
    PLANS = 610,
    POLICY = 611,
    POSITION = 612,
    PRECEDING = 613,
    PRECISION = 614,
    PRESERVE = 615,
    PREPARE = 616,
    PREPARED = 617,
    PRIMARY = 618,
    PRIOR = 619,
    PRIVILEGES = 620,
    PROCEDURAL = 621,
    PROCEDURE = 622,
    PROGRAM = 623,
    QUOTE = 624,
    RANGE = 625,
    READ = 626,
    REAL = 627,
    REASSIGN = 628,
    RECHECK = 629,
    RECURSIVE = 630,
    REF = 631,
    REFERENCES = 632,
    REFRESH = 633,
    REINDEX = 634,
    RELATIVE_P = 635,
    RELEASE = 636,
    RENAME = 637,
    REPEATABLE = 638,
    REPLACE = 639,
    REPLICA = 640,
    RESET = 641,
    RESTART = 642,
    RESTRICT = 643,
    RETURNING = 644,
    RETURNS = 645,
    REVOKE = 646,
    RIGHT = 647,
    ROLE = 648,
    ROLLBACK = 649,
    ROLLUP = 650,
    ROW = 651,
    ROWS = 652,
    RULE = 653,
    SAVEPOINT = 654,
    SCHEMA = 655,
    SCROLL = 656,
    SEARCH = 657,
    SECOND_P = 658,
    SECURITY = 659,
    SELECT = 660,
    SEQUENCE = 661,
    SEQUENCES = 662,
    SERIALIZABLE = 663,
    SERVER = 664,
    SESSION = 665,
    SESSION_USER = 666,
    SET = 667,
    SETS = 668,
    SETOF = 669,
    SHARE = 670,
    SHOW = 671,
    SIMILAR = 672,
    SIMPLE = 673,
    SKIP = 674,
    SMALLINT = 675,
    SNAPSHOT = 676,
    SOME = 677,
    SQL_P = 678,
    STABLE = 679,
    STANDALONE_P = 680,
    START = 681,
    STATEMENT = 682,
    STATISTICS = 683,
    STDIN = 684,
    STDOUT = 685,
    STORAGE = 686,
    STRICT_P = 687,
    STRIP_P = 688,
    SUBSTRING = 689,
    SYMMETRIC = 690,
    SYSID = 691,
    SYSTEM_P = 692,
    TABLE = 693,
    TABLES = 694,
    TABLESAMPLE = 695,
    TABLESPACE = 696,
    TEMP = 697,
    TEMPLATE = 698,
    TEMPORARY = 699,
    TEXT_P = 700,
    THEN = 701,
    TIME = 702,
    TIMESTAMP = 703,
    TO = 704,
    TRAILING = 705,
    TRANSACTION = 706,
    TRANSFORM = 707,
    TREAT = 708,
    TRIGGER = 709,
    TRIM = 710,
    TRUE_P = 711,
    TRUNCATE = 712,
    TRUSTED = 713,
    TYPE_P = 714,
    TYPES_P = 715,
    UNBOUNDED = 716,
    UNCOMMITTED = 717,
    UNENCRYPTED = 718,
    UNION = 719,
    UNIQUE = 720,
    UNKNOWN = 721,
    UNLISTEN = 722,
    UNLOGGED = 723,
    UNTIL = 724,
    UPDATE = 725,
    USER = 726,
    USING = 727,
    VACUUM = 728,
    VALID = 729,
    VALIDATE = 730,
    VALIDATOR = 731,
    VALUE_P = 732,
    VALUES = 733,
    VARCHAR = 734,
    VARIADIC = 735,
    VARYING = 736,
    VERBOSE = 737,
    VERSION_P = 738,
    VIEW = 739,
    VIEWS = 740,
    VOLATILE = 741,
    WHEN = 742,
    WHERE = 743,
    WHITESPACE_P = 744,
    WINDOW = 745,
    WITH = 746,
    WITHIN = 747,
    WITHOUT = 748,
    WORK = 749,
    WRAPPER = 750,
    WRITE = 751,
    XML_P = 752,
    XMLATTRIBUTES = 753,
    XMLCONCAT = 754,
    XMLELEMENT = 755,
    XMLEXISTS = 756,
    XMLFOREST = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    YEAR_P = 762,
    YES_P = 763,
    ZONE = 764,
    NOT_LA = 765,
    NULLS_LA = 766,
    WITH_LA = 767,
    POSTFIXOP = 768,
    UMINUS = 769
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1217 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1248 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   126398

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  534
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  755
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2964
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5586

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   769

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   521,     2,     2,
     526,   527,   519,   517,   529,   518,   528,   520,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   531,   530,
     513,   515,   514,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   524,     2,   525,   522,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   532,     2,   533,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   516,   523
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1555,  1555,  1558,  1560,  1562,  1564,  1566,  1568,  1570,
    1572,  1574,  1576,  1578,  1580,  1582,  1584,  1586,  1588,  1590,
    1592,  1594,  1596,  1598,  1600,  1602,  1604,  1606,  1608,  1610,
    1612,  1614,  1616,  1618,  1636,  1638,  1640,  1642,  1644,  1646,
    1648,  1650,  1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,
    1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,  1684,  1686,
    1688,  1690,  1692,  1694,  1696,  1698,  1700,  1704,  1706,  1708,
    1710,  1712,  1714,  1716,  1718,  1720,  1722,  1724,  1726,  1728,
    1730,  1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,
    1750,  1752,  1754,  1756,  1758,  1760,  1762,  1764,  1766,  1768,
    1770,  1772,  1774,  1776,  1778,  1785,  1787,  1789,  1791,  1793,
    1795,  1797,  1799,  1801,  1803,  1805,  1807,  1813,  1815,  1817,
    1819,  1821,  1823,  1825,  1827,  1829,  1835,  1845,  1849,  1855,
    1859,  1869,  1879,  1880,  1894,  1901,  1907,  1918,  1924,  1933,
    1940,  1946,  1955,  1962,  1970,  1975,  1983,  1987,  1992,  1998,
    2003,  2009,  2014,  2020,  2024,  2028,  2032,  2036,  2040,  2044,
    2048,  2052,  2060,  2064,  2068,  2072,  2076,  2080,  2088,  2096,
    2105,  2107,  2115,  2119,  2127,  2135,  2139,  2147,  2151,  2159,
    2163,  2171,  2179,  2187,  2191,  2199,  2203,  2211,  2215,  2219,
    2224,  2233,  2238,  2244,  2249,  2255,  2259,  2263,  2267,  2271,
    2275,  2283,  2287,  2291,  2299,  2303,  2307,  2315,  2319,  2323,
    2327,  2328,  2332,  2336,  2340,  2345,  2349,  2353,  2357,  2361,
    2365,  2369,  2377,  2381,  2389,  2393,  2401,  2405,  2419,  2423,
    2427,  2431,  2439,  2443,  2447,  2451,  2459,  2463,  2467,  2471,
    2475,  2479,  2483,  2491,  2495,  2500,  2506,  2510,  2518,  2526,
    2530,  2534,  2538,  2546,  2550,  2558,  2562,  2570,  2574,  2582,
    2586,  2590,  2594,  2598,  2607,  2615,  2619,  2627,  2631,  2639,
    2647,  2651,  2655,  2659,  2663,  2671,  2675,  2679,  2683,  2687,
    2691,  2695,  2699,  2703,  2707,  2711,  2715,  2719,  2723,  2727,
    2731,  2739,  2743,  2751,  2755,  2759,  2763,  2767,  2771,  2775,
    2779,  2783,  2787,  2791,  2795,  2799,  2803,  2807,  2811,  2815,
    2819,  2823,  2827,  2831,  2835,  2839,  2843,  2847,  2851,  2855,
    2859,  2863,  2867,  2871,  2875,  2879,  2883,  2887,  2891,  2895,
    2899,  2903,  2907,  2911,  2915,  2919,  2923,  2927,  2931,  2935,
    2939,  2943,  2947,  2955,  2959,  2967,  2971,  2976,  2982,  2987,
    2993,  2998,  3004,  3008,  3012,  3016,  3024,  3032,  3037,  3043,
    3047,  3055,  3059,  3063,  3067,  3075,  3083,  3087,  3095,  3099,
    3103,  3107,  3115,  3120,  3128,  3136,  3144,  3148,  3156,  3161,
    3167,  3171,  3175,  3183,  3187,  3195,  3200,  3206,  3210,  3214,
    3218,  3222,  3226,  3230,  3234,  3238,  3242,  3246,  3250,  3254,
    3258,  3266,  3271,  3277,  3282,  3288,  3293,  3299,  3304,  3310,
    3314,  3322,  3330,  3334,  3338,  3342,  3347,  3353,  3357,  3365,
    3373,  3377,  3381,  3385,  3393,  3397,  3401,  3405,  3409,  3413,
    3417,  3422,  3428,  3433,  3439,  3444,  3450,  3454,  3462,  3466,
    3474,  3478,  3482,  3490,  3494,  3502,  3510,  3518,  3523,  3529,
    3533,  3537,  3541,  3549,  3553,  3557,  3561,  3565,  3569,  3573,
    3581,  3585,  3589,  3593,  3601,  3609,  3613,  3618,  3624,  3628,
    3632,  3636,  3640,  3644,  3652,  3656,  3664,  3668,  3672,  3676,
    3680,  3684,  3688,  3696,  3701,  3707,  3712,  3718,  3722,  3730,
    3738,  3742,  3747,  3752,  3758,  3762,  3770,  3774,  3782,  3787,
    3793,  3797,  3801,  3805,  3810,  3816,  3824,  3832,  3836,  3840,
    3844,  3848,  3856,  3861,  3867,  3871,  3875,  3880,  3886,  3890,
    3894,  3899,  3905,  3910,  3916,  3921,  3927,  3935,  3943,  3947,
    3952,  3958,  3962,  3970,  3978,  3983,  3989,  3997,  4001,  4009,
    4013,  4021,  4026,  4032,  4036,  4044,  4048,  4052,  4056,  4060,
    4064,  4068,  4072,  4076,  4080,  4084,  4088,  4096,  4101,  4107,
    4111,  4115,  4119,  4127,  4131,  4139,  4143,  4151,  4156,  4162,
    4166,  4174,  4179,  4185,  4189,  4197,  4202,  4208,  4212,  4220,
    4225,  4231,  4239,  4244,  4250,  4254,  4262,  4266,  4274,  4279,
    4285,  4289,  4293,  4301,  4309,  4314,  4320,  4328,  4332,  4336,
    4340,  4344,  4348,  4352,  4356,  4360,  4364,  4368,  4372,  4376,
    4380,  4384,  4388,  4392,  4396,  4400,  4404,  4408,  4412,  4416,
    4420,  4424,  4432,  4440,  4444,  4448,  4452,  4460,  4464,  4472,
    4477,  4483,  4487,  4495,  4499,  4507,  4512,  4518,  4522,  4530,
    4538,  4542,  4550,  4554,  4558,  4562,  4570,  4578,  4586,  4594,
    4602,  4607,  4613,  4617,  4625,  4630,  4636,  4640,  4648,  4652,
    4656,  4664,  4668,  4676,  4680,  4688,  4696,  4700,  4708,  4713,
    4719,  4727,  4731,  4739,  4743,  4751,  4759,  4767,  4775,  4779,
    4787,  4792,  4798,  4803,  4809,  4814,  4820,  4825,  4831,  4836,
    4842,  4846,  4850,  4854,  4858,  4866,  4870,  4878,  4882,  4886,
    4894,  4898,  4906,  4910,  4914,  4918,  4922,  4930,  4935,  4941,
    4946,  4952,  4956,  4964,  4969,  4975,  4979,  4984,  4990,  4994,
    4998,  5002,  5010,  5015,  5022,  5024,  5032,  5036,  5040,  5044,
    5048,  5052,  5060,  5064,  5072,  5076,  5084,  5088,  5096,  5104,
    5108,  5116,  5124,  5128,  5132,  5136,  5144,  5153,  5162,  5166,
    5170,  5174,  5178,  5182,  5186,  5190,  5194,  5198,  5202,  5206,
    5210,  5214,  5222,  5230,  5234,  5242,  5246,  5254,  5258,  5262,
    5266,  5270,  5278,  5286,  5290,  5298,  5306,  5311,  5317,  5321,
    5329,  5333,  5337,  5345,  5350,  5356,  5364,  5368,  5376,  5380,
    5384,  5388,  5392,  5400,  5405,  5411,  5416,  5422,  5426,  5431,
    5437,  5443,  5449,  5457,  5461,  5469,  5473,  5481,  5485,  5493,
    5497,  5505,  5509,  5517,  5525,  5533,  5537,  5541,  5545,  5549,
    5553,  5557,  5561,  5569,  5573,  5577,  5581,  5585,  5589,  5593,
    5597,  5601,  5605,  5609,  5613,  5617,  5621,  5625,  5633,  5637,
    5645,  5649,  5657,  5661,  5669,  5673,  5674,  5682,  5686,  5691,
    5697,  5701,  5705,  5709,  5713,  5717,  5721,  5725,  5729,  5733,
    5737,  5741,  5745,  5749,  5753,  5757,  5761,  5765,  5773,  5777,
    5781,  5785,  5789,  5793,  5797,  5801,  5805,  5809,  5813,  5817,
    5821,  5825,  5829,  5833,  5837,  5841,  5845,  5849,  5853,  5861,
    5865,  5873,  5877,  5881,  5885,  5889,  5893,  5897,  5905,  5910,
    5916,  5920,  5924,  5928,  5932,  5936,  5940,  5944,  5948,  5952,
    5956,  5964,  5968,  5976,  5980,  5984,  5988,  5994,  6000,  6006,
    6012,  6018,  6024,  6030,  6040,  6051,  6062,  6073,  6084,  6095,
    6106,  6122,  6138,  6154,  6165,  6181,  6192,  6208,  6223,  6227,
    6235,  6240,  6246,  6254,  6258,  6266,  6270,  6274,  6278,  6282,
    6290,  6294,  6302,  6306,  6310,  6314,  6322,  6326,  6330,  6334,
    6338,  6342,  6346,  6350,  6354,  6358,  6362,  6366,  6370,  6374,
    6378,  6382,  6390,  6394,  6402,  6406,  6414,  6419,  6425,  6429,
    6437,  6445,  6453,  6457,  6465,  6470,  6476,  6481,  6487,  6495,
    6500,  6506,  6510,  6514,  6522,  6526,  6530,  6538,  6542,  6546,
    6550,  6558,  6562,  6570,  6575,  6581,  6586,  6592,  6597,  6603,
    6608,  6614,  6618,  6626,  6630,  6634,  6642,  6647,  6653,  6657,
    6662,  6668,  6672,  6677,  6683,  6687,  6692,  6698,  6702,  6706,
    6714,  6719,  6725,  6729,  6737,  6741,  6749,  6753,  6761,  6765,
    6773,  6777,  6781,  6785,  6789,  6797,  6801,  6805,  6809,  6813,
    6821,  6829,  6837,  6841,  6845,  6853,  6857,  6861,  6869,  6878,
    6882,  6886,  6890,  6898,  6902,  6910,  6914,  6922,  6926,  6930,
    6934,  6938,  6942,  6946,  6950,  6954,  6958,  6962,  6966,  6970,
    6974,  6978,  6986,  6990,  6994,  6998,  7002,  7010,  7014,  7022,
    7026,  7034,  7039,  7045,  7053,  7057,  7065,  7073,  7077,  7085,
    7090,  7096,  7100,  7108,  7112,  7120,  7124,  7132,  7136,  7140,
    7144,  7152,  7156,  7164,  7172,  7176,  7184,  7188,  7196,  7200,
    7204,  7212,  7216,  7221,  7227,  7235,  7240,  7246,  7254,  7258,
    7262,  7266,  7274,  7282,  7286,  7290,  7294,  7302,  7306,  7314,
    7318,  7322,  7330,  7334,  7342,  7350,  7354,  7362,  7366,  7370,
    7374,  7378,  7382,  7386,  7390,  7394,  7398,  7402,  7406,  7410,
    7414,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7450,
    7454,  7458,  7462,  7466,  7470,  7474,  7478,  7482,  7486,  7490,
    7494,  7498,  7502,  7506,  7510,  7514,  7518,  7522,  7526,  7530,
    7534,  7538,  7542,  7546,  7550,  7558,  7563,  7569,  7574,  7580,
    7584,  7588,  7592,  7596,  7600,  7604,  7608,  7612,  7616,  7620,
    7624,  7628,  7632,  7636,  7640,  7644,  7648,  7652,  7656,  7660,
    7664,  7668,  7672,  7680,  7684,  7688,  7692,  7696,  7700,  7704,
    7708,  7712,  7716,  7720,  7724,  7728,  7732,  7736,  7740,  7744,
    7748,  7752,  7760,  7768,  7772,  7776,  7784,  7788,  7796,  7800,
    7804,  7808,  7812,  7820,  7825,  7831,  7835,  7839,  7843,  7851,
    7855,  7860,  7866,  7870,  7878,  7886,  7891,  7897,  7905,  7909,
    7917,  7921,  7925,  7929,  7933,  7937,  7941,  7945,  7949,  7953,
    7957,  7961,  7965,  7969,  7977,  7981,  7986,  7992,  7996,  8000,
    8004,  8008,  8016,  8020,  8024,  8032,  8037,  8043,  8047,  8051,
    8056,  8065,  8069,  8073,  8078,  8084,  8092,  8100,  8105,  8111,
    8115,  8123,  8127,  8131,  8139,  8143,  8147,  8151,  8155,  8159,
    8163,  8171,  8176,  8182,  8186,  8190,  8198,  8206,  8210,  8218,
    8222,  8230,  8238,  8242,  8246,  8250,  8254,  8258,  8262,  8270,
    8275,  8281,  8289,  8293,  8297,  8301,  8305,  8309,  8317,  8321,
    8329,  8337,  8341,  8345,  8353,  8358,  8364,  8368,  8372,  8376,
    8380,  8388,  8392,  8400,  8404,  8408,  8412,  8420,  8424,  8432,
    8436,  8444,  8449,  8455,  8460,  8466,  8471,  8477,  8482,  8488,
    8492,  8496,  8500,  8508,  8512,  8516,  8520,  8524,  8528,  8532,
    8536,  8540,  8548,  8552,  8560,  8568,  8572,  8580,  8584,  8589,
    8595,  8601,  8611,  8616,  8622,  8626,  8630,  8634,  8642,  8644,
    8652,  8657,  8663,  8671,  8675,  8683,  8687,  8691,  8699,  8703,
    8711,  8719,  8723,  8728,  8734,  8738,  8743,  8749,  8754,  8760,
    8768,  8773,  8779,  8787,  8792,  8798,  8802,  8806,  8810,  8814,
    8818,  8822,  8826,  8834,  8839,  8845,  8849,  8854,  8860,  8868,
    8872,  8880,  8884,  8892,  8900,  8904,  8912,  8920,  8924,  8932,
    8985,  8989,  9002,  9004,  9008,  9012,  9016,  9025,  9031,  9035,
    9043,  9047,  9055,  9059,  9067,  9071,  9075,  9079,  9083,  9087,
    9091,  9095,  9103,  9107,  9115,  9119,  9123,  9127,  9131,  9135,
    9139,  9147,  9151,  9155,  9163,  9167,  9175,  9183,  9188,  9194,
    9199,  9201,  9207,  9211,  9215,  9219,  9223,  9227,  9231,  9235,
    9239,  9247,  9252,  9258,  9262,  9267,  9273,  9277,  9285,  9290,
    9296,  9301,  9307,  9315,  9319,  9327,  9331,  9339,  9343,  9347,
    9351,  9359,  9364,  9370,  9374,  9379,  9383,  9391,  9395,  9403,
    9407,  9415,  9423,  9427,  9431,  9439,  9443,  9451,  9455,  9463,
    9467,  9475,  9480,  9486,  9490,  9498,  9502,  9506,  9510,  9514,
    9522,  9530,  9538,  9546,  9554,  9559,  9565,  9569,  9577,  9582,
    9588,  9592,  9600,  9608,  9612,  9616,  9620,  9628,  9633,  9639,
    9643,  9651,  9656,  9662,  9666,  9674,  9678,  9682,  9686,  9690,
    9697,  9704,  9708,  9716,  9720,  9724,  9728,  9732,  9736,  9744,
    9748,  9752,  9756,  9764,  9769,  9775,  9779,  9783,  9787,  9792,
    9798,  9802,  9806,  9810,  9818,  9823,  9829,  9833,  9841,  9845,
    9849,  9853,  9861,  9865,  9873,  9877,  9881,  9889,  9897,  9902,
    9908,  9912,  9920,  9928,  9932,  9940,  9945,  9951,  9956,  9962,
    9967,  9973,  9977,  9983,  9989,  9994, 10000, 10004, 10012, 10020,
   10022, 10024, 10028, 10032, 10036, 10044, 10054, 10065, 10074, 10078,
   10082, 10086, 10090, 10094, 10098, 10106, 10110, 10114, 10118, 10126,
   10130, 10138, 10143, 10149, 10153, 10157, 10161, 10165, 10169, 10173,
   10177, 10181, 10185, 10189, 10197, 10202, 10208, 10212, 10220, 10224,
   10232, 10240, 10248, 10252, 10260, 10264, 10272, 10280, 10288, 10292,
   10296, 10300, 10304, 10308, 10316, 10321, 10327, 10332, 10338, 10342,
   10346, 10350, 10358, 10366, 10370, 10375, 10381, 10385, 10389, 10393,
   10397, 10401, 10405, 10409, 10413, 10417, 10421, 10425, 10429, 10434,
   10440, 10444, 10452, 10456, 10460, 10464, 10468, 10472, 10476, 10480,
   10484, 10488, 10492, 10496, 10500, 10504, 10508, 10512, 10516, 10520,
   10524, 10528, 10532, 10536, 10540, 10544, 10548, 10552, 10556, 10560,
   10564, 10568, 10572, 10576, 10580, 10584, 10588, 10592, 10596, 10600,
   10604, 10608, 10612, 10616, 10620, 10624, 10628, 10632, 10636, 10640,
   10644, 10648, 10652, 10656, 10660, 10664, 10668, 10672, 10676, 10680,
   10684, 10688, 10692, 10697, 10701, 10709, 10713, 10717, 10721, 10725,
   10729, 10733, 10737, 10741, 10745, 10749, 10753, 10757, 10761, 10765,
   10769, 10773, 10777, 10781, 10785, 10789, 10793, 10797, 10801, 10805,
   10813, 10817, 10821, 10825, 10829, 10833, 10837, 10841, 10845, 10849,
   10853, 10857, 10861, 10865, 10873, 10877, 10881, 10885, 10889, 10893,
   10897, 10905, 10909, 10917, 10921, 10929, 10933, 10937, 10941, 10945,
   10949, 10953, 10957, 10961, 10965, 10969, 10973, 10977, 10981, 10985,
   10989, 10993, 10997, 11001, 11005, 11009, 11013, 11017, 11021, 11025,
   11029, 11033, 11037, 11041, 11045, 11049, 11053, 11057, 11061, 11065,
   11069, 11073, 11077, 11081, 11085, 11089, 11093, 11101, 11105, 11113,
   11117, 11121, 11126, 11132, 11140, 11144, 11152, 11156, 11164, 11168,
   11176, 11180, 11185, 11191, 11195, 11199, 11203, 11211, 11216, 11222,
   11227, 11233, 11238, 11244, 11248, 11256, 11264, 11268, 11273, 11279,
   11287, 11291, 11298, 11303, 11309, 11314, 11319, 11325, 11329, 11337,
   11341, 11345, 11349, 11353, 11361, 11365, 11369, 11377, 11381, 11389,
   11397, 11401, 11405, 11413, 11417, 11425, 11429, 11433, 11437, 11441,
   11445, 11449, 11453, 11457, 11461, 11465, 11469, 11477, 11481, 11489,
   11493, 11501, 11505, 11509, 11513, 11517, 11521, 11529, 11533, 11541,
   11545, 11553, 11557, 11561, 11569, 11573, 11581, 11585, 11589, 11597,
   11601, 11609, 11614, 11620, 11624, 11628, 11632, 11636, 11640, 11644,
   11648, 11656, 11660, 11668, 11676, 11681, 11687, 11691, 11695, 11699,
   11703, 11708, 11714, 11722, 11730, 11734, 11738, 11746, 11750, 11758,
   11766, 11770, 11778, 11786, 11791, 11797, 11802, 11808, 11812, 11820,
   11824, 11828, 11832, 11840, 11844, 11853, 11855, 11863, 11868, 11874,
   11878, 11886, 11890, 11898, 11906, 11911, 11917, 11921, 11929, 11933,
   11937, 11941, 11949, 11953, 11961, 11965, 11973, 11977, 11985, 11993,
   12001, 12009, 12017, 12025, 12033, 12037, 12045, 12049, 12053, 12057,
   12061, 12065, 12069, 12073, 12077, 12081, 12085, 12089, 12093, 12097,
   12098, 12103, 12109, 12113, 12114, 12118, 12126, 12134, 12138, 12142,
   12150, 12154, 12162, 12166, 12170, 12174, 12182, 12186, 12190, 12194,
   12198, 12202, 12206, 12210, 12214, 12218, 12222, 12226, 12230, 12234,
   12238, 12242, 12246, 12250, 12254, 12258, 12262, 12266, 12270, 12274,
   12278, 12282, 12286, 12290, 12294, 12298, 12302, 12306, 12310, 12314,
   12318, 12322, 12326, 12330, 12334, 12338, 12342, 12346, 12350, 12354,
   12358, 12362, 12366, 12370, 12374, 12378, 12382, 12386, 12390, 12394,
   12398, 12402, 12406, 12410, 12414, 12418, 12422, 12426, 12430, 12434,
   12438, 12442, 12446, 12450, 12454, 12458, 12462, 12466, 12470, 12474,
   12478, 12482, 12486, 12490, 12494, 12498, 12502, 12506, 12510, 12514,
   12518, 12522, 12526, 12530, 12534, 12538, 12542, 12546, 12550, 12554,
   12558, 12562, 12566, 12570, 12574, 12578, 12582, 12586, 12590, 12594,
   12598, 12602, 12606, 12610, 12614, 12618, 12622, 12626, 12630, 12634,
   12638, 12642, 12646, 12650, 12654, 12658, 12662, 12666, 12670, 12674,
   12678, 12682, 12686, 12690, 12694, 12698, 12702, 12706, 12710, 12714,
   12718, 12722, 12726, 12730, 12734, 12738, 12742, 12746, 12750, 12754,
   12758, 12762, 12766, 12770, 12774, 12778, 12782, 12786, 12790, 12794,
   12798, 12802, 12806, 12810, 12814, 12818, 12822, 12826, 12830, 12834,
   12838, 12842, 12846, 12850, 12854, 12858, 12862, 12866, 12870, 12874,
   12878, 12882, 12886, 12890, 12894, 12898, 12902, 12906, 12910, 12914,
   12918, 12922, 12926, 12930, 12934, 12938, 12942, 12946, 12950, 12954,
   12958, 12962, 12966, 12970, 12974, 12978, 12982, 12986, 12990, 12994,
   12998, 13002, 13006, 13010, 13014, 13018, 13022, 13026, 13030, 13034,
   13038, 13042, 13046, 13050, 13054, 13058, 13062, 13066, 13070, 13074,
   13078, 13082, 13086, 13090, 13094, 13098, 13102, 13106, 13110, 13114,
   13118, 13122, 13126, 13130, 13134, 13138, 13142, 13146, 13150, 13154,
   13158, 13162, 13166, 13170, 13174, 13178, 13182, 13186, 13190, 13194,
   13198, 13202, 13206, 13210, 13214, 13222, 13226, 13230, 13234, 13238,
   13242, 13246, 13250, 13254, 13258, 13262, 13266, 13270, 13274, 13278,
   13282, 13286, 13290, 13294, 13298, 13302, 13306, 13310, 13314, 13318,
   13322, 13326, 13330, 13334, 13338, 13342, 13346, 13350, 13354, 13358,
   13362, 13366, 13370, 13374, 13378, 13382, 13386, 13390, 13394, 13398,
   13406, 13410, 13414, 13418, 13422, 13426, 13430, 13434, 13438, 13442,
   13446, 13450, 13454, 13458, 13462, 13466, 13470, 13474, 13478, 13482,
   13486, 13490, 13494, 13502, 13506, 13510, 13514, 13518, 13522, 13526,
   13530, 13534, 13538, 13542, 13546, 13550, 13554, 13558, 13562, 13566,
   13570, 13574, 13578, 13582, 13586, 13590, 13594, 13598, 13602, 13606,
   13610, 13614, 13618, 13622, 13626, 13630, 13634, 13638, 13642, 13646,
   13650, 13654, 13658, 13662, 13666, 13670, 13674, 13678, 13682, 13686,
   13690, 13694, 13698, 13702, 13706, 13710, 13714, 13718, 13722, 13726,
   13730, 13734, 13738, 13742, 13746, 13750, 13754, 13758, 13762, 13766,
   13770, 13774, 13778, 13782, 13786, 13790, 13794, 13798, 13808, 13809,
   13812, 13813, 13814, 13820, 13821, 13822, 13823, 13824, 13837, 13837,
   13846, 13861, 13863, 13866, 13868, 13872, 13884, 13900, 13904, 13915,
   13916, 13919, 13931, 13940, 13941, 13944, 13945, 13946, 13949, 13950,
   13953, 13954, 13957, 13958, 13961, 13963, 13965, 13967, 13971, 13978,
   13985, 14001, 14035, 14045, 14048, 14052, 14065, 14066, 14068, 14070,
   14074, 14088, 14095, 14156, 14165, 14167, 14168, 14171, 14173, 14174,
   14177, 14178, 14179, 14180, 14181, 14188, 14187, 14197, 14199, 14201,
   14202, 14205, 14206, 14207, 14208, 14211, 14212, 14216, 14215, 14232,
   14230, 14246, 14245, 14259, 14265, 14266, 14269, 14271, 14272, 14275,
   14276, 14277, 14278, 14281, 14282, 14285, 14293, 14310, 14318, 14341,
   14447, 14481, 14483, 14485, 14489, 14493, 14492, 14543, 14545, 14544,
   14559, 14565, 14572, 14577, 14583, 14584, 14587, 14588, 14589, 14590,
   14591, 14592, 14593, 14601, 14609, 14612, 14613, 14614, 14615, 14616,
   14617, 14625, 14633, 14634, 14635, 14638, 14639, 14642, 14644, 14653,
   14741, 14742, 14749, 14750, 14751, 14757, 14766, 14769, 14770, 14771,
   14772, 14775, 14776, 14777, 14780, 14782, 14790, 14791, 14797, 14805,
   14806, 14809, 14810, 14813, 14818, 14825, 14830, 14837, 14844, 14844,
   14846, 14853, 14854, 14857, 14858, 14859, 14860, 14861, 14862, 14863,
   14864, 14865, 14871, 14878, 14890, 14896, 14903, 14911, 14912, 14924,
   14935, 14946, 14950, 14951, 14954, 14959, 14963, 14964, 14967, 14973,
   14981, 14987, 14994, 14998, 14999, 15002, 15005, 15009, 15010, 15013,
   15019, 15028, 15033, 15043, 15053, 15065, 15066, 15067, 15068, 15069,
   15070, 15071, 15072, 15073, 15074, 15075, 15076, 15077, 15078, 15079,
   15086, 15087, 15090, 15091, 15098, 15099, 15100, 15107, 15106, 15123,
   15124, 15131, 15130, 15200, 15206, 15212, 15220, 15226, 15232, 15238,
   15244, 15250, 15256, 15262, 15268, 15279, 15280, 15283, 15284, 15285,
   15286, 15287, 15288, 15289, 15290, 15291, 15292, 15293, 15294, 15295,
   15296, 15297, 15298, 15299, 15300, 15301, 15302, 15303, 15304, 15305,
   15308, 15309, 15310, 15311, 15312, 15313, 15317, 15318, 15319, 15320,
   15321, 15322, 15323, 15326, 15329, 15330, 15331, 15332, 15333, 15334,
   15335, 15336, 15349, 15350, 15351, 15352, 15353, 15354, 15355, 15360,
   15361, 15362, 15363, 15364, 15365, 15371, 15372, 15373, 15374, 15375,
   15376, 15377, 15378, 15379, 15380, 15381, 15384, 15385, 15386, 15387,
   15388, 15391, 15392, 15393, 15394, 15397, 15398, 15399, 15400, 15401,
   15402, 15403, 15420, 15421, 15422, 15425, 15426, 15427, 15428, 15429,
   15430, 15434, 15434, 15437, 15443, 15444, 15447, 15449, 15454, 15464,
   15475, 15482, 15483, 15484, 15487, 15520, 15522, 15524, 15527, 15537,
   15547, 15557, 15558, 15561, 15563, 15564, 15565, 15568, 15570, 15578,
   15579, 15580, 15584, 15585, 15589, 15590, 15593, 15594, 15597, 15598,
   15599, 15600, 15601, 15604, 15605, 15606, 15607, 15608, 15609, 15610,
   15611, 15612, 15613, 15614, 15615, 15616, 15617, 15618, 15619, 15620,
   15621, 15622, 15623, 15624, 15625, 15626, 15627, 15628, 15629, 15630,
   15631, 15632, 15633, 15634, 15635, 15636, 15637, 15638, 15639, 15640,
   15641, 15642, 15643, 15644, 15645, 15646, 15647, 15648, 15649, 15650,
   15651, 15652, 15653, 15654, 15655, 15656, 15657, 15658, 15659, 15662,
   15663, 15664, 15665, 15668, 15669, 15670, 15671, 15672, 15673, 15674,
   15675, 15676, 15677, 15684, 15685, 15686, 15687, 15690, 15691, 15694,
   15695, 15698, 15699, 15710, 15711
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateTrigStmt", "TriggerActionTime",
  "TriggerEvents", "TriggerOneEvent", "TriggerForSpec",
  "TriggerForOptEach", "TriggerForType", "TriggerWhen", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "indirection", "opt_indirection", "opt_asymmetric", "ctext_expr",
  "ctext_expr_list", "ctext_row", "opt_target_list", "target_list",
  "target_el", "qualified_name_list", "qualified_name", "name_list",
  "name", "database_name", "access_method", "attr_name", "index_name",
  "file_name", "func_name", "AexprConst", "Iconst", "SignedIconst",
  "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,    60,    62,    61,   768,    43,    45,    42,
      47,    37,    94,   769,    91,    93,    40,    41,    46,    44,
      59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5013

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5013)))

#define YYTABLE_NINF -2804

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2804)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5013,   491, 13663, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, 32849, -5013,
   -5013, -5013, -5013, -5013,114734,  1109, -5013, -5013, -5013,119331,
   -5013, -5013, -5013,   894, 79454, -5013, 82478,  1159, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, 86510, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, 66839,  1066, -5013,   373,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013,  1480, 11879, -5013,
   -5013, 82982, -5013,   319, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, 83486,   542, -5013, -5013,   911,  1483, -5013,   147, 16595,
   -5013, -5013, 75926, 80462, -5013, -5013, 87014,   450,  1842, 18215,
    1480, 32342, 87518, -5013,  1675, -5013, 63267, -5013, -5013, -5013,
   79958, -5013, -5013, -5013,  1072, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, 93566,  2496,  1170, 63780, -5013,
   -5013, -5013, -5013, 93566, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, 88022, -5013,  1401,  1181,   619, 94070, 94574,
   77438, -5013,  1579, -5013, 93566,  1677,  1302, 65829, -5013, 95078,
   -5013, -5013,  1312, -5013, 88526, -5013, -5013, -5013, -5013, -5013,
    1170, -5013, 66839, 62257,   173,  1439, -5013, -5013, 95582, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, 93566,  2268,
    1283, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013,   542, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013,  1127, -5013,  1004,  1350,  1590,   184,  1447, -5013,
   -5013, -5013, 15840, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   22346,  2340, -5013, -5013, -5013,  1494, -5013,  1561, -5013, -5013,
   -5013,  1692, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,   904,
   -5013, -5013, -5013, -5013,  2193,115235, 86510, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, 75422, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013,   189, -5013, -5013,
   -5013, -5013, -5013, 86510, 86510, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, 86510,  1701, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013,   587,  1781, -5013, -5013, 66839,  2395,  2395,
    2204, 22346, -5013, -5013, -5013, 68354, 93566, 93566, 93566,  1878,
   93566,  1854, 93566,   363, 68354,123704, 89030,  1950,  1832, 57627,
   96086, -5013,121956, 93566, 93566, 96590, 93566,  1769, 83990, 93566,
    1964, 93566, 93566,122393, 97094,  2090, -5013,  2355,  1307, -5013,
   -5013, -5013, 93566,  9833,  2496, -5013, -5013, 93566,  1999, 68354,
   93566,  1940, 93566,  2023, 93566, -5013, 93566,  2030, 97598,   669,
    1232,123704,  2028, 58144,  2130, 93566,123704, 98102, 93566, 93566,
   -5013, -5013,  2122, 93566, 93566, -5013,  2225,124141,  1580,  2238,
    2387,  2294,  1359, -5013, -5013,  2494,  2057, -5013, -5013,  2527,
   86510, -5013, 84494, -5013, -5013, -5013,  2241, -5013, -5013, -5013,
   -5013, -5013, -5013,121082,  1842, -5013, -5013, 68859, 93566,  2335,
   -5013, -5013, 98606, 71889,  2166, -5013,   698, 69364,124578,  2439,
    2123, 58661,  2503, 99110,125015, 99614, -5013, -5013,100118, -5013,
  100622,  2243,  2335,101126, 72394,125452, -5013,  2383,101630, -5013,
   12876, -5013,  2157,  2252,  2159,  1323, 86510, 86510,  1612,117111,
   -5013, -5013,   542, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013,   177,  1626, 64293,   834, 64806, -5013, -5013,  1431,  1486,
    1664,   177,  2607,  2607,   102, 86510, -5013, -5013,  1626, -5013,
     675,   664,  2169,  2169,  2169,  2367,    -9, -5013,  2169,  2298,
   -5013, -5013, -5013, -5013, 88526, 64293, 64806, -5013,  2182,  2496,
      68,  2591,  2246, -5013, -5013, -5013, -5013, -5013,  2249, 93566,
   93566, 93566, -5013, -5013, -5013,  2626,  2228,  2475, -5013,  2234,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,  2432,
    2440,  2444,    88,  2496,  2332, -5013,  2562, -5013,  2461, 39585,
   39585,   -21, 86510,  2496, 65319, 89534,111710,   183,121082,  2496,
  102134,  2297,  1593,  2466, -5013, -5013, -5013,   663, -5013,  2703,
    2303,  2536,   100,  1307, 55078, -5013,  2299,   -85, 88526,116237,
   -5013, -5013, -5013, -5013,   194,  2596, 40107, -5013, 93566,  2307,
   -5013,  2302,  2307,  2310,  2314,  1590, -5013, 93566,  1361,  1361,
    2719,  1361,   187,  1875, -5013,  2235, -5013,  2617,  2584, 88526,
    1439,  1480,  2333, -5013, -5013, -5013,  2348, -5013,  2336,  2345,
   -5013,   842,  2601, -5013, -5013, -5013, -5013,  2429,  2447,  2451,
    2455,  2358,  2465,   167, -5013, -5013, -5013, -5013,  2702, -5013,
   -5013, -5013, -5013, -5013, -5013,  2777,  2792,119771,119771,   677,
     712,   180,   256, -5013, -5013, -5013,  2653, -5013, -5013,  2644,
   93566,  2478, 93566, -5013, -5013, -5013,102638, -5013, -5013,  2395,
    2348,  2402, -5013,   271, -5013,   -85, -5013,   282,   344,   361,
    1740,  2403,  1748,  1303, -5013,   244, 93566,  2520,   207,    10,
    2456, 90038,  4852,  2420,  2573,  1295,  2712,  2765,  2177,   167,
   90542, -5013, -5013, -5013, -5013, 93566, 93566, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013,  2457, -5013, -5013,  2458,
    2774,  2664,  2743,  2620,  1733,  2673,   626,  2795,  8245,  1510,
  103142,112214,  2767,  2810,  5345,  1880,   801,  2696,   824,  2743,
    2804,  2652,  1733,  2822,  5572, 93566,  2517, -5013,  2781,  2881,
     732, -5013,    85, -5013,  2608,  2747,  1016, 68354,  2563, -5013,
   -5013, 93566, -5013, -5013, 72899,  2645, -5013,   705, 68354, -5013,
    2784,  2630, 59178, 93566, -5013, 93566, -5013, -5013, -5013, -5013,
   -5013,  2708,  2874, 93566, 72899, -5013,  2841, 93566, -5013,  2169,
    2760,  2612,  2987, 72899,    92, 93566,  1345,  3032, 93566,  2830,
    1345,  2656,103646, -5013, -5013,  1345, -5013, -5013, 93566, 93566,
    2639,  1571,  2836,  1345,  2856,  3067,  3071,  2737,  2857,   840,
     287,   163,  2977,  1345,  2725,104150,104654, 93566,  2732, 93566,
    3079, 68354, 93566,  3016, -5013,  2882, 91046, -5013,  2733,  2494,
   -5013, -5013, -5013, -5013, -5013,  1036, -5013, -5013, -5013, -5013,
    3042,  2402,   334,  3050,  2753,  3051, -5013, -5013,  2799, -5013,
    2799,  2799,  2768,  2768,  2914,  2771,  3074, -5013, -5013, -5013,
    2362,  2799,  2768, -5013, 73909, -5013,  1585,  1894, -5013,   146,
   -5013,  3183, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
     125, -5013,  1227, -5013,  1965, -5013, -5013, -5013, -5013,  2803,
   -5013,  3085,  2420,  3086, -5013,  2775,105158, -5013,105662,106166,
    3088,  2457,123704,  3090,  2974,  3092,  2775,  3093,  2978,  3094,
     334,  3097, -5013,   871,  3087,  3098,  2983,  3101,   146,  3102,
    1855,  2775,121519,  3103,   242, -5013, 17069, 12876, -5013, 18907,
    1548, -5013, -5013, -5013, -5013, -5013, -5013, 43761,   786,  2883,
   -5013, -5013, -5013,  1956, -5013,118441, -5013,  1612,  1626, -5013,
   86510,  1626, 86510,   102,  1626, 86510,  1626, 86510,   102,  1626,
   86510, 86510, 86510,  1626, -5013, -5013,   239,   235, -5013, -5013,
   -5013, -5013, -5013, 86510,  2796, 93566, 93566, -5013, -5013, -5013,
   80966,123704, 81470, -5013, 93566, -5013,   110, 86510, -5013, 86510,
   -5013,  2496, -5013, -5013,  2252, 72899,  3212,123704,  3079, -5013,
    1977, -5013, -5013, -5013, -5013, -5013, -5013,  3033, 93566,  3096,
    3099, 80966,123704, -5013,106670,121082,  2992,  2805, -5013, -5013,
   -5013, -5013,  1986,  2549,   309,  2832, 43761,  2806,   205,   205,
    2809,  3100, -5013, -5013, -5013,   423,  2811,  2813, -5013,   455,
     455,  2814,  2815, -5013,   494,  2817,  2818,  2884,   512,  2820,
    2825,  2826,  2362,   205, 43761, -5013,  2827,   455,  2828,  2829,
    2831,  2898,  2843, -5013,  2913,  2845,   392,   400,  2847,  2852,
   -5013,  2814, -5013,   447,  2858,  2859,  2860,  2861,  2862,  2863,
    2866,  2867, 43761, 43761, 43761, -5013, 38019,   -85,  2496, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013,   524,  5748, -5013,
    2844, -5013, -5013,  3000, -5013, -5013, 43761, -5013, -5013,   474,
   -5013,   534, -5013, -5013,   -85, -5013, -5013,  1505, -5013, -5013,
   -5013, -5013,  3081,  2833,  2067,  2067,   227, -5013, 82982, 82982,
   -5013, -5013,   264,  2853, -5013,  2078, -5013, -5013, -5013, -5013,
   -5013, -5013,120645,  3247, -5013,  1592,  2496,    85,   272,  3204,
  117551,117996,  3108,  3108,  3104, -5013, -5013, 93566, -5013, -5013,
   43761, 61247, -5013,   -85,   105,  3117, -5013, -5013, -5013,  2007,
   -5013, -5013, -5013,   542, -5013, 16426, -5013,  2022,  2307, 93566,
   93566,  3285, -5013, -5013,  2302, -5013, -5013,  1590,  1590, 43761,
    1590,  1226,  1481, 40629, 44283,  3168,  3066,   202,  1242,  3170,
   -5013,  3072,   187,  1875, 88526, 93566,107174,  2989, -5013, -5013,
    2348,  2885,  1988, -5013, 74918,115736,115736,  3134, -5013, -5013,
    1293,   108,  3006,  3112,  2607,  1482,  2105,  2105, -5013, -5013,
    2894, -5013,  3226, 82982,  2940,119771, -5013, -5013, 93566, -5013,
   -5013, 91550, -5013, -5013, -5013,  2052,  2895, -5013,  2899, 93566,
   -5013,  3399,  2105,  2105, -5013, -5013,  2896, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, 22346,  2901, 93566, -5013,  2902,
    2903, -5013,116237, 61752,  1957,   -85,  2982,  2984,  3034, 66839,
    2904,  2986,  2991,  3036,  3145, -5013, -5013,  2996,  2998,112718,
   -5013, -5013,  1140, -5013, -5013, -5013,  1140, -5013,  2933, -5013,
    1715,  1068,  1163,  3001,   196,   859,  3292, -5013,  1530,  3052,
   -5013, -5013, -5013,  5714, 93566,  3234,  6501,  3119,   167,  3053,
   -5013, -5013,  3166,  3007,  3009,  3138,   167,  1182,113222, -5013,
   -5013, -5013, -5013, -5013, -5013,  6168, 36479, -5013,  3010,  2993,
    3026, 93566, 76430,  1935,  3137,  1673,  2089,   327,  3076, 93566,
    1117,  3143, 93566,  2953,  3031,  3044,  3246,  2971,  2408,  3341,
    2970, -5013, -5013,  3153,  3248,  3288,  6533,  3030,  3035, 70879,
    1331, 59695, 93566, 93566,  3327,  1798,  3059, -5013, -5013, -5013,
    1798, 93566,  3060,  3062, 93566,   167, -5013,  3384,   167,   167,
    1941,  3385,  3065,   378,  2061,  1345,  2970,  1674, -5013,  3068,
    3069,  1322, -5013,  3177, -5013, -5013,  1287,  3075, 88526,   192,
    2267,  2970,  3077,  3080,  2971,  2971, 93566, 93566, 93566, 93566,
   93566,   144,  3403,  3404,  3082,   198,  3123,  2995, -5013,  1798,
  122830,  3083, -5013,  1798, 93566,  3105,  2272,  2970,  1487, -5013,
    1771, -5013, -5013, -5013,  1307, -5013, 93566, -5013, 93566,  2402,
   72899,  3194,  3253, -5013,  3039, -5013,  2420,   167, -5013, 93566,
   93566,  2457,  3201,  1259,  1021, 72899,  3202,  3268, 93566,  3269,
    3091, -5013,  1018, 61752, -5013,  2639,  3027,  3446, 93566, 66839,
   -5013,  3458,  1140, -5013, 72899,  3225,  3345, -5013, 93566,  3245,
    3040, -5013,  3383,  3106, -5013, -5013,    26, 93566, -5013,  3353,
  123704,   808,  2496,  3089,123704,  3274, 93566, 93566, 93566, 93566,
   -5013, -5013,  3251,   699,   308, -5013,122830, -5013, 93566,  3263,
    1674,  3264,  3474,    35,  2169,107678,  3357, -5013,108182,  3061,
    3477, 72899,  3306, -5013, -5013,  3063,  2607, -5013,  2733, -5013,
    2120, -5013,  3191, -5013, 68354,   334, -5013, -5013, -5013, -5013,
   72899, 93566, -5013,  3070, -5013, -5013, 43761, -5013, -5013, -5013,
    2607, -5013, 72899,  2799,  2799, -5013, -5013,  3488,  3152,  3154,
    2607, -5013,  2607, -5013, 72899, -5013,  3078,  3084,  3188,  2607,
   -5013,  3155, -5013,  3158,  2607, -5013,  2054, -5013,108686, 68354,
     334,123704,123704,  3386,   242,  3392,  3139,  3393,  3141, 59695,
     334,   249, 93566, 93566,123704, 93566, 93566, 93566, -5013, 93566,
   -5013, -5013, -5013, -5013, 72899, 93566, 93566, 72899, -5013,123704,
  122830,  3398,  3400,   334, 93566, 93566, -5013, -5013, 17660,  1884,
   -5013, 12876, -5013, 16426,  2124,  3108, -5013,  1701, 93566,  1470,
    1612,125889, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   86510, -5013, 86510,   102, -5013, -5013, 86510, -5013, 86510,   102,
   -5013, 86510, -5013, -5013, -5013, 86510, 93566,  3602,  3095, -5013,
    1505, -5013, 93566,  2133, -5013, -5013,  2148,   956, 93566, 93566,
     518, 68354, 93566,  3290, 93566, 93566, 93566, 93566, 93566,  3171,
    2853,  1246, -5013,   212,   389, 88526,  3298, -5013, -5013, -5013,
   -5013, -5013,  2153,  2268,  1114, 93566,   921,  2249, -5013, -5013,
   81470, 79958,  3389,   230, 93566, -5013, -5013,  6043, 43761, 39063,
   -5013, -5013, 16426,  3142, 43761, 43761,  3109,  2607,  2607, -5013,
    2180, 43761, 43761, 43761,  2607,  2607,  7156, 43761, 59695, 43761,
   46893, 34910, 43761, 43761, 38541, -5013, 43761,  3313, 48459, 43761,
     272,  3314, 43761,   272,  7156,  3541,  3541,  1439,  1409,  7048,
    3120,   -85, -5013,  2607,   982,   226, 72899, 43761, 43761, 43761,
   43761, 66839,  3203,   160, 93566, 43761,  3122,  2266, -5013, 43761,
   -5013,  3125, 43761,  3181,   749, 43761, 43761, 43761, 43761, 43761,
   43761, 43761, 43761, 43761, -5013, 49475,   339, -5013,  3410,  3428,
     655,   870, 81974, 39585,  3420, -5013, 33864, -5013,   218, 86510,
   -5013, -5013,   -85,  3420, -5013, -5013, -5013, -5013, -5013,  2052,
    3126, -5013,  3144, -5013, -5013, -5013, -5013, -5013, 93566,  3247,
   -5013, -5013,  3205, -5013, -5013, -5013, -5013,   548, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013,  3129, -5013, -5013, -5013,
   -5013,  3129, -5013, -5013,  3108,  3133,  6194, -5013, -5013, -5013,
   -5013,  3412,  3413,   334, 22346, 93566,   194, 84998, -5013, 40107,
   -5013,  2161, -5013,  3140, -5013,  3394, -5013,  3136, -5013, 13126,
    3394, -5013, -5013, 47415,  3254,  3387,  3335, -5013, -5013, -5013,
    3146, 16426, 43761, 43761, -5013,  2160, 16426,  2164, -5013, -5013,
   -5013, -5013, -5013, -5013,  1139, -5013, 93566,  1291,  3168,  1242,
    3199,   848,  3561, 93566, -5013, 55586,  2035, -5013,  2348, -5013,
   -5013, 31705, -5013, 33361, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013,  3147, -5013, -5013, -5013, -5013, -5013,   167,
    3149,  3639, -5013,119771, -5013, -5013, -5013,  3602, -5013,  2527,
   -5013,  2527,  3668, -5013, 86510, -5013, -5013, -5013, -5013,  1253,
   -5013, 12876, -5013, 12876, -5013,  3337, -5013,  3554, -5013, 73909,
   -5013,  3156, -5013, 73404, 69869, -5013, -5013,  1022, -5013,   886,
    3235,  3236,  3287,123704, 93566, 93566, -5013, 66839,123704, 93566,
   93566, -5013,123704, 93566, 93566, -5013, -5013, -5013, -5013, -5013,
  118886,  1031, 79958,  3289, 77942, -5013, -5013,  3164, 93566,  3220,
    3414,  3415,   -11, -5013, -5013,109190, -5013,  3369,123704, 93566,
   93566, 43761,  3374, 93566, 93566, -5013,   199,  3252,  3256, -5013,
   93566,  3257, 68354,  3176, 93566, 93566, 72899,  3255,   706, 68354,
    3223, 60212, 93566, 93566, 93566, 93566,  3308,  3483, 72899, 93566,
    3430,   995, 88526,   141,  2293,  2970,  3390, -5013,  1373, -5013,
  123704, 93566,  3380, -5013, -5013, -5013, 78446,  3598,  3296, -5013,
   -5013,113726, -5013, -5013, -5013,  2175, -5013,123704,123704, 93566,
    6875, 93566,  1384, -5013, -5013, 72899, -5013, 93566, 93566, 93566,
    3432, 93566, 85502,109694,110198,  1537,  1589,  3433, 93566, 86006,
    3435, -5013,  3325, 93566, -5013, -5013, 67344,123704, 93566,  1134,
   66839, -5013, -5013, 93566, -5013,  3396,   818, -5013, 93566,  7983,
    3278,  3291, 93566,   243,  2389,  2970, 93566, 93566,  3206,  2178,
    3281,  3338, -5013,  3406,  1415, 93566,111710, -5013,123704,   931,
   -5013,  3359,123704, 93566, 10976, -5013, -5013,   167, -5013, -5013,
   -5013, -5013, -5013, 93566, 93566,   167, 93566,   167,  1697, -5013,
  123704, 93566, -5013, -5013, -5013, 93566,  6994, 93566, 93566, 93566,
   93566,123704, 93566, -5013, -5013,   913,  1533,   812,  1222,  3360,
   93566,  3494, 93566,110702,123704, 93566, 93566, 93566,  1864, -5013,
   -5013,  3340, -5013,123704,   931, -5013,  7395, 93566, 93566,  3301,
    3302,   241,  3376, -5013, -5013, -5013, -5013, -5013, -5013,  3476,
    3644,111206,  1617, -5013,  3480,  3484,  3295,  3303,  3486, 93566,
    1617, 93566, -5013, -5013, -5013, -5013,  3481, 93566,  1617,  3491,
    1617,  3441,   697, -5013, -5013,  1345, -5013,  2185, -5013,  3271,
   -5013, 43761, 72899, -5013,  2214, -5013,  3272,   699, -5013, -5013,
   66839, 93566,   702,  1024,  3571, 76934,  1451,  3562, 93566,  3311,
   93566,  3567,  1451, 93566, -5013,  1531, 79958, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013,  3569, -5013,  2496,  2639,
    2639,  2639,  2639, -5013, -5013, -5013, -5013,  3471,  2036, -5013,
    3276,  2639, 93566,  3395,  1451,  3280,  3591, -5013,  1674,  3592,
    3594, 93566, 76934,  2254,  3320,  3492,  3702,  2169,  2496,  3496,
    3485, -5013, 36988,  4236,  3487,  3531,121082, 91046, -5013,  3297,
    3575,  3576,  3595, -5013,  2402, -5013,  3714, -5013, 43761,  2221,
    3299,   146, -5013, -5013,  3310,  3084,  3321,  3322,  3309,  3324,
   -5013,  2607, 53046, 93566,  3326,  1631,  3525,  3330, -5013,  3623,
     334,  2420, -5013,  2775, -5013, 93566, -5013, 93566, 93566, 93566,
   93566,  2457, -5013, -5013,  3518,   334,  2775,  3521,   334,   334,
   -5013,  3577,  3524,   334,   146,  2775,  3450,  3632,121082, -5013,
     242, -5013, -5013, -5013, -5013, -5013, 43761, -5013, -5013, -5013,
    2169,  2120, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, 86510,  2527, -5013,  2226, -5013, 93566, -5013,
    3606,  3608,  3609,  3342,  3343,  3371, 93566,  3344, -5013,  3342,
     167,  3342,  2853,  2853,  3342,  3343,123267,  3768,  3629, -5013,
    3421,  3351,  3645,   139, -5013,   660,  1175,  3572, -5013, -5013,
   -5013, -5013, 72899, -5013, -5013, -5013, -5013, -5013,123704,  3391,
   93566, 93566, -5013,   259,  3546,  3354,123267,  3756,   334, -5013,
   68354, -5013, -5013, 72899,  3431,  3448, 68354,  3563,  3407, -5013,
   -5013, -5013, -5013, -5013, 72899, -5013,  3607, 93566,  2256, -5013,
    1942, -5013,  1953, 43761,   345, -5013, 14852,  2263, 43761,  3367,
    3368, -5013, -5013, -5013, -5013, -5013, -5013,  3370,  3664, -5013,
   -5013,  2275,  2282,  2306,  3372,  3373,  5898,  3375, 14889,  3377,
    3379, 46893, 46893, 38019,  2846, -5013, 46893,  3381,  3556,  2313,
   13757,  3378,  3397, 15145, 41151, 43761, 41151, 41151, 15187,  3378,
    3401,  2317, 66839,  3551, 15755,  2321, -5013, 43761, 66839,  6525,
   43761, -5013, 43761,  3402, -5013, -5013,  5452,  5452,  5452,  7156,
   -5013,  3405, -5013, 46893, 46893, -5013,  2587, 38019, -5013, -5013,
    3672, -5013, -5013,  1782, -5013,  3408, -5013, -5013,  3124, 59695,
   16398, 43761,   203, 43761,  3122, 43761,  3461,  5452,  5452,  5452,
     678,   678,   204,   204,   204,  1206,   870, -5013, -5013, -5013,
    3409,  3411,  3416,  3568,  3419, 43761, -5013,  2414,  2422, 93566,
   10565, 11312, 12311, -5013, -5013, -5013, 50505,  3429, 43761, 43761,
   43761,  3427, -5013,  2514, 16426,   659, -5013,  2580, -5013, -5013,
   -5013,  3429,  1240,  3668,  2052, -5013,  1307,  2607,   982,118441,
   -5013, -5013, -5013, 43761, -5013, -5013, -5013, -5013,  2302, -5013,
   -5013, -5013, -5013, -5013, 93566,  2268, 43761, -5013, -5013,   150,
    3436,   527,  3581,  2105,  2105,  2160,  3583, -5013, -5013,  3451,
   -5013, 43761, -5013,  2319,  2330, -5013, -5013, -5013, -5013,  2853,
   -5013,  3621, -5013, -5013, -5013, 50505,  3437,  3449, 54570,  3596,
   -5013, 93566, -5013, 93566,   273, -5013, -5013, -5013,  3417, -5013,
   -5013, -5013,  1772, -5013, -5013, -5013, -5013, -5013, -5013,  3418,
   -5013,  3426, -5013,  3423, -5013, -5013, -5013, -5013,   197,  3438,
    3434,  3439,  1616, -5013, 69869,  1965, -5013, 73404, -5013, 73404,
   -5013,  1965,  3798, -5013, 69869,  1759,123704, 93566, 93566, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013,123704,123704,  3597, 93566,  3604,  3605, 43761,   138,
   93566,  3442,  3454,  1468,  3687, 93566, -5013,  3739,   334, -5013,
   -5013,  3508, -5013, 16426, -5013, -5013, -5013, -5013, -5013,123704,
   93566, -5013,121082, -5013,  2402, 72899, -5013, -5013, -5013, 93566,
    3463, 93566, -5013, 93566, 93566, 93566,  2457, -5013, -5013, -5013,
   -5013,  1080, 72899, -5013, -5013, 93566, 93566,   606,  3511,  3513,
   93566, -5013,   746,  3177,  7500, 93566, 93566, 93566,  3697, -5013,
   -5013, -5013, -5013,  3647, -5013, -5013, 69869, -5013,  2775,  1217,
    3532,  2970, -5013,  3648, -5013,  1420, -5013,  3579, -5013, -5013,
   -5013, -5013,  3771,   334,  3775,   334, 93566, 93566, 93566, 93566,
    3593, -5013, -5013, -5013, -5013,  3599,  3694, -5013, 66839, 66839,
   66839,  2346, -5013, -5013,  2496, -5013, -5013, -5013, -5013, -5013,
   -5013,  3736, -5013,  2354, -5013,  1492, -5013, -5013, -5013, -5013,
   -5013, -5013,123704, 93566,  7911, 93566, 93566, 93566,  1983, -5013,
     640, 72899, -5013, 71384,123704, 93566, 93566,  3547,123704,  3526,
   -5013, -5013,  3707,  3649, -5013,  2155,  3651,123704,  3536, -5013,
   -5013,  3557, -5013, -5013,  3558,  2454,  2970,  1674, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013,  1225,   331,  2485,  2970,
    3559, -5013,  3560, -5013, -5013, -5013,  3708,  3709,  3710,  3565,
    3566,  3610,  3573,  3578,  3616, -5013,  3580,  3618,  3582,  3620,
    3586,   334, 72899,  3701,  2496,  3612,  3809,   334, -5013,  3587,
   -5013, -5013,  3911, -5013, 93566, -5013,  3588,  2529,  2970, -5013,
   -5013,123704, 93566, -5013, -5013, -5013,  1617, 72899, 93566,  3753,
   -5013, -5013, -5013,  1617,  1617, 93566, 93566,  1617,  3755, -5013,
    3761, 93566,  3762, -5013,  1617, -5013, -5013, -5013, -5013,  2760,
    3514, -5013,  2241, 57110,  7345,  3515, -5013, 66839, 57110,  2087,
    2476,   364,  1345,121082, 93566,121082, -5013,  1024,  3648, 93566,
   93566,  3516,  3522, -5013, -5013, -5013, -5013,123704,   721,123704,
    2607, -5013, -5013,  3585, -5013, 93566,  2169,   579,  3601,  3927,
    3071,   808,  3669,  1776,  3874,  3320, -5013, -5013, -5013, -5013,
   93566, 93566,   699,  2496, -5013,  3527,  3528, -5013, 93566, 93566,
   93566, 93566, 93566,  2268,  3529,  3533, 72899,    29,  3726,  3727,
    2971,  3952,  3847,  2268,  3320,  3617,  3848, 93566, -5013,  2360,
      98, -5013,  2496,121082, 70374,  3838, -5013,  3307, -5013, -5013,
    1011, 93566,  3824, -5013, 93566, -5013, -5013, 54062,   334, 72899,
    2364, -5013, -5013, -5013,  2607, -5013, -5013,  1437,  1437,  3544,
   -5013, 53554, -5013,  3549, -5013,  2121, -5013,  3935, -5013, 93566,
   -5013,   334,   242,  3615,   334,  3619,   334,   334, 93566, -5013,
   93566, -5013, -5013, 93566, 93566, -5013, -5013, 93566,122830,   334,
   -5013, 16426,  3849, -5013, -5013, -5013, -5013,  3676,  3679,  3680,
   93566,  3342, 68354, -5013,  3552,123704,  1334, -5013, -5013,  3745,
   -5013, -5013, 88526,  3675, -5013, -5013, -5013, -5013,  3873,  3877,
   -5013, -5013, -5013,   762, -5013, -5013, -5013,123704, 80966,   258,
  123704, -5013,  2402,  3812, -5013, -5013,  2420,   167, -5013,  3816,
   93566,  3817, -5013, -5013, -5013,  3574, 16082, 43761, -5013,  3887,
   72899, -5013,  7915, -5013, -5013, -5013, 43761, -5013, -5013, -5013,
   -5013, -5013, 43761, -5013, 43761,  3866, -5013, 35433,  4014,  4014,
    3584, 72899, 46893, 46893, 46893, 46893,  1873,  2828, 46893, 46893,
   46893, 46893, 46893, 46893, 46893, 46893, 46893, 47937,   600, -5013,
    3758, 43761, 43761,  3875,  3866, -5013, 72899,  3589,  3378,  3590,
    3600, 43761, -5013, -5013,  2365, 48967,  3603, 66839, -5013, 43761,
    7463,  2413,  3624, 15829,   -85,  8190,  2496, 43761,  2680,  3456,
   43761,  2427, 43761,  3872, -5013, -5013, -5013,  3613, -5013, -5013,
   72899, 43761,  3611,  4027, 46893, 46893,  4145, -5013,  4673, 43761,
   38019, -5013,  3769,  3622, 56094, -5013, 35956,  3625,  1170,  1170,
    1170,  1170, -5013, 93566, 93566, 93566, 51013,  3878, 49997, 92054,
    3626,  1926, -5013, 92054, 92558, -5013,  3614, -5013,  3627,   -85,
   43761,  3879,   692,   692,  3769, -5013, 43761, 43761, 41673,  3630,
   -5013,  3879, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013,  3631, -5013,  3633,
   -5013, -5013,    85,  3634, -5013, -5013, 13700,   197, -5013, -5013,
    3635, -5013,  3637, -5013,  3436,  1429, -5013, -5013, -5013,  3773,
   -5013, -5013, -5013, -5013,  3626, 42195,  3730, -5013,  2435, -5013,
   -5013,  3960,  3730, -5013, -5013,  2442, 55586,  3437, 40107,   -85,
    2607,  3636, -5013,  2527,  1240, -5013, -5013, -5013, -5013, -5013,
    2486,  1897, -5013, -5013, 69869, -5013,  3661, -5013, -5013, -5013,
    2775,  2775,  1294,  3342,  3893,  1294,  8489, -5013, -5013, 51521,
   93566, 93566, -5013, 93566,  2490,  1448, 93566, -5013, 93566, -5013,
   -5013, -5013, -5013,  4012, -5013, 93566, -5013, -5013,  3652,  3653,
   -5013, 93566, 93566, 93566, 93566,  3845, -5013, -5013,  2403, -5013,
   -5013,123704, 93566, -5013, -5013, -5013,   330,  2567,  2970, -5013,
    3682, -5013, -5013,  3862, -5013,  4004,  3692, 93566,  3638, -5013,
    1448,  1048,  2971,   614, -5013, -5013,  3681, -5013, 93566, -5013,
   93566, -5013, -5013, -5013, -5013, -5013, -5013, -5013,  3731, -5013,
   -5013, -5013, -5013, 67344, -5013, -5013, 93566, -5013, 66839, 57110,
   66839, -5013,  1263,   397,  2595,  2970, -5013,  3685, -5013,  3693,
    3695,  3741,  1192,   178,  3696,  3698,  3746,  3640,  3641,  3642,
   -5013, -5013,  3770, 93566,  2775,  3646,  3659,   177,  2496, -5013,
   -5013,  2496,  2775,  2496, 93566, 93566, 93566,  4031,  3729, 93566,
   93566, 93566, 93566, 93566, 93566,  3942,   149,  1975,123704, 93566,
   93566,123704, 93566, 93566, 93566, 93566, 93566, 93566, 93566, -5013,
    4028,  3958,  2144,  3999,  3720, 93566, -5013, 93566,  3177, 93566,
   93566, -5013, -5013, -5013,  3663,  3914,  1617, -5013, -5013,  3915,
    3916, -5013,  1617,  1617,  3918,  1617, -5013,  1018, 66839, -5013,
    2819, -5013,  3271,  3637,  2105,  2105, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013,  2277, -5013, -5013, 93566,  3671, 93566, 93566,
   46893, -5013,  1535,  1040, -5013,  3917, 93566,  3715, -5013, -5013,
   -5013,  3832, 93566, -5013, -5013, -5013, -5013, -5013,  3674, -5013,
    3939, 76934,  2775,123704,123704,  2775, -5013, 72899,  3683,  3320,
   -5013, -5013, -5013, -5013, -5013, -5013,123704,  3526,123704,   808,
    1825,104654,  3712, -5013,  3684,  3979, -5013,  3689,  3688, -5013,
   -5013, 93566,  3648,  2499,  1674,   729,  2159,  3391, 78950,  2254,
    3939, -5013, -5013, -5013,  4060,  3781, -5013,  2268, 93566,  3391,
    3781,  2496, 93566,  3220, -5013, 69869, 43761, 43761, -5013,  3699,
   -5013,  3686,  6178, -5013,  3764,  3713,  2639, -5013, -5013, -5013,
   -5013, -5013, -5013,  3765,  3700, 93566,  4140, -5013, -5013, -5013,
    3703, -5013,  3706, -5013, -5013, -5013,  2305, 22346, 53554, 53554,
   53554, 53554, 53554, -5013, -5013,   334, -5013, -5013, 93566, -5013,
   93566, -5013, -5013,   334,   334,   334,   334, -5013,  3818, -5013,
    2268, 93566, 93566, 93566,  3342, -5013,   167, -5013,  3986,123267,
   -5013, -5013,  2511, 93566, -5013, -5013, -5013,  4061,   230,  4007,
   -5013, -5013,  3966,  2197,  3967,  3968,  2197,  3972,  2197, -5013,
   43761, 16426, -5013,  3723, -5013, 16426,  8851, 16426,  3875, -5013,
    2515, 43761, -5013,  3328,  3328,  3328,  4096,  4017, -5013,  1010,
    3728,  3328,  3328,  3328,   186,   186,   152,   152,   152,  4014,
     600, 16426, 16426, -5013, -5013,  3725, -5013, -5013, -5013,  3378,
   -5013, 44805,  3880,  4125, -5013, -5013, -5013,  3766,  3774,  3732,
   -5013, 43761, 45327,  3735, 73909,  3912, -5013,  1549, 43761, 43761,
    4785, -5013,  9344, 43761, 72899,  2516,  4785,   355, 43761,  4223,
    4905, 43761, 43761,  4693,  8869,  3733, 43761,114230, -5013, -5013,
   -5013,  2521, 43761, 93566, 93566, 93566, 93566, -5013, -5013, -5013,
   92054, 92558,  3740, 52537,  1926,  3742, 93566, -5013, -5013,  3747,
   50505,  3978,  3929, -5013, 50505,  3929,  2077,  3929,  3996,  3837,
   56602, -5013, -5013,  3754,  3941, -5013, 33864,  1968, 16426,  4157,
    4041, 43761,  3760,  3763,  3767, 16426, 16426, 43761, -5013,  2496,
    4041,  1240,   232,  2496, -5013, -5013, -5013, 59695, -5013, -5013,
   -5013, -5013,  3959, 16426, 39585, -5013,  2268, 93566,   -85,   604,
   -5013,  3777, 93566, -5013,  3730, -5013, -5013, 12876, -5013, -5013,
   -5013, -5013,  3829,  2524, -5013, -5013, -5013, -5013, -5013,  3844,
   79958,  4062, -5013, 43761,  2530, -5013,  3804,  4153,   248,  2537,
    2546,  1448, -5013,  3715, -5013,  1568,  4039,   142, -5013,   334,
   -5013, 72899, -5013, 93566, 93566, -5013, -5013, -5013, -5013, 93566,
    2904, -5013, -5013, 93566, 93566, 93566, 93566, -5013,123704, 93566,
   -5013, 66839,  2476,  3976, -5013, -5013,  3977,   177, 93566, -5013,
   72899,   334,   334, -5013, -5013, -5013, -5013, -5013,  3788,  4176,
    3864, 93566, 93566, 93566, 93566,123704, 93566, 93566,  2607,  2607,
   72899,  3779, -5013,  2607,  2607,  3780, -5013,123704, 93566, 93566,
   -5013, -5013, -5013,  3876, -5013, 43761,  4171, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013,123704, 93566,  3881, -5013,  3884,
   -5013, -5013, -5013, 93566, 93566, 93566, 93566,  4104, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, 93566,
   -5013, -5013,  2496,  2496, 72899,   334,   334, -5013, -5013, -5013,
    4036,  1617, -5013,  1617,  1617, -5013, -5013,  1617, -5013,   211,
    2550, -5013,116674, -5013, -5013,  3032,  2496,  3032,  2016, -5013,
   -5013,  3032, -5013,  3032, -5013,  1448,  1690,  4086,  4089, 43761,
   -5013,  1435,  4096, -5013, -5013, -5013, -5013,  3715,  2169,  3852,
   68354,  1167, -5013,  4070,   702, 76934,  1787,  3801,  3919, -5013,
    2775,  2775,  3867, 93566,  4227,  2775,  3659, -5013,   739, 93566,
    4131,  3853, -5013,  2496, -5013, -5013,  3320, -5013, 93566, 76934,
    3391, -5013,  2565, -5013, -5013, -5013,  3850,  3727,  2254,  1423,
   93566, -5013,  3851,  4232, -5013, -5013,  4110,  4011,  3820, -5013,
   16426, 16426,  2496, 74414,  3307, 72899,  4119, -5013, 93566,   709,
    4085, 93566, -5013,   334, -5013, -5013,  3823,  1934,  1934, -5013,
   -5013, -5013, -5013,   334,   334, -5013, -5013, -5013, -5013, 93566,
    3342,  3342,  3342, -5013,  4016, -5013, -5013,  4076, -5013,   334,
  123267,  2197, -5013, -5013, -5013,  2197,  2197, -5013,  2197, -5013,
   16426, -5013, -5013, -5013, -5013,  8960, 46893,  4120, -5013,  3830,
   72899, -5013,  3831,  2589,  2590, 48459,  3982, -5013, -5013, -5013,
    9434,  3883, 16426,  3936,  3835,  3856,  4785,  4785,  9344,  2593,
   -5013,  4785, 43761, 43761,  4785,  4785, 43761, -5013, -5013,  9561,
    4013, -5013, -5013,  9643, -5013, -5013, -5013, -5013, -5013, -5013,
   67849, 92054,  3839, 93566,  1926, 50505, -5013, -5013,  1575, -5013,
   50505,  4094, -5013, 50505, 68354, -5013, 93566,  3858, 93566, -5013,
     659, 45849, 43761,  3885, -5013, -5013, -5013,  3769, -5013,  3885,
   -5013,  2105, -5013, -5013, -5013, -5013, -5013,  3860, 86510,   613,
   -5013, -5013,  4221, 51521,  4181,  3859, -5013, -5013, -5013, -5013,
   -5013,123267,  4054,123267,  1448, 10164,  3715, 51521, 60729, 93566,
   93062, 93062,  4015,  3715,  3852, -5013, -5013, -5013, -5013, -5013,
   -5013,  3870, -5013, -5013, -5013, -5013,  3953, -5013, -5013,   552,
    3298,  2619, -5013, -5013, -5013, -5013, -5013,  4028, -5013, -5013,
   57110,123704, 93566, -5013,  3954, -5013, -5013, -5013, -5013, -5013,
   52029, 59695, -5013,  1192,  3865,  3882,   178, -5013, -5013, -5013,
   93566, 10729,  3888,   905,  3298, 93566, 93566,  1847,  1520,  1728,
    3342,  4175, -5013, -5013, -5013,  4028, -5013, -5013,  1617, -5013,
   -5013, -5013, -5013, -5013,  1345,  4213, -5013, 66839, -5013,120208,
   -5013, -5013, -5013,  2496, -5013,  2496,  4081, 93566, 62762,  2496,
    2496, 68354,  4296,  4296, 93566, -5013, 10749,  4084, -5013,  3852,
    4106,  4152, -5013,  3889, 93566,  4046,  3890,  3892,   953,   953,
   93566, 93566, 93566,  2627,  2268, -5013,   808, 76934,  3648, -5013,
    1652,  3894,  4205, -5013,  4312,  3529,  3897, -5013, -5013, 78950,
    4087,  3781,  3727,  4029, -5013,  4030, -5013,  1706, -5013,  2268,
   93566, 93566, 51521, -5013, 73404, -5013,  2628, -5013, -5013, -5013,
    3969,  3429,  4006,  4008,  3903, 93566,   700, -5013,  3920, -5013,
   -5013, -5013, -5013, -5013, -5013, 93566, -5013,   258, -5013, -5013,
   -5013, -5013, -5013,  4504, 46893, 72899,  2633, 43761, -5013, 43761,
   -5013,  4305, -5013, -5013, -5013,   752, -5013, -5013, -5013,  4785,
    4785,  4785, -5013,  4308,  3769, -5013, -5013,  2634,  4327, -5013,
   93566,  2642, -5013, 43761,  3921, -5013, -5013, 50505,  1575,  3922,
    2646, 93566,  2650, 72899,  3923,  3926,   -17,  3928, 34387,  3913,
   -5013, -5013, -5013, -5013, -5013, 16426, 16426, 93566, -5013,  3930,
   -5013, -5013, -5013, -5013, -5013, -5013, 93566,  2654, -5013,    76,
   37497, -5013, -5013,  1334,  1294,   258,  4153,  3852, -5013,  3932,
   -5013, -5013, 93566, -5013,  1410,  1410, 93566,  3852, -5013, -5013,
   93566,  4000, -5013, -5013, 66839,  3971, -5013,  1038,  3298, 93566,
   72899,  2420,   126, -5013, 72899, 72899, -5013, -5013, -5013, 43761,
    4018, -5013, -5013, -5013, -5013, -5013, 93566, 93566, 93566, 93566,
   93566,   334, -5013,  3514,  2496, -5013, -5013,  2657, -5013, -5013,
   -5013, 93566,  3684, -5013,  3684, -5013, -5013,  4296,  1069, -5013,
   -5013, -5013,  1838,  4135, -5013,  1174,  4115,  4019,  3934, -5013,
   68354,  4382,  3939, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013,  2663,  3648,  4242,  3320,  3851, -5013, -5013, -5013, -5013,
   43761,  4099,  2268,  2254,  3939, -5013, -5013, -5013,  3781, -5013,
   -5013,  4328,  4130,  4331,  3391, -5013,  3220,  2685, -5013,  6178,
   74414, 72899,  4274,  3983,  3985, -5013, -5013,  4001, 93566, -5013,
   -5013,  2326,  4395,  3648, -5013,  4504,  2686, -5013,  2693,  2694,
    4107,  4005, -5013, 43761,  1256,  3614, 67849,  3961, -5013,  2697,
   -5013, 16426, 93566, -5013, -5013, 43761, -5013,  2700, -5013, -5013,
   43761,  3962, 43761, -5013, 45849,  3956, -5013,  4375, -5013, -5013,
    3429, 51521, -5013,  4080, -5013,  4259, -5013, 93062,  4009, 59695,
   -5013,  3436,  3436,  2169, -5013,  1448, -5013, 93566, -5013, 43761,
   -5013,  4058, -5013, -5013,  2701, -5013,  1284,  4127,  4273,  2709,
    2710, 11777, 93566,  3343,  1728,  3343, -5013,  3342, -5013, -5013,
   -5013, -5013,120208,  3684, -5013, -5013, -5013,  4300,  4243, -5013,
   -5013, -5013, -5013,   375, -5013,  4172,  4173, 93566, -5013,  3984,
   -5013,  2714,  4102, -5013, -5013, 93566,  4394,  4397, -5013, 12081,
   68354,  3851,  3727,  2254,  2476, -5013,  4178, -5013,  4180, -5013,
    3992,  3320,  3307, -5013, -5013,   267,  4276,  4277, -5013, -5013,
   -5013, -5013, -5013, 93566, -5013, -5013, -5013, -5013, -5013, -5013,
    3378, 42717, 42717,  3993, -5013, -5013, 93566, -5013,  2715,  2724,
   -5013,  2727, 45849,  2728, -5013, 93566,  3995, -5013, -5013, 55586,
  123267,  1410,  4002, -5013,  3998, -5013, -5013,  4106,  1448,  3298,
   16426, 93566, 68354,  4402, -5013, -5013, -5013,  4127, -5013, -5013,
   -5013,  3298, 93566, -5013,  4126, -5013,   651,   651,  4341, -5013,
    4063, -5013, -5013,  4023, -5013,  4451, 93566, -5013,  1192,  2268,
   -5013,  4010, -5013,  3781,  3727, -5013, -5013, 51521,  3781, -5013,
   -5013, -5013,  2740, 68354, 68354, -5013, 46371,  4138,   185, 14570,
   -5013, -5013, -5013, -5013,  2736, -5013,  4156, -5013,  2742, -5013,
   -5013, -5013,  1276,   258,  3436, 43761,  1448, -5013,  4115, -5013,
    3298,  2420, 93566, -5013, -5013, -5013,  3853, -5013,  4438, -5013,
    1047, -5013, -5013, -5013, -5013,  3648,  3779,  3851, 66334, -5013,
    3781,  2749,  3429, -5013,  2769, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013,  4022,  4025,  4432, -5013, -5013, -5013, -5013, -5013,
   -5013,  4026, -5013, -5013, -5013, -5013, -5013, 12341, -5013, -5013,
   -5013, -5013,  4325, -5013, -5013, -5013, -5013, -5013,  2756, -5013,
   -5013, -5013, -5013, -5013, -5013,  3320, -5013,  1882, -5013, -5013,
    1904,  2314,  4093,  4309, 43239, 43761, -5013,  1448,  4188, -5013,
   66334,  3781, -5013,  2769,  4134,  4137, -5013, 13036, 68354, -5013,
    3429, -5013,  4072,  4073, -5013,  4035, -5013,  4330,  4332, 66334,
   68354, 68354,  2759, -5013, -5013, -5013
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2488,     0,     2,     1,  2917,  2921,  2925,  2926,  2843,  2927,
    2928,  2893,  2894,  2895,  2896,  2897,  2898,  2899,  2900,  2901,
    2902,  2903,  2904,  2906,  2905,  2907,  2908,  2909,  2910,  2911,
    2912,  2913,  2914,  2916,  2915,  2865,  2495,  2862,  2859,  2860,
    2861,  2866,  2864,  2857,  2858,  2071,  2930,  2918,  2931,  2919,
    2920,  2922,  2923,  2892,  2924,  2932,  2933,  2934,  2929,  2937,
    2888,  2889,  2887,  2890,  2891,  2935,  2936,  2879,  2880,  2881,
    2882,  2938,  2496,  2497,  2884,  2489,  2493,  2555,  2626,  2885,
    2886,  2883,  2494,  2878,  2626,     0,  2747,  2748,  2749,     0,
    2750,  2751,  2752,  2678,  2640,  2753,     0,     0,  2754,  2755,
    2756,  2757,  2758,  2759,  2760,  2761,     0,  2762,  2763,  2764,
    2765,  2625,  2766,  2767,  2768,  2769,  2602,  2608,  2731,     0,
    2582,  2583,  2579,  2581,  2580,  2584,  2567,  1286,   580,  1370,
    1369,     0,  2390,  1286,  2345,  2346,  2391,  2347,  2348,  2349,
     269,     0,  1372,  2350,  2392,     0,  1286,  2393,   402,  1031,
    2394,  2395,  2510,     0,  2351,  2352,     0,     0,     0,   580,
    1286,     0,     0,  2353,  1498,  2354,     0,  2355,  2396,  2397,
       0,  2356,  2357,  2398,     0,  2399,  2358,  2359,  2360,  2400,
    2401,  2402,  2361,  2403,  2404,     0,     0,  1512,     0,  2362,
    2405,  2363,  2364,     0,  2406,  2365,  2366,  2367,  2407,  2408,
    2368,  2369,  2370,     0,  2371,     0,     0,     0,     0,     0,
       0,  2409,  1286,  2372,     0,     0,  1519,     0,  2373,     0,
    2410,  2374,     0,  2375,     0,  2411,  2376,  2377,  2378,  2379,
    1512,  2727,  2603,     0,  1374,     0,  2380,  2412,     0,  2381,
    2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,     0,     0,
       0,    62,    63,    25,    24,    30,    29,    87,    88,    48,
      15,    76,    55,   122,   121,   123,    36,    32,    70,    21,
      23,    33,    37,    57,    49,   100,    56,    19,    54,    81,
      58,    84,    43,     9,    10,    44,    74,    11,    45,    75,
      12,    46,    13,    96,    64,    89,    28,    53,    18,    80,
      60,    86,    61,     3,    39,    72,    68,     8,    50,    51,
      52,    77,    78,    79,   105,    83,   117,    35,   114,    93,
      94,   111,    95,   112,     6,    97,    47,    14,   108,   107,
     109,    71,    40,    73,    59,    85,   106,    22,   110,    16,
      17,   113,    82,   103,    99,   118,   116,   124,   101,    65,
       4,     5,    90,    20,    42,     7,    27,    26,    41,    34,
     120,    31,  1372,    92,   104,    91,    98,    69,   102,   119,
      67,   115,  1483,  1470,  1521,  1482,  1497,     0,  1486,  2822,
    2823,    38,  1498,   126,   127,   132,  2492,  2544,  2545,  2546,
    2626,  2577,  2578,  2571,  2587,  2597,  2586,  2590,  2598,  2585,
    2604,     0,   129,   131,   133,   136,   130,   125,   128,   135,
     140,   134,   139,   137,   138,   141,   142,   143,  2824,  1729,
    2821,    66,  2562,  2561,     0,  2626,     0,  2854,  2086,  2087,
    2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,
    2098,  2099,  2100,  2101,  2102,  2103,  2104,  2105,  2106,  2107,
    2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,  2117,
    2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,  2127,
    2128,  2129,  2078,  2130,  2131,  2132,  2133,  2134,  2135,  2136,
    2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,
    2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,
    2157,  2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,
    2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,
    2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,
    2187,  2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,
    2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,
    2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,
    2217,  2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,
    2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,  2236,
    2237,  2238,  2239,  2240,  2241,  2244,  2242,  2243,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,
    2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,  2079,  2285,
    2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2510,  2311,  2312,  2313,  2314,
    2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,
    2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,
    2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,
    2528,  2076,  2077,  2083,  2084,  2085,  2503,  2524,  2530,  2850,
    2529,  2082,  2677,     0,     0,  2770,  2771,  2772,  2773,  2774,
    2775,  2825,  2826,  2827,  2828,  2829,  2831,  2830,  2639,  2797,
    2834,  2638,  2835,  2642,  2836,  2837,  2838,  2839,  2798,  2840,
    2641,  2832,  2794,  2643,  2636,  2637,  2795,  2745,  2746,  2049,
    2796,  2793,  2833,  2531,  2792,  2647,  2646,  1460,  2849,  2048,
    1461,     0,  2649,  2776,  2777,  2778,  2779,  2781,  2780,  2782,
    2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,
    2423,  2424,  2807,  2425,  2426,  2427,  2820,  2428,  2429,  2808,
    2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,
    2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
    2450,  2451,  2452,  2453,  2809,  2810,  2454,  2455,  2456,  2457,
    2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,
    2811,  2478,  2479,  2812,  2480,  2481,  2482,  2813,  2483,  2484,
    2485,  2486,  2487,  2817,  2818,  2819,  2806,  2600,  2783,  2805,
    2816,  2814,  2815,  2610,  2606,  2614,  2609,     0,     0,     0,
       0,  2626,  1285,  1284,  1270,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2500,     0,  1296,   373,
     372,  1371,  1352,   580,     0,  1273,   401,     0,     0,     0,
       0,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   192,     0,     0,
     425,   424,     0,     0,     0,  1003,   430,     0,     0,     0,
       0,     0,   568,  2509,  2504,  2514,     0,  2507,  2508,  2792,
       0,  2941,  2242,  2540,  2541,  2939,  2296,  1462,   270,   273,
     274,   271,   272,     0,  1113,  1114,  1116,     0,     0,  1126,
     830,   831,     0,     0,     0,   833,     0,     0,     0,   827,
       0,     0,     0,     0,     0,     0,   832,   824,     0,   823,
       0,     0,  1126,     0,     0,     0,   825,     0,     0,  1274,
       0,  2592,  2593,  2178,  1411,   431,     0,     0,  1498,     0,
    1389,  1390,  1372,  1379,  1391,  1384,  1386,  1385,  1387,  1383,
    1388,  2087,   941,  2101,   941,  2168,   938,   939,   941,   941,
     941,  2259,     0,     0,   913,     0,   924,  2072,   941,  2073,
    2850,   946,   486,   486,   486,     0,   945,   950,   486,     0,
    1267,  1305,  2053,  1511,     0,  2101,  2168,   914,  1266,  2311,
    1403,     0,     0,  1141,  1137,  1139,  1140,  1138,     0,     0,
       0,  2275,  1278,   254,  2790,  2284,  2376,  2311,  2791,   253,
     248,   249,  2785,  2786,  2788,   222,  2789,  2787,  2784,  2091,
       0,     0,   945,     0,  1275,  1276,   899,  1518,  1516,     0,
    2035,     0,     0,  2109,     0,  2122,  2203,   245,  2270,  2276,
    2284,  2376,  2311,  2342,   201,   211,   206,     0,   263,  2284,
    2376,  2311,     0,  1296,     0,  1487,  1618,  2044,     0,     0,
    2601,  1269,  1268,  1373,     0,  1376,     0,  1579,  2255,  1491,
    1494,  1378,  1492,  1483,     0,     0,  2491,  1367,  1515,  1515,
       0,  1515,     0,  1475,  1483,  1478,  1482,     0,     0,     0,
       0,  1286,     0,  2569,  2597,  2576,  2632,  2573,     0,     0,
    2622,  2618,  2615,  2623,  2624,  2617,  2605,  1718,  1719,  1720,
    1717,  1730,  1716,     0,  2550,  1721,  2589,  2556,     0,  2564,
    2563,  2867,  2868,  2679,  2502,  2521,     0,     0,     0,     0,
       0,     0,     0,  2648,  2650,  2652,  2612,  2611,  2607,     0,
       0,     0,     0,  2737,  2738,  2736,     0,  2733,  2735,     0,
    2632,     0,  2801,  2795,  2804,     0,  2054,  2796,  2793,  2792,
       0,   840,     0,  1308,   990,     0,     0,     0,     0,  2048,
       0,     0,     0,     0,     0,  2076,     0,  2177,     0,     0,
       0,  1943,  1954,  1955,  1956,  2113,  2163,  1951,  1952,  1953,
    1945,  1946,  1947,  1948,  1949,  1950,     0,  1111,  1944,     0,
    2177,     0,   170,     0,   148,     0,     0,  2177,     0,     0,
       0,     0,     0,  2177,     0,     0,     0,     0,     0,   170,
    2208,     0,   148,  2177,     0,     0,     0,  1290,     0,     0,
       0,  1292,  1295,  1271,  1355,     0,  2044,     0,     0,   876,
     868,     0,   877,   869,     0,     0,   879,     0,     0,   871,
       0,     0,     0,     0,   880,     0,   870,   872,   882,   873,
     878,     0,     0,     0,     0,   874,     0,     0,  1282,   486,
     379,     0,     0,     0,     0,     0,   148,  1340,     0,  2177,
     148,     0,     0,   429,   428,   148,   427,   426,  2113,  2163,
       0,  1030,     0,   148,  2177,     0,   194,   651,   583,     0,
       0,   752,  2208,   148,     0,     0,     0,     0,     0,     0,
    1006,     0,     0,     0,   567,   580,     0,  2513,  2519,     0,
    2511,  2680,  2942,  2940,  2635,     0,  1117,   246,   247,  1115,
    2177,     0,   347,     0,     0,  2177,  1327,  1676,  1705,  1683,
    1705,  1705,  1672,  1672,  2147,  1685,  2177,  1673,  1674,  1712,
       0,  1705,  1672,  1677,     0,  1675,  1715,  1715,  1700,   347,
     844,  1657,  1658,  1659,  1660,  1686,  1687,  1661,  1692,  1693,
    1707,  1662,  1729,  2802,  1672,  2803,  2800,  2799,   829,     0,
     828,  2177,     0,  2177,  2080,   185,     0,   826,  2113,  2163,
    2177,     0,     0,  2177,     0,  2177,   177,  2177,     0,  2177,
     347,  2177,   584,     0,     0,  2177,     0,  2177,   347,  2177,
    2208,   179,     0,  2177,   347,   838,     0,     0,  2872,  2876,
       0,  2874,  2869,  2591,  2645,  2644,  2543,     0,  2953,     0,
    1462,  1381,  1396,     0,  1392,  1399,  1395,  1498,   941,   940,
       0,   941,     0,  2963,   941,     0,   941,     0,  2963,   941,
       0,     0,     0,   941,  2074,  2075,     0,     0,  2962,  2958,
    2961,   915,   925,     0,   947,     0,     0,   954,   953,   952,
       0,     0,     0,   955,     0,  1622,  1434,     0,   922,     0,
     920,     0,  1264,  1281,     0,     0,     0,     0,  1006,  1144,
       0,  1142,  1133,  1134,  1277,   252,   250,     0,     0,     0,
       0,     0,     0,  1283,     0,     0,     0,     0,  2856,  2060,
    1957,  2855,     0,  2346,  2347,  2348,  2016,     0,  2797,  2349,
    2350,  2392,  1859,  1846,  1855,  1860,  1847,  1849,  1856,  2351,
    2352,  2353,  2354,  2067,  2355,  2356,  2357,  2359,  2360,  2361,
    1851,  1853,  2362,  2363,     0,  2068,  2365,  2366,  2227,  2368,
    2369,  2371,  2372,  1857,  2374,  2375,  2376,  2377,  2378,  2379,
    2066,     0,  1858,  2380,  2382,  2383,  2384,  2385,  2386,  2387,
    2388,  2389,     0,     0,     0,  2041,     0,  1826,     0,  1665,
    1666,  1688,  1689,  1667,  1694,  1695,  1668,     0,  2040,  1732,
    1908,  1825,  1842,     0,  1831,  1832,     0,  1824,  1820,  1501,
    2036,     0,  1821,  2056,  2017,  2070,  2069,  2850,  2025,  2059,
    2057,  2058,  1501,  2034,     0,     0,     0,   214,     0,     0,
    2726,   265,     0,   266,  2042,  2284,   202,   244,   216,   243,
     217,   215,     0,  2111,   203,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,   259,  1272,     0,  1620,  1619,
       0,     0,  2023,  2045,   849,     0,  1365,  1366,  1364,     0,
    1361,  1363,  1375,  1372,  2030,  2029,  2031,     0,  1493,     0,
       0,     0,  1473,  1472,  1378,  1513,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,  1569,  1529,  1530,  1532,  1566,
    1570,  1578,     0,  1479,     0,     0,  1624,     0,  1580,  2490,
    2632,  2633,     0,  2627,     0,  2626,  2626,  2620,  2619,  2616,
       0,     0,     0,     0,     0,     0,     0,     0,  2547,   562,
    2549,   559,     0,     0,  2523,     0,  2527,  2525,     0,  2672,
    2675,     0,  2673,  2674,  2676,     0,  2681,  2682,     0,     0,
    2863,     0,     0,     0,  2663,  2651,  2658,  2660,  2662,  2661,
    2670,  2666,  2669,  2671,  2613,  2626,  2744,     0,  2739,  2742,
       0,  2734,     0,     0,     0,  2055,     0,     0,     0,     0,
     841,     0,     0,     0,     0,  1316,  1317,  1318,     0,     0,
    1319,  1320,  1308,   256,  1326,  1324,  1307,  1309,  1322,  1314,
       0,     0,     0,     0,     0,     0,     0,  1332,     0,     0,
     183,   184,   595,   580,     0,  2177,     0,     0,     0,     0,
    1070,  1077,     0,     0,     0,     0,     0,     0,     0,  1071,
    1069,  1072,   258,  1081,  1097,  1100,     0,   980,     0,     0,
       0,     0,     0,  1196,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     279,   291,   342,     0,     0,  2177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   146,   147,   152,
       0,     0,     0,     0,     0,     0,   546,   558,     0,     0,
       0,     0,     0,   555,     0,   148,   283,   539,   543,     0,
       0,     0,   660,   659,  1330,  1329,     0,     0,     0,  1196,
       0,   275,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   365,   366,     0,
       0,     0,   152,     0,     0,     0,     0,   285,     0,  2557,
       0,  1291,  1288,  1289,     0,  1294,     0,  1351,     0,     0,
       0,     0,     0,   884,     0,   881,     0,     0,   875,  2113,
    2163,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     404,   378,     0,     0,   749,     0,     0,     0,     0,     0,
     760,     0,  1308,  1339,     0,     0,     0,   589,     0,  2177,
       0,   150,   794,     0,   750,   430,     0,     0,   150,     0,
       0,   188,     0,   655,     0,     0,     0,     0,     0,     0,
     698,   697,     0,     0,     0,   751,     0,   150,     0,  2177,
     542,  2177,     0,   486,   486,     0,     0,  1005,  1008,     0,
       0,     0,     0,  2517,  2512,  2515,     0,  2505,  2519,  1465,
    1467,  1466,     0,  1464,     0,   347,   345,   346,   747,  1125,
       0,     0,  1704,  1691,  1699,  1698,     0,  1681,  1680,  1679,
       0,  1678,     0,  1705,  1705,  1703,  1682,  1657,     0,     0,
       0,  1711,     0,  1709,     0,   819,  1653,  1649,     0,     0,
    1697,  1718,  1717,  1716,     0,  1663,  1672,  1669,     0,     0,
     347,     0,     0,  2177,   347,  2177,     0,  2177,     0,     0,
     347,   347,     0,     0,     0,     0,     0,     0,   656,     0,
     837,   835,   834,   836,     0,     0,     0,     0,   817,     0,
       0,     0,  2177,   347,     0,     0,   816,  2870,     0,     0,
    2873,     0,  2594,  1967,     0,  2959,  1408,  2956,     0,     0,
    1498,     0,   233,   234,   232,  1397,   235,  1398,  1394,  1380,
       0,   933,     0,  2963,  2964,   918,     0,   928,     0,  2963,
     916,     0,   929,   926,   927,     0,     0,     0,  2957,  2841,
    2847,   932,     0,     0,   487,   489,     0,     0,  2133,  2146,
       0,  2169,  2196,  2197,  2276,  2280,     0,  2306,  2316,     0,
     956,   985,   951,   669,     0,     0,  1444,   923,   921,  1265,
    1401,  1974,     0,  1498,     0,     0,     0,     0,   251,   223,
       0,     0,     0,   987,  2275,  1280,   898,   580,     0,     0,
    1829,  1830,  2015,     0,     0,     0,     0,     0,     0,  1828,
    1982,     0,     0,     0,     0,     0,  1755,     0,     0,     0,
    1995,     0,  2001,     0,     0,  1792,     0,     0,     0,     0,
       0,     0,     0,     0,  1756,  1736,  1737,  2798,  1826,  1967,
       0,  1827,  2063,     0,  1729,  1957,     0,  1954,  1955,  1956,
       0,     0,     0,  2028,     0,  1965,     0,     0,  1770,  1963,
    1772,     0,     0,     0,     0,  1951,  1952,  1953,  1945,  1946,
    1947,  1948,  1949,  1950,  1961,  1752,     0,  2039,     0,  1910,
       0,  1751,     0,     0,  1582,  1500,     0,  2061,  2018,     0,
    2848,  2851,  1822,  1582,  2723,  2722,  2721,  2720,  2691,     0,
    2685,  2686,     0,  2724,  2725,   267,   268,   264,     0,     0,
     219,   218,     0,   241,   242,   213,   240,     0,   236,   237,
     221,  1899,  1898,   220,   212,   209,   207,   224,   226,   227,
     210,   208,   262,   260,     0,     0,     0,  2020,  2019,  2051,
    2024,     0,     0,   347,  2626,  1359,     0,  1356,  2033,     0,
    1495,     0,  2046,     0,  1368,  1490,  1489,  1522,  1523,  1023,
    1488,  1549,  1550,     0,     0,     0,     0,  1575,  1573,  1540,
    1533,  1539,     0,     0,  1537,     0,  1541,  1732,  1568,  1477,
    1527,  1528,  1531,  1476,     0,  1571,     0,  1447,  1569,  1532,
    1431,     0,  1413,     0,  1625,     0,     0,  2634,  2632,  2572,
    1657,  2626,  2565,  2626,  2621,  2553,  1723,  1724,  1725,  1726,
    1727,  1728,  2554,     0,  2551,  1722,  2552,   560,   561,     0,
       0,     0,  2520,     0,  2501,  2526,  2657,  2292,  2689,     0,
    2690,     0,     0,  2654,     0,  2664,  2667,  2665,  2668,     0,
    1657,  2844,  2740,  2844,  1657,  1045,  1047,     0,  1046,     0,
    1049,     0,  1058,     0,     0,  1044,  1063,     0,  1052,  1050,
       0,     0,     0,     0,     0,     0,   842,     0,     0,     0,
       0,  1315,     0,     0,  2306,   255,  1318,  1323,  1310,  1321,
       0,     0,     0,     0,     0,   989,   988,     0,     0,  1010,
       0,     0,     0,  1335,   475,     0,   344,     0,     0,     0,
       0,     0,     0,     0,     0,   745,   742,     0,     0,   741,
       0,   593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   630,     0,  1196,     0,   663,     0,  1079,     0,  1078,
       0,     0,     0,  1080,  1075,  1076,  2276,  2284,  2311,   257,
    1099,     0,  1098,  1096,  1033,     0,  1034,     0,     0,     0,
       0,     0,  2156,   293,   306,     0,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   329,     0,     0,   332,   331,     0,     0,     0,     0,
       0,   336,   315,     0,   316,     0,     0,   335,     0,     0,
       0,     0,     0,  1196,     0,   287,     0,     0,     0,     0,
       0,     0,  1112,     0,   687,     0,     0,   173,     0,   169,
     172,     0,     0,     0,     0,   545,   557,     0,   549,   550,
     547,   551,   552,     0,     0,     0,     0,     0,     0,   544,
       0,     0,   653,   652,   658,     0,     0,     0,     0,     0,
       0,     0,     0,  1146,  1145,     0,     0,     0,     0,     0,
       0,   784,     0,     0,     0,     0,     0,     0,     0,   176,
     672,     0,   671,     0,   174,   175,     0,     0,     0,     0,
       0,     0,     0,   231,  1287,  1293,  1354,  2052,  1353,     0,
       0,     0,     0,   883,     0,     0,     0,     0,     0,     0,
       0,     0,   885,   886,   887,   888,     0,     0,     0,     0,
       0,     0,     0,   381,   382,   148,   380,     0,   773,  2799,
     748,     0,     0,   761,     0,   763,   766,     0,  1306,   448,
       0,     0,   586,   630,     0,   433,   181,     0,     0,     0,
       0,   689,   145,   192,   194,   431,     0,   193,   195,   197,
     198,   199,   196,   200,   650,   654,     0,   582,     0,     0,
       0,     0,     0,   699,   703,   702,   706,   704,     0,   700,
       0,     0,  1645,     0,   168,     0,     0,   537,   541,     0,
    2498,     0,   433,   517,   358,  2177,     0,   486,     0,  2177,
       0,  1007,     0,     0,     0,     0,     0,     0,  2518,     0,
       0,     0,     0,  1463,     0,  1103,     0,  1328,     0,     0,
       0,   347,  1702,  1701,  1654,  1650,     0,     0,     0,     0,
     845,     0,     0,     0,     0,     0,     0,     0,  1670,  2177,
     347,     0,  1101,   186,  2081,     0,   821,     0,     0,     0,
       0,     0,  1105,   813,     0,   347,   178,     0,   347,   347,
     585,     0,     0,   347,   347,   180,     0,     0,     0,   577,
     347,   839,  2871,  2877,  2875,  1410,     0,  2960,  2954,  2955,
     486,  1467,  1382,  1393,   930,   937,   919,   936,   935,   917,
     934,   931,  2656,     0,     0,  2846,     0,   948,     0,   485,
       0,     0,     0,   962,   963,     0,     0,   961,   978,   964,
       0,   966,   958,   957,   967,   968,     0,     0,   987,   667,
       0,     0,     0,     0,  1441,     0,  1439,     0,  1623,  1443,
    1432,  1402,     0,  1400,  1405,  1407,  1406,  1404,     0,   530,
       0,     0,  1143,     0,     0,   945,     0,     0,   347,  1279,
       0,   900,   901,     0,     0,     0,     0,     0,     0,   907,
     904,   905,   906,   908,     0,   909,     0,     0,     0,  1978,
       0,  1979,     0,     0,  2014,  2010,     0,     0,     0,     0,
       0,  1986,  1987,  1988,  1985,  1989,  1984,     0,     0,  1990,
    1983,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2372,     0,     0,     0,     0,  1795,     0,     0,  1938,     0,
    1967,  2000,     0,     0,     0,     0,     0,     0,  1967,  2006,
       0,     0,     0,     0,  1897,     0,  1894,     0,     0,     0,
       0,  2025,     0,     0,  2064,  1733,  1747,  1748,  1749,  1753,
    2038,     0,  2027,     0,     0,  1734,  1761,     0,  2007,  1788,
       0,  1793,  1776,     0,  1769,     0,  1774,  1778,  1757,     0,
    1754,     0,  2028,  1966,     0,  1964,     0,  1744,  1745,  1746,
    1738,  1739,  1740,  1741,  1742,  1743,  1750,  1942,  1940,  1941,
       0,     0,     0,  1918,     0,     0,  1773,  2171,  2203,     0,
    1512,  1512,  1512,  1499,  1510,  2037,     0,  1640,     0,     0,
       0,     0,  1834,     0,  1971,  1521,  1969,  2054,  2853,  2852,
    2026,  1640,     0,     0,     0,  2043,     0,     0,  1729,     0,
     261,  1621,  2021,     0,   847,   848,   846,  1657,  1378,  1362,
    1358,  1357,  2032,  1377,     0,  1498,     0,  1021,  1022,     0,
    1026,  2372,  2273,     0,     0,     0,     0,  1542,  1576,     0,
    1567,     0,  1543,  2056,  2057,  1544,  1547,  1548,  1538,  1577,
    1445,     0,  1572,  1481,  1480,     0,  1643,     0,     0,  1423,
    1415,     0,  1626,     0,  1582,  1449,  1451,  1452,     0,  2025,
    2570,  2628,  2575,  2596,  2566,  2599,  1731,  2548,  2588,     0,
    2522,  2692,  2693,     0,  2683,  2684,  2653,  2659,  2730,     0,
    2845,     0,     0,  1048,     0,  1672,  1059,     0,  1043,     0,
    1042,  1672,     0,  1060,     0,  1672,     0,     0,     0,  1224,
    1148,  1200,   843,  1225,  1149,  1201,  1226,  1150,  1325,  1313,
    1312,  1311,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   724,  2177,   347,  1333,
    1227,     0,  1151,   343,  1334,  1202,  1338,   744,   743,     0,
       0,  1203,     0,   594,     0,     0,   599,   600,   601,     0,
       0,     0,   602,     0,  2113,  2163,     0,   607,   614,   619,
     609,     0,     0,   621,   615,     0,     0,     0,     0,     0,
       0,   627,   629,     0,     0,     0,     0,     0,     0,  1073,
    1074,  1228,  1154,     0,  1204,  1032,     0,  1155,   182,     0,
       0,   280,   294,   636,   724,  1198,   313,     0,   328,   323,
     324,   322,  2177,   347,  2177,   347,     0,     0,     0,     0,
       0,   325,   320,   321,   317,     0,     0,   330,  2090,  2148,
    2285,     0,   640,   642,     0,   647,   333,  1171,   354,   353,
     352,     0,   337,     0,   359,   362,   334,   311,   314,   312,
     308,   292,     0,     0,     0,     0,     0,     0,     0,  2050,
       0,     0,  1107,     0,     0,     0,     0,     0,     0,   681,
     171,  1186,     0,     0,   157,     0,     0,     0,     0,   151,
     161,     0,  1234,  1161,     0,     0,   284,   540,   548,   553,
    1165,   556,  1214,   554,  1240,  1162,     0,  1196,     0,   276,
       0,  1163,     0,  1208,  1236,  1188,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1341,     0,     0,     0,     0,
       0,   347,     0,     0,     0,  1198,  2177,   347,  1235,     0,
    1193,  1222,     0,   367,     0,  1187,     0,     0,   286,  1167,
    1216,     0,     0,   229,   228,   230,     0,     0,  2146,     0,
     890,   852,   889,     0,     0,     0,     0,     0,     0,   860,
       0,     0,     0,   851,     0,   850,   403,   376,   377,   379,
     386,   772,     0,     0,     0,     0,   762,     0,     0,     0,
    1331,     0,   148,     0,     0,     0,   588,   629,   636,     0,
       0,     0,   432,   436,   440,   441,   442,     0,     0,     0,
       0,   162,   149,     0,   802,     0,   486,     0,   685,     0,
     194,   187,     0,     0,     0,   358,   759,   757,   756,   758,
       0,     0,     0,   777,   755,     0,  1644,  1646,     0,     0,
       0,     0,     0,     0,   435,     0,   489,     0,     0,   521,
       0,     0,     0,     0,   358,     0,     0,     0,  1037,     0,
    1055,  1038,     0,     0,     0,     0,  1085,  1092,  1086,  1065,
       0,     0,   565,  2516,  2510,  1468,  1469,     0,   347,     0,
       0,  1671,  1684,   820,     0,  1714,  1713,  1715,  1715,     0,
    1655,     0,  2943,  2951,  2950,     0,  1706,  1707,  1664,     0,
     631,   347,   347,     0,   347,     0,   347,   347,     0,   678,
       0,  1262,   657,     0,     0,   732,   818,     0,     0,   347,
     815,  1968,     0,  2655,  2842,   949,   488,     0,     0,     0,
       0,   960,     0,   563,   965,     0,   977,   972,   974,     0,
     981,   666,     0,     0,  1442,  1435,  1437,  1436,     0,     0,
    1433,  1975,   814,     0,   536,  1135,  1136,     0,     0,   347,
       0,   982,     0,     0,   902,   903,     0,     0,   910,     0,
       0,     0,  1517,  1976,  1977,     0,     0,     0,  2011,     0,
       0,  1872,     0,  1848,  1850,  1862,     0,  1873,  1833,  1874,
    1852,  1854,     0,  1958,     0,     0,  1863,     0,  1797,  1798,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1813,  1812,  1864,
    1937,     0,     0,  1998,  1999,  1865,     0,     0,  2005,     0,
       0,     0,  1870,  1875,     0,     0,     0,     0,  1881,     0,
    1902,     0,     0,     0,  1823,  1968,     0,     0,     0,     0,
       0,     0,     0,     0,  1794,  1777,  1771,     0,  1775,  1779,
       0,     0,     0,  1765,     0,     0,  1763,  1789,  1759,     0,
       0,  1790,     0,     0,     0,  1841,     0,     0,  1512,  1512,
    1512,  1512,  1509,     0,     0,     0,     0,  2273,     0,  1604,
    1581,  1583,  1591,  1604,  1609,  1843,  1638,  1844,     0,  2044,
       0,  1552,  1521,  1521,  1521,  1840,     0,     0,     0,     0,
    1520,  1552,  2705,  2707,  2708,  2709,  2710,  2711,  2713,  2714,
    2716,  2717,  2718,  2706,  2712,  2715,  2719,  2696,  2697,     0,
    2687,  2688,   205,     0,   238,   225,     0,  2730,  1360,  2047,
       0,  1524,     0,  1959,  1026,     0,  1526,  1545,  1546,     0,
    1536,  1574,  1534,  1446,  1430,     0,  1428,  1417,     0,  1418,
    2025,     0,  1428,  1414,  1457,     0,     0,  1643,     0,  1456,
       0,  2630,  2558,     0,     0,  2729,  2732,  2743,  2741,  2568,
       0,  1672,  1040,  1041,     0,  1064,     0,  1223,  1147,  1199,
     992,   993,     0,   991,     0,     0,     0,   474,  1009,     0,
       0,     0,   724,     0,     0,   478,     0,  1336,     0,  1241,
    1185,   596,   597,     0,   608,     0,   617,   616,     0,     0,
     604,     0,     0,     0,     0,     0,   603,   623,   569,   624,
     626,     0,     0,   625,   628,   633,  1196,     0,   664,  1173,
       0,  1220,  1067,     0,  1035,     0,     0,     0,     0,   448,
     307,     0,     0,     0,   295,   305,     0,   339,     0,   310,
       0,   303,   326,   318,   327,   319,   338,   340,     0,   644,
     645,   643,   639,     0,   646,   648,     0,   356,     0,     0,
       0,  1230,     0,  1196,     0,   288,  1169,     0,  1218,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,  1205,     0,     0,   686,     0,   683,     0,     0,   154,
     153,     0,   160,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   368,
     349,     0,   780,     0,     0,     0,   370,     0,     0,     0,
       0,  1229,  1156,   853,     0,     0,     0,   854,   865,     0,
       0,   855,     0,     0,     0,     0,   867,     0,     0,   375,
     383,   774,     0,  2227,  1945,  1946,   770,   775,   767,   769,
     768,   771,   724,     0,   764,   765,     0,     0,     0,     0,
       0,   460,     0,     0,   454,     0,     0,  1092,   447,   450,
     451,     0,     0,   589,   592,   590,   591,   622,     0,   467,
     513,     0,   164,     0,     0,   165,   163,     0,     0,   358,
     690,   694,   692,   691,   693,   688,     0,   681,     0,   190,
     431,     0,     0,   581,   705,   708,   701,     0,   776,   778,
     753,     0,   636,     0,   542,     0,  1411,   530,     0,   517,
     513,   515,   514,   516,     0,   523,   357,     0,     0,   530,
     523,     0,     0,  1010,  1036,     0,     0,     0,  1082,  1087,
    1083,     0,     0,  1051,     0,  1084,     0,  1066,  1029,  1257,
    1258,  1255,  1256,     0,     0,     0,  2533,  1459,  2542,  1104,
       0,  1690,     0,  1710,  1708,  1651,     0,  2626,     0,     0,
       0,     0,     0,  1656,  1696,   347,  1102,   822,     0,   809,
       0,   811,  1106,   347,   347,   347,   347,   673,     0,   578,
       0,     0,     0,     0,   959,   979,     0,   975,     0,     0,
     942,   984,     0,     0,  1440,  1438,   528,     0,   987,     0,
     943,   986,     0,     0,     0,     0,     0,     0,     0,  1980,
       0,  2013,  2009,     0,  1845,  1981,     0,  1993,  1992,  1938,
       0,     0,  1796,  1808,  1809,  1810,  1994,     0,  1818,     0,
       0,  1805,  1806,  1807,  1799,  1800,  1801,  1802,  1803,  1804,
    1811,  2003,  2002,  1996,  1997,     0,  1867,  1868,  1869,  2004,
    1876,     0,  2104,  1903,  1880,  1896,  1895,     0,     0,     0,
    1883,     0,     0,  1892,     0,  1939,  2065,  1735,     0,     0,
    1762,  2008,  1780,     0,     0,     0,  1758,  1958,     0,     0,
       0,     0,     0,  1767,     0,     0,     0,  1921,  1916,  1917,
    1935,     0,     0,     0,     0,     0,     0,  1503,  1502,  1508,
    1604,  1609,     0,  1483,     0,  1591,     0,  1603,  1589,  1602,
       0,     0,  1615,  1613,     0,  1615,     0,  1615,     0,  1585,
       0,  1605,  1587,  1602,     0,  1630,     0,  2045,  1639,     0,
    1565,     0,     0,     0,     0,  1972,  1973,     0,  1970,  1835,
    1565,     0,     0,     0,  2022,  2728,  1496,     0,  1525,  1024,
    1025,  1535,     0,  1641,     0,  1429,     0,     0,  1420,  1426,
    1412,     0,     0,  1450,  1428,  1453,  2574,     0,  2629,  2694,
    2695,  1061,     0,     0,  1053,   998,   999,   997,  1000,     0,
       0,     0,   724,     0,     0,   494,     0,  1017,  1017,     0,
       0,   480,   526,  1092,   727,     0,     0,     0,   725,   347,
    1152,     0,   618,     0,     0,   613,   611,   610,   612,     0,
     570,  1239,  1153,     0,     0,     0,     0,  1068,     0,     0,
    1172,     0,   445,     0,   300,  1197,     0,     0,     0,   299,
       0,   347,   347,   341,   641,   355,   360,   361,   364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   803,   786,     0,     0,   804,   805,     0,     0,     0,
    1109,  1110,  1108,     0,  1159,     0,     0,   677,   158,   155,
     156,   159,  1183,  1166,  1215,     0,     0,     0,  1164,     0,
    1209,  1179,  1175,     0,     0,     0,     0,     0,  1238,  1192,
    1213,  1237,  1190,  1211,  1189,  1210,  1191,  1212,  1184,     0,
    1648,   783,     0,     0,     0,   347,   347,   675,  1168,  1217,
       0,     0,   856,     0,     0,   858,   859,     0,   862,   406,
       0,   409,   416,   387,   392,  1340,     0,  1340,     0,   389,
     393,  1340,   388,  1340,   385,   746,     0,     0,   723,     0,
     452,     0,   458,   462,   463,   461,   453,  1092,   486,   525,
       0,     0,   736,     0,   587,   433,   464,     0,     0,   437,
     167,   166,     0,     0,     0,   684,   683,   194,     0,     0,
     710,   714,   754,     0,  1647,   670,   358,   538,     0,   433,
     530,  2499,     0,   438,   443,   444,     0,   521,   517,     0,
       0,   527,  1304,     0,   531,   533,     0,     0,     0,  1039,
    1056,  1057,     0,     0,  1092,     0,     0,  1091,     0,     0,
     572,     0,  2506,   347,  1652,  2944,     0,  2945,  2946,  2947,
    2948,  2949,   632,   347,   347,   679,  1263,  1132,   733,     0,
     971,   970,   969,   564,     0,   973,   668,     0,   529,   347,
       0,     0,   912,   893,   911,     0,     0,   892,     0,   891,
    2012,  1861,  1871,  1991,  1937,  1968,     0,     0,  1819,     0,
       0,  1866,  2381,     0,     0,     0,     0,  1900,  1901,  1882,
       0,  2218,  1887,     0,     0,     0,  1786,  1784,  1781,     0,
    1782,  1766,     0,     0,  1764,  1760,     0,  1791,  1907,     0,
    1923,  1920,  1934,  1968,  1507,  1506,  1505,  1504,  1590,  1588,
       0,  1593,  1600,     0,  1584,     0,  1614,  1610,     0,  1611,
       0,     0,  1612,     0,     0,  1586,     0,  1600,     0,  1637,
    1521,     0,     0,  1912,  1838,  1839,  1836,  1521,  2062,  1912,
    2698,     0,  2701,  2699,  2700,  2704,   239,     0,     0,  2959,
    1416,  1419,     0,     0,     0,     0,  1458,  1448,  2631,  1054,
    1062,     0,     0,     0,   476,     0,  1092,     0,     0,     0,
    1020,  1020,     0,  1092,   525,   729,   728,   731,   726,   730,
    1337,     0,   605,   606,   620,  1174,     0,  1221,  1181,     0,
    1444,     0,   637,   296,   297,   298,   301,   349,   309,   302,
       0,     0,     0,  1170,     0,  1219,  1177,  1232,  1157,  1206,
       0,     0,   792,     0,     0,     0,     0,  1233,  1158,  1207,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
    1346,     0,   348,   782,   781,   349,   369,  1194,     0,   857,
     863,   864,   861,   407,   148,     0,   384,     0,   414,     0,
     412,   411,   413,     0,   400,     0,     0,     0,     0,     0,
       0,     0,  1123,  1123,     0,   724,     0,     0,   449,   525,
     493,     0,   455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   676,   189,   433,   636,   709,
       0,     0,     0,   779,     0,   435,     0,  1409,   434,     0,
       0,   523,   521,     0,   518,     0,   522,     0,  1297,     0,
       0,     0,     0,  1088,     0,  1094,     0,  1050,  1027,  1089,
       0,  1640,     0,     0,     0,     0,   576,  2532,  2536,  1124,
    2952,   810,   812,   674,   976,     0,   983,   347,   894,   895,
     896,   897,  1939,  1814,     0,     0,     0,     0,  1877,     0,
    1878,  1905,  1904,  1884,  1888,     0,  1885,  1886,  1783,  1787,
    1785,  1768,  1909,     0,  1521,  1936,  1633,     0,  1636,  1592,
       0,     0,  1594,     0,     0,  1596,  1598,     0,     0,     0,
       0,     0,     0,  2048,     0,  2129,  2357,  2272,     0,  1551,
    1553,  1556,  1558,  1557,  1559,  1555,  1564,     0,  1485,     0,
    1484,  2703,  2702,  1960,  1642,  1427,     0,     0,  1011,     0,
       0,  1455,  1454,   977,     0,   347,  1017,   525,   495,  2227,
     496,  1016,     0,  1018,  1023,  1023,     0,   525,   724,   598,
       0,     0,   281,   635,     0,   351,   363,     0,  1444,     0,
       0,     0,   799,   787,     0,     0,   806,  1160,   680,     0,
       0,   277,  1180,  1176,  1348,  1349,     0,     0,     0,     0,
       0,   347,   866,   386,     0,   410,   419,     0,   417,   390,
     395,     0,   399,   397,   396,   391,   394,  1123,     0,  1120,
    1119,   722,     0,   484,   456,     0,   504,     0,     0,   737,
       0,     0,   513,   473,   472,   469,   468,   470,   471,   466,
     465,     0,   636,   796,   358,  1304,   649,   711,   712,   707,
       0,     0,     0,   517,   513,   439,   448,   422,   523,   519,
     520,     0,     0,     0,   530,  1350,  1010,     0,  1093,     0,
       0,     0,     0,     0,     0,  1127,   571,     0,     0,   575,
     566,     0,  2534,   636,   944,  1815,     0,  1816,     0,     0,
       0,  1890,  1889,     0,  1926,  1638,     0,     0,  1632,     0,
    1601,  1617,     0,  1597,  1595,     0,  1606,     0,  1608,  1835,
       0,     0,     0,  1560,     0,  1911,  1913,     0,  1837,  1425,
    1640,     0,  1422,     0,   994,     0,   995,  1020,   499,     0,
    1019,  1026,  1026,   486,   724,   477,  1182,     0,   638,     0,
     304,     0,   289,  1178,     0,   790,     0,   801,   799,     0,
       0,     0,     0,  1342,     0,  1343,  1344,  1347,   371,   374,
     405,   415,     0,   398,  1118,  1122,  1121,     0,     0,   457,
     490,   491,   492,     0,   459,   500,   501,     0,   734,     0,
     739,     0,     0,   512,   661,     0,     0,     0,  1298,     0,
       0,  1304,   521,   517,   446,   420,     0,  1301,     0,   532,
       0,   358,  1092,  1095,  1090,  1261,     0,     0,   574,   573,
    2537,  2539,  2538,     0,   665,  1817,  1893,  1879,  1906,  1891,
    1922,     0,     0,     0,  1631,  1634,     0,  1599,     0,     0,
    1607,     0,     0,     0,  1554,     0,     0,  1424,  1012,     0,
       0,  1023,     0,   724,     0,  1014,  1013,   493,   479,  1444,
     350,     0,     0,     0,   797,   800,   788,   801,   808,   807,
     682,  1444,     0,   418,     0,   483,     0,     0,     0,   502,
       0,   503,   524,     0,   738,     0,     0,   795,     0,     0,
     713,     0,  1299,   523,   521,  1302,  1303,     0,   523,  1028,
    1260,  1259,  1498,     0,     0,  2535,  2345,     0,  2318,     0,
    1924,  1927,  1925,  1919,     0,  1616,  1629,  1562,     0,  1561,
    1914,  1915,  1640,   347,  1026,     0,   481,   497,   504,   282,
    1444,     0,     0,   789,   278,  1345,   714,   509,     0,   508,
       0,   506,   505,   735,   740,   636,   785,  1304,   717,   423,
     523,     0,  1640,  1243,  1498,  1242,  1244,  1252,  1249,  1251,
    1250,  1248,  1130,  1131,     0,  1931,  1930,  1929,  1933,  1932,
    1635,     0,  1627,  1563,  1421,   996,  1015,     0,   724,   290,
     791,   798,     0,   507,   511,   510,   662,  1300,     0,   715,
     718,   721,   719,   720,   421,   358,  1001,     0,  1253,  1247,
    1483,  1470,     0,     0,     0,     0,   498,   482,     0,   695,
       0,   523,  1245,  1498,     0,     0,  1928,     0,     0,   716,
    1640,  1246,     0,     0,  1628,     0,  1002,     0,     0,   717,
       0,     0,     0,  1128,  1129,   696
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5013, -5013,  4185, -5013, -1253,   236,  2577, -1752, -5013, -5013,
   -5013,  1094, -5013, -5013, -5013, -5013, -5013, -5013, -5013,  3329,
   -5013, -5013,  1747, -2749, -5013, -5013,   -34,  3294, -1690,   -43,
    2865,  1383, -5013, -1483, -5013, -5013,  -916,    17, -5013,  3300,
     395, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -1166,
    1898,  1193,  6673, -2899, -5013, -5013, -1796, -3499, -5013,   536,
   -5013, -5013,  1834, -5013, -5013, -5013,  1037,   452,  -578, -5013,
   -5013, -5013, -5013, -5013, -5013, -5013,  -360, -5013, -5013,  -730,
     209,  -105, -2741,  -395, -5013, -5013,   420,  -396, -1708, -5013,
   -3861, -5013,   -47, -5013, -5013, -5013,  -374, -1819,  1297, -5013,
   -1018, -1514,  1639,  -799, -5013,  -247, -5013,  -857,  -713,  -711,
    -802, -4051, -4056, -4500, -4092, -3700,  1314, -5013, -4047,   220,
     401, -5013,   245,   352, -5013,   414, -1148, -1828, -5013, -1138,
   -5013, -5013, -5013, -3266, -5013, -5013, -5013, -5013,   -54, -5013,
   -5013, -5013, -5013,   458, -5013, -5013, -5013, -5013, -5013, -5013,
   -2986,  1819,  1821, -5013, -5013, -3498, -5013, -1220, -5013,   592,
   -3291,  1228, -5013, -5013, -5013,  2575, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -1960, -5013, -5013, -5013, -5013,
   -5013,   439,   -37, -5013, -5013, -5013, -5013,   369, -5013,  1835,
    1039, -5013, -5013, -5013,  -842,  -933,  -915, -5013, -3275, -5013,
   -5013, -5013, -5013,  -325, -5013, -5013, -5013, -5013, -5013, -5013,
   -1294, -5013,  1093, -3418, -5013, -5013,  1099, -5013, -5013, -5013,
   -5013, -5013,  -786,  -259,  2604, -5013,  -651,  -758, -5013, -5013,
   -5013,  -255, -5013, -5013, -5013, -5013, -5013, -5013, -1422,  9465,
   -1386,  -832, -5013, -5013, -5013, -5013, -2567, -5013, -5013, -5013,
   -3918, -5013,  4481,    23,  -784,   382, -5013,  -206,  -103,  3128,
   -1506, -2955,   372,  -441, -5013, -2204, -5013, -5013, -5013, -2854,
   -5013, -5013, -5013, -5013, -3805,   409, -5013,  3115, -5013, -4061,
   -4756, -3832, -4298, -4638, -4565, -3813, -5013, -5013, -1419, -5013,
   -5013, -5013, -1844,  2140, -2267, -5013, -2448,   440,  1392, -1293,
   -3072, -4058, -1041, -3546, -5013, -5013, -4013,  -553, -5013, -5013,
   -5013, -5013, -5013, -5013, -5013, -1444,  -918, -5013, -5013,  3716,
   -5013, -4629, -5013,  3690, -5013, -5013, -5013, -5013,  2412,  2415,
   -5013,  2417, -5013, -5013, -1818,  1180, -5013, -5013, -5013, -5013,
   -5013,  -773,  -876, -5013, -5013, -5013,   418, -5013, -5013, -5013,
   -5013,  1971, -1252, -1023,  3570,   430, -4412, -5013, -5013,  -685,
   -5013,  2834, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
   -2132, -5013, -5013, -4632, -5013, -5013, -5013, -5013, -5013,  2260,
    2262,   -72,  -229, -5013, -5013, -1613, -5013,  -847, -5013,  2491,
   -5013, -5013, -5013, -5013,  1489,   448,   475,   -68, -5013, -5013,
   -5013,   228, -5013, -5013, -3716,   -63, -5013, -5013, -5013, -5013,
   -4655, -5013,   -58,  -703,   761, -5013, -5013, -3096, -5013,   457,
     -77,  3198,  1749,   -71,   867,  -246,  -235,  -230,   -66,   -52,
    2960, -5013,  3021, -5013,  -212,  2138, -5013, -5013, -1149,  -339,
   -5013,  1499,  -953,  2237,  2951,  2954, -5013,  1488,  2269, -2263,
   -2262, -5013,   833,  -677,  -558, -5013, -5013, -5013, -5013,   268,
    -934,  2251, -5013,  2958, -5013, -5013, -5013, -2186,  1493, -3691,
     863, -3683, -3657,   313,   301, -1135,  -349,  -168, -1075,  2966,
   -5013, -5013,   875,  -524, -5013, -5013,  -522, -3110,   798, -5013,
   -4597, -2614,  3987, -1962, -1381, -5013, -5013, -1332, 14645, -5013,
   -5013, -5013, 23594, 25163, -5013, -5013, 25486, 25857, -5013, -1207,
    1079, 26799,  8096, -1343, -1327, -1607, 24083,  -297,  2012, -2602,
   -5013, -3830, -2391, -5013, -5013, -5013,  -308,   940,   130, -5013,
   -5013, -5013, -5013,   -88, -5013,  -645, -5013,  -643, -5013, -5013,
   -5013,  -628, -5012,  2396, -5013, -5013, -5013,  -877, -5013, 26868,
    1546, -5013,  -991, -3013, -3022, -3639, -2147, -5013, -5013, -5013,
   -5013, -5013, -5013, -5013, -2269, -3561,  -428,  1624, -5013, -5013,
    1717, -5013, -5013, -5013, -1655, -1185, -2924,  1627, -2307, -5013,
   -1147, -5013, -1064,  2400, -1091, 13254, -1691, 19585,  -111, -2630,
   -1634, -1946, -5013,  3209, -5013,  3215,  -157,  -769,  4715,  -922,
    -955,  7027,  4362,  5351, -3409, -5013, -5013,   461, -5013, -5013,
   -5013,  4112,  1121, -5013,  3422, -5013,  1892,  2672, -5013, -5013,
    2273,  -989,    33, -5013,  -601, -5013,  -125, -5013, -5013, -5013,
     171, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,
    2999, -5013, -5013, -1551, -5013, -5013, -5013, -5013, -5013,  4387,
    -389, -5013,  3782,  -379, -5013, -5013, -5013, -5013, -5013, -5013,
   -5013, -5013, -5013,  3012,  2301, -5013,  3628, -5013, -5013, -5013,
      -8,  3229, -5013, -5013, -5013, -1276,  -617,  3650,  3654,  2274,
   -5013, -5013, -5013, -5013, -5013, -5013, -5013, -5013,  2281, -5013,
   -5013,  1602, -2276,  2276, -5013, -5013,   843, -5013, -5013,   346,
   -5013,   852, -5013,  3113, -5013, -5013, -5013,   892, -5013, -5013,
   -5013,  -583, 16462,  1086,   -61,   927,   293, -5013,  9659, 23965,
     -89,  3028,   -46, 13453, 22402,   795, -5013,  4376,  2278,  1839,
   -1066, -5013,  2888,  2576, 20540, -5013, -1057,    21,  1430, -5013,
      -2,  -700, -1263,  3319,  -772, -2122, -5013,  4805, -5013, -3449,
   -5013, -1106,   -39,  3778, -1299
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1939,  2816,  2699,  3581,  3582,   252,
     253,  1935,   254,   255,   256,   257,   258,   259,   260,  1873,
     261,   262,  1365,  2061,  2827,   263,  2555,  1115,  1116,  1117,
    2406,  2407,  2764,  2408,  2395,  1698,  2206,  1892,  1080,  1081,
    1854,  1893,   265,   266,  1692,  2387,   267,   268,   269,  1920,
    1921,  1867,  2108,  4610,  5300,  3422,  2677,  3621,  3423,  3424,
     270,  1987,  1988,   271,   272,  3549,  2032,  2795,  4139,  4140,
    4644,   907,  2792,  4944,  4945,  4630,  4631,  4951,  5167,  5168,
    2828,  2056,  3615,  4219,  3572,  4692,  3573,  4693,  3574,  4694,
    3560,  4168,  4169,  4170,  3575,  4666,  5199,  3576,  2574,  5329,
    2863,  2236,  2234,  5186,  4494,  4495,  5403,  5334,  5335,  5336,
    5491,  4668,  3619,  4225,  4701,  4972,  3316,  2082,  3724,  1010,
    2866,   939,  1011,  2829,   277,  2857,  2858,  1958,  2707,  4146,
    3704,   278,  1385,  3997,  5026,  5239,  5240,   279,   895,   280,
    2065,   281,   282,  2812,  3566,   283,  2591,  3333,   284,   285,
    3361,  3362,  3363,   286,   287,  4019,  4891,  1922,  3411,  3412,
    3413,  3414,  4044,   288,  2063,  1963,  2836,   289,   290,   291,
     292,   293,  2991,  2992,   294,  2751,   295,   296,   297,   298,
     299,  4076,  4577,  4197,  3449,  3588,  4195,  2830,  2073,  2848,
    2849,  4681,  4990,  5209,  4992,  5538,  5539,  4965,  3975,  4508,
     301,   302,  4661,  4662,  5341,   303,  2589,   304,   305,   306,
    2040,  2804,  2805,  4147,  2034,  2797,  2798,  4207,  4208,   307,
    3504,   308,  4561,  4562,   940,  5346,  5307,  5416,   309,   310,
    4565,  4566,   311,   312,   313,   314,   315,   998,  1484,  1485,
    1840,  1429,   316,  2423,   317,  1337,  3531,   318,  1576,  3037,
    4753,   319,  1034,  1509,  1510,  2831,   321,  1045,  3015,  1047,
    2249,  3706,  3707,  4300,  2977,  1242,   322,   323,  2988,  3018,
     324,  1860,  2565,  2566,  4489,  2832,   941,  2088,  2870,  3311,
    5107,  5108,  4870,  5124,  3210,  3916,   326,   942,  1897,  2635,
    2873,  3629,  2532,  2533,  2534,  4242,  2535,  3631,  2536,  1834,
    2537,  3637,  3638,  3639,  4238,  4245,  4248,  5015,  5016,   327,
    1895,  2633,   328,   329,   330,  1930,  1266,   331,   964,   965,
     332,  5179,   333,  1404,   334,  5024,   335,   336,  1069,  1070,
    1560,  1561,   337,   338,  2648,  4026,   339,   340,   341,  5505,
    5547,  5548,  5549,  4253,  5452,   342,  5507,  1552,   344,   345,
     346,   898,  1301,  1302,  1303,  2833,  5008,   348,   349,  1855,
    1856,  1857,  1858,  2560,   350,   351,   352,   353,   354,   355,
    2044,   356,   357,  5156,   358,   359,  2007,   360,  1729,  1730,
     361,   362,   902,  1135,  1733,  1741,   363,  1013,  1503,  1504,
    1505,  2208,   364,  1556,  3003,  1014,  1498,  1015,  2471,  3239,
    3928,  3929,  3932,  4854,  4465,  1016,  3236,   368,  2256,  2997,
    3000,  3232,  1017,  3244,  3245,  3246,  3247,  3248,  3935,  1018,
    1036,  1395,  2882,  1019,  1647,   373,   374,   375,  1145,  1139,
    1140,   377,  2364,  3163,  1054,  1747,  1099,  1100,  1152,  3880,
    2437,  2438,  2462,  2463,  1756,  1757,  2450,  2454,  2455,  3222,
    3216,  2443,  4440,  5089,  5090,  5091,  5092,  5093,  5094,  4833,
    2458,  2459,  1759,  1760,  1761,  2467,   378,  3167,  3860,  3861,
    3862,  4417,  4418,  4432,  4428,  4817,  5075,  3863,  1546,  1767,
    4825,  5522,  3864,  5066,  5067,  5258,  4435,  3871,  3926,  3605,
    3606,  3607,  2538,  2137,  1431,  1648,  1432,  2147,  1649,  2121,
    1434,  1650,  1651,  1652,  1437,  1653,  1654,  1655,  1440,  2113,
    2140,  1656,  1657,  2131,  1184,  1185,  2193,  3074,  1659,  1660,
    1661,  3866,  1662,  4373,  4784,  4773,  3095,  3096,  2403,  4369,
    3806,  2359,  3153,  5098,  5275,  5276,  3845,  4398,  4800,  5064,
    5383,  5460,  5461,  1663,  1664,  1665,  3150,  2354,  1268,  1666,
    4149,  2356,  3089,  3175,  3176,  2262,  2281,  3042,  3057,  3058,
    3069,  3765,  3077,  3082,  3793,  3794,  3090,  3119,  1667,  3044,
    3045,  3749,  2283,  1668,  1722,  1723,  2372,  3114,  1736,  1737,
    1137,  1682,  1669,  1670,  2250,  1126,  5071,   747,   730,  3438,
    2418,  1305,  1051,  1671,  1672,  1673,  1789,   690,  1454,  1455,
     692,   731,   732,  1222,   844,     2,    75,  1020,  3613,   382,
     383,   944,   945,   946,  1387,  1388,  2094,  2097,  1794,  2504,
     696,   697,   748,  4722,  5027,  5242,  1004,   384,   385,   386,
     387,  1790,  2500,  1186,    76,    84,    77,  1187,   424,   425,
    2481,   388,   861,   389,  1770,  1166,  3941,   390,   391,   392,
     393,   394,  1001,   395,  1168,   396,  1169,   397,   398,   399,
     400,  1176,   401,  1772,  1773,  4478,  1774,   402,   403,   734,
     735,  1496,   404,   405,  1203,  1204,  1528,  1529,  1800,  1815,
    1816,  1817,   406,   704,   407,   408,   409,  1806,  1807,   410,
    2380,  2381,  2509,  2382,   411,  3261,  3262,   412,  3897,  3898,
    4843,  3899,   413,  2376,   414,   415,  1129,  3946,   416,   857,
     417,  1217,   736,   737,   738,  1224,   847,  1085,   749,  1226,
    3415,   849,   850,   740,   741,   742,  2228,    78,  3269,  2229,
    1675,   750,  1676,  2370,  1677,  1678,  1679,  1680,  1681,  1823,
     744,  1193,  1488,  1489,  3270,  1491,    82,  1492,   421,  3665,
    2196,  1530,  2948,  2214,  2215
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1163,  1267,  1144,  1091,  1360,  1762,   371,  1397,  1038,
     366,  1164,   376,  1768,  1693,   367,  1715,  2160,  1128,   746,
     369,  2233,  2205,    79,  1537,  1538,  1539,   848,   955,   752,
    1543,  1038,   419,  2150,  2154,  1153,  1683,  2978,   419,  1992,
    1835,   943,  2573,  2127,   938,  1788,  1267,  1396,  2035,  2431,
    2005,  1201,  2636,  1724,  1506,   845,  1125,  3440,  2146,  1962,
    2766,  3729,  1466,  1461,   900,  2272,  2054,  1046,  2420,  2944,
    4177,  3881,   848,  1481,  3571,  3591,   420,  2075,  1060,   957,
    2117,  2118,   420,  2644,  2133,  3278,  3280,   701,  2654,  1707,
    2126,  4247,  1012,  2042,  4003,   264,  4203,  2047,   376,  3173,
     845,  4458,  2051,  3182,  1267,   997,  1244,  1092,  2105,  4020,
    2058,  1923,  1956,  1273,   420,  2145,  2853,  4039,  1971,  4041,
    2077,  2671,  3202,   896,  1291,  4230,  3501,   733,  1997,  2719,
    1957,  2434,  3041,  1147,  3710,  1205,  1818,  4496,  4705,  4497,
    4155,  1155,  2871,   848,  4150,  1820,  1156,  3934,  3874,  4150,
     949,  2729,  1355,  1397,  4659,  3872,  3873,  1363,  4532,   420,
    4491,  1501,  1478,  4697,   733,  2895,  1079,  4414,  1373,  4698,
    4691,   845,  4708,  2488,  2490,  2491,  1122,  3814,  2733,  2734,
    2420,  4431,  4704,  1114,  4714,   947,   954,  3181,  3584,  1035,
    3225,  4385,  1700,  3228,  2643,   954,  1142,  5001,  2629,  1755,
    4871,  1894,  3950,  2114,  2115,  2546,  4429,  1088,  1796,  1797,
    1196,  1035,  4266,  3539,  2125,  1088,  4470,  1088,  1758,  2220,
    2936,  3543,  2195,  3545,  2482,  2482,  2190,  3945,  1490,  5080,
     420,  5082,  4353,  5125,  1251,  5132,   954,  2378,   427,  3771,
    1515,  1252,  1253,  1254,  1520,  1521,  1522,    43,   427,  1809,
    1391,   427,    45,  2226,  1533,   423,  5227,    37,    38,    39,
      40,  2740,    45,  2138,    44,  2421,  3277,  2117,  2118,  5151,
    1809,   906,  1297,  3771,  2074,  3112,  1218,  2106,  2567, -1705,
   -1705, -1705, -1705,  4236,  2133,  2126, -1705,   273,  3674,  2646,
    3676,  2326, -2055, -2055, -2055, -2055,  5158,  5159,   274, -2055,
     129,   130,  1554,   427,  3327,  1870,    37,    38,    39,    40,
     427,   371,    43,    44,   366,  2745,   376,    45,  3112,   367,
    2332,  2030,  1572,   275,   369,  3939,  2038,   427, -1943,  4878,
      37,    38,    39,    40,  5180, -1943,    43,    44,  1578,  1810,
    2646,    45,  1861, -1705,   419, -2802, -2802, -2802, -2802,  2727,
    2334,  2569, -2802,  2579,  3714,  5306, -2803, -2803, -2803, -2803,
   -2802, -2802,  4221, -2803,  1298,  2861,  2254,  2207,  1697,  2570,
    5450, -2803, -2803,  2106,  1157,  1526,  4004,  1526,  4594,   419,
    2106,  2114,  2115, -1705, -1705, -1705, -1705,  2070,   420,  2106,
   -1705,  2646,  2197,  3523,  4869,  3342,  5271,  5282,  4757,   264,
    4759,  2819,  1686,  -408,  2021,  1299,  2125,  2071,  1133,  1871,
     858,  1751,   859,  5516,  4563,  2489,  1752, -2216, -2800, -2800,
   -2800, -2800,  -840,   420,  2989, -2800,  1751,  1726,  1684,  1727,
     276,  2401,  2655, -2800, -2800, -2799, -2799, -2799, -2799,  1720,
    1541,  3147, -2799,  1721,  5514,  1267,  1862,   300,  3148,  -148,
   -2799, -2799,  2385,  1158,  1002,  2005,  1300, -1962,  -148,  1192,
     320,  3314,  2321,  -148, -1962,  2106, -1715, -1715, -1715, -1715,
    3017,  2402,  1220, -1715, -1715, -1715, -1715, -1715,  2646,  2646,
    1753, -1715,  1164,  5302,  5267,  2993,  3912,   325,  4089,  2368,
    4874,     3,  2422,  3727,  1685,  1753,   343, -2395, -2395, -2395,
   -2395,  2571,  5218,   897, -2395,  2990,  2194,  3166,   347,  2292,
    2820,  1181, -2395, -2395,  4564,  3315,  2386,  2850,  3252,  1754,
    1542, -1700, -1700, -1700, -1700,  1130,   365,  1397, -1700, -1672,
   -1672, -1672, -1672,  4595,  2107,   370, -1672,  5451,  1839,   381,
    2161,  1240,  5566,  5517,   943,  2646,  5283,  2973,  5324,  3747,
    1397,  2979,   958,  2981,  3715,  2670,  2984,  2072,  3268,  5291,
    5292,  2862,  3272,  2365,  3865,  5426,  2183,  2396, -1685, -1685,
   -1685, -1685,  2409,  2409,  1527, -1685,  2365,  2778,  1199,  1200,
    4171,  4004,  1799,  1802,  3328, -1700, -1712, -1712, -1712, -1712,
    3365,   273,  1863, -1712,  1555,  3113,  1190,  2774,    37,    38,
      39,    40,   274,  2572,  2994,    44,  2412,  2413,    37,    38,
      39,    40,  1206,  4237,  2004,    44,  4879,  1542,  2039,  2251,
    1397,  2741,    37,    38,    39,    40,  1864,   275,  1568,    44,
    2107,  4547, -2216,  3865,  2255,  2264,  1831,  2107,  3834,  2255,
    4150,  2728,  5002,  4997,  4969,  2580,  2107,  2746, -1943,  5401,
    2273,  2139,  1929,   949,  1159,  2320,  1865,  1805,  1811,  2276,
    2209,  1197,  2227,  1257,  1258,  1259,  2420,  1260,  1261,  1262,
    1263,  1264,  1265,   249,  3786,  2134,  1728,  1872,  2851,  1811,
    3968,  4190,  5422,  4943,  1786,  1787,  2112,  3771,   947,  2039,
    4674,  5501,  3435,   860,  1032,  1033,  2975,  4501, -2216,  1134,
    2715,  5018,  2717,  3524,  2379,  3783,  3784,  3785,  3786,  1198,
    2615, -2216,  2656,  2420,  4685,  2189,  2769,  3180,  2966,  1866,
    1284,  2902,  2107,  2657,  2210,  2658,  2353,  2212,  4431,  4814,
    2216, -1705,  2218,  4818,   276,  2221,   954,   954,  4062,  2225,
    2617,  2800,  1720,  2724, -2055,  4789,  1721,  1397,  2623,  2362,
    4841,   300,  2765,  4808,  5479,  1397,  1397,  1233,  4857,  2152,
    2685,  3149,  2940,  1144,   320,  2326,  5484,  4763,  1209,  4191,
     862,  2185,  1720,  1812,  1813,  3867,  1721, -1962,  2152,  4523,
    4090,  2659,  5487,  1507,  1192,  2995,  2391,  4299,  1542,  5464,
    2112,   325,  4535,  5348,  2332,  3366,   845, -2802,  1063,  2581,
     343,  1241,  3936,  1346,  2996,   959,  2505,  2705, -2803,  2468,
    2708,  2709,   347,   863,  2908,   419,  1763,  2974,  5287,  4727,
    4728,  4729,  4730,  4731,  2334,  5529,  2985,  1393,  2469,  3952,
     365,  3953,  3043,  5038,  2852, -1705,  5474,  5039,  5040,   370,
    5041,  4199,  4063,   381,  3867,  5427,  4551,  1351,  4192,  1336,
    3999,  4172,  5443,  5117,  2632,   420,  4448,   960,  1207,   420,
    5127,  1406, -1547,  1229,  1508,  3436,  1514,  1777,  1519,  1937,
   -2800,  3132,  1229,   701,  1523,  3716,  1449,  4645,  1064,  2775,
     701,  1205,  4483,  2014,  3340,  2128,  1545, -2799,  1526,  2844,
    1938,   701,   961,  2128,   962,  -148,  -148,  1709,  1514,  1519,
    1499,  3173,  3173,  3173,  2129,  4129,  4130,  1229,  3901,  5217,
    1155,   852,  2129,  3292,  2956,  1156,  2892,  2893,  2130,   701,
    2959,  2949,  1981,   702,   701,  2190,  2132,  2976,  1982,  1500,
    3254,  3547,  3254,  3382,  4536,   701,  3563,  1502,  4852,  5442,
    4306,  2629,   376,  5022,  5500,   372,  1513,  3459,  1518, -2395,
   -2531,  3225,  1798,  3919,  1394,  1976,   852,  2326,  1532,  4123,
    1545,   701,  3428,  4183,  5131,  1229,  4127,  4128,  2845,  5488,
    4131,  1447,  2825, -1700,  1942,  1229,   701,  4136,  1548,  1550,
    5068,  2116,   701,  1192,  4193,   954,  2332,  1801,  4064,  4720,
    3356,  1766,  1447,   701,  2066,  1977, -1672,  3104,    81,  1150,
    3133,    35,  3459,  2363,  1087,  3134,  4468,   701,  1943,    41,
      42,  3486,  1087,  2692,  1087,   908,  2334,  3487,  5237,  1065,
    2120,    79,  4065,  4497,   901,  2170,  1983,   852,  3630,  1534,
    2719,   372,  1150,  3237,  2067,  4496,  1495,  4497, -1712,  5489,
     954,  3135,  4537,   846,  2581,  4538,  1512,  2826,  1517,  4194,
    2323,  3154,  4066,  3767,  1267,  5193,  1066,  1067,  3937,  4688,
    2366,  1526,  1731,  5490,  3357,  2171,  2864,  2002,  1026,  2861,
    5251, -1672,  1696,  1876,  3187,  3717,  1704,  3300,  1547,  1549,
    4307,  2152,  4000,  1725,  1177,  5537,  1738,  3452,   846,  2947,
    1027,   853,    37,    38,    39,    40,  1690,  1229,  1229,    44,
    1063,   854,  3564,  5194,  1088,  4148,   701,  1352,  1088, -2165,
    4148,  5195,  1710,  1778,  4184,  3488,  1143,  3781,  3782,  3783,
    3784,  3785,  3786,   426,  5072,  2889,  5355,   420,  5069,  5076,
    4853,  5046,  5078,  2321,  1229,  1192,  1450,   733,  3453,  5196,
    2670,  5342,  2363,  2015,  3341,  1068,  3548, -2531,  2127,  1527,
    1978,  3429,  1178,  3285,  2982,  2983,  2846,  5352,  5023,   846,
    2099,   703,  2141,  5353,   418,  5360,  3136,  2557,  4247,  2847,
     418,  5362,  1984,   751,  5128,  2782,  5238,  5359,  1711,  2582,
    1064,  3155,  4497,  5325,  1527,  3565,  4243,  4994,  3878,  2068,
    1535,  1568,  3454,  2970,  3496,   701,   701,  2350,  2351,  2352,
    2353,  4249,   418,   855,  1791, -2531,  1985,  4767,  2567,  4768,
      35,  1179,  2100,  5197,  1180,  2783,  1148,  4864,    41,    42,
    2172,  4441,  3360,  1821,  3497,  2568, -1672,  4655,  2003,  2913,
    1178,  1859,  5534,  2576,  3991,  3907,  1986,  1079,  1966,  3356,
    4892,  2921,  2926,  1154,  1979,   903,  1506,   418,  3882,   372,
    1853,  3883,  3884,   216,  3865,  4689,  3865,  2935,  1202,  2583,
    5252,  3489,  3885,  3886,  3887,  4987,  3888,  3889,  3356,  5184,
    1791,  3890,  3891,  3892,  3992,  4974,  -634,  1149,  1088,  1088,
    4250,  2569,  1267,  2069,  3455,  3701,   224,  3038,  3040,  1179,
    2891, -1471,  2142,  2326,  3047,  3490,  1844,  5444,  2488,  2570,
    3061,  3062,  3063,  1049,  2101,  1229, -2165,  1181,  3190,  5285,
    3079,  3081,  1447,  3357,  2173,  3091,  1229,  5150,   418,  3418,
    2575,  1065,  2332,  5326,   427,  3491,   235,    37,    38,    39,
      40,  2092,  1447,    43,    44,  1578,  1810,   856,    45,   238,
    4769,  1447,  3357,  3358,  1150,  2934,  1845,  2662,  2576,  5449,
   -2052,  5499,  2334,  2952,  2102,  5354,  5502,  2808,  1066,  1067,
     248,  3257,  3282,  2971, -2165,  4656, -1471,  3865,  4533,  3419,
    2784,  2624,  5535,    35,  3238,  3229,  4856,  3359,  2663,  1229,
    3067,    41,    42,  4975,  5198,  1181,  5263,  2348,  2349,  2350,
    2351,  2352,  2353,  1870,  3456,  2972,    37,    38,    39,    40,
    1144, -1672,  3457,    44,  1097,  3458,  5246,  2141,  5544,  5330,
   -1672,  1182,  2116, -1672,  1839, -1672,  4251,  5288,  3893,  4448,
    2444,  1267,  1447,  4830,  3302,  4837,  5068,  5294,  4558,  3993,
    1183,  2571,    80,  2211,  2152,  2213,  2520,  2103,  2217,  1846,
    2219,   376,  3495,  2222,  2223,  2224,  1164,  2793,  2794,  5398,
    5301,  4497,  2441,  1818,  4749,  3420,  2231,  2445,  2625,  1844,
     701, -1471,  1820,  1745,  2785,  3867,  1751,  3867,  1151,  5570,
    2257,  3360,  2258,  2485,  3381,  1178,   418,  3677,  5405,  5406,
     701,  4252,  5136,  2577,    81,    81,  1062,    81,  2556,  2143,
    5206,  4150,  3671,  3672,  1297,  1229,  4328,  1871,  4295,  1098,
    3360,  5304,  3303,   701,  2427,  5309,  5310,    79,    79,  1845,
      79,   418,  2435,  2436, -1474,  2440, -1471,  1156,  1156,   700,
    1156,    35,  3207,  3994,  5331,  4354,  1791,  2369,  4559,    41,
      42,  4485,  4014,  2572,  1179,  1753,  2780,  2142,  3466,   701,
    1720,  2486,  3550,  2442,  1721,  3596,  3597,  3598,  3599,  3283,
    3577,  3284,  3894,  1447,  2447,   701,  3467,  3604,  1746,  4622,
    3479,   920,  3369,  3008,  4015,  4625,  4626,  2152,  4628,  3468,
     701,  3718,  4087,   701,  1754,  4157,   427,  3471,  3867,  3473,
    1205,  1850,   948,  1851,  1229,  3908,  1298,  1495,   966, -1474,
    3518,  3648,  5332,  2781,  2099,  1381,  1766,  4684,  4319,  3895,
    2487,  4148,  1846,  3208,  3498,  1397,  3421,  3452,  1053,  2448,
    4549,  3173,  1229,  5003,  3963,  3230,  1052,  4497, -1471,   922,
    4160, -1483,  4021,  4560,  5413,  5004,  5381,  1299,  -535,  4016,
    1181,  4475,  2419, -1483,  3499,  4504,  2326,  4088, -1483,  2719,
    1229,  1229,  1229,  2152,  1229,  3719,  2951,  2722,  4733,  3370,
    4734,  1847,   852,  5382, -1471,  4459,  2357, -1471,  3453,  4091,
     845,  5526,    35,   427,  1229,  1026,    37,    38,    39,    40,
      41,    42,    43,    44,  1353,  4550,  1354,    45,  1300,  2690,
    2383,  2384, -1483,  3346, -1474,  1848,  5414,  1027,   913,   209,
    5182,    37,    38,    39,    40,  2334,  1181,  1170,    44,  3896,
     701,  4486, -1483,  2399,  5344,  5347, -2198,  3578,   701,   701,
    3231,  4505,  3454,   845,  4460,  1849,  3378,  1171,  1229,   420,
    1026,   733,   733,  4653,  1267,  2585,  1791,  1172,  4288,   419,
     419,  1791,  1791,  4487,  2143,  2586,  1710,  2987,  2101, -1474,
    4421, -1483,  1027,  2691,  1850,  5374,  1851,  1229,  1061, -1483,
    2419,  1229,  1229,  2144,  4488,  4967,  4875,  1382,  1913,  5236,
    4164, -2217,  2444,  1123,  3870,   930,  4506,   931,  4507,   920,
    1812,  1813,   420,   420,   420,  2152,  1005,  2393,   845,   419,
    1297,   129,   130,  5005,   846,  2502,  2524,  4654,  2102,  2494,
   -1004,   936,  2495,   701,  1852,  5037,  1006,  3447,  4165,  2445,
    2726,  3974,  1711,  1945,  3455,  3936,  4022,  2497,  2498,   920,
    4422,  1383,  4166,  1146,  3266,  1568,  4247,  1384,  3865,  2610,
    4876,  4222,  3865,   420,  4226,  4298,   733,   922,  1007,  1173,
     420,  1447,  4023,  2516,  2518,  2759,  1937,   420,  5221,  1005,
    4423, -1474,  3703,  5298,  3579,   904,  5222,  1088,  1913,  3624,
    1859,  1946,  2446,  5295,  1859,  4424,  3310,  1938,  1959,  1006,
    1026,  3904,  5448,  4299,  3448,  4425,  1419,   922,  3377,  2760,
    3592,  2103,  1298, -1483,  2710,   372,  1143, -1474,  2587,  2486,
   -1474,  3492,  1027,  4882,  4883,  2496,  1088,  3580,  2394,  3951,
    4426,  1007,  1960,  1174,  1447,  3285,  2447,  3650,  1026,  1791,
    4167,  1087,  3990, -2198,  5157,  1087,  5113,  1791,  5115,  5073,
   -1010,  5232,  2588,  1299,  3456,  3493,    37,    38,    39,    40,
    1027,  1397,  3457,    44,  4977,  3458,  4961,  1447,  4986,  3451,
    2128,   862,  1947,  1720,   862,  3396,  1742,  1721,  2487, -2245,
    3314,  1093,  3530,   418,  2561,  3494,  -431,   418,  4996,  2129,
    2806,  2448,  1853,  2908,  2562,  1374,  4962,  1853, -2217,  1096,
    3642, -2198,  3512,  1175,  1300,  1136,  1791,  4427,  1982,  1791,
    1791,  2563,  5369,   930,   863,   931,  1160,   863,   845,  3823,
    1948,  3824,  1949,  1397,  3515,   933,  1375,  3398,   701,  1934,
     206,  3397,  2718,  1961,  3971,   216,   935,  5536,  5135,  2055,
    2887,  4978,  5223,  2711,  3825,  2712,  1853,  4049,  1447,  4294,
    1853,  5154,  1154,   930,  1706,   931, -2217,   216,  1376,  5408,
    4050,  1951,  3689,  1447,  1167,  4504,  3879,  4502,   224,  3867,
     862,  2799,  5155,  3867,  1181,  3197,  5161,   420,  1791,  2055,
    1859,  3982,  1447,  3399,  4979,  1164,  5561,  5074,  5207,  3204,
     224,  2409,  1208,   206,  4939,  -431,  4940,  4941,   701,  2039,
    4942,  1953,   701,   920,  1377,  3014,  1983,  5327,   235,  2650,
    4337,  2651,  4338,   863,   701,  1087,  1087,  2191,  2128,  5208,
     216,  2192,  3770,  2646,  2180,   948,  4204,  2998,  1836,  1447,
     235,  4421,  2647, -2595,  3798,  4213,  1841,  2129,   864, -1520,
    1955,  4505,  1229,   238, -1520,  2181,  2564,  3826,  1447,  1786,
    1787,  2130,  3827,   224,  1229, -2076,   249,   905,  2710,  -170,
    1447,   922,  1837,   427,   248,   963,  3821,  2652,  5476,  1502,
    1842,   999,  1447,  2954,   376,  2955, -2245,    45,   249,  2957,
    2902,  2958,  2761,  4005,  2960,  -170,  3949,  1229,  2961,   701,
     701,  1374,  1838,   235,  2762,  1280,  4506,  1008,  4507,  3180,
    1843,  4422,   701,  3902,  3847,  4025,   238,  3013, -1520,  3173,
    5397,  2662,  1447,  1202,  3173,  1447,  4842,   701,   701,  2763,
    3173,  1281,  1375,  1094,   209,    43,    81,   248,  4524,    81,
      45,  4423,  3007,  4339, -2245,  3004,  1702,   376,  4008,   701,
    3005,  1009,  2663,  4340,  4596,  3006,  4424, -1520,  3865,    79,
    2696,  3832,    79,  3865,  4201,   418,  4425,  2389,  3865,  5154,
    1219,  3865,  4309,  3036,  1937,  4597,  4534,  4539,  1972,    37,
      38,    39,    40,     8,  1397,  4552,    44,  2646,  3828,  1229,
    5155,  4426,  3110,  1234,  4612,  1938,  2653,  2711,  3829,  2712,
      35,  3865,  1267,  5557,    37,    38,    39,    40,    41,    42,
    1377,    44,  1973,  3693,  4613,  3865,  1974,   930,  4055,   931,
     845,    37,    38,    39,    40,  1902,  1229,  1229,    44,  1249,
    3956,  1903,  1229,  1229,  3180,  2116,  4707,  2547,  3060,  1229,
    1229,  1229,  1975,  2055,  2822,  1229,  2902,  1229,  1229,  1229,
    1229,  1229,  1229,  3940,  1229,  2540,  1229,  1229,  1236,  4173,
    1229,    35,  4422,  2854,  4263,  4264,  1250,  4314,  4427,    41,
      42,  1904,  1494,   427,  1447,  1229,  1229,  1229,  1229,   420,
    2697,  4059,  3913,  1229,  1338,  2700,  4956,  1229,  5154,  2541,
    1229,  4957,  4423,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
    1229,  1229,  5203,  1229,  1731,  4858,  3304,  4820,  3307,  5155,
    3051,  1229,  5524,  2672,  1229,  4060,  1286,  4425,  1940,  2542,
    3601,  5162,  1905,  1295,   372,  3602,  3204,  1397,   419,  1906,
    3960,  3961,  1907,  1989,  2749,  4958,  1993,  2128,  2755,  1296,
     121,  3630,  5546,  1398,   966,  4061,    35,   427,  2374,  4695,
    3240,  2375,  1210,  3301,    41,    42,  2129,  1908,   125,  5562,
    3865,    45,  5563,  2191,  1211,  1212,  3981,  2943,  4482,  3867,
    2132,  4156,   420,  2116,  3867,  2547,  3602,  1229,  3052,  3867,
      80,  1742,  3867,  1213, -1471,   419,  1214,   419,  1909,  4312,
    3097,  1229,  3297,  3100,  3364,  5473,  5014,  1148,  1340,  2280,
    1229,  1229,  4148,  4270,  4271,  4272,  4499,  4500,  2419, -1521,
    5576,  2716,  3867,  3120, -1521,  3121,  1343,  3743,  2289,  4427,
    1356,  2946,  1357,  3224,  3224,  3865,  3867,  1345,  3744,   420,
    4079,   420,  3745,  2200,  1348,  2201,   845,  3053,  3122,  1553,
    3054,  2116,  1720,  1839, -2055,  1910,  1721,  1911,  2305,  2123,
    2124,   701,  2673,  4953,  2266,  4955,  2267,  1912,  1149,  4959,
    2279,  4960,   249,  2318,  1361,  1913,   852,  2478,  2479,    81,
    1791,    81,  4752,  1573,  1369,  1914,  4074,  1447, -1521,  2674,
    -534,  1447,  1447,  1687,  2425,  4082,  2426,  1699,  1398,  1701,
    1821,   701,    79,  1378,    79,   420,   701,  1192,  1379,  2428,
     701,  2429,  2675,  1380,  2676,  1215,  3226,  3227,   701,  1915,
   -1542, -1542,  1916,  1917,  2478,  3250,  5228, -1521,  4189,  2672,
      37,    38,    39,    40,  2672,  1150,   701,    44,  1386,  1229,
    2116,  3425,  2547,  3055,  3450,  1403,  3123,  2670,  1389,  1918,
    1229,  3124,  1456,  1216,  1447,  2672,  3125,  1229,   427,  4315,
    4740,  4741,  4742,  3876,  3877,   845,  1447,  1457,  1397,   845,
    1397,  2880,  4520,  2881,  1154,  1154,  4157,  1154,   701,  2908,
    1448,  3867,  4158, -1676, -1676, -1676, -1676,   700,   700,  1088,
   -1676,  1462,  1822,  4159,   852,   701,   701,  4302,  4268,  4269,
    4270,  4271,  4272,  1447,  1087,  1473,  4273,  4174,   846,  4176,
    2005,  2945,  1919,  2946,  3865,  4182,  3797,  4185,  3799,  3800,
    2967,  4160,  2968,  4161,   420,   701,  1482,  2730,   420, -1050,
   -1050,  2325,  2758,   216,  2326,  2969,  3913,  2968,  1397,  3865,
    3001,  3913,  3002,  1087,  4437,  1497,  3867,  3056,  3203,  1000,
    3204,  2672,    45,  3367,  1088,  1536,   701,  3460,  1544,  1151,
     701,  1540,  3375,  2332,  3376,  3442,   224,  3443,  2673, -2804,
    2672,  1551,  3551,  2673,  3552, -1545, -1545,  4240,   701,  1557,
    3593,  3561,  3126,  4442,  4443,  4444, -1546, -1546,  1791,   701,
    1558,  1559,  3127,  2334,  2673,  2674,  1791,  1566,  1791,  4162,
    2674,  3556,   701,  3557,  1565,  3617,   235,  3618,  3651,   845,
    2946,   701,  3460,  3695,  1567,  2968,  2672,  5177,  2675,   238,
    2676,  2674,  1568,  2675,  1580,  2676,   846,  3771,  4646,  1569,
    4647,  3772,  3773,  3774,  3768,  3769,  4330,  1570,  1571,  3788,
     248,  1574,  2420,  3742,  2675,  2946,  2676,  2672,  4378,  3437,
    3751,  1575,  2946,  2670,   249,  1577,  4163,  3820,  2670,  1229,
    1447,  4164,  3757,  1708,  2946,  4308,  1705,   418,   420,  3758,
    4359,  2946,  1713,  3180,  3460,  1714,  3818,  3819,  1719,  2670,
    3460,  1712,  4268,  4269,  4270,  4271,  4272,  1144,  1740,  1732,
    2673,  2672,  4725,  3759,   852,  2946,  1739,  1742, -2804,  4165,
    3790,  1743,  2946, -2804,  3803,  3865,  2946,  1749,  3808,  2673,
    3809,  1764,  3460,  4166,  4086,  4401,  3848,  2674,  3849,  1765,
     418,   418,   418,  1769,  3850,  3867,  3851,  1771,  1775,  2672,
    1447,  1144,  1779,  4042,   701,  4043,  2674,  1776,  1780, -2804,
    2675,  4047,  2676,  4048,  1784,  4092,  1229,  4234,  1793,  4235,
    3867,  4261,  4360,  2946,  4361,  2673,  1781,  2672,  4617,  2675,
    1782,  2676,  4927,  4928,  1783,  4930, -1683, -1683, -1683, -1683,
    1792,   418,  1398, -1683,  1785,  2670,    80,    80,   418,    80,
    1795,  1825,  2674,  2341,  1824,   418,  2673,  1827,  1833,  4120,
    1580,  1839,  1869,  3771,  2670,  1398,   701,  3772,  3773,  3774,
    4370,  4167,  4371,  4633,  1229,  2675,  1896,  2676,  3853,  3854,
    3855,  1874,  4717,  2674,  4381,  1898,  2946,  3776, -1674, -1674,
   -1674, -1674,  4466,  5014,  4467, -1674,   846,  4525,  1900,  4471,
    2673,  4472, -1677, -1677, -1677, -1677,  2675,   698,  2676, -1677,
    2670,  2259,  1901,  1929,   701,  4634,  1931, -1675, -1675, -1675,
   -1675,  1932,  1144,  4785, -1675,  4553,  1192,  2674,  1933,  1934,
    1447,  1791,  1936,  3804, -2804,  1398,   701,  1941,  2673,  3811,
    4635,  2670,  1944,  4481,   701,  3284,  3777,  4503,  1229,  2968,
    2675,  1447,  2676,  1967,  1229,  4636,  4686,  1968,  2968,  4637,
    1980,   845,  1447,  1990,  1991,  2674,  2673,   845,  4746,  1994,
    2255,  1229,  4764,  4790,  2946,  3002,  1229,  1999,  4802,  4638,
    2946,  4860,  4639,  3284,  1039,  2670,  3867,  4866,  2675,  4867,
    2676,  5503,   193,  2674,  4872,  4640,  2968,   372,  2001,  1229,
    1229,  1229,  2000,  4873,  1229,  2968,  1039,  4946,  2322,  4947,
    2006,  2008,  1229,  1229,  1229,  1229,  2675,  2324,  2676,  2010,
     420,   193,  4998,  2670,  4999,  1229,   420, -2804,  1229,  2013,
    1229,  2367,  3775,  2025,  2348,  2349,  2350,  2351,  2352,  2353,
    2024,  1229,  1229,  2017,  2018,  1229,  5048,  5050,  5049,  2946,
    5058,  2670,  3002,  3776,  2028,   418,   852,  2036,  2031,  1229,
     372,  1229,  1398,  1229,  3007,  2398,  2400,  3004,  2033,   376,
    1398,  1398,  3005,  2043,  4641,   216,  5133,  3006,  5134,  4950,
    2046,  2048,  4642,  1229,  5204,  5229,  2968,  5230,  4743,  4983,
    5247,  5255,  3002,  5256,  1229,  2039,  1229,  1229,  1229,  5260,
    2057,  3204,  3913,  5266,   216,  4211,  2059,  5268,   224,  4211,
    4695,  5280,  3777,  5281,  5321,  2060,  5322,   701,  4643,  -191,
    5343,  1229,  2388,  3778,  3779,  3780,  2062,  3781,  3782,  3783,
    3784,  3785,  3786,  3118,  1229,  2064,  2076,   224,  2325,  2078,
    1791,  2326,  5361,  5375,  5281,  3002,  2085,    74,   235,  1229,
    5376,  5377,  3809,  2946,  5387,   700,  3204,  5390,  5412,  4211,
    3002,   238,  2087,  1229,  3918,  3918,  5418,  5419,  3002,  3002,
    2332,  5434,  5465,  5435,  3204,  2091, -2804,   235,   881,  5512,
    5513,  5466,   248,  2946,  5467,  5469,  2946,  2946,   846,  2104,
     238,  4670,  4671,  5520,  2096,  4211,  5504,  2109,  2111,  5523,
    2334,  5274,  1447,  2119,  4675,  1447,  5545,  1447,  5281,  2110,
    2112,   248,  1447,  5559,   701,  5560,  5585,  1748,  5560,  1750,
    4819,  2122,  4822,  2136,  2116,   249, -1254,  2120,  2148, -1254,
     701,   701,  2149,  2151,  2152,  2159,  1229,  2162,  2163,  2164,
    2165,  2167,  2166,  1835,  2169,  2175,  2174,  2176,  2177,  2179,
    2184,  2198,  2232,  2263,  2268,  2270,  2277,   701,  2271,  2286,
     701,  2278,  2284,  1447,  3831,  2285,  2358,  2287,   372,  2288,
     249,  2290,   852,  2291,  2292,  2360,  2293,   845,   845,   845,
    1447,  2294,  2295,  2297,  2298,  2299,  2362,  2300,  2392,  3778,
    3779,  3780,  2363,  3781,  3782,  3783,  3784,  3785,  3786,  2301,
    4774,  2302,  2404,  2303,  1447, -2804,  5583,  5584,  2304,  5259,
   -2804,  1037,  2388,  1526,  2306,  2307,  2308,  2309,  2310,  2311,
    5259,  2723,  2312,  2313,  2424,  2414,  2433,  1752,  1754,  2464,
    4849,  2475,  2466,  1037,  2477,  2484,   420,   420,   420,  1181,
    2501,  2503,  1580,  2514,  2512,  3771, -2804,   418,  3632, -2804,
   -2804, -2804,  2492,  2499,  2511,  2519,  1087,  2521, -2747,  2523,
     701,  2543,  2547,  2544,  2545,  2548,  2550,  1877,  2551,  1447,
    2549,  1447,   701,  5172,  5174,  2552,   701,  2553,  2559,  2584,
    2578,  2612,  2590,  2616,  2619,   701,  2620,  2618,  2621,  2637,
    2341,   852,  2796,  2622,  2638,   852,  5166,  2639,  2806,  5317,
    1878,  2649,  2660,  2664,   846,  4333,  4334,  4335,  4336,  2666,
    2667,  4341,  4342,  4343,  4344,  4345,  4346,  4347,  4348,  4349,
    4350,  1087,  2834,  2668,  4952,  2669,   845,  2670,  2678,  2679,
    1447,  2680,  2686,  4395,  2681,  2682,  2695,  2687,  2698,  2702,
     418,  2703,  2706,  2713,  2714,  1913,  2725,  2720,  2721,   701,
    2742,  2743,  4258,  2747,  2748,  1447,  2731,  1879,  2771,  2732,
    2772,  2744,  2753,   943,  2773,  2779,  2787,  4389,  4390,  4847,
    1580, -2804,  4217,  3771,  1545,  2788,  2790,  3772,  3773,  3774,
    4142,  1447,  4229,  2801,  2757,   420,  1447,  2802,  2807,  2810,
    1880,   701,  2811,   701,  4379,  2814,  2815,   418,   915,   418,
    2823,  5388,  1961,  2838,  1791,   701,  4257,   701,  2818,  1791,
    1267,  2843,  2791,  2856,  2859,  2860,  2868,  2872,  2874,  2876,
    3633,  2877,  2883,   846,  1144,  1881,  2888,   846,  2894,  2896,
    2903,  2897,  2901,  2915,  2905,   852,  4889,  2906,  2902,  2917,
    2919,  2918,  1144,  2920,  1447,  2937,  2963,  2938,    80,  2980,
    2986,    80,  2999,  3016,  2964,  3092,  3098,  1882,  2326,  3043,
    3131,   701,  1447,   418, -2804,  3048,  4403,  4404,  4405,  4406,
    4970,  2348,  2349,  2350,  2351,  2352,  2353,  1447,  3117,  3102,
    3111,  3129,  3151,  3152,  3166,  3183,  3186,  5323,  3189,  3184,
    3191,  3194,  3195,  4923,  3777,  3206,  3205,  1149,  3219,  3218,
    3220,  3235,  3241,  3259,  3256,  3221,  3258,  1397,  2378,  3273,
     954,  5084,  3274,  3276,  3286,  3287,   701,  3288,  5099,  3305,
    3308,  5163,  3310,   209,  3319,  3312,  3313,  1885,  5308,  3324,
    1229,  3329,  3335,   701,  1886,  3330,  3332,  3343,  5112,  3339,
    3351,  1887,  3352,  3355,  3373,  3368,  1702,  1706,  4365,  2631,
    3059,  3406,  5305,  3387,  3400,   701,  3405,  3432,   701,  3427,
    3444,  1889,  3433,  3776,  5313,  3441,  5315,   846,  3445,  1890,
    3446,  3461,  3500,  2947,  3503,  1229,   845,  3525,  1447,  3514,
    3521,  3522,   418,  3526,  1229,  3527,   418,  3533,  1791,  3635,
    1229,  3534,  1229,  3537,  3541,  1229,  2457,  3535,  3544,  1447,
    1229,  1229,  1229,  1229,  3546,  3536,  1229,  1229,  1229,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  3553,  3558,  3569,  1229,
    1229,  3583,  3777,  1891,  1447,  3585,  3587,  3636,  4246,  1229,
    3594,  3600,  3603,  1229,  3608,   420,  3609,  1229,  3610,  3611,
    3612,  3620,  3622,  3623,  3641,  1229,  3626,  3644,  1229,  3627,
    1229,  3640,  3645,  3646,  3647,  3649,  3652,  3188,  1447,  1229,
    3655,  3656,  1229,  1229,  3654,  2495,  3657,  1229,  1229,  5166,
    3669, -2804, -2804, -2804,  1229,  3781,  3782,  3783,  3784,  3785,
    3786,  3658,  3678,  3667,  1229,  3680,  1229,  3668,  3684,  3687,
    3683,  3688,  3697,  4652,  3698,  3699,  3700,  3709,  1229,  3017,
    3711,  3204,  2185,  3702,  1229,  1229,  1229,  3712,  4726,  3713,
    3728,  3720,  3723,  1542,  3730,  3734,  3735,   852,  1164,  5201,
    3740,  3738,  3737,   852,  3753,  3754,   418,  3755,  3756,  3760,
    3761, -1935,  3763,  3805,  3766,  3767,  3822,  2946,  3789,  1039,
    3839,  1039,  3844,  1039,  3817,  5254, -1548,  3870,  3920,  1039,
    4578,  3921,  3923,  1229,  3795,  3925,  3954,  3927,  3802,  3816,
    3931,  3962,  3938,   700,  3830,  3840,  1229,  3842,  3944,  3965,
    2318,  3964,  3843,  1039,  1039,  3846,  3973,  3915,  3942,  1822,
    5120,    80,  1447,    80,  3875,  3943,  3976,  3978,  3985,  3425,
    4001,  4548,  4002,  2191,  4012,  3947,  3948,  1229,  3969,  3778,
    3779,  3780,  4013,  3781,  3782,  3783,  3784,  3785,  3786,  5137,
    3970,  4017,   845,  4027,  2318,  4038,  4018,   845,  4028,   845,
    1398,  1267,  4030,  5142,  1397,  4046,  4073,  4036,  4075,   701,
    4077,  3118,  4078,  4037,  4081,  4083,  4084,  4085,  4093,  4094,
    4100,  4095,  4096,  4097,  4098,  4099,  4103,  3841,  4105,   846,
    4107,  4111,  4101,  3913,  4113,   846,  4115,  4102,  2740,  4104,
    4126,  4106,  4132,  3859,  1267,  4108,  4117,  4119,  4133,  4135,
    4138,   420,  4153,  4180,  4187,  4198,   420,  1447,   420,  4632,
    4196,  4181,  4202,  4200,  4210,  4218,  1701,  4211,  5249,  4223,
    4220,  4224,  5530,  4227,  4228,  4232,  4231,  4244,  4255,  4265,
    1791,  1039,   372,  2138,  1221,  4267,  4291,   845,  4290,  4292,
    4293,  4296,  4301,  1243,  4303,   698,   698,  4278,  4304,  4313,
    1819,  4280,  4305,  4316,  4318,  4322,   701,  2320,  2279,   701,
    3792,  3771,  3859, -1934,  3791,  1143,  4383,  4372,  4461,  1150,
    4396,  2325,  4412,  4331,  2326,  4469,  4356,  4357,  1341,  4464,
    4484,  4439,  4490,  4511,  4513,  4514,  4434,  4358,  4519,  4527,
    4364,  4526,  4528,  4529,  4554,  4543,   420,  1039,  4387,  4384,
    4540,  4557,  4555,  2332,  4556,  4567,  4569,  4568,  4452, -2804,
    4576,  4477,  4573,  4436,  4402,  4420,  4702,  4449,  1229,  4585,
    4451,  4453,  4456,  4457,  4531,  2497,  2498,  4570,  4571,  4572,
    4586,  4593,  4575,  2334,  4609,  4611,  1401,  4535,   418,  4614,
    1580,   701,   701,  3771,   418,  1447,  1452,  3772,  3773,  3774,
    4620,  4621,  4623,  4624,   701,  4627,   701,  4649,  4657,  4660,
    4665,  4667,  3532,   852,   852,   852,  4246,  4679,  4680,  4673,
    3532,  4699,  4713,  2968,  4718,    74,  4682,  4683,  3532,  4257,
    3532,   419,  4700,  4715,  4721,  4744,  4719,  4739,  4712,  2325,
    4723,  4724,  2326,  1447,  1229,  1229,  1037,  4388,  1037,  4748,
    1037,  4750,  4716,  4751,  4755,  4756,  1037,  1524,  1525,  4758,
    4761,  4766,  4771,  4776,  4770,  4777,  4775, -1936,  4815,  4779,
    4798,  2332,  5380,  4778,  4783,   420,  4810, -2804,  3595,  4811,
    1037,  1037,  4816,  4813,  5389,  5407,  4823,  4824, -2804,  5391,
    4828,  5393,  4829, -2804,  4862,  4831,  4832,  4834,  4859,  4848,
    4835,  2334,  4855,  4861,  4836,  4868,  4863,   701,  3625,  4869,
    4877,  4893,  4894,  4900,  4901,  4902,  1398,  1580,  4913,  4916,
    3771,  4922,  3075,  4938,  3772,  3773,  3774,  1791,  1229, -2804,
    3093,  4931,  4963,  4964,  4971,  4920,  4976,  4980,  4981,  1229,
    4925,  4792,  3664,  4926,  4989,   846,   846,   846,  4984,  4982,
    4991,  5000,  5007,  5009,  5010,  5011,  5012,  3632,  5020,  5025,
    5030,  5035,   852,  5034,  5044,  4391,  5045,  5047,  5052,  1229,
    5054,  5055,  5056,  2341,  5063,  5070,  1877,  1397,  1398,  1229,
    1229,  5404,  1447,  3776,  5077,  5097,  1229,  1229,  5106,  5109,
    4895,  1229,  1447,  5057,  5081,  5110,  1229,  5103,  5114,  1229,
    1229,  5144,  5126,  1039,  1229,  4850, -2804,  5129,  1037,  1878,
    1229, -2804,  5130,  5139,  5160,  5164,  5171,  5178,  5145,  4656,
    5185,  5187,  1267,  5190,  5149,  5188,  5191,  1814,  1229,  5192,
    5210,  5211,  1229,  5212,  5214,  5216,  5219,  5220,  5231,  5233,
    5235,  5234,  3777,  5250,  1229,  5241,  5253, -2804,  5257,  1229,
     379,  5297,  5274,  5299, -2804,  1229,   379,  5262,  5265,  5333,
    5269,   694,  5270,  5328,  5272,  3217,  1879,  5278,  5289,  5312,
    5337,  5338,  1229,  5340,  1037,  5345,  5350,  5357,  5356,  5043,
     845,  5358,  5365,  4844,  5366,    81,  5367,  5368,   379,  5373,
     372,  2341,  5379,  5378,   846,  5395,  5396,  5386,  5392,  1880,
     372,  1229,  5399,  5400,   418,   418,   418,  5402,    79,  5411,
    3776,  5415,  5306,  5424,  5425,  5438,  5428,  5430,  5439,  1447,
    5433,  5436,  5453,  5454,   372,  5445,  2009,  5446,  5447,  3633,
    5463,  4397,  5486,   379,  1881,  5477,   701,  2016,  5475,   420,
    5482,  5426,  5494,  5427,  5515,  5533,  5498, -2804,  1447,  5521,
    5554,  5558,  5564,  5565,  2348,  2349,  2350,  2351,  2352,  2353,
    5493,  5552,  5555,   701,  5553,  5568,  1882,  5572,  1447,  3777,
    5573,  5579, -2804,  5577,  5578,   701,  5580,  1162,  5581,  2754,
    3589,  1083,  3905,  1229,  1899,  1965,  2411,  3431,  4024,  1083,
    1964,  1083,  3513,   701,  4546,  5319,  4137,  5165,  1580,  4629,
    2089,  3771,  5423,  1039,   379,  3772,  3773,  3774,  1039,  1039,
    5213,  4669,   852,  5215,  4968,  5200,  3967,  3696,  5478,  3778,
    3779,  3780,  1447,  3781,  3782,  3783,  3784,  3785,  3786,  1398,
    5118,  5528,   209,  5431,  5429,  5492,  3634,  3972,  4687,  4703,
     701,  4664,  3567,  1886,  3568,  4544,  4676,  4040,  2835,  4985,
    1887,  4206,  3559,   418,  5532,  5569,  5582,  1229,  2631,  5189,
    4154,  4141,  5496,  1791,  5143, -2804,  2817,  5417,  1229,  5483,
    1889,  5146,  2348,  2349,  2350,  2351,  2352,  2353,  1890,  1057,
    2252,  4745,  5284,  2265,  3279,  4709,  3955,  5363,  3010,  5506,
    1399,  3011,  1474,   698,  3012,  4114,  3199,  5571,  3635,  3200,
    2558,  4690,  2953,  1716,  3910,  4851,  5472,  4473,  2199,  2430,
    3692,    74,    74,  2373,    74,  3911,  3234,  2318,  2461,  3922,
    2460,  1447,  3215,  1447,  4450,  5468,  5394,  2465,  4839,  3233,
    1037,  4415,  1891,  4410,  4809,  4413,  3636,  4821,  3924,  5264,
    2470,  4411,  5385,  5384,   846,  4474,  3778,  3779,  3780,  5248,
    3781,  3782,  3783,  3784,  3785,  3786,  4274,  5245,   701,  4366,
    5470,  5100,   379,  5471,  5462,  3914,  3156,  2325,  3837,  3835,
    2326,  3748,  1398,  3165,  1229,  4256,  1039,  1195,  1447,  3643,
    2879,  5104,  5455,  1229,  1039,  2483,  3260,  2325,  1165,  3251,
    2326, -2804,  2476,  2260,  1493,  3900,  4479,   379,  3265,  2332,
    1229,  1229,  3264,  3267,  1229, -2804,  4480,  4840,  2377,  4455,
    1188,  3271,  2480,  3694,   691,  2188,  2965,    83,  1229,  2332,
    5105,  2098,  1531,  1229,     0, -2804,     0,     0,  1229,  2334,
       0,  1229,  1229,     0,     0,     0,     0,     0,     0,  1229,
    1229,     0,     0,  1039,     0,     0,  1039,  1039,   852,  2334,
    3777,     0,  1144,   852,  4045,   852,     0,     0,  1832,     0,
    1803,  1229,     0,     0,  1804,     0,     0,     0,  4632,   701,
       0,   701,  5102,     0,  1144,  1229,     0,     0,     0,  2325,
       0,     0,  2326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4392,     0,  4080,   845,     0,     0,     0,
       0,     0,     0,   418,     0,     0,     0,     0,  1447,   701,
       0,  2332,     0,  4796,     0,  1039,     0, -2804,  1229,     0,
       0,     0,     0,  5205,     0,     0,     0,     0,     0,     0,
    1037,  1791,     0,     0, -2804,  1037,  1037,     0,     0, -2804,
       0,  2334,     0,   852,  4112,     0,     0,     0,  5224,     0,
       0,     0,     0,     0, -2804,   420,     0,   701,     0, -2804,
       0,     0,     0,     0,     0,     0,  3532,     0,     0,  1229,
    1430,     0,     0,  3532,  3532, -2804,     0,  3532,     0,     0,
     846,     0,     0,     0,  3532,   846,     0,   846,     0,     0,
       0,  1430,  1877,  4151,     0, -2804,     0,     0,  4151,  1580,
       0,     0,  3771,  1398,     0,  1398,  3772,  3773,  3774,  2493,
       0,  1524,  1525,     0,     0,     0,     0,     0,     0,  2341,
    1229,     0,  1447,  4793,     0,  1878,     0,  3778,  3779,  3780,
    2508,  3781,  3782,  3783,  3784,  3785,  3786,  2515,  2517,  2341,
       0,     0,     0,  4209,     0,     0, -2804,     0,     0,     0,
       0, -2804,  1229,  1447,     0,  1229,     0,  1229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4239,  1398,     0,   846,     0,     0,     0,     0,
       0,  1229,  1879,   845,     0,  1229,     0, -2804,     0,     0,
       0,  1447,     0,  3075,  3075,     0,  1229,     0,  3075,     0,
   -2804,  3664,     0,  1037,   372,     0,     0,     0,     0,     0,
       0,  1037,     0,     0,     0,  1880,     0,     0,  1229,     0,
   -2804,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2341,     0,     0,     0,  3075,  3075,     0,     0,   418,
       0,     0,   420,     0,   418,     0,   418,     0,  1447,     0,
    1881,  5351,  1447,  1447,     0,     0,     0,  1229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   372,     0,     0,
    1037,     0,     0,  1037,  1037,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3776, -2804,     0,     0,     0,     0,  1229,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,
    1883,     0, -2804, -2804,     0,     0,     0,     0,  1229,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,   379,
       0,     0,     0,   379,   418,     0,     0,     0,  1447,  1447,
       0,     0,  1037,     0,  1884,     0,     0,   694,   209,  5372,
       0,  3777,  1885,     0,   694,     0,  4376,     0,     0,  1886,
       0,  1229,     0,     0,  1229,   694,  1887,     0,  5551,     0,
       0,     0,     0,  1229,  1888,     0,     0,     0,  1229,     0,
    1229,     0,  1229,     0,     0,     0,  1889,     0,     0,  1229,
       0,     0,     0,   694,  1890,     0,     0,  3859,   694,     0,
       0,  3859,     0,     0,     0, -2804,     0,  1229,     0,   694,
       0,  2012,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
       0,  2878,     0,  2884,     0,     0,     0,     0,     0,     0,
     701,  2027,     0,     0,     0,   694,   852,     0,     0,     0,
    2037,     0,     0,   372,     0,  2890,     0,     0,  1891,     0,
     694,     0,     0,     0,     0,  2898,   694,  2899,  1229,     0,
       0,     0,     0,   418,  2904,     0,     0,   694,  2911,  2907,
       0,     0,     0,     0,     0,     0,     0,     0,  5497,     0,
       0,   694,     0,     0,     0,     0,     0,     0,     0,  1229,
    1229,  5511,     0,     0,  5508,     0,   376,  1039,     0,  5509,
    1229,   698,     0,     0,  5510,     0,     0,     0,   701,     0,
       0,     0,     0,    74,     0,     0,    74,  1819,     0,  5541,
    1229,     0,     0,     0,     0,     0,     0,     0,  3778,  3779,
    3780,     0,  3781,  3782,  3783,  3784,  3785,  3786,     0,   380,
       0,     0,     0,  5511,     0,   380,  5508,   845,   376,     0,
     695,  5509,     0,  1902,     0,  1229,  5510,     0,  1039,  1903,
    1243,  1229,  1229,     0,  1229,     0,     0,     0,   846,     0,
       0,     0,     0,     0,     0,     0,     0,   380,  1083,     0,
     694,  5541,  1083,  1229,     0,     0,     0,     0,     0,  4151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1904,
    5541,   379,  5511,     0,     0,  5508,   420,   376,     0,   845,
    5509,     0,  3049,  3050,     0,  5510,     0,     0,  4579,  3064,
    3065,  4580,   380,  4581,     0,     0,     0,     0,   845,  5542,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2325,     0,  3103,  2326,
    1905,     0,  2261, -2804, -2804, -2804,     0,  1906,     0,     0,
    1907,     0,  1229,  1229,     0,     0,  3532,     0,   420,   694,
     694,     0,  3532,  3532,     0,  3532,  1229,  2796,  2332,     0,
       0,     0,     0,     0,  2333,  1908,     0,   420,  1229,  1229,
       0,  5542,     0,   380,     0,     0,     0,     0,     0,     0,
    1245,     0,     0,     0,  2508,  1039,     0,  1274,  2334,     0,
    5542,     0,     0,  1039,     0,  1039,  1909,     0,  1292,     0,
       0,     0,     0,     0,     0,     0,     0,   418,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   691,     0,     0,     0,
       0,   691,  1083,  1083,     0,     0,     0,     0,     0,     0,
       0,     0,   691,     0,     0,     0,     0,     0,     0,     0,
       0,  4706,     0,  1910,     0,  1911,     0,  3223,  3223,     0,
    1902,     0,     0,     0,     0,  1912,  1903,     0,     0,     0,
       0,     0,  3859,  1913,     0,     0,     0,  3859,     0,     0,
    3859,     0,     0,  1914,     0,     0,     0,     0,  3664,  3664,
    3664,  3664,  3664,  2335,     0,     0,     0,     0,  2336,     0,
       0,     0,     0,     0,  1037,     0,  1904,     0,     0,     0,
       0,     0,  5111,     0,     0,     0,     0,  1969,     0,     0,
    1916,  1917,     0,     0,  1814,     0,    74,     0,    74,     0,
       0,   380,   852,  4754,  2339,     0,  4754,     0,  4754,     0,
       0,     0,     0,     0,     0,     0,     0,  1970,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1905,     0,     0,
       0,     0,     0,     0,  1906,  1037,   380,  1907,     0,     0,
       0,     0,     0,     0,  3075,  3075,  3075,  3075,  2341,     0,
    3075,  3075,  3075,  3075,  3075,  3075,  3075,  3075,  3075,  3075,
       0,  3334,  1908,     0,     0,     0,     0,     0,  1243,     0,
       0,     0,     0,     0,     0,  2592,     0,  4363,    35,     0,
    1919,     0,     0,     0,   694,     0,    41,    42,     0,     0,
       0,     0,  2325,  1909,     0,  2326,     0,     0,     0,  2327,
    2328,  2329,     0,     0,   694,     0,  3075,  3075,  2593,     0,
       0,   372,     0,     0,     0,     0,  2330,     0,     0,  2331,
       0,  2594,     0,     0,  2332,     0,     0,   694,  1039,  2343,
    2333,     0,     0,     0,   846,  2595,   372,     0,     0,  4838,
       0,     0,  4845,  4846,     0,     0,     0,     0,     0,     0,
    1910,     0,  1911,     0,  2334,     0,     0,     0,     0,     0,
       0,     0,  1912,   694,     0,     0,     0,    80,     0,     0,
    1913,     0,   691,   691,  2596,     0,  2689,     0,     0,   694,
    1914,     0,  1037,     0,     0,  2597,     0,     0,     0,   852,
    1037,     0,  1037,     0,   694,     0,     0,   694,     0,     0,
       0,     0,     0,     0,  3859,  2598,     0,     0,     0,     0,
    2599,     0,     0,     0,  1995,  2318,     0,  1916,  1917,     0,
       0,     0,  2344,     0,     0, -2804, -2804, -2804,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,  2318,     0,     0,
       0,     0,  2325,     0,  1996,  2326,     0,     0,     0,  2327,
    2328,  2329,     0,     0,     0,     0,     0,  2770,     0,  2335,
       0,     0,     0,     0,  2336,     0,  2330,     0,     0,     0,
       0,     0,  2786,     0,  2332,     0,     0,     0,     0,  2600,
    2333,     0,     0,     0,     0,  2337,  2338,     0,     0,     0,
       0,  2809,     0,   418,     0,     0,     0,     0,     0,     0,
    2339,     0,  4933,  4934,  2334,     0,     0,  1919,     0,     0,
    2601,  3532,     0,  3532,  3532,     0,     0,  3532,     0,     0,
       0,   846,  1398,     0,   694,     0,  4954,     0,     0,     0,
       0,  2340,   694,   694,     0,     0,     0,  1039,  2875,   372,
     881,     0,     0,   379,  2341,     0,     0,  2342,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1430,
       0,     0,     0,  4993,  2602,     0,  3659,  3662,     0,     0,
    2603,  2900,     0,  2604,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   379,   379,   379,     0,
       0,     0,  5013,     0,  3020,     0,     0,     0,     0,  2335,
       0,     0,  2605,     0,  2336,     0,     0,   694,     0,  2606,
       0,  2931,     0,     0,  1430,  2343,  2607,     0,     0,     0,
       0,     0,  3075,  2608,     0,  2337,  2338,     0,     0,     0,
       0,  4754,     0,     0,     0,  4754,  4754,   379,  4754,     0,
    2339,  3021,     0,     0,   379,  1037,     0,     0,  2609,     0,
       0,   379,     0,     0,     0,     0,     0,     0,   380,     0,
       0,  1083,   380,     0,     0,     0,     0,     0,     0,     0,
     418,  2340,  3022,     0,     0,     0,   695,     0,     0,  3732,
       0,     0,     0,   695,  2341,  3736,     0,  2342,     0,     0,
       0,     0,     0,  3023,   695,     0,     0,     0,     0,     0,
    1083,     0,     0,     0,  3024,     0,     0,     0,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,     0,   695,     0,  3025,     0,     0,   695,  2325,  3026,
       0,  2326,     0,     0,     0,  2327,  2328,  2329,   695,  3632,
       0,     0,     0,   852,     0,     0,     0,     0,  1877,     0,
       0,     0,  2330,     0,     0,     0,   372,     0,  1877,     0,
    2332,     0,     0,  3105,   695,  2343,  2333,     0,     0,   372,
       0,     0,     0,     0,     0,     0,     0,  3027,     0,   695,
    4151,  1878,     0,     0,     0,   695,     0,     0,     0,     0,
    2334,  1878,     0,     0,     0,     0,   695,     0,  3028,     0,
       0,     0,   694,     0,     0,   852,     0,     0,     0,     0,
     695,     0,     0,     0,     0,     0,     0,     0,  3532,     0,
       0,  5550,     0,     0,   852,  3868,     0,     0,     0,  1398,
       0,     0,     0,  5169,     0,  5170,     0,     0,  1879,  5175,
    5176,     0,     0,     0,     0,     0,     0,     0,  1879,  2508,
       0,   379,  3903,     0,  1037,     0,     0,     0,  2344,   881,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,  1880,   694,     0,     0,   846,   694,  3762,  3917,  3917,
     372,  1880,     0,     0,     0,     0,  3029,     0,   694,     0,
       0,  1039,     0,  3030,  3868,  2335,  1039,     0,     0,  3031,
    2336,     0,     0,     0,     0,     0,  1881,     0,     0,   695,
       0,  3633,     0,     0,     0,     0,  1881,     0,     0,     0,
       0,  2337,  2338,     0,     0,     0,     0,     0,     0,     0,
     380,  3032,     0,     0,  3033,     0,  2339,   846,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,  3034,     0,     0,     0,   846,     0,     0,     0,
     691,     0,     0,   694,   694,     0,     0,  2340,     0,     0,
       0,     0,     0,     0,     0,     0,   694,  3035,     0,     0,
    2341,     0,     0,  2342,     0,     0,     0,     0,     0,     0,
       0,   694,   694,     0,     0,     0,     0,     0,   695,   695,
       0,     0,     0,     0,   209,     0,  2630,     0,  1885,     0,
       0,     0,     0,   694,   209,  1886,     0,     0,  1885,     0,
       0,     0,  1887,     0,     0,  1886,     0,     0,     0,     0,
    2631,     0,  1887,  3338,   418,     0,     0,     0,     0,     0,
    2631,     0,  1889,     0,  5320,  3353,     0,     0,     0,  1902,
    1890,     0,  1889,     0,     0,  1903,     0,     0,     0,  2325,
    1890,  2343,  2326,     0,     0,     0,  2327,  2328,  2329,     0,
       0,     0,     0,     0,     0,  1039,     0,     0,     0,     0,
    3635,  1902,  3383,  2330,     0,     0,     0,  1903,     0,     0,
       0,  2332,     0,     0,     0,  1904,   418,  2333,     0,     0,
       0,     0,     0,     0,  1891,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1891,   418,     0,     0,  3636,     0,
       0,  2334,     0,     0,     0,     0,     0,  1904,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   379,     0,     0,  1905,     0,     0,     0,
       0,     0,     0,  1906,  2344,  2752,  1907,  2345,  2346,  2347,
       0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,  3192,
       0,     0,     0,     0,     0,  3193,     0,     0,  1905,     0,
       0,  1908,     0,     0,     0,  1906,     0,     0,  1907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1909,  1908,     0,     0,     0,     0,  1037,     0,
       0,     0,     0,  1037,     0,  2824,  2335,     0,  3075,  2837,
       0,  2336,     0,     0,     0,     0,   379,  5051,     0,  3555,
       0,  2752,     0,     0,  1909,  4186,     0,     0,     0,     0,
       0,     0,  2337,  2338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,     0,     0,     0,  2339,     0,  1910,
       0,  1911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1912,     0,   695,     0,     0,     0,     0,     0,  1913,
       0,     0,     0,   379,     0,   379,     0,     0,  2340,  1914,
       0,  1910,     0,  1911,     0,     0,   695,     0,     0,     0,
       0,  2341,     0,  1912,  2342,   694,     0,  2914,     0,  4262,
       0,  1913,     0,     0,     0,     0,  3662,     0,     0,     0,
       0,  1914,     0,  2613,     0,     0,  1916,  1917,     0,     0,
       0,     0,   695,     0,     0,  2752,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   694,     0,     0,   695,   379,
     694,  1243,     0,  2614,   694,  2683,     0,     0,  1916,  1917,
       0,     0,   694,   695,     0,     0,   695,     0,  5543,     0,
       0,     0,     0,     0,     0,     0,     0,  1039,     0,     0,
     694,     0,  2343,     0,     0,  2684,     0,     0,     0,     0,
       0,     0,  1037,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1039,     0,     0,     0,     0,
       0,     0,     0,  1902,     0,     0,  1919,     0,     0,  1903,
       0,     0,   694,     0,     0,     0,     0,     0,     0,  3721,
    5543,     0,     0,  1083,     0,     0,     0,     0,     0,   694,
     694,     0,     0,     0,     0,     0,     0,     0,  1919,  5543,
    3733,     0,     0,     0,     0,     0,     0,     0,     0,  1904,
       0,  3739,     0,     0,     0,     0,     0,     0,   379,   694,
       0,     0,   379,     0,     0,  2344,     0,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
       0,     0,     0,   695,  3812,     0,  3075,     0,  1083,     0,
     694,   695,   695,     0,   694,  3868,     0,  3868,     0,     0,
    1905,     0,   380,     0,     0,     0,     0,  1906,     0,     0,
    1907,     0,   694,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1902,   694,     0,     0,     0,     0,  1903,     0,
       0,     0,     0,     0,     0,  1908,   694,     0,     0,     0,
       0,     0,     0,     0,     0,   694,   693,     0,     0,     0,
       0,     0,     0,     0,     0,   380,   380,   380,     0,     0,
       0,     0,  2325,     0,     0,  2326,  1909,     0,  1904,  2327,
    2328,  2329,     0,   843,     0,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,  4476,  2330,     0,     0,     0,
       0,     0,     0,     0,  2332,     0,     0,     0,     0,     0,
    2333,     0,   379,     0,     0,     0,   380,     0,  3868,     0,
       0,     0,     0,   380,  1039,     0,     0,     0,   843,  1905,
     380,     0,     0,  1910,  2334,  1911,  1906,     0,     0,  1907,
       0,     0,     0,     0,     0,  1912,     0,     0,     0,     0,
       0,     0,     0,  1913,     0,     0,     0,     0,   691,     0,
       0,     0,     0,  1914,  1908,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1082,     0,   694,     0,
    2325,     0,     0,  2326,  1082,     0,  1082,  2327,  2328,  2329,
       0,     0,     0,     0,     0,  1909,     0,  3380,  3289,   843,
    1916,  1917,     0,  3293,  1037,     0,     0,  3296,     0,     0,
       0,     0,  2332,     0,     0,     0,     0,     0,  2333,     0,
       0,     0,     0,     0,     0,     0,     0,  1918,     0,     0,
       0,     0,  1037,  3320,     0,     0,     0,     0,     0,  2335,
     694,     0,  2334,     0,  2336,     0,     0,     0,     0,     0,
       0,     0,  1910,     0,  1911,     0,     0,     0,     0,     0,
       0,     0,  3983,     0,  1912,  2337,  2338,     0,     0,     0,
       0,     0,  1913,     0,     0,  3371,     0,     0,     0,  3995,
    2339,   695,  1914,     0,     0,     0,     0,     0,   694,     0,
    1919,     0,   691,     0,     0,     0,     0,     0,     0,  1524,
    1525,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     694,  2340,     0,     0,     0,     0,  3477,     0,   694,  1916,
    1917,     0,  3416,     0,  2341,     0,     0,  2342,     0,     0,
     380,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3478,  2335,     0,     0,
       0,   695,  2336,   691,     0,   695,     0,  3462,     0,     0,
       0,     0,     0,     0,     0,  1039,     0,   695,  4067,  2325,
    4069,     0,  2326,  2337,  2338,  3474,  2327,  2328,  2329,     0,
       0,     0,     0,     0,     0,     0,  3484,     0,  2339,     0,
       0,     0,     0,  2330,   379,     0,     0,     0,     0,  3508,
     379,  2332,     0,     0,     0,  2343,     0,  2333,   691,  1919,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2340,
       0,     0,     0,  3662,  3662,  3662,  3662,  3662,     0,  4110,
       0,  2334,  2341,  1902,     0,     0,     0,     0,     0,  1903,
       0,     0,   695,   695,     0,     0,     0,     0,     0,     0,
       0,  1037,     0,     0,  4124,   695,     0,     0,     0,     0,
    1039,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     695,   695,     0,     0,     0,     0,     0,     0,     0,  1904,
       0,     0,     0,     0,     0,     0,     0,  2325,     0,     0,
    2326,   694,   695,     0,  2327,  2328,  2329,     0,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,  2330,     0,  2343,     0,  3101,     0,     0,     0,  2332,
       0,     0,     0,     0,     0,  2333,     0,     0,     0,     0,
    1905,     0,     0,     0,     0,     0,  2335,  1906,  1902,     0,
    1907,  2336,     0,  3383,  1903,     0,     0,     0,     0,  2334,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2337,  2338,     0,  1908,     0,     0,     0,  3868,
       0,     0,     0,  3868,     0,     0,  4260,  2339,     0,     0,
       0,     0,     0,     0,  1904,     0,     0,     0,   694,     0,
       0,     0,     0,     0,     0,     0,  1909,     0,     0,     0,
       0,     0,     0,     0,   694,   694,  2344,  2508,  2340,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,  2341,   380,     0,  2342,     0,     0,     0,     0,     0,
       0,   694,    74,     0,   694,  1905,     0,     0,     0,     0,
       0,  3708,  1906,     0,     0,  1907,     0,     0,     0,     0,
       0,     0,     0,  1910,  2335,  1911,     0,     0,     0,  2336,
       0,     0,     0,  3722,     0,  1912,     0,     0,     0,     0,
    1908,  3708,     0,  1913,     0,     0,     0,  4323,     0,     0,
    2337,  2338,     0,  1914,     0,     0,     0,     0,     0,     0,
       0,     0,  1037,     0,     0,  2339,     0,     0,  4332,     0,
       0,  1909,  2343,     0,     0,     0,     0,     0,     0,     0,
     379,   379,   379,  4910,  4911,   380,     0,  3516,  4914,  4915,
    1916,  1917,     0,  4355,     0,     0,  2340,     0,  1039,     0,
       0,     0,     0,     0,   694,     0,     0,     0,     0,  2341,
       0,     0,  2342,     0,     0,     0,   694,  3517,     0,     0,
     694,     0,     0,     0,     0,     0,     0,  2261,  1910,   694,
    1911,     0,     0,  4367,     0,     0,     0,     0,     0,     0,
    1912,     0,   380,     0,   380,     0,     0,     0,  1913,     0,
       0,     0,     0,     0,     0,     0,     0,  1037,  1914,     0,
       0,     0,     0,     0,   695,  2344,     0,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,  4973,
    1919,     0,  4152,     0,     0,     0,     0,     0,     0,     0,
    2343,     0,  4006,   694,   843,  1916,  1917,     0,     0,     0,
       0,     0,     0,     0,   695,     0,  4368,     0,   380,   695,
       0,     0,   693,   695,     0,     0,     0,     0,     0,   693,
       0,   695,  4007,     0,     0,     0,     0,     0,     0,   379,
     693,     0,     0,     0,     0,   694,     0,   694,     0,   695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   694,
       0,   694,     0,     0,     0,     0,     0,     0,   693,     0,
       0,     0,     0,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,     0,     0,     0,     0,
       0,   695,     0,  2344,     0,  1919,  2345,  2346,  2347,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,   695,   695,
     693,     0,     0,     0,     0,   694,     0,     0,     0,  2325,
       0,  3957,  2326,     0,     0,   693,  2327,  2328,  2329,  1902,
       0,   693,     0,     0,     0,  1903,     0,   380,   695,  3868,
       0,   380,   693,  2330,  3868,     0,     0,     0,     0,  3868,
       0,  2332,  3868,  5079,     0,     0,   693,  2333,     0,     0,
       0,     0,     0,     0,  3979,     0,     0,     0,     0,   695,
     694,     0,     0,   695,     0,  1904,  5101,     0,     0,     0,
       0,  2334,  3868,     0,     0,     0,     0,   694,     0,     0,
       0,   695,     0,     0,     0,     0,  3868,     0,     0,     0,
       0,  1902,   695,     0,     0,     0,     0,  1903,     0,   694,
       0,     0,   694,     0,     0,   695,     0,     0,     0,     0,
       0,     0,  2135,     0,   695,     0,  1905,     0,     0,     0,
       0,     0,     0,  1906,     0,  1037,  1907,     0,     0,  5141,
       0,     0,     0,     0,     0,     0,     0,  1904,     0,  5371,
       0,     0,     0,  1082,     0,   693,     0,  1082,     0,     0,
       0,  1908,     0,  2168,     0,     0,     0,  4051,     0,     0,
       0,  2178,     0,     0,     0,     0,     0,  2186,     0,  4070,
       0,   380,     0,     0,     0,     0,  2335,     0,     0,   379,
    1243,  2336,  1909,     0,  4672,     0,     0,     0,  1905,     0,
       0,     0,     0,     0,     0,  1906,     0,     0,  1907,     0,
       0,     0,  2337,  2338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2339,     0,     0,
       0,     0,     0,  1908,     0,     0,     0,     0,     0,     0,
       0,  3868,     0,     0,   693,   693,     0,   695,     0,  1910,
       0,  1911,     0,     0,     0,     0,  4121,     0,  2340,     0,
       0,  1912,     0,     0,  1909,     0,     0,     0,     0,  1913,
       0,  2341,     0,     0,  2342,     0,     0,     0,     0,  1914,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2325,     0,     0,  2326,     0,     0,
       0,  2327,  2328,  2329,     0,     0,  3868,     0,     0,   695,
       0,     0,     0,  4053,     0,     0,  1916,  1917,  2330,     0,
       0,  1910,     0,  1911,     0,     0,  2332,  1082,  1082,     0,
       0,     0,  2333,  1912,     0,     0,     0,     0,     0,     0,
       0,  1913,     0,  4054,     0,     0,     0,     0,     0,     0,
       0,  1914,  2343,     0,     0,     0,  2334,   695,     0,     0,
       0,     0,     0,  1902,     0,     0,     0,     0,     0,  1903,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   695,
       0,     0,     0,   694,     0,     0,     0,   695,  1916,  1917,
       0,  2261,     0,     0,  1945,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1919,     0,     0,  1904,
       0,     0,     0,     0,     0,  1918,     0,     0,     0,  5339,
       0,     0,     0,  2752,     0,   379,     0,     0,     0,     0,
     379,     0,   379,     0,     0,     0,     0,     0,     0,     0,
    4297,     0,  1946,     0,     0,  2344,     0,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
    1905,  2335,  4324,   380,     0,  4311,  2336,  1906,     0,   380,
    1907,     0,     0,     0,     0,     0,  5370,     0,  1919,     0,
     694,     0,     0,   694,     0,  3868,     0,  2337,  2338,     0,
       0,     0,     0,     0,     0,  1908,     0,     0,     0,     0,
       0,     0,  2339,     0,     0,     0,     0,     0,     0,   693,
    3868,     0,     0,     0,     0,     0,     0,     0,  4881,     0,
     379,     0,     0,  1947,     0,     0,  1909,     0,     0,   693,
       0,     0,     0,  2340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2341,  4897,     0,  2342,
       0,     0,   693,     0,     0,     0,     0,     0,     0,     0,
     695,     0,     0,     0,     0,   694,   694,  4912,     0,     0,
       0,  1948,     0,  1949,     0,     0,     0,     0,   694,  5441,
     694,     0,     0,  1950,     0,  1911,     0,     0,   693,     0,
       0,     0,     0,  2325,     0,  1912,  2326,     0,     0,     0,
    2327,  2328,  2329,  1913,   693,     0,     0,     0,     0,     0,
       0,     0,  1951,  1914,     0,     0,     0,  2330,     0,   693,
       0,  4935,   693,     0,     0,  2332,     0,  2343,     0,     0,
       0,  2333,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5481,     0,     0,     0,     0,     0,  1952,     0,   379,
    1916,  1917,  1953,     0,     0,  2334,     0,   695,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,   695,     0,  3868,  1954,     0,     0,
       0,   694,  1243,  1243,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
     695,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2344,     0,  5019,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,  5540,     0,     0,  4521,  4375,     0,     0,
    1919,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,     0,     0,     0,     0,     0,     0,   693,   693,     0,
    2335,     0,     0,     0,     0,  2336,     0,     0,   843,     0,
       0,     0,     0,     0,     0,     0,     0,  2261,     0,   380,
     380,   380,     0,     0,     0,     0,  2337,  2338,     0,     0,
       0,     0,     0,     0,     0,  5540,     0,  5575,  2885,     0,
       0,  2339,     0,   695,     0,     0,     0,     0,     0,  1243,
    1243,     0,     0,     0,  5540,   695,     0,     0,     0,   695,
       0,   843,     0,     0,     0,     0,     0,     0,   695,     0,
       0,     0,  2340,  4598,     0,     0,  4601,     0,     0,     0,
       0,     0,   693,  2912,     0,  2341,     0,  2916,  2342,     0,
       0,     0,     0,  2922,  2923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2939,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   843,     0,     0,     0,
       0,     0,   695,     0,     0,     0,  1082,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     694,     0,     0,   379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2343,     0,   380,     0,
       0,     0,     0,  4677,   695,  1082,   695,   694,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   695,   694,
     695,     0,     0,     0,     0,  2325,     0,     0,  2326,     0,
       0,     0,  2327,  2328,  2329,     0,     0,   694,     0,     0,
       0,     0,     0,  2325,     0,     0,  2326,     0,     0,  2330,
    2327,  2328,  2329,     0,     0,     0,     0,  2332,     0,     0,
       0,     0,     0,  2333,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,     0,   695,  2332,     0,     0,     0,     0,
       0,  2333,     0,     0,   694,     0,     0,  2334,     0,  2344,
       0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,  3708,  2334,  4492,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2261,     0,     0,     0,     0,     0,     0,   695,
       0,     0,     0,     0,  2325,     0,     0,  2326,     0,     0,
       0,  2327,  2328,  2329,     0,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   843,     0,  2330,  1442,
    4110,     0,     0,     0,     0,     0,  2332,     0,   695,     0,
       0,   695,  2333,     0,     0,     0,     0,   693,     0,     0,
    1442,   693,     0,     0,     0,     0,  3196,     0,     0,     0,
       0,     0,  2335,   693,     0,     0,  2334,  2336,     0,     0,
       0,     0,   694,     0,     0,     0,     0,     0,     0,     0,
    2335,     0,     0,     0,     0,  2336,     0,  2261,  2337,  2338,
       0,  2261,  2261,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2339,     0,     0,  2337,  2338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   380,     0,
       0,  2339,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2340,     0,     0,     0,   693,   693,
       0,     0,     0,     0,     0,     0,     0,  2341,     0,     0,
    2342,   693,  2340,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,   693,   693,  2342,     0,
       0,  2335,     0,     0,     0,     0,  2336,     0,  5364,     0,
       0,     0,     0,   694,     0,   694,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     0,     0,  2337,  2338,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2339,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,     0,     0,     0,     0,  2343,     0,
    4907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4917,  2340,     0,     0,  2343,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2341,     0,     0,  2342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   379,
       0,   694,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   695,     0,     0,     0,     0,     0,   843,     0,
       0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,
    2350,  2351,  2352,  2353,     0,     0,     0,  2343,  4762,  2344,
       0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,   380,     0,  4797,     0,     0,   380,
       0,   380,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2325,     0,
    1442,  2326,     0,     0,     0,  2327,  2328,  2329,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   695,
       0,     0,   695,     0,     0,     0,     0,     0,     0,     0,
    2332,     0,     0,     0,     0,  3708,  2333,     0,     0,     0,
    2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,     0,     0,  5042,     0,   380,
    2334,     0,     0,     0,     0,     0,   379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2325,     0,
    1442,  2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,
     693,     0,     0,     0,   695,   695,     0,     0,     0,     0,
       0,     0,  2330,     0,     0,     0,     0,   695,     0,   695,
    2332,     0,     0,     0,     0,     0,  2333,     0,     0,     0,
       0,     0,     0,     0,  3653,     0,     0,     0,     0,     0,
     693,     0,     0,     0,   843,   693,  3708,     0,  3708,   693,
    2334,     0,     0,  3670,     0,     0,     0,   693,     0,     0,
       0,     0,     0,     0,     0,  2335,     0,     0,  3679,     0,
    2336,  3681,  3682,     0,     0,   693,  3685,  3686,     0,     0,
       0,     0,     0,  3690,     0,     0,     0,     0,   380,     0,
       0, -2804, -2804,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2339,     0,     0,     0,
       0,     0,     0,     0,     0,  2325,     0,   693,  2326,     0,
     695,  1442,  2327,  2328,  2329,     0,     0,     0,  1082,     0,
       0,     0,     0,     0,   693,   693,     0, -2804,     0,  2330,
       0,     0,     0,     0,     0,     0,     0,  2332,     0,     0,
    2341,     0,     0,  2333,   694,  2335,     0,     0,     0,     0,
    2336,  3731,     0,   843,   693,     0,     0,   843,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2334,     0,     0,
       0,  2337,  2338,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,     0,   693,  2339,  2325,     0,   693,
    2326,     0,     0,     0,  2327,  2328,  2329,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,     0,
       0,  2330,     0,   739,     0,     0,     0,  2340,   693,  2332,
       0,  2343,   694,     0,     0,  2333,     0,     0,     0,     0,
    2341,   693,     0,  2342,     0,     0,     0,     0,     0,     0,
     693,     0,     0,     0,     0,     0,     0,     0,     0,  2334,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2397,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,  2335,     0,     0,     0,     0,  2336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1048,
       0,     0,     0,     0,     0,     0,     0,   843,  2337,  2338,
       0,     0,     0,     0,  1050,     0,     0,     0,     0,     0,
       0,  2343,  1058,  2339,  2344,     0,     0,  2345,  2346,  2347,
     379,  2348,  2349,  2350,  2351,  2352,  2353,  1072,     0,  1048,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,   695,
       0,     0,   380,  1127,  2340,     0,     0,     0,     0,     0,
       0,     0,  1132,     0,  2335,     0,     0,  2341,     0,  2336,
    2342,     0,     0,   693,     0,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   695,     0,
    2337,  2338,   379,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,  1307,  2339,   695,     0,     0,     0,
       0,   379,     0,     0,  2344,     0,     0,  2345,  2346,  2347,
       0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,  5053,     0,     0,     0,   693,  2340,  1308,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2343,  2341,
    1309,  1310,  2342,   695,     0,     0,     0,     0,     0,     0,
    1311,  3977,  1442,     0,  1312,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1313,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,  1314,     0,   693,     0,     0,     0,     0,
       0,     0,     0,   693,  1315,     0,     0,     0,     0,     0,
       0,     0,  1316,     0,     0,     0,     0,     0,     0,     0,
    2343,     0,     0,     0,  1317,     0,  4029,     0,  4031,  1318,
       0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,
    2350,  2351,  2352,  2353,     0,     0,     0,     0,  5062,     0,
       0,     0,  1319,     0,     0,     0,     0,     0,     0,     0,
       0,   695,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,  3708,     0,  1320,     0,   843,
       0,  1442,     0,     0,     0,   843,     0,     0,     0,  1442,
       0,     0,     0,     0,     0,     0,     0,     0,  1321,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,
    2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,  1322,
    5065,     0,     0,     0,  4109,     0,     0,     0,     0,     0,
    4116,     0,     0,     0,     0,     0,     0,  1442,     0,  1323,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   881,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,   695,     0,   695,     0,   693,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,  1324,     0,     0,     0,
    1442,  1325,     0,  1326,     0,     0,     0,     0,     0,  1327,
       0,     0,  1328,     0,     0,     0,     0,     0,  2325,     0,
       0,  2326,   695,     0,     0,  2327,  2328,  2329,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,  1329,  2330,  1442,  1330,     0,     0,     0,  1331,     0,
    2332,     0,     0,     0,     0,  1332,  2333,  1333,     0,     0,
       0,     0,  1334,     0,     0,     0,     0,     0,   380,     0,
     695,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2334,     0,     0,   693,   739,     0,     0,  1335,     0,     0,
       0,  4259,     0,     0,     0,     0,     0,     0,     0,   693,
     693,  1230,  1232,     0,     0,  1235,     0,  1237,     0,     0,
       0,     0,     0,     0,  4276,  4277,     0,  4279,     0,  4281,
    4282,     0,     0,     0,     0,     0,   693,  1288,     0,   693,
       0,     0,  4289,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1344,     0,     0,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1371,
       0,     0,  4310,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2335,     0,     0,     0,     0,
    2336,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   843,   843,   843,     0,     0,
       0,  2337,  2338,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2339,     0,     0,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,     0,     0,   693,     0,     0,     0,     0,
       0,     0,     0,     0,   693,   380,     0,  2340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2341,     0,     0,  2342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1225,  1231,  1231,   739,     0,  1231,
       0,  1239,     0,  1225,     0,  1127,     0,     0,  1269,     0,
       0,     0,     0,     0,  1127,     0,     0,  1127,   693,     0,
       0,  1231,     0,  1127,     0,     0,     0,     0,     0,     0,
       0,  1306,     0,     0,     0,     0,  1127,     0,  1225,     0,
       0,  1231,     0,   739,     0,  1231,     0,     0,     0,     0,
       0,  2343,  1269,     0,   843,     0,  1366,     0,     0,     0,
     693,     0,   693,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,  1225,     0,     0,  1442,
    1442,   739,     0,     0,     0,     0,  1225,     0,     0,     0,
    1269,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
     693,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   695,  2344,     0,     0,  2345,  2346,  2347,
       0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,     0,
       0,  5116,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,  1127,     0,   693,     0,     0,     0,     0,
    1927,  1928,     0,     0,     0,     0,     0,     0,  1127, -2307,
    1564,     0,   693,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   695,     0,     0,   693,     0,     0,   693,  1674,  1674,
       0,     0,     0,   739,  1127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2307,     0,     0,
       0,     0,     0,  1127,     0,     0,     0,  1127,     0, -2307,
       0,     0,     0,     0, -2307,  1674,     0,     0,     0, -2307,
       0,     0,  2029,     0, -2307,     0,  1127, -2307,     0,     0,
   -2307,     0,     0,  2325,     0,     0,  2326,     0,  1127,     0,
    2327,  2328,  2329,  2052,  2053,     0,     0,     0,     0,     0,
       0,     0,     0,  2325,   843,     0,  2326,  2330, -2307,     0,
    2327,  2328,  2329,     0,  2086,  2332,     0,     0,     0,   380,
       0,  2333,     0,     0,     0,     0,     0,  2330, -2307,     0,
       0,     0,     0,     0,     0,  2332,     0,     0,     0,     0,
       0,  2333,     0,     0,     0,  2334,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2334,     0, -2307,  1442, -2307,
    1127,     0,     0,     0,     0, -2307,     0,     0,     0,  1127,
       0,   380,     0,     0,  1231,  1231,     0,     0,     0,     0,
       0,     0,     0,  2156,  2158,     0,     0,     0,     0,     0,
     380,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4732,     0,
       0,     0,     0,     0, -2307,     0,  4735,  4736,  4737,  4738,
       0,     0,     0,     0,     0,     0,  1225,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,  1225,     0,     0,
    2335,  1269,     0,     0,     0,  2336,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
    2335,     0,     0,  1053,     0,  2336,  2337,  2338,     0,     0,
       0,  1127,     0,     0,     0,     0,     0,  1231,  1231,     0,
       0,  2339,     0,     0,     0,     0,  2337,  2338,   693, -2307,
       0,     0,     0,     0,  1127,  1127,  1127,     0,  1231,     0,
    1225,  2339,     0,     0,     0,  2095,     0,     0,     0,     0,
       0,     0,  2340, -2307,     0, -2307, -2307,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,  2342,     0,
     843,     0,  2340,     0,  1902,   843,     0,   843,     0,     0,
    1903,     0,     0,     0,     0,  2341,     0,     0,  2342, -2307,
       0,     0, -2307, -2307,     0, -2307,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,  1945,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,  1231,  1231,  1442,
    1904,     0,     0,     0,     0,   693,     0,     0,   693,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2343,     0,     0,     0,
       0,     0,     0,  1946,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,   843,  2343,     0,     0,     0,
       0,  1905,     0,     0,     0,     0,     0,     0,  1906,     0,
       0,  1907,  4880,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2235,  2235,     0,     0,     0,  1127,
       0,  1048,     0,     0,     0,     0,  1908,     0,     0,     0,
     693,   693,     0,     0,  4898,  4899,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   693,     0,  2269,     0,     0,
    1127,     0,     0,  2275,  1947,     0,     0,  1909,     0,  2344,
       0,     0,  2345,  2346,  2347,  1674,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,     0,     0,  5148,     0,     0,  2344,
       0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,  1674,     0,     0,  5183,     0,     0,     0,
       0,     0,  1948,     0,  1949,     0,     0,     0,  4936,  4937,
       0,     0,     0,     0,  1950,     0,  1911,     0,     0,     0,
       0,  1674,  1674,  1674,     0,  1674,  1912,     0,     0,     0,
       0,     0,     0,     0,  1913,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,  1914,  1674,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   739,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3464,     0,
       0,  1916,  1917,  1953,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,  1442,     0,  1442,  1127,  2665,     0,  1674,
    1442,     0,     0,     0,     0,     0,     0,     0,  3465,     0,
       0,     0,     0,     0,     0,     0,  5029,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,  5031,  5032,  1674,     0,
       0,     0,  1674,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,  5036,  1127,  1127,  2474,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2735,  2736,  2737,  2738,     0,     0,     0,  1442,     0,
       0,  1919,   739,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0, -2309,     0,     0,     0,
       0,     0,     0,     0,  2776,  2777,     0,     0,     0,     0,
       0,     0,     0,  2789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2803,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2309,     0,     0,     0,     0,     0,
       0,  2839,  2840,  2841,  2842,     0, -2309,  1442,     0,  1442,
       0, -2309,     0,     0,     0,     0, -2309,     0,     0,     0,
       0, -2309,     0,     0, -2309,   693,     0, -2309,   843,     0,
    1127,  2645,     0,     0,     0,     0,     0,     0,  1127,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,     0, -2309,     0,     0,     0,     0,
    1269,     0,  1127,     0,   693,     0,     0,     0,  1442,     0,
    1127,     0,     0,  1127,     0, -2309,     0,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,  1127,  2925,     0,
       0,  2928,     0,     0,     0,  1231,  1231,  1231,  1231,  1127,
       0,  2933,     0,     0, -2309,     0, -2309,     0,     0,  1442,
    2941,     0, -2309,  1127,  1442,     0,     0,     0,     0,   693,
       0,     0,     0,     0,     0,  2767,     0,  1127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,  1231,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0, -2309,     0,     0,     0,     0,     0,     0,     0,     0,
    5244,     0,  1442,     0,     0,     0,  1127,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,  1231,  1231,  1231,     0,
    1442,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
       0,     0,     0,     0,  1127,  1442,     0,  2767,     0,     0,
    1053,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1225,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,     0,  1674, -2309,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5286,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3115,
   -2309,     0, -2309, -2309,     0,     0,     0,     0,  1225,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1269,     0,
       0,     0,  1231,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,  5318,  1231, -2309,     0,     0, -2309,
   -2309,     0, -2309,  1231,  1231,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
       0,  2325,     0,     0,  2326,     0,     0,  1442,  2327,  2328,
    2329,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2330,     0,     0,   693,     0,
     693,  2235,  1442,  2332,     0,     0,     0,     0,  1231,  2333,
    1225,     0,     0,     0,  1127,  1127,     0,  1231,     0,     0,
       0,     0,     0,     0,  1127,     0,     0,     0,     0,     0,
       0,     0,     0,  2334,  1127,     0,  1442,     0,   693,  1048,
    1048,     0,     0,  3019,     0,     0,     0,  1674,  1674,     0,
       0,     0,     0,  1674,  1674,     0,     0,     0,     0,     0,
    1674,  1674,  1674,     0,     0,     0,  1674,  1269,  1674,  1674,
    1674,  1674,  1674,  1674,     0,  1674,     0,  1674,  1674,     0,
       0,  1674,     0,     0,   843,     0,   693,     0,     0,     0,
     865,     0,     0,     0,     0,     0,  1674,  1674,  1674,  1674,
       0,     0,     0,  1231,  1674,     0,     0,     0,  1674,     0,
       0,  1674,     0,     0,  1674,  1674,  1674,  1674,  1674,  1674,
    1674,  1674,  1674,     0,  1674,     0,     0,     0,     0,     0,
       0,  1127,  1674,     0,     0,  1674,   866,     0,  2335,     0,
       0,     0,     0,  2336,     0,     0,     0,     0,     0,     0,
     867,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
    1442,     0,     0,     0,  2337,  2338,     0,     0,   868,  3336,
    3337,     0,     0,     0,   869,     0,     0,     0,  3348,  2339,
    3350,     0,     0,     0,  3354,     0,     0,     0,     0,   870,
       0,     0,     0,     0,  1127,     0,  1127,     0,  1674,     0,
     871,     0,     0,     0,     0,     0,     0,     0,   872,     0,
    2340,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
     873,  1674,  1674,  2341,     0,   874,  2342,     0,     0,     0,
       0,   875,     0,     0,     0,  1127,     0,     0,     0,     0,
       0,     0,  3242,     0,  3249,     0,     0,     0,   876,     0,
       0,     0,     0,     0,     0,  1442,  5525,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   843,     0,   877,     0,  2325,     0,     0,  2326,     0,
       0,     0,  2327,  2328,  2329,     0,     0,     0,  3469,     0,
       0,     0,     0,     0,   878,     0,     0,     0,     0,  2330,
       0,     0,     0,     0,  2343,     0,     0,  2332,     0,     0,
       0,     0,     0,  2333,     0,     0,     0,     0,     0,     0,
       0,     0,   739,     0,     0,   879,     0,     0,     0,     0,
       0,  1048,     0,  1048,     0,     0,     0,  2334,     0,     0,
       0,     0,     0,     0,     0,   880,  3529,     0,     0,     0,
    1674,     0,     0,     0,  3538,   881,  3540,     0,     0,     0,
       0,  1225,  3542,  1231,  1231,     0,     0,     0,  1225,     0,
    1269,     0,  1231,     0,  1231,     0,     0,     0,  1231,     0,
       0,  1127,   882,     0,     0,     0,     0,   883,     0,   884,
       0,     0,     0,  1442,     0,   885,     0,  2344,   886,     0,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
    2645,     0,     0,     0,  5420,     0,     0,  3385,     0,     0,
       0,     0,     0,  3395,     0,     0,   887,   888,     0,     0,
     889,     0,  1127,     0,   890,     0,  3614,     0,     0,     0,
       0,  1442,  2335,   891,     0,     0,     0,  2336,   892,     0,
       0,  1127,     0,     0,     0,  3439,  3439,     0,     0,   693,
     893,     0,     0,     0,   739,     0,     0,     0,  2337,  2338,
       0,     0,     0,   894,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  2339,     0,     0,     0,     0,     0,     0,
       0,     0,  3673,     0,  3675,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3502,
       0,  3505,  3507,     0,  2340,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2341,     0,     0,
    2342,     0,     0,     0,     0,  2325,     0,   693,  2326,     0,
    1231,     0,  2327,  2328,  2329,     0,     0,     0,  1231,     0,
    1231,     0,     0,     0,     0,     0,  1231,     0,     0,  2330,
       0,     0,     0,     0,     0,     0,     0,  2332,     0,     0,
    1674,     0,     0,  2333,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,  2645, -2323,     0,  3439,     0,  1127,
    1442,     0,  3590,     0,     0,  1048,     0,  2334,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2343,     0,
       0,     0,  3741,     0,     0,     0,     0,     0,     0,     0,
       0,  3502,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,  3616,     0, -2323,     0,   843,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2323,  2095,     0,     0,     0,
   -2323,     0,     0,     0,     0, -2323,     0,  1674,     0,     0,
   -2323,     0,     0, -2323,     0,     0, -2323,     0,     0,     0,
       0,  3663,  3666,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,  1231,  3439,  1231,  3439,
       0,     0,     0,     0, -2323,     0,     0,   843,     0,     0,
       0,  2344,  2335,     0,  2345,  2346,  2347,  2336,  2348,  2349,
    2350,  2351,  2352,  2353, -2323,  1674,   843,  1442,  5440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2337,  2338,
       0,     0,     0,     0,     0,     0,     0,  2235,     0,     0,
       0,     0,     0,  2339,     0,     0,  1442,     0,     0,     0,
       0,     0,     0, -2323,     0, -2323,     0,     0,     0,     0,
       0, -2323,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,  2340,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,     0,  2341,     0,  1225,
    2342,     0,     0,     0,     0,  1225,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
   -2323,     0,  1674,     0,     0,     0,     0,  1674,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1674,  1674,  1674,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,  1674,  1674,  1674,  1674,     0,     0,  1053,
       0,     0,     0,     0,     0,     0,  1674,     0,  2343,  1674,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,  1674,     0, -2323,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1269,     0,
    1674,     0,  1674,     0,  1674,     0,     0,     0,     0, -2323,
       0, -2323, -2323,     0,     0,     0,  3986,     0,  3987,  3988,
    3989,  1442,     0,     0,  1674,     0,     0,     0,  1127,     0,
       0,     0,     0,     0,     0,  3869,     0,  1674,  1674,  1674,
       0,     0,     0,     0,     0, -2323,     0,     0, -2323, -2323,
       0, -2323,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2344,  1674,     0,  2345,  2346,  2347,     0,  2348,  2349,
    2350,  2351,  2352,  2353,     0,  1674,  1442,     0,  5556,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1674,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3869,     0,     0,  3930,     0,     0,
    3933,     5,  3249,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,  1674,     0,  3439,
       0,     0,     0,     0,  2235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4125,     0,     0,  1442,     0,     0,     0,
    1231,     0,  1231,  1231,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,  1127,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2325,     0,     0,  2326,    49,     0,     0,  2327,  2328,  2329,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,  4283,  2330,  4284,     0,    50,     0,  4286,
       0,     0,  2332,     0,     0,     0,     0,     0,  2333,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1442,
       0,     0,  2334,    51,     0,     0,    52,  1231,     0,     0,
       0,     0,     0,     0,  3439,  3439,     0,     0,     0,     0,
       0,    53,     0,     0,     0,  4317,     0,     0,     0,     0,
    2325,     0,     0,  2326,     0,     0,     0,  2327,  2328,  2329,
       0,     0,     0,     0,     0,     0,     0,     0,  1127,  1127,
       0,     0,     0,     0,  2330,     0,  1442,     0,  3207,     0,
    1442,  1442,  2332,     0,  1127,     0,     0,     0,  2333,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2235,
    1127,     0,     0,     0,     0,     0,     0,     0,  2235,  1127,
    1127,     0,  2334,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,     0,     0,  1127,  2335,     0,     0,
       0,     0,  2336,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2337,  2338,     0,     0,     0,     0,  3208,
    3663,     0,     0,     0,     0,    55,     0,  1442,  2339,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,  1231,
      56,     0,     0,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,  2340,
       0,  1225,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1127,  2341,     0,     0,  2342,     0,  2335,     0,     0,
       0,     0,  2336,    58,     0,     0,     0,  1127,     0,     0,
       0,    59,     0,    60,    61,    62,    63,    64,     0,  1231,
      65,    66,  1486,  2337,  2338,     0,  1674,    71,  1487,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  2339,     0,
       0,  1674,     0,  1674,     0,     0,  1674,     0,     0,     0,
       0,  1674,  1674,  1674,  1674,     0,     0,  1674,  1674,  1674,
    1674,  1674,  1674,  1674,  1674,  1674,  1674,     0,     0,  2340,
    1674,  1674,     0,  2343,     0,     0,  4515,  4516,  4517,  4518,
    1674,     0,  2341,     0,  1674,  2342,     0,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,  1674,     0,     0,  1674,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
    1674,     0,     0,  1674,  1674,     0,     0,     0,  1674,  1674,
       0,     0,     0,  4399,     0,  1674,     0,     0,     0,     0,
       0,     0,  1127,  1127,  1127,  1225,     0,  3869,  4419,     0,
       0,     0,  4419,  4433,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,     0,  1674,  1674,  1674,     0,     0,
       0,     0,     0,  2343,     0,     0,  2344,     0,     0,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,     0,     0,  5574,     0,     0,     0,     0,     0,   851,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3249,     0,  1674,  3209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   851,     0,     0,     0,     0,     0,
       0,     0,     0,  4650,     0,     0,     0,     0,  4498,  2235,
    2235,     0,  2767,     0,     0,     0,  2344,     0,     0,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
    1231,  1231,  1231,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,     4,     0,
    1086,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,     0,     0,     5,  4542,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     8,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4615,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2325,     0,     0,  2326,     0,     0,
       0,  2327,  2328,  2329,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,  2330,     0,
       0,     0,     0,     0,     0,  1127,  2332,  1231,     0,  1674,
       0,     0,  2333,     0,     0,  1127,     0,     0,     0,     0,
       0,  4663,     0,     0,     0,     0,     0,     0,     0,     0,
    2645,  2325,     0,     0,  2326,     0,  2334,     0,  2327,  2328,
    2329,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1127,     0,     0,     0,     0,  2330,     0,     0,     0,     0,
    3502,     0,    47,  2332,     0,     0,     0,  4696,     0,  2333,
       0,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
      48,  2767,     0,     0,     0,  1674,  1674,     0,     0,     0,
       0,     0,     0,  2334,     0,     0,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3663,  3663,  3663,
    3663,  3663,     0,     0,    50,     0,     0,  3439,     0,  3439,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2335,     0,     0,     0,     0,  2336,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      51,     0,     0,    52,     0,     0,     0,  2337,  2338,  1674,
       0,     0,     0,     0,     0,     0,  3791,     0,    53,     0,
    1674,  3792,  2339,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2335,     0,
       0,     0,     0,  2336,     0,     0,     0,     0,     0,     0,
    1674,     0,     0,  2340,     0,     0,     0,     0,     0,     0,
    1674,  1674,     0,     0,  2337,  2338,  2341,  1674,  1674,  2342,
       0,     0,  1674,     0,     0,     0,     0,  1674,     0,  2339,
    1674,  1674,     0,     0,     0,  1674,  4801,     0,     0,     0,
    4929,  1674,  1127,  1127,  1127,  1127,    54,     0,     0,  4419,
    4433,     0,  4419,     0,  4932,  4812,     0,     0,     0,  3869,
    2340,     0,     0,  3869,     0,     0,     0,     0,     0,  4827,
       0,     0,     0,  2341,     0,  1674,  2342,     0,     0,     0,
    1674,     0,     0,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,    55,     0,     0,     0,  1269,  2343,     0,     0,
       0,     0,     0,  1674,     0,     0,  3930,    56,     0,     0,
    1248,  3249,     0,     0,     0,     0,     0,     0,     0,  1278,
       0,     0,    57,     0,     0,     0,     0,     0,  1294,  1048,
       0,     0,  1674,  4995,     0,     0,  1304,     0,     0,     0,
       0,  1339,     0,     0,     0,     0,     0,     0,     0,     0,
      58,     0,  3439,  3439,  2343,     0,     0,     0,    59,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,    67,
      68,     0,    69,    70,    71,    72,    73,  4896,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2344,     0,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,  4454,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2344,  1231,     0,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
     851,     0,     0,     0,     0,     0,     0,     0,  1227,  1225,
       0,     0,     0,  1562,  2645,     0,     0,  1227,     0,     0,
       0,     0,  2235,     0,  5121,  5123,  5123,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  2645,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1694,
       0,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1127,  1718,     0,
    5028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1744,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,  1674,  1445,     0,     0,     0,
    1227,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,  1674,  1674,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1225,
    4419,     0,     0,     0,  3869,  5225,     0,     0,     0,  3869,
       0,     0,  3869,  1225,     0,  3502,     0,  5083,     0,     0,
    1674,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1926,     0,     0,     0,     0,     0,
       0,     0,  4498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4498,  1269,  1231,  1231,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,  1227,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,  1225,
    1269,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5290,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2050,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2235,  2235,     0,     0,
    1225,     0,  5314,  1127,  5316,     0,     0,     0,     0,  2080,
    2083,  2084,     0,  4663,     0,     0,     0,     0,     0,  1127,
       0,  3439,     0,     0,     0,     0,  2645,     0,     0,     0,
       0,     0,     0,     0,  2325,     0,     0,  2326,  4696,     0,
       0,  2327,  2328,  2329,     0,     0,     0,     0,     0,  1231,
    1127,  4498,     0,     0,     0,     0,     0,     0,  2330,     0,
       0,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,     0,  2333,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,     0,     0,  1674,     0,  1674,     0,
       0,     0,     0,     0,     0,     0,  2334,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,  1086,  1086,     0,  3869,     0,     0,     0,
    5083,     0,     0,     0,     0,     0,     0,  1674,     0,     0,
       0,     0,  5123,     0,     0,     0,  5277,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,  1445,     0,  1674,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,  1127,     0,  1445,     0,     0,
       0,     0,     0,     0,  1694,     0,  1445,     0,  5518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
    5437,     0,     0,     0,     0,  1231,  1231,  1231,  1231,     0,
       0,  2335,     0,     0,     0,  1694,  2336,     0,     0,     0,
    2235,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2337,  2338,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2339,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5485,     0,     0,
       0,     0,     0,  2340,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2341,     0,     0,  2342,
       0,     0,  1674,     0,     0,  1225,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,  5519,  1674,
       0,  1674,     0,  1674,     0,     0,  2325,     0,     0,  2326,
    4498,     0,     0,  2327,  2328,  2329,  1231,  5531,  1269,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
    2330,     0,     0,  3750,     0,     0,     0,     0,  2332,     0,
       0,  2415,     0,  2325,  2333,     0,  2326,     0,     0,     0,
    2327,  2328,  2329,     0,     0,     0,     0,  2343,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2330,  2334,     0,
       0,     0,     0,     0,  1231,  2332,     0,     0,  1445,  1225,
       0,  2333,     0,     0,     0,     0,     0,     0,     0,  2472,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5028,     0,     0,  2334,     0,     0,     0,  1227,
    1674,  1674,     0,     0,     0,  3502,     0,     0,     0,     0,
       0,  1674,     0,     0,  5277,     0,     0,     0,  3249,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,  1225,     0,     0,     0,     0,     0,     0,     0,     0,
    2344,  1231,     0,  2345,  2346,  2347,     0,  2348,  2349,  2350,
    2351,  2352,  2353,     0,     0,  1227,  1227,  1227,     0,  1227,
       0,     0,     0,  2335,     0,     0,  4498,     0,  2336,     0,
       0,     0,  1225,  1225,     0,  1674,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2337,
    2338,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
    2335,  1231,     0,     0,  2339,  2336,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2640,     0,     0,     0,     0,
       0,     0,     0,  2661,     0,     0,  2337,  2338,     0,     0,
       0,     0,     0,  1227,   851,  2340,     0,     0,     0,     0,
       0,  2339,     0,     0,     0,     0,     0,  2694,  2341,     0,
       0,  2342,     0,     0,     0,  2701,     0,     0,  2704,     0,
       0,     0,  1227,     0,     0,     0,  1227,  1227,     0,     0,
       0,     0,  2340,  1674,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,  1225,  2342,  2325,
       0,     0,  2326,     0,  2739,     0,  2327,  2328,  2329,  1225,
    1225,     0,     0,  3764,     0,     0,     0,     0,  2756,     0,
       0,     0,     0,  2330,     0,     0,  3796,     0,     0,     0,
       0,  2332,  2768,     0,     0,     0,     0,  2333,     0,  2343,
       0,  2325,     0,     0,  2326,     0,     0,     0,  2327,  2328,
    2329,     0,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,  2334,   851,     0,     0,  2330,     0,     0,     0,     0,
       0,     0,  1086,  2332,     0,     0,  2343,     0,     0,  2333,
       0,  2821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2855,  2334,     0,     0,     0,     0,     0,  2867,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2335,     0,     0,  2344,
       0,  2336,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3801,  2337,  2338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2339,  2335,     0,
       0,     0,     0,  2336,     0,     0,     0,     0,     0,     0,
       0,     0,  2950,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,  2337,  2338,     0,     0,  2340,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,  2339,
       0,  2341,     0,     0,  2342,     0,  1445,     0,     0,     0,
       0,     0,   851,     0,     0,     0,     0,  1445,     0,  1694,
    1694,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2340,     0,     0,     0,     0,     0,     0,     0,     0,  3009,
       0,     0,     0,  2341,     0,     0,  2342,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,  2343,  1445,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,  2343,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3164,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,  1433,
       0,     0,  3185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2344,     0,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3198,
       0,  3201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,     0,  2344,     0,     0,
    2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1694,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,  1227,     0,     0,     0,     0,  1227,  1227,     0,
       0,     0,     0,     0,  1227,  1227,  1227,     0,     0,     0,
    1227,     0,  1227,  1227,  1227,  1227,  1227,  1227,     0,  1227,
       0,  1227,  1227,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
    1227,  1227,  1227,  1227,   851,     0,     0,     0,  1227,     0,
       0,     0,  1227,     0,     0,  1227,     0,     0,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2325,
       0,     0,  2326,    85,     0,     0,  2327,  2328,  2329,    89,
       0,     0,     0,    93,     0,    94,     0,    96,    97,     0,
       0,     0,     0,  2330,     0,     0,  3807,     0,   106,     0,
       0,  2332,     0,     0,     0,     0,     0,  2333,     0,     0,
       0,     0,  1227,     0,   118,   119,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,  2334,     0,     0,     0,  1227,  1227,     0,     0,     0,
       0,     0,     0,  2325,     0,     0,  2326,  3407,     0,     0,
    2327,  2328,  2329,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   127,     0,  3434,  2330,     0,     0,
    4374,     0,     0,     0,   128,  2332,   129,   130,     0,     0,
       0,  2333,     0,     0,     0,     0,     0,     0,     0,  1433,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2334,     0,     0,     0,  1433,
       0,   140,  1445,   141,   142,     0,  1445,  1445,  1433,   145,
       0,   146,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,   148,     0,   149,     0,  2335,     0,     0,     0,
       0,  2336,     0,     0,     0,     0,     0,     0,     0,   152,
       0,   153,     0,     0,   156,     0,     0,     0,     0,     0,
       0,     0,  2337,  2338,  1227,     0,   157,     0,   158,     0,
       0,     0,   159,     0,     0,  1227,     0,  2339,   160,  1445,
       0,     0,  1227,     0,     0,     0,   162,     0,   164,     0,
       0,  1445,     0,     0,   166,     0,     0,     0,     0,  1433,
       0,     0,     0,     0,  3586,     0,     0,     0,  2340,   170,
    2335,     0,     0,     0,  1086,  2336,     0,     0,     0,     0,
       0,  2341,     0,     0,  2342,   174,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,  2337,  2338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   851,
       0,  2339,     0,   851,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,     0,     0,     0,     0,
     187,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,   188,  2340,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   193,     0,     0,  2341,  2325,     0,  2342,  2326,
       0,     0,  2343,  2327,  2328,  2329,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2330,     0,     0,     0,     0,     0,     0,     0,  2332,     0,
    1433,   203,     0,     0,  2333,     0,     0,     0,     0,     0,
       0,     0,     0,   205,     0,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,     0,  2334,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,   214,
       0,     0,     0,     0,   215,   216,  2343,     0,     0,     0,
       0,     0,   217,     0,  1227,  1445,   219,     0,     0,     0,
       0,     0,     0,   851,  3725,  2344,   222,     0,  2345,  2346,
    2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,   224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,   231,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
       0,     0,     0,   234,     0,     0,     0,     0,   235,     0,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,   238,     0,  2335,     0,     0,     0,     0,  2336,  2344,
       0,  1227,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,
    2352,  2353,   248,     0,     0,     0,     0,     0,     0,  2337,
    2338,     0,     0,     0,     0,     0,   249,     0,     0,     0,
    -144,     0,     0,     0,  2339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,  2340,     0,     0,     0,     0,
       0,     0,     0,  3852,     0,     0,     0,     0,  2341,     0,
       0,  2342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,  1445,     0,  1433,  1227,
       0,     0,  2325,     0,     0,  2326,     0,  1445,     0,  2327,
    2328,  2329,     0,     0,     0,     0,  1227,     0,     0,  2343,
       0,  1227,     0,     0,     0,     0,  2330,     0,     0,     0,
    2325,     0,     0,  2326,  2332,     0,     0,  2327,  2328,  2329,
    2333,     0,     0,     0,  1227,  1227,  1227,     0,  4320,  1227,
       0,     0,     0,     0,  2330,     0,     0,  1227,  1227,  1227,
    1227,  1433,  2332,     0,  2334,   851,     0,     0,  2333,     0,
    1227,   851,     0,  1227,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,  1227,     0,     0,
    1227,     0,  2334,     0,  1433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,  1227,     0,  1227,     0,
       0,     0,  2344,     0,     0,  2345,  2346,  2347,     0,  2348,
    2349,  2350,  2351,  2352,  2353,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,  1227,  1227,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,  2335,
       0,     0,     0,     0,  2336,  1433,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1433,  1084,     0,     0,  1227,  2337,  2338,  2335,  1433,  1084,
       0,  1084,  2336,     0,     0,     0,     0,     0,  1227,  1433,
    2339,     0,     0,     0,     0,     0,   909,     0,     0,     0,
    4072,     0,     0,  2337,  2338,     0,     0,     0,   910,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2339,     0,
       0,  2340,     0,     0,     0,     0,     0,  1445,     0,   911,
    1445,     0,  1445,     0,  2341,     0,  1433,  1445,     0,     0,
       0,     0,   912,     0,     0,     0,     0,     0,     0,  2340,
       0,     0,   913,     0,     0,  1433,  -794,     0,     0,     0,
       0,  1227,  2341,     0,     0,  2342,     0,  1433,     0,     0,
       0,     0,     0,     0,   914,     0,     0,     0,     0,  1433,
     915,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,   916,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1445,   917,     0,     0,     0,
       0,     0,     0,     0,   918,  2343,     0,     0,     0,  1433,
       0,     0,  1433,  4178,  4179,     0,   919,     0,     0,  1445,
       0,     0,     0,   920,     0,     0,     0,   921,     0,  4188,
       0,     0,     0,  2343,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -1004,  4205,     0,     0,     0,     0,
       0,   851,   851,   851,  4214,  4215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   922,     0,     0,  1445,     0,  1445,     0,     0,     0,
    -535,     0,     0,     0,     0,     0,     0,     0,  2344,     0,
       0,  2345,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,
    2353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   923,     0,     0,   924,     0,  2344,     0,     0,  2345,
    2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,     0,
       0,   925,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -431,  1433,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,  1694,     0,     0,     0,     0,     0,   926,     0,
       0,     0,     0,     0,     0,   927,     0,     0,     0,     0,
       0,  -431,     0,     0,   928,     0,  1445,     0,     0,     0,
     851,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -431,     0,     0,   929,   930,     0,   931,
     932,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,   934,     0,     0,     0,     0,     0,
     935,     0,     0,   936,     0,     0,   937,     0,     0,  1445,
       0,     0,     0,     0,     4,     0,     0,     0,     0,  -431,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     6,     7,     0,  4407,  4408,  4409,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,  1433,  1433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,  1445,     0,     0,    46,     0,     0,  1227,
       0,     0,     0,     0,     0,  1227,     0,  1227,     0,     0,
    1227,     0,     0,     0,  1445,  1227,  1227,  1227,  1227,     0,
       0,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1433,     0,     0,  1227,  1227,     0,     0,     0,  1445,
       0,     0,     0,  1433,  1227,     0,     0,     0,  1227,     0,
     851,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,  1227,     0,  1227,     0,     0,    47,     0,
       0,     0,     0,  1445,  1227,     0,     0,  1227,  1227,     0,
    1433,     0,  1227,  1227,     0,     0,    48,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,  1227,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,  1223,     0,  1227,
    1227,  1227,     0,     0,     0,     0,  1223,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,    51,     0,  1227,    52,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
    4648,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4658,     0,  1227,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,  4678,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2867,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,     0,     0,     0,
       0,   851,  1445,   851,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,    55,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,  1223,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,  1084,     0,     0,     0,    58,     0,     0,     0,
       0,     0,     0,     0,    59,     0,    60,    61,    62,    63,
      64,   851,     0,    65,    66,  1486,  2187,     0,  1223,     0,
      71,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4804,  4805,  4806,
    4807,     0,     0,     0,     0,     4,     0,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1433,
       0,     0,     0,     0,     0,     5,     0,     0,  1445,  1227,
    1227,     0,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1084,  1084,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,  1227,     0,     0,  1443,     0,     0,     0,
    1223,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,    46,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,  1227,     0,  1445,     0,     0,
       0,  1227,  1227,     0,     0,     0,  1227,  1445,     0,     0,
       0,  1227,     0,  1223,  1227,  1227,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,  1227,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,    48,     0,  1227,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,  1433,
       0,     0,  1433,     0,  1433,     0,     0,     0,     0,  1433,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,  1445,     0,     0,    51,     0,     0,
      52,     0,  5021,     0,     0,     0,     0,     0,     0,     0,
    1433,     0,     0,     0,   851,    53,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,  1443,     0,     0,
       0,  1433,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,  1223,  1223,  1223,     0,  1223,    55,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1445,    58,  1445,     0,
       0,     0,  1433,     0,     0,    59,     0,    60,    61,    62,
      63,    64,  1223,     0,    65,    66,  1486,  2942,     0,     0,
       0,    71,     0,     0,     0,     0,     0,     0,  1433,     0,
       0,     0,     0,  1433,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,  1223,  1223,     0,  5181,  1227,
       0,     0,     0,  1445,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,  1694,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,  1227,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1433,     0,  1227,     0,  5226,     0,     0,  1227,     0,
       0,     0,     0,  1227,     0,     0,  1227,  1227,     0,  1433,
       0,     0,     0,     0,  1227,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,   967,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,   968,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   969,
    1084,     0,     0,  1445,     0,     0,     0,     0,  1443,     0,
       0,     0,   970,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   971,     0,     0,     0,
    5293,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,   972,  1433,     0,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,   973,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   974,     0,     0,     0,
       0,     0,     0,     0,   975,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,   976,     0,     0,     0,
       0,   977,     0,     0,     0,     0,     0,   978,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,  1445,     0,     0,
       0,     0,  1443,     0,   979,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,  1227,  1445,     0,
    1227,     0,  1227,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     980,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,   982,  1227,     0,     0,  1223,     0,     0,     0,
       0,   983,  1443,     0,     0,     0,     0,     0,  1223,     0,
       0,   881,     0,     0,  1443,     0,     0,   851,     0,     0,
       0,     0,     0,  1445,     0,     0,  1443,  1445,  1445,  1433,
       0,     0,  1227,     0,     0,     0,     0,     0,   984,     0,
       0,  1223,     0,   985,     0,   986,     0,     0,     0,     0,
       0,   987,     0,     0,   988,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,  1443,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   989,     0,     0,   990,     0,     0,     0,
     991,     0,     0,  1227,     0,     0,     0,   992,     0,   993,
       0,     0,     0,     0,   994,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,  1445,     0,   995,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,   996,
       0,     0,     0,  1223,     0,     0,  1227,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,  1227,     0,  1227,     0,  1227,     0,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
    1223,  1223,     0,     0,     0,     0,  1223,  1223,     0,     0,
       0,     0,  1227,  1223,  1223,  1223,     0,     0,     0,  1223,
       0,  1223,  1223,  1223,  1223,  1223,  1223,     0,  1223,     0,
    1223,  1223,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,  1223,
    1223,  1223,  1223,     0,     0,     0,     0,  1223,     0,     0,
       0,  1223,     0,  1227,  1223,     0,     0,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,  1223,     0,
       0,     0,  1433,     0,  1227,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,  1223,  1227,  1227,     0,  1227,
       0,     0,     4,     0,  1223,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     9,
      10,   851,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,  1443,    45,     0,     0,  1443,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,  1227,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,  1433,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,  1433,
       0,     0,   851,  1227,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,  1443,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    49,  1433,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1433,
       0,     0,     0,  1223,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,    55,     0,     0,     0,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    57,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,    58,  1433,     0,     0,     0,     0,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1486,     0,     0,     0,     0,    71,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,  1443,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,  1223,  1223,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,  1433,  1223,  1223,  1223,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,  1223,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,  1223,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,  1223,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
    1223,  1223,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1433,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
    1433,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,   953,  1443,
       0,  1443,     0,     0,     0,     0,  1443,   953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1433,     0,     0,   953,  1433,
    1433,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,  1141,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1141,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1191,     0,     0,     0,  1443,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,  1443,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,  1223,     0,  1223,     0,     0,  1223,
       0,     0,     0,  1443,  1223,  1223,  1223,  1223,     0,     0,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
       0,     0,     0,  1223,  1223,     0,     0,     0,  1443,     0,
       0,     0,     0,  1223,     0,     0,     0,  1223,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,  1223,     0,  1223,     0,     0,     0,   953,   953,
       0,     0,  1443,  1223,     0,     0,  1223,  1223,     0,     0,
       0,  1223,  1223,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,  1191,     0,  1223,  1223,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1238,     0,     0,
       0,     0,     0,     0,     0,  1271,     0,     0,  1275,  1276,
       0,  1279,     0,     0,  1285,     0,  1287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1342,     0,     0,     0,     0,
       0,     0,     0,  1350,     0,     0,     0,     0,     0,     0,
    1362,  1443,     0,  1367,  1368,     0,     0,     0,  1370,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1191,     0,   953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1464,     0,
    1468,     0,     0,  1470,     0,  1472,     0,     0,  1476,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,   743,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   743,     0,     0,  1443,
       0,     0,     0,     0,     0,  1563,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,  1191,     0,     0,
       0,     0,   743,   743,     0,     0,   743,  1443,  1223,  1223,
       0,     0,   743,     0,     0,     0,  1040,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1141,     0,     0,     0,     0,  1040,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,  1826,     0,  1828,     0,     0,
       0,  1830,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1868,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,  1223,     0,  1443,     0,     0,     0,
    1223,  1223,     0,     0,     0,  1223,  1443,     0,     0,     0,
    1223,     0,     0,  1223,  1223,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1998,     0,  1223,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2011,     0,  1223,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,  2022,  1223,
    2023,     0,     0,     0,     0,     0,     0,     0,  2026,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
    2041,     0,     0,  2045,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   743,  2090,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,  2253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,  1443,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,   743,   743,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,  1223,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,  1223,     0,     0,  1223,  1223,     0,     0,     0,
       0,   743,     0,  1223,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,  1141,  2432,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2506,     0,     0,  2506,     0,     0,     0,
       0,     0,     0,     0,  2513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2522,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2611,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,  1443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1390,
     743,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,  1443,     0,  1223,
       0,  1223,     0,     0,     0,     0,     0,  2693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1223,
       0,     0,     0,   743,     0,  1443,   743,   743,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,  1040,     0,  1040,     0,     0,     0,     0,
       0,   699,  1223,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1040,  1040,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,  1443,  1443,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2813,     0,     0,     0,     0,     0,     0,
       0,     0,   743,     0,   743,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,  1223,     0,
       0,     0,     0,   699,     0,     0,     0,  1223,     0,     0,
       0,     0,  1223,  2910,  1223,     0,  1223,   699,   699,     0,
       0,  1808,     0,  1223,     0,     0,     0,  2924,     0,     0,
    2927,     0,  2929,     0,  2930,     0,     0,     0,     0,     0,
    2932,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2962,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2432,     0,     0,     0,  2432,     0,  2432,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,  1223,  1223,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3178,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,  1223,     0,   699,     0,     0,     0,     0,
     743,     0,   743,     0,     0,   743,     0,   743,     0,     0,
     743,   743,   743,     0,     0,     0,  2230,     0,     0,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   743,     0,   743,
       0,     0,     0,     0,   743,     0,     0,     0,     0,  1191,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3290,
    3291,     0,     0,     0,  3294,  3295,     0,     0,     0,  3298,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3309,     0,     0,     0,     0,     0,     0,
    3318,     0,     0,     0,  3321,  3322,     0,     0,  3325,  3326,
       0,     0,     0,     0,     0,  3331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3347,     0,  3349,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3372,     0,     0,     0,
       0,  3374,     0,     0,     0,     0,     0,  2371,     0,     0,
       0,     0,     0,     0,  3379,     0,     0,     0,   743,   743,
       0,     0,  3384,     0,  3386,     0,  3388,  3391,  3393,     0,
       0,     0,     0,  3401,  3404,   699,     0,     0,     0,     0,
     699,   699,     0,  3417,     0,     0,     0,     0,  3426,     0,
       0,     0,     0,  3430,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3463,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3470,
       0,  3472,     0,     0,     0,     0,  3475,     0,     0,     0,
    3476,     0,  3480,  3481,  3482,  3483,     0,  3485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3509,  3510,  3511,   743,     0,   699,     0,     0,     0,     0,
       0,     0,  3519,  3520,     0,  2510,     0,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,     0,  3562,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,   699,     0,
       0,     0,     0,     0,    41,    42,   699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,   699,     0,     0,   699,   699,
       0,   143,     0,   144,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1191,     0,
       0,     0,     0,     0,     0,   161,     0,   699,     0,     0,
       0,  2432,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,  3726,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
     743,     0,   743,     0,     0,     0,   743,     0,   743,     0,
     218,   743,     0,   220,     0,   743,   221,     0,     0,     0,
    2371,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,  3909,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3958,  3959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2230,     0,     0,     0,     0,     0,     0,  3179,
       0,     0,     0,     0,     0,  3980,     0,     0,     0,  2510,
       0,     0,     0,     0,  3984,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3996,  3998,     0,     0,     0,  3998,     0,     0,     0,     0,
    4009,  4010,  4011,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4032,  4033,  4034,  4035,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4052,     0,
    4056,  4057,  4058,     0,     0,     0,     0,     0,     0,     0,
    4071,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,   699,     0,     0,     0,     0,     0,  3263,
       0,  1808,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4118,
     699,     0,     0,     0,     0,     0,     0,  4122,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4134,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4212,     0,     0,     0,  4216,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4254,     0,     0,     0,
       0,     0,   953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,  4275,   699,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,  4285,     0,
       0,     0,  4287,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,  2432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,  1228,   743,  2230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4509,     0,  4510,     0,     0,     0,     0,     0,     0,
    4512,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4522,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4530,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4541,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4545,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4574,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4582,
    4583,  4584,     0,     0,  4587,  4588,  4589,  4590,  4591,  4592,
       0,     0,     0,     0,  4599,  4600,     0,  4602,  4603,  4604,
    4605,  4606,  4607,  4608,     0,     0,     0,     0,     0,     0,
       0,     0,  4616,     0,  4618,  4619,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
    1228,     0,     0,     0,  2510,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,  4651,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2432,  2432,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4747,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,  1228,  1228,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,   699,     0,
       0,     0,     0,     0,  4884,     0,     0,     0,  4885,  4886,
    4887,  4888,     0,     0,  4890,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4903,  4904,  4905,  4906,
       0,  4908,  4909,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,  4918,  4919,  1228,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4924,     0,     0,     0,     0,     0,     0,  2432,  2432,
       0,  2432,     0,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4988,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,  5006,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5033,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,  2432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3263,     0,     0,     0,  5138,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5147,  1228,     0,     0,     0,
    5152,  5153,  1446,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5202,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3998,     0,     0,     0,     0,     0,     0,   699,     0,     0,
    5243,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1228,     0,     0,     0,     0,  1228,  1228,     0,     0,
       0,  5279,     0,  1228,  1228,  1228,     0,     0,     0,  1228,
       0,  1228,  1228,  1228,  1228,  1228,  1228,     0,  1228,     0,
    1228,  1228,     0,     0,  1228,  5296,     0,     0,     0,     0,
       0,     0,     0,     0,  5303,     0,     0,     0,  1446,  1228,
    1228,  1228,  1228,     0,     0,     0,     0,  1228,     0,     0,
       0,  1228,     0,     0,  1228,  2432,     0,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3998,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,  2432,     0,     0,
       0,     0,     0,     0,  1228,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5409,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5421,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5432,     0,     0,     0,     0,     0,  1435,     0,
       0,  1446,     0,     0,     0,  1446,  1446,  1435,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,  2510,     0,  1228,     0,  5480,     0,  1446,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,  5495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1658,  1658,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1735,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,  1446,     0,  1435,  1228,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
     699,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,  1228,  1228,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  1228,  1228,  1228,  1228,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,  1228,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,  1228,     0,     0,  1228,
    1444,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,  1228,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
    1228,  1228,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,  1228,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2282,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,  1446,
       0,  1446,     0,     0,     0,  1435,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2296,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,  2314,  2315,  2316,  1435,  2319,
       0,     0,     0,     0,     0,     0,     0,  1446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2361,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2539,     0,
       0,     0,     0,  2416,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2439,     0,     0,     0,  2451,  2456,     0,     0,
       0,     0,     0,  1446,     0,  1446,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2539,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,  1446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,     0,
    1446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,  2539,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,  1446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,  1435,  1435,     0,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,  1444,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,  1446,     0,     0,     0,     0,  1436,  1228,     0,
       0,     0,     0,     0,  1228,     0,  1228,     0,     0,  1228,
       0,     0,     0,  1446,  1228,  1228,  1228,  1228,     0,     0,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,  1228,
    1435,     0,     0,  1228,  1228,     0,     0,     0,  1446,     0,
       0,     0,  1435,  1228,     0,     0,     0,  1228,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,  1228,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,  1446,  1228,     0,     0,  1228,  1228,     0,  1435,
       0,  1228,  1228,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,  1228,  1228,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,  3177,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3046,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
    3066,     0,  3068,     0,     0,  3080,  3083,  3088,     0,     0,
       0,     0,  3094,     0,     0,  3099,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3106,  3107,  3108,  3109,     0,     0,     0,     0,  3116,     0,
       0,     0,  3128,     0,     0,  3130,     0,     0,  3137,  3138,
    3139,  3140,  3141,  3142,  3143,  3144,  3145,     0,  3146,     0,
       0,     0,     0,     0,     0,     0,  1658,     0,     0,  3174,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3275,     0,     0,  1436,  2539,  3281,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
       0,     0,  1735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2315,  2316,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,  1446,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,  1446,  1228,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3323,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1436,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,  1228,  1228,     0,  1446,     0,     0,     0,
    1228,  1228,     0,     0,     0,  1228,  1446,     0,     0,     0,
    1228,     0,     0,  1228,  1228,     0,     0,     0,  1228,     0,
    1438,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,  1228,     0,     0,     0,  1228,     0,     0,  1438,
    1439,     0,     0,     0,     0,     0,     0,  2539,  1228,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,  1228,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,  1435,     0,
       0,  1435,     0,  1435,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,  3554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,     0,  1444,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3691,
       0,     0,     0,     0,     0,  1435,     0,  1435,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1436,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,  1446,     0,     0,
       0,  1435,     0,     0,     0,     0,  3746,     0,     0,     0,
       0,  3752,     0,  3177,  3177,  3177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,  1435,     0,     0,     0,  2319,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3088,  1228,  3088,
    3088,  1439,  1446,  1436,     0,     0,     0,  1228,     0,     0,
    3810,     0,     0,  3813,     0,  3815,     0,     0,  1436,     0,
       0,  1439,     0,     0,  1228,  1228,  1436,     0,  1228,     0,
    1439,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
    1435,     0,  1228,     0,  3833,     0,  3836,  1228,  3838,     0,
       0,     0,  1228,     0,     0,  1228,  1228,     0,  1435,     0,
       0,     0,     0,  1228,  1228,     0,     0,     0,     0,  2539,
       0,     0,  3281,  1435,  3281,     0,     0,     0,     0,  2539,
       0,  3174,  3174,  3174,  1436,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,  1436,     0,     0,  3906,     0,     0,     0,
       0,  1439,     0,     0,     0,  1436,     0,     0,     0,  2439,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
    1444,     0,  1446,     0,  2456,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,  1444,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
    1436,  2539,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
    1435,  3966,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,  1444,     0,
       0,     0,  1439,     0,  1228,  1438,  1446,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,  1446,     0,  1228,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,  1436,
    1228,     0,  1444,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,  1228,     0,     0,     0,     0,     0,  3281,  1438,
       0,     0,     0,  3281,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,     0,     0,     0,  1446,  1446,  1435,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,  1438,     0,     0,  3281,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,  1228,     0,  1444,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1446,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,  1228,     0,
    1438,     0,     0,  1438,     0,     0,     0,  1228,     0,     0,
       0,     0,  1228,     0,  1228,     0,  1228,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
    1439,     0,  1436,     0,     0,     0,  1436,  1436,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,  1439,     0,     0,     0,     0,     0,  1436,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1436,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,  1228,  1228,     0,  1439,     0,     0,     0,
       0,     0,     0,  1441,  1228,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1436,     0,
       0,     0,  1438,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
    4321,     0,     0,     0,     0,     0,     0,     0,     0,  4325,
       0,     0,     0,  3177,     0,  4326,     0,  4327,     0,  1228,
       0,     0,     0,     0,     0,  1228,  1228,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,  4351,  4352,     0,  1228,     0,     0,
       0,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
    1439,     0,  3094,     0,     0,     0,     0,     0,     0,     0,
    4377,  1439,     0,  4380,     0,  4382,     0,     0,     0,     0,
       0,     0,     0,     0,  4386,     0,     0,     0,     0,  2539,
       0,     0,  4393,  4394,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,  4438,     0,     0,  1228,  1228,     0,  4445,
    4446,  3174,     0,     0,     0,  1436,     0,  1439,  1435,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,  1435,  1439,
       0,     0,  1228,  1228,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4463,     0,
       0,     0,     0,     0,  3281,  1438,     0,     0,     0,  1438,
    1438,  1735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,  1439,  1436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,  1441,  1435,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1444,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,     0,  1436,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
    2539,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4710,
    4711,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,  1441,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
    1439,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3177,     0,  4760,     0,     0,  3177,     0,     0,     0,
       0,     0,  3177,     0,  4765,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
    1436,     0,  1436,     0,     0,     0,     0,  1436,     0,     0,
       0,     0,     0,  1439,  4780,  4782,     0,     0,     0,     0,
       0,  4786,  4787,     0,     0,  1439,  4788,     0,     0,     0,
       0,  4791,     0,     0,  4794,  4795,  1444,     0,     0,  4799,
       0,     0,     0,     0,     0,  4803,     0,     0,  1438,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,  1436,     0,
       0,     0,  1439,     0,     0,  1444,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,  1436,     0,     0,     0,  3174,
    1438,     0,     0,     0,  3174,  1444,  2355,     0,     0,     0,
    3174,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,  1658,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4865,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2355,  1436,     0,  1436,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4921,  1439,
       0,     0,     0,     0,     0,  1436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,  5017,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1436,     0,     0,     0,
       0,  1436,     0,     0,     0,     0,     0,     0,  1441,  1439,
       0,     0,  4966,     0,  1435,  1444,     0,     0,  1435,  1435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,  1438,     0,  1438,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,  1441,  1435,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1439,
       0,     0,  1438,     0,     0,  3281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5059,  5060,     0,     0,  5061,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,  1436,  5095,  5096,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,  1438,     0,  1438,
       0,     0,     0,  1441,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,  1441,     0,     0,  3281,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,  1438,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,  1444,     0,     0,     0,  1444,
    1444,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
    1438,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
    3094,  1439,     0,     0,  1439,  1438,  1439,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,     0,  5261,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,  3076,     0,
       0,  2319,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,  2355,  2355,     0,     0,  2355,     0,     0,
       0,     0,  1439,  1735,     0,  5017,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1439,
       0,     0,  1436,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,  5311,  1439,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,  5349,     0,     0,     0,     0,  1439,     0,
    1439,     0,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,  2355,
       0,     0,     0,     0,  2355,     0,     0,     0,  1441,     0,
       0,     0,  1441,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1436,     0,     0,     0,     0,     0,     0,  5095,     0,  1439,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5410,     0,  1439,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,     0,  1436,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
    1439,     0,     0,     0,     0,  1439,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5459,  5459,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,  5095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1438,     0,  1436,     0,  5459,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5527,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,  5459,  5567,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,  1438,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,  1436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,  2355,     0,  2355,     0,     0,  3076,
    3076,     0,  3787,     0,  3076,     0,     0,     0,  2355,     0,
       0,  2355,     0,     0,     0,     0,  2355,     0,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,  2355,  2355,  2355,  2355,     0,     0,
       0,  3076,  3076,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,  1438,  2355,     0,
       0,     0,     0,     0,     0,  2355,  2355,  2355,  2355,  2355,
    2355,  2355,  2355,  2355,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,     0,  1439,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,  1441,     0,  1441,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,  1436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,  1436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,  1439,  1441,     0,     0,     0,  1436,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,  1436,     0,     0,     0,  1436,  1436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,  1436,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,  1439,     0,     0,
       0,     0,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
    1441,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,     0,
    2355,     0,     0,     0,     0,     0,  1438,  1439,     0,  1441,
    1438,  1438,     0,     0,     0,     0,  3787,  3787,     0,     0,
    3076,  3076,  3076,  3076,     0,     0,  3076,  3076,  3076,  3076,
    3076,  3076,  3076,  3076,  3076,  3076,  3787,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,  2355,     0,  2355,     0,     0,  3787,  3787,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,  3076,  3076,  2355,     0,  2355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1439,     0,     0,
       0,  1439,  1439,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3076,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,  2355,  2355,  2355,     0,     0,     0,     0,
       0,  3787,  3787,  3787,  3787,     0,     0,     0,     0,  3787,
    3787,  3787,  3787,  3787,  3787,  3787,  3787,  3787,  3787,  2355,
    2355,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2355,     0,     0,  2355,     0,
    2355,     0,     0,     0,  2355,     0,     0,  3787,  3787,     0,
       0,  2355,  2355,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,     0,     0,     0,
    1441,     0,     0,  2355,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
    3787,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,  2355,  3076,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
    2355,     0,     0,     0,  2355,  2355,  2355,     0,     0,  2355,
       0,     0,  2355,  2355,     0,     0,     0,  2355,     0,     0,
       0,  2355,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,  2355,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,     0,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,  2355,     0,     0,     0,     0,     0,
       0,     0,     0,   139,  1441,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,  1441,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3787,  3076,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,  2355,  2355,  2355,
       0,     0,   167,     0,     0,     0,     0,     0,   168,  1441,
     169,     0,     0,  1441,  1441,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,  2355,  2355,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
    1441,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3787,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,  2355,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2355,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,  2355,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2355,   428,   429,   430,   431,
     432,   433,   434,   435,   760,   436,   437,   438,   761,   762,
     763,   764,   765,   766,   767,   439,   440,   768,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,   769,
     446,   447,   448,   449,   450,   770,   771,   451,   452,   772,
     139,   453,   773,   454,   455,   456,   457,   143,   774,   144,
     775,   458,   459,   460,   461,   147,   462,   463,   776,   777,
     464,   465,   466,   467,   468,   469,   778,   150,   470,   471,
     779,   780,   781,   782,   151,   783,   784,   785,   473,   474,
     475,   476,   722,   477,   154,   155,   478,   786,   479,   787,
     480,   481,   482,   483,   484,   788,   485,   486,   487,   789,
     790,   488,   489,   490,   491,   492,   791,   493,   494,   495,
     792,   496,   497,   498,   793,   499,   500,   501,   502,   163,
     503,   504,   505,   165,   794,   506,   795,   507,   508,   167,
     509,   796,   510,   797,   511,   168,   798,   169,   512,   513,
     514,   799,   515,   171,   800,   172,   516,   801,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,   802,   525,
     526,   527,   528,   529,   530,   803,   531,   175,   176,   804,
     532,   533,   534,   805,   177,   806,   178,   807,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,   808,   809,
     542,   182,   183,   543,   184,   810,   544,   545,   546,   811,
     812,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,   813,   562,   563,   194,   564,   814,   195,   565,
     196,   566,   567,   568,   815,   569,   816,   817,   570,   571,
     572,   818,   819,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,   820,   582,   583,   201,
     584,   202,   585,   586,   587,   821,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,   822,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   823,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,   824,   623,   624,
     625,   626,   627,   825,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,   826,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,   827,   647,   648,
     828,   649,   225,   650,   651,   652,   653,   654,   829,   226,
     227,   830,   831,   656,   657,   228,   658,   229,   832,   659,
     660,   661,   662,   663,   664,   665,   833,   834,   666,   667,
     668,   669,   670,   835,   836,   671,   672,   673,   674,   675,
     837,   236,   838,   676,   237,   677,   678,   679,   680,   839,
     840,   681,   841,   842,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    85,     0,     0,    86,    87,    88,    89,    90,
      91,    92,    93,     0,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,  1000,   104,   105,   106,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,     0,
     115,   116,   117,   118,   119,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,   126,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   127,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,   129,   130,     0,     0,     0,
       0,     0,     0,     0,     0,   131,     0,   132,     0,     0,
     133,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
     140,     0,   141,   142,   143,     0,   144,     0,   145,     0,
     146,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,   148,     0,   149,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,   152,     0,
     153,   154,   155,   156,     0,     0,     0,     0,     0, -1498,
       0,     0,     0,     0,     0,   157,     0,   158,     0,     0,
       0,   159,     0,     0,     0,     0,     0,   160,   161,     0,
       0,     0,     0,     0,     0,   162,   163,   164,     0,     0,
     165,     0,     0,   166,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,   170,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,   174,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0, -1498,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,   185,   186,     0,     0,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,     0,     0,   189,   190,   191,     0,     0,   192,     0,
       0,   193,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,   205,     0,     0,     0,     0,   206,   207,     0,
     208,     0,     0,     0,     0,   209,     0,     0,     0,     0,
     210,   211,     0,   212,     0,   213,     0,     0,   214,     0,
       0,     0,     0,   215,   216,     0,     0,     0,     0,     0,
       0,   217,     0,   218,     0,   219,   220,     0,     0,   221,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,   224,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,   230,     0,   231,     0,
       0,     0,     0,   232,     0,     0,   233,     0,     0, -1498,
       0,     0,   234,     0,     0,     0,     0,   235,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
     238,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,     0,     0,     0,
       0,   248,     0,     0,     0,     0,     0,    86,    87,    88,
       0,    90,    91,    92,     0,   249,     0,    95,     0,  -144,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,     0,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,  3255,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1578,  1579,  1580,    45,
    1581,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,  3168,   436,   437,   438,
       0,     0,     0,     0,  1582,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1583,   136,  1584,
    1585,     0,   446,   447,   448,   449,   450,  1586,  1587,   451,
     452,  1588,  1589,   453,     0,   454,   455,   456,   457,  1590,
       0,  1591,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,
     473,   474,   475,   476,   722,   477,  1599,  1600,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,  3169,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1601,   503,   504,   505,  1602,  1603,   506,     0,   507,
     508,  1604,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1605,     0,  1606,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1417,  1607,     0,  1608,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1609,   183,   543,   184,     0,   544,   545,
     546,  1610,  1611,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1612,   190,
    1613,   560,   561,   192,  1614,   562,   563,   194,   564,  1615,
    1616,   565,  1617,   566,   567,   568,     0,   569,     0,     0,
    1618,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1619,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1620,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1621,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1622,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1623,   629,   630,   218,   631,
     632,   220,   633,   634,  1624,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1625,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,
    1630,   659,   660,   661,   662,   663,   664,   665,     0,  1631,
     666,   667,   668,   669,   670,  1632,     0,   671,   672,   673,
     674,   675,   728,  1633,  3170,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
    1641,   729,   688,   689,  1642,     0,     0,     0,     0,     0,
       0,  1643,  1644,  3171,     0,     0,     0,     0,     0,     0,
    1646,  3172,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,  1614,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1622,   616,   617,   618,   619,   620,   621,
     727,   622,   216,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,   224,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,  1631,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,  2317,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,   238,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,   248,
       0,     0,     0,     0,  1643,  1644,     0,     0,     0,     0,
       0,     0,     0,  1646,  5273,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1582,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1583,   136,  1584,  1585,     0,   446,   447,
     448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,
       0,   454,   455,   456,   457,  1590,     0,  1591,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,
     722,   477,  1599,  1600,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1414,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1601,   503,   504,
     505,  1602,  1603,   506,     0,   507,   508,  1604,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1605,     0,  1606,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1417,  1607,     0,  1608,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1609,
     183,   543,   184,     0,   544,   545,   546,  1610,  1611,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1612,   190,  1613,   560,   561,   192,
    1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,   566,
     567,   568,     0,   569,     0,     0,  1618,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1619,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1620,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1621,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1622,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1623,   629,   630,   218,   631,   632,   220,   633,   634,
    1624,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1625,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1626,  1627,     0,
       0,   656,   657,  1628,   658,  1629,  1630,   659,   660,   661,
     662,   663,   664,   665,     0,  1631,   666,   667,   668,   669,
     670,  1632,     0,   671,   672,   673,   674,   675,   728,  1633,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,
    1642,     0,     0,     0,     0,     0,     0,  1643,  1644,     0,
       0,     0,     0,     0,     0,     0,  1646,  3078,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,  1582,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1583,   136,  1584,  1585,
       0,   446,   447,   448,   449,   450,  1586,  1587,   451,   452,
    1588,  1589,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,  1599,  1600,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,  1414,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1601,   503,   504,   505,  1602,  1603,   506,     0,   507,   508,
    1604,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,  1606,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1417,  1607,     0,  1608,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1612,   190,  1613,
     560,   561,   192,  1614,   562,   563,   194,   564,  1615,  1616,
     565,  1617,   566,   567,   568,     0,   569,     0,     0,  1618,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1621,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  1622,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,  1624,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,
     659,   660,   661,   662,   663,   664,   665,     0,  1631,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,  1633,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,  1642,     0,     0,     0,     0,     0,     0,
    1643,  1644,     0,     0,     0,     0,     0,     0,     0,  1646,
    4329,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1578,  1579,
    1580,    45,  1581,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1582,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1583,
     136,  1584,  1585,     0,   446,   447,   448,   449,   450,  1586,
    1587,   451,   452,  1588,  1589,   453,     0,   454,   455,   456,
     457,  1590,     0,  1591,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,   473,   474,   475,   476,   722,   477,  1599,  1600,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1414,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1601,   503,   504,   505,  1602,  1603,   506,
       0,   507,   508,  1604,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1605,     0,  1606,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1417,  1607,     0,
    1608,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1609,   183,   543,   184,     0,
     544,   545,   546,  1610,  1611,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1612,   190,  1613,   560,   561,   192,  1614,   562,   563,   194,
     564,  1615,  1616,   565,  1617,   566,   567,   568,     0,   569,
       0,     0,  1618,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1619,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1620,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1621,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1622,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1623,   629,   630,
     218,   631,   632,   220,   633,   634,  1624,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1625,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1626,  1627,     0,     0,   656,   657,  1628,
     658,  1629,  1630,   659,   660,   661,   662,   663,   664,   665,
       0,  1631,   666,   667,   668,   669,   670,  1632,     0,   671,
     672,   673,   674,   675,   728,  1633,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,     0,
       0,     0,     0,  1643,  1644,     0,     0,     0,     0,     0,
       0,     0,  1646,  4400,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1407,   136,  1408,  1409,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1410,  1411,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1412,  1413,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1415,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,  2525,   525,   526,   527,   528,
     529,   530,     0,   531,   175,  2526,     0,   532,   533,   534,
    1417,  1418,     0,  1419,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1420,   190,  1421,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1422,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,  2528,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1423,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2529,   631,   632,   220,   633,   634,  1425,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1426,  1427,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1428,  2530,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,     0,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  2634,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
       0,  1407,   136,  1408,  1409,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,  1410,  1411,   453,     0,   454,
     455,   456,   457,     0,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,     0,   473,   474,   475,   476,   722,   477,
    1412,  1413,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1414,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,     0,   503,   504,   505,     0,
       0,   506,     0,   507,   508,  1415,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,     0,
       0,     0,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,  2525,   525,   526,   527,   528,   529,
     530,     0,   531,   175,  2526,     0,   532,   533,   534,  1417,
    1418,     0,  1419,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,     0,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1420,   190,  1421,   560,   561,     0,     0,   562,
     563,   194,   564,     0,     0,   565,  1422,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
    2528,   198,   574,   199,     0,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,   584,     0,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1423,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,     0,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,  2529,   631,   632,   220,   633,   634,  1425,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1426,  1427,     0,     0,   656,
     657,     0,   658,     0,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,  1428,  2530,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   729,   688,   689,     0,     0,
       0,     0,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  3628,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,  1734,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,  1614,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1622,   616,   617,   618,   619,   620,   621,
     727,   622,   216,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,   224,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,  1631,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,  2317,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,   238,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,   248,
       0,     0,     0,     0,  1643,  1644,     0,     0,     0,     0,
       0,     0,     0,  1646,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,  1582,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,  1583,   136,  1584,  1585,     0,   446,   447,   448,
     449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,
     454,   455,   456,   457,  1590,     0,  1591,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,
     477,  1599,  1600,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,  1601,   503,   504,   505,
    1602,  1603,   506,     0,   507,   508,  1604,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1605,     0,  1606,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
    1417,  1607,     0,  1608,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1609,   183,
     543,   184,     0,   544,   545,   546,  1610,  1611,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1612,   190,  1613,   560,   561,   192,  1614,
     562,   563,   194,   564,  1615,  1616,   565,  1617,   566,   567,
     568,     0,   569,     0,     0,  1618,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1619,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1620,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1621,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,  1622,   616,   617,   618,   619,
     620,   621,   727,   622,   216,   623,   624,   625,   626,   627,
    1623,   629,   630,   218,   631,   632,   220,   633,   634,  1624,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1625,     0,   647,   648,   224,   649,   225,
     650,   651,   652,   653,   654,     0,  1626,  1627,     0,     0,
     656,   657,  1628,   658,  1629,  1630,   659,   660,   661,   662,
     663,   664,   665,     0,  1631,   666,   667,   668,   669,   670,
    1632,     0,   671,   672,   673,   674,   675,  2317,  1633,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
     238,   682,   683,   684,   685,   686,   687,   239,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,
       0,   248,     0,     0,     0,     0,  1643,  1644,     0,     0,
       0,     0,     0,     0,     0,  1646,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,  1582,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,  1583,   136,  1584,  1585,  3084,   446,
     447,   448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,
     453,     0,   454,   455,   456,   457,  1590,     0,  1591,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,
     476,   722,   477,  1599,  1600,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1414,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,  1601,   503,
     504,   505,  1602,  1603,   506,     0,   507,   508,  1604,   509,
       0,   510,     0,   511,   168,  3085,   169,   512,   513,   514,
       0,   515,  1605,     0,  1606,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,  1417,  1607,     0,  1608,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,  3086,   542,
    1609,   183,   543,   184,     0,   544,   545,   546,  1610,  1611,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1612,   190,  1613,   560,   561,
     192,  1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,
     566,   567,   568,     0,   569,     0,     0,  1618,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1619,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1620,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1621,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,  1622,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1623,   629,   630,   218,   631,   632,   220,   633,
     634,  1624,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1625,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1626,  1627,
       0,  3087,   656,   657,  1628,   658,  1629,  1630,   659,   660,
     661,   662,   663,   664,   665,     0,  1631,   666,   667,   668,
     669,   670,  1632,     0,   671,   672,   673,   674,   675,   728,
    1633,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,
     689,  1642,     0,     0,     0,     0,     0,     0,  1643,  1644,
       0,     0,     0,     0,     0,     0,     0,  1646,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,  1582,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1583,   136,  1584,  1585,
       0,   446,   447,   448,   449,   450,  1586,  1587,   451,   452,
    1588,  1589,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,  1599,  1600,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,  1414,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1601,   503,   504,   505,  1602,  1603,   506,     0,   507,   508,
    1604,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,  1606,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1417,  1607,     0,  1608,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1612,   190,  1613,
     560,   561,   192,  1614,   562,   563,   194,   564,  1615,  1616,
     565,  1617,   566,   567,   568,     0,   569,     0,     0,  1618,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1621,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  1622,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,  1624,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,
     659,   660,   661,   662,   663,   664,   665,     0,  1631,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,  1633,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,  1642,     0,     0,     0,     0,     0,     0,
    1643,  1644,     0,     0,     0,     0,     0,  2279,  3039,  1646,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1578,  1579,  1580,
      45,  1581,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,  1582,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,  1583,   136,
    1584,  1585,     0,   446,   447,   448,   449,   450,  1586,  1587,
     451,   452,  1588,  1589,   453,     0,   454,   455,   456,   457,
    1590,     0,  1591,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,
    1598,   473,   474,   475,   476,   722,   477,  1599,  1600,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,  1601,   503,   504,   505,  1602,  1603,   506,     0,
     507,   508,  1604,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1605,     0,  1606,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1417,  1607,     0,  1608,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1609,   183,   543,   184,     0,   544,
     545,   546,  1610,  1611,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1612,
     190,  1613,   560,   561,   192,  1614,   562,   563,   194,   564,
    1615,  1616,   565,  1617,   566,   567,   568,     0,   569,     0,
       0,  1618,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1619,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1620,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1621,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  1622,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1623,   629,   630,   218,
     631,   632,   220,   633,   634,  1624,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1625,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1626,  1627,     0,     0,   656,   657,  1628,   658,
    1629,  1630,   659,   660,   661,   662,   663,   664,   665,     0,
    1631,   666,   667,   668,   669,   670,  1632,     0,   671,   672,
     673,   674,   675,   728,  1633,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,  1641,   729,   688,   689,  1642,     0,     0,     0,     0,
       0,     0,  1643,  1644,  1645,     0,     0,     0,     0,     0,
       0,  1646,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,  1734,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,  1614,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1622,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,  1631,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,   728,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,
       0,     0,     0,     0,  1643,  1644,     0,     0,     0,     0,
       0,     0,     0,  1646,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  2449,   436,   437,   438,     0,     0,     0,     0,  1582,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,  1583,   136,  1584,  1585,     0,   446,   447,   448,
     449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,
     454,   455,   456,   457,  1590,     0,  1591,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,
     477,  1599,  1600,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,  1601,   503,   504,   505,
    1602,  1603,   506,     0,   507,   508,  1604,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1605,     0,  1606,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
    1417,  1607,     0,  1608,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1609,   183,
     543,   184,     0,   544,   545,   546,  1610,  1611,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1612,   190,  1613,   560,   561,   192,  1614,
     562,   563,   194,   564,  1615,  1616,   565,  1617,   566,   567,
     568,     0,   569,     0,     0,  1618,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1619,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1620,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1621,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,  1622,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
    1623,   629,   630,   218,   631,   632,   220,   633,   634,  1624,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1625,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1626,  1627,     0,     0,
     656,   657,  1628,   658,  1629,  1630,   659,   660,   661,   662,
     663,   664,   665,     0,  1631,   666,   667,   668,   669,   670,
    1632,     0,   671,   672,   673,   674,   675,   728,  1633,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,
       0,     0,     0,     0,     0,     0,  1643,  1644,     0,     0,
       0,     0,     0,     0,     0,  1646,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,  1582,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,  1583,   136,  1584,  1585,     0,   446,
     447,   448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,
     453,     0,   454,   455,   456,   457,  1590,     0,  1591,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,
     476,   722,   477,  1599,  1600,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1414,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,  1601,   503,
     504,   505,  1602,  1603,   506,     0,   507,   508,  1604,   509,
       0,   510,     0,   511,   168,  3085,   169,   512,   513,   514,
       0,   515,  1605,     0,  1606,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,  1417,  1607,     0,  1608,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
    1609,   183,   543,   184,     0,   544,   545,   546,  1610,  1611,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1612,   190,  1613,   560,   561,
     192,  1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,
     566,   567,   568,     0,   569,     0,     0,  1618,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1619,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1620,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1621,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,  1622,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1623,   629,   630,   218,   631,   632,   220,   633,
     634,  1624,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1625,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1626,  1627,
       0,     0,   656,   657,  1628,   658,  1629,  1630,   659,   660,
     661,   662,   663,   664,   665,     0,  1631,   666,   667,   668,
     669,   670,  1632,     0,   671,   672,   673,   674,   675,   728,
    1633,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,
     689,  1642,     0,     0,     0,     0,     0,     0,  1643,  1644,
       0,     0,     0,     0,     0,     0,     0,  1646,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,  1582,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1583,   136,  1584,  1585,
       0,   446,   447,   448,   449,   450,  1586,  1587,   451,   452,
    1588,  1589,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,  1599,  1600,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,  1414,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1601,   503,   504,   505,  1602,  1603,   506,     0,   507,   508,
    1604,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,  1606,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1417,  1607,     0,  1608,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1612,   190,  1613,
     560,   561,   192,  1614,   562,   563,   194,   564,  1615,  1616,
     565,  1617,   566,   567,   568,     0,   569,     0,     0,  1618,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1621,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  1622,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,  1624,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,
     659,   660,   661,   662,   663,   664,   665,     0,  1631,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,  1633,  4447,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,  1642,     0,     0,     0,     0,     0,     0,
    1643,  1644,     0,     0,     0,     0,     0,     0,     0,  1646,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1578,  1579,  1580,
      45,  1581,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,  1582,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,  1583,   136,
    1584,  1585,     0,   446,   447,   448,   449,   450,  1586,  1587,
     451,   452,  1588,  1589,   453,     0,   454,   455,   456,   457,
    1590,     0,  1591,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,  4462,  1592,  1593,  1594,  1595,  1596,  1597,
    1598,   473,   474,   475,   476,   722,   477,  1599,  1600,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,  1601,   503,   504,   505,  1602,  1603,   506,     0,
     507,   508,  1604,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1605,     0,  1606,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1417,  1607,     0,  1608,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1609,   183,   543,   184,     0,   544,
     545,   546,  1610,  1611,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1612,
     190,  1613,   560,   561,   192,  1614,   562,   563,   194,   564,
    1615,  1616,   565,  1617,   566,   567,   568,     0,   569,     0,
       0,  1618,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1619,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1620,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1621,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  1622,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1623,   629,   630,   218,
     631,   632,   220,   633,   634,  1624,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1625,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1626,  1627,     0,     0,   656,   657,  1628,   658,
    1629,  1630,   659,   660,   661,   662,   663,   664,   665,     0,
    1631,   666,   667,   668,   669,   670,  1632,     0,   671,   672,
     673,   674,   675,   728,  1633,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,  1641,   729,   688,   689,  1642,     0,     0,     0,     0,
       0,     0,  1643,  1644,     0,     0,     0,     0,     0,     0,
       0,  1646,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,  5456,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,  5457,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,  1614,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1622,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,  5458,   664,
     665,     0,  1631,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,   728,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,
       0,     0,     0,     0,  1643,  1644,     0,     0,     0,     0,
       0,     0,     0,  1646,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,  1582,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,  1583,   136,  1584,  1585,     0,   446,   447,   448,
     449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,
     454,   455,   456,   457,  1590,     0,  1591,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,  5457,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,
     477,  1599,  1600,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,  1601,   503,   504,   505,
    1602,  1603,   506,     0,   507,   508,  1604,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1605,     0,  1606,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
    1417,  1607,     0,  1608,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1609,   183,
     543,   184,     0,   544,   545,   546,  1610,  1611,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1612,   190,  1613,   560,   561,   192,  1614,
     562,   563,   194,   564,  1615,  1616,   565,  1617,   566,   567,
     568,     0,   569,     0,     0,  1618,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1619,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1620,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1621,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,  1622,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
    1623,   629,   630,   218,   631,   632,   220,   633,   634,  1624,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1625,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1626,  1627,     0,     0,
     656,   657,  1628,   658,  1629,  1630,   659,   660,   661,   662,
    5458,   664,   665,     0,  1631,   666,   667,   668,   669,   670,
    1632,     0,   671,   672,   673,   674,   675,   728,  1633,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,
       0,     0,     0,     0,     0,     0,  1643,  1644,     0,     0,
       0,     0,     0,     0,     0,  1646,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,  1582,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,  1583,   136,  1584,  1585,     0,   446,
     447,   448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,
     453,     0,   454,   455,   456,   457,  1590,     0,  1591,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,
     476,   722,   477,  1599,  1600,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1414,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,  1601,   503,
     504,   505,  1602,  1603,   506,     0,   507,   508,  1604,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,  1605,     0,  1606,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,  1417,  1607,     0,  1608,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
    1609,   183,   543,   184,     0,   544,   545,   546,  1610,  1611,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1612,   190,  1613,   560,   561,
     192,  1614,   562,   563,   194,   564,  1615,  1616,   565,  1617,
     566,   567,   568,     0,   569,     0,     0,  1618,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1619,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1620,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1621,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,  1622,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1623,   629,   630,   218,   631,   632,   220,   633,
     634,  1624,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1625,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1626,  1627,
       0,     0,   656,   657,  1628,   658,  1629,  1630,   659,   660,
     661,   662,   663,   664,   665,     0,  1631,   666,   667,   668,
     669,   670,  1632,     0,   671,   672,   673,   674,   675,   728,
    1633,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,
     689,  1642,     0,     0,     0,     0,     0,     0,  1643,  1644,
       0,     0,     0,     0,     0,     0,     0,  1646,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,  1582,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1583,   136,  1584,  1585,
       0,   446,   447,   448,   449,   450,  1586,  1587,   451,   452,
    1588,  1589,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,  1599,  1600,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,  1414,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1601,   503,   504,   505,  1602,  1603,   506,     0,   507,   508,
    1604,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,  1606,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1417,  1607,     0,  1608,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1612,   190,  1613,
     560,   561,   192,  1614,   562,   563,   194,   564,  1615,  1616,
     565,  1617,   566,   567,   568,     0,   569,     0,     0,  1618,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1621,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  1622,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,  1624,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,
     659,   660,   661,   662,   663,   664,   665,     0,  1631,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,  1633,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,  1642,     0,     0,     0,     0,     0,     0,
    2452,  2453,     0,     0,     0,     0,     0,     0,     0,  1646,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1578,  1579,  1580,
      45,  1581,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,  1582,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,  1583,   136,
    1584,  1585,     0,   446,   447,   448,   449,   450,  1586,  1587,
     451,   452,  1588,  1589,   453,     0,   454,   455,   456,   457,
    1590,     0,  1591,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,
    1598,   473,   474,   475,   476,   722,   477,  1599,  1600,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,  1601,   503,   504,   505,  1602,  1603,   506,     0,
     507,   508,  1604,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1605,     0,  1606,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1417,  1607,     0,  1608,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1609,   183,   543,   184,     0,   544,
     545,   546,  1610,  1611,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1612,
     190,  1613,   560,   561,   192,  1614,   562,   563,   194,   564,
    1615,  1616,   565,  1617,   566,   567,   568,     0,   569,     0,
       0,  1618,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1619,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1620,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1621,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  1622,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1623,   629,   630,   218,
     631,   632,   220,   633,   634,  1624,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1625,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1626,  1627,     0,     0,   656,   657,  1628,   658,
    1629,  1630,   659,   660,   661,   662,   663,   664,   665,     0,
    1631,   666,   667,   668,   669,   670,  1632,     0,   671,   672,
     673,   674,   675,   728,  1633,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,  4772,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,  1641,   729,   688,   689,  1642,     0,     0,     0,     0,
       0,     0,  1643,  1644,     0,     0,     0,     0,     0,     0,
       0,  1646,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,  4781,   192,  1614,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  1622,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,  1631,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,   728,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,  1642,     0,     0,
       0,     0,     0,     0,  1643,  1644,     0,     0,     0,     0,
       0,     0,     0,  1646,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1578,  1579,  1580,    45,  1581,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,  1582,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,  1583,   136,  1584,  1585,     0,   446,   447,   448,
     449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,
     454,   455,   456,   457,  1590,     0,  1591,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,  5085,     0,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,
     477,  1599,  1600,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,  1601,   503,   504,   505,
    1602,  1603,   506,     0,   507,   508,  1604,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1605,     0,  5086,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
    1417,  1607,     0,  1608,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1609,   183,
     543,   184,     0,   544,   545,   546,  1610,  1611,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1612,   190,  1613,   560,   561,   192,  1614,
     562,   563,   194,   564,  1615,  1616,   565,  1617,   566,   567,
     568,     0,   569,     0,     0,  1618,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1619,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1620,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1621,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,  5087,  1622,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
    1623,   629,   630,   218,   631,   632,   220,   633,   634,  1624,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1625,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1626,  1627,     0,     0,
     656,   657,  1628,   658,  1629,  1630,   659,   660,   661,   662,
     663,   664,   665,     0,  1631,   666,   667,   668,   669,   670,
    1632,     0,   671,   672,   673,   674,   675,   728,  1633,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,  1642,
       0,     0,     0,     0,     0,     0,  1643,  1644,     0,     0,
       0,     0,     0,     0,     0,  5088,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1578,  1579,  1580,    45,  1581,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,  1582,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445, -2804,  1583,   136,  1584,  1585,     0,   446,
     447,   448,   449,   450,  1586,  1587,   451,   452,  1588,  1589,
     453,     0,   454,   455,   456,   457,  1590,     0,  1591,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,  5457,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,
     476,   722,   477,  1599,  1600,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,  1414,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,  1601,   503,
     504,   505,  1602,  1603,   506,     0,   507,   508,  1604,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,  1605,     0,  1606,   516,     0,   517,   518,   724,
     519,   520, -2804,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,  1417,  1607,     0,  1608,     0,   535,     0,     0,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
    1609,   183,   543, -2804,     0,   544,   545,   546,  1610,  1611,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,  1612,   190,  1613,   560,   561,
     192,  1614,   562,   563,     0,   564,  1615,  1616,   565,  1617,
     566,   567,   568,     0,   569,     0,     0,  1618,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1619,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1620,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,  1621,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,  1622,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1623,   629,   630,   218,   631,   632, -2804,   633,
     634,  1624,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1625,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,  1626,  1627,
       0,     0,   656,   657,  1628,   658,  1629,  1630,   659,   660,
     661,   662,  5458,   664,   665,     0,  1631,   666,   667,   668,
     669,   670,  1632,     0,   671,   672,   673,   674,   675,   728,
    1633,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,
     689, -2804,     0,     0,     0,     0,     0,     0,  1643,  1644,
       0,     0,     0,     0,     0,     0,     0,  1646,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1578,  1579,  1580,    45,  1581,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,  1582,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1583,   136,  1584,  1585,
       0,   446,   447,   448,   449,   450,  1586,  1587,   451,   452,
    1588,  1589,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,  1599,  1600,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,  1414,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1601,   503,   504,   505,  1602,  1603,   506,     0,   507,   508,
    1604,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,  1606,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1417,  1607,     0,  1608,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1612,   190,  1613,
     560,   561,   192,     0,   562,   563,   194,   564,  1615,  1616,
     565,  1617,   566,   567,   568,     0,   569,     0,     0,  1618,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1621,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  3070,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,  1624,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1626,  1627,     0,     0,   656,   657,  1628,   658,  1629,  1630,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,  1633,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,     0,     0,     0,     0,     0,     0,     0,
    3071,  3072,     0,     0,     0,     0,     0,     0,     0,  3073,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1578,  1579,     0,
      45,  1581,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,  1582,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,  1583,   136,
    1584,  1585,     0,   446,   447,   448,   449,   450,  1586,  1587,
     451,   452,  1588,  1589,   453,     0,   454,   455,   456,   457,
    1590,     0,  1591,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,
    1598,   473,   474,   475,   476,   722,   477,  1599,  1600,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,  1601,   503,   504,   505,  1602,  1603,   506,     0,
     507,   508,  1604,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1605,     0,  1606,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1417,  1607,     0,  1608,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1609,   183,   543,   184,     0,   544,
     545,   546,  1610,  1611,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1612,
     190,  1613,   560,   561,   192,     0,   562,   563,   194,   564,
    1615,  1616,   565,  1617,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1619,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1620,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1621,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  3211,  3212,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1623,   629,   630,   218,
     631,   632,   220,   633,   634,  1624,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1625,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1626,  1627,     0,     0,   656,   657,  1628,   658,
    1629,  1630,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,  1632,     0,   671,   672,
     673,   674,   675,   728,  1633,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,  1641,   729,   688,   689,     0,     0,     0,     0,     0,
       0,     0,  3213,  3214,     0,     0,     0,     0,     0,     0,
       0,  3073,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,  1580,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,   446,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,     0,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,     0,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,  1618,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  3070,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,   728,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,     0,
       0,     0,     0,     0,  3071,  3072,     0,     0,     0,     0,
       0,     0,     0,  3073,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1578,  1579,     0,    45,  1581,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,  1582,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,  1583,   136,  1584,  1585,     0,   446,   447,   448,
     449,   450,  1586,  1587,   451,   452,  1588,  1589,   453,     0,
     454,   455,   456,   457,  1590,     0,  1591,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,
     477,  1599,  1600,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,  1601,   503,   504,   505,
    1602,  1603,   506,     0,   507,   508,  1604,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1605,     0,  1606,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
    1417,  1607,     0,  1608,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1609,   183,
     543,   184,     0,   544,   545,   546,  1610,  1611,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1612,   190,  1613,   560,   561,   192,     0,
     562,   563,   194,   564,  1615,  1616,   565,  1617,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1619,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1620,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1621,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,  3070,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
    1623,   629,   630,   218,   631,   632,   220,   633,   634,  1624,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1625,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1626,  1627,     0,     0,
     656,   657,  1628,   658,  1629,  1630,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
    1632,     0,   671,   672,   673,   674,   675,   728,  1633,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,     0,
       0,     0,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  3073,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1578,
    1579,     0,    45,  1581,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,  1582,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
    1583,   136,  1584,  1585,     0,  4362,   447,   448,   449,   450,
    1586,  1587,   451,   452,  1588,  1589,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,  1599,
    1600,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1414,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,  1601,   503,   504,   505,  1602,  1603,
     506,     0,   507,   508,  1604,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
    1606,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,  1417,  1607,
       0,  1608,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1612,   190,  1613,   560,   561,   192,     0,   562,   563,
     194,   564,  1615,  1616,   565,  1617,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1621,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,  3070,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,  1624,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1626,  1627,     0,     0,   656,   657,
    1628,   658,  1629,  1630,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,   728,  1633,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,     0,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  3073,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1578,  1579,  1580,
      45,  1581,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,  1582,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,     0,  1583,   136,
    1584,  1585,     0,   446,   447,   448,   449,   450,  1586,  1587,
     451,   452,  1588,  1589,   453,     0,   454,   455,   456,   457,
    1590,     0,  1591,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,
    1598,   473,   474,   475,   476,   722,   477,  1599,  1600,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1414,   491,   492,     0,
     493,   494,   495,     0,   496,     0,   498,     0,   499,   500,
     501,   502,  1601,   503,   504,   505,  1602,  1603,   506,     0,
     507,   508,  1604,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1605,     0,  1606,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1417,  1607,     0,  1608,
       0,   535,     0,     0,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1609,   183,   543,     0,     0,   544,
     545,   546,  1610,  1611,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1612,
     190,  1613,   560,   561,   192,  1614,   562,   563,     0,   564,
    1615,  1616,   565,  1617,   566,   567,   568,     0,   569,     0,
       0,  1618,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1619,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1620,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1621,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  1622,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1623,   629,   630,   218,
     631,   632,     0,   633,   634,  1624,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1625,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1626,  1627,     0,     0,   656,   657,  1628,   658,
    1629,  1630,   659,   660,   661,   662,   663,   664,   665,     0,
    1631,   666,   667,   668,   669,   670,  1632,     0,   671,   672,
     673,   674,   675,   728,  1633,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,  1641,   729,   688,   689,     0,     0,     0,     0,     0,
       0,     0,  1643,  1644,     0,     0,     0,     0,     0,     0,
       0,  1646,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,  1587,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,  1590,     0,  1591,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,  1602,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,  1605,     0,
     172,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,  3856,     0,   542,  1609,   183,   543,   184,
       0,   544,   545,   546,  1610,  1611,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,  1616,   565,   196,   566,   567,   568,     0,
     569,     0,  1124,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,  1619,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,  1620,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,  3857,   617,   618,   619,   620,   621,
     727,   622,   216,   623,   624,   625,   626,   627,  1623,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,  1625,     0,   647,   648,   224,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
    1628,   658,  1629,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,  1632,     0,
     671,   672,   673,   674,   675,  2317,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,   238,   682,
     683,   684,   685,   686,   687,   239,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,  1641,   729,   688,   689,     0,     0,   248,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  3858,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,  1587,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
    1590,     0,  1591,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1592,  1593,  1594,  1595,  1596,  1597,
    1598,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,  1602,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1605,     0,   172,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,  3856,     0,   542,  1609,   183,   543,   184,     0,   544,
     545,   546,  1610,  1611,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,  1616,   565,   196,   566,   567,   568,     0,   569,     0,
    1124,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1619,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1620,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,  3857,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1623,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1625,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,  1628,   658,
    1629,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,  1632,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,  1641,   729,   688,   689,     0,     0,     0,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  3858,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,  1587,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,  1590,     0,
    1591,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,  1602,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1605,     0,   172,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1609,   183,   543,   184,     0,   544,   545,   546,
    1610,  1611,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,  1616,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1619,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1620,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
    3857,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1623,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1625,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,  1628,   658,  1629,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,  1632,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,
     729,   688,   689,     0,     0,     0,   753,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,   249,
      98,    99,   100,   101,   102,   103,   754,   104,   105,   708,
     755,     0,   107,   108,   109,   110,   756,   757,   112,   113,
     114,     0,   115,   758,   759,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,  1587,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,  1590,     0,  1591,     0,
     458,   459,   460,   461,   147,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
    1592,  1593,  1594,  1595,  1596,  1597,  1598,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,  1602,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,  1605,     0,   172,   516,     0,   517,   518,   724,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
    1609,   183,   543,   184,     0,   544,   545,   546,  1610,  1611,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,  1616,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,  1619,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,  1620,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,  1623,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,  1625,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,  1628,   658,  1629,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,  1632,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,  1641,   729,   688,
     689,     0,     0,     0,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  4493,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  5140,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,  4416,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0, -1604,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0, -1604,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531, -1604,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536, -1604,   537,   538,
     539,   540,   541,     0,     0,   542,   182, -1604,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189, -1604,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612, -1604,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,     0,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,  1742,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,  3660,  3661,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    3661,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,   216,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
     224,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
    2317,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,   238,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,   248,     0,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,   249,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,   216,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,   224,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,  2317,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,   238,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,   248,     0,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,   249,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,     0,     0,
       0,     0,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,  1717,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,  3243,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    4397,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  4826,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  1251,    45,     0,     0,     0,     0,
       0,  1252,  1253,  1254,   428,   429,   430,   431,   432,   433,
     434,   435,   760,   436,   437,   438,   761,   762,   763,   764,
     765,   766,   767,   439,   440,   768,   441,   442,   132,   443,
     444,   445,     0,  1407,   136,  1408,  1409,   769,   446,   447,
     448,   449,   450,   770,   771,   451,   452,  1410,  1411,   453,
     773,   454,   455,   456,   457,     0,   774,   144,   775,   458,
     459,   460,   461,   147,   462,   463,   720,   777,   464,   465,
     466,   467,   468,   469,   778,   150,   470,   471,     0,   780,
     781,   782,   151,   783,   784,   785,   473,   474,   475,   476,
     722,   477,  1412,  1413,   478,   786,   479,   787,   480,   481,
     482,   483,   484,   788,   485,   486,   487,   789,   790,   488,
     489,  1414,   491,   492,   791,   493,   494,   495,   792,   496,
     497,   498,   793,   499,   500,   501,   502,     0,   503,   504,
     505,     0,   794,   506,   795,   507,   508,  1415,   509,   796,
     510,   797,   511,   168,   798,   169,   512,   513,   514,   799,
     515,     0,   800,     0,   516,   801,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,   802,   525,   526,   527,
     528,   529,   530,   803,   531,   175,     0,     0,   532,   533,
     534,  1417,  1418,   806,  1419,   807,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,   808,   809,   542,     0,
     183,   543,   184,   810,   544,   545,   546,   811,   812,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1420,   190,  1421,   560,   561,     0,
     813,   562,   563,   194,   564,   814,     0,   565,  1422,   566,
     567,   568,   815,   569,   816,   817,  4143,   571,   572,   818,
     819,   573,     0,   198,   574,   199,     0,   575,   576,   577,
     578,   579,   580,   581,   820,   582,   583,     0,   584,     0,
     585,   586,   587,   821,   588,   589,   590,   591,   592,   593,
     594,   595,  1423,   596,   597,   598,   599,   822,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   823,
     611,   612,   211,   613,   614,   615,     0,   616,   617,   618,
     619,   620,   621,   727,   622,   824,   623,   624,   625,   626,
     627,   825,   629,   630,  2529,   631,   632,   220,   633,   634,
    1425,   635,   826,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   827,   647,   648,   828,   649,
     225,   650,   651,   652,   653,   654,   829,  1426,  1427,     0,
     831,   656,   657,     0,   658,     0,   832,   659,   660,   661,
     662,   663,   664,   665,     0,   834,   666,   667,   668,   669,
     670,   835,   836,   671,   672,   673,   674,   675,     0,  1428,
     838,   676,   237,   677,   678,   679,   680,   839,   840,   681,
     841,   842,   682,   683,   684,   685,   686,   687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   729,   688,   689,
       0,     0,     0,  1257,  1258,  1259,     0,  4144,  4145,  1262,
    1263,  1264,  1265,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1251,     0,     0,     0,     0,     0,     0,  1252,  1253,
    1254,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,  1255,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
    1256,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
    1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,  1252,  1253,  1254,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,  1358,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,  1359,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,  1257,  1258,  1259,
       0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1251,     0,     0,     0,     0,
       0,     0,  1252,  1253,  1254,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,  1458,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,  1459,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1460,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,
    1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1251,     0,     0,     0,     0,     0,     0,  1252,
    1253,  1254,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
    2019,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,  2020,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,     0,     0,
       0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,
    1265,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,  1252,  1253,  1254,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,  1257,  1258,
    1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1251,     0,     0,     0,
       0,     0,     0,  1252,  1253,  1254,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,  3344,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,  3345,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,
    1261,  1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1251,     0,     0,     0,     0,     0,     0,
    1252,  1253,  1254,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,  5119,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,
    1264,  1265,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   760,
     436,   437,   438,   761,   762,   763,   764,   765,   766,   767,
     439,   440,   768,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,   769,   446,   447,   448,   449,   450,
     770,   771,   451,   452,   772,   139,   453,   773,   454,   455,
     456,   457,   143,   774,   144,   775,   458,   459,   460,   461,
     147,   462,   463,   776,   777,   464,   465,   466,   467,   468,
     469,   778,   150,   470,   471,   779,   780,   781,   782,   151,
     783,   784,   785,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   786,   479,   787,   480,   481,   482,   483,   484,
     788,   485,   486,   487,   789,   790,   488,   489,   490,   491,
     492,   791,   493,   494,   495,   792,   496,   497,   498,   793,
     499,   500,   501,   502,   163,   503,   504,   505,   165,   794,
     506,   795,   507,   508,   167,   509,   796,   510,   797,   511,
     168,   798,   169,   512,   513,   514,   799,   515,   171,   800,
     172,   516,   801,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,   802,   525,   526,   527,   528,   529,   530,
     803,   531,   175,   176,   804,   532,   533,   534,   805,   177,
     806,   178,   807,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,   808,   809,   542,   182,   183,   543,   184,
     810,   544,   545,   546,   811,   812,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,   190,   191,   560,   561,   192,   813,   562,   563,
     194,   564,   814,   195,   565,   196,   566,   567,   568,   815,
     569,   816,   817,   570,   571,   572,   818,   819,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,   820,   582,   583,   201,   584,   202,   585,   586,   587,
     821,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,   822,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   823,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   824,   623,   624,   625,   626,   627,   825,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,   826,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,   827,   647,   648,   828,   649,   225,   650,   651,
     652,   653,   654,   829,   226,   227,   830,   831,   656,   657,
     228,   658,   229,   832,   659,   660,   661,   662,   663,   664,
     665,   833,   834,   666,   667,   668,   669,   670,   835,   836,
     671,   672,   673,   674,   675,   837,   236,   838,   676,   237,
     677,   678,   679,   680,   839,   840,   681,   841,   842,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,   753,    86,    87,
      88,   705,    90,    91,    92,   706,  2417,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,     0,  1407,   136,  1408,  1409,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1410,
    1411,   453,     0,   454,   455,   456,   457,     0,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,   722,   477,  1412,  1413,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1414,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,     0,
     503,   504,   505,     0,     0,   506,     0,   507,   508,  1415,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,     0,     0,     0,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,  2525,   525,
     526,   527,   528,   529,   530,     0,   531,   175,  2526,     0,
     532,   533,   534,  1417,  1418,     0,  1419,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,     0,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1420,   190,  1421,   560,
     561,     0,     0,   562,   563,   194,   564,     0,     0,   565,
    1422,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,  2527,   573,  2528,   198,   574,   199,     0,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
     584,     0,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1423,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,     0,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,  2529,   631,   632,   220,
     633,   634,  1425,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1426,
    1427,     0,     0,   656,   657,     0,   658,     0,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,  1428,  2530,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
     688,   689,     0,    86,    87,    88,   705,    90,    91,    92,
     706,  2531,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,    86,    87,
      88,   705,    90,    91,    92,   706,  1131,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,    86,    87,    88,   705,    90,    91,    92,
     706,  5173,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,  1021,   430,   431,   432,   433,   434,   435,  1022,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,  1023,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,  1024,   167,   509,     0,   510,     0,  1025,
       0,  1026,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,  1027,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,  1028,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,  1029,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,  1030,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,  1031,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
       0,     0,     0,     0,  1032,  1033,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,  1021,   430,   431,   432,   433,
     434,   435,  1022,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,  1055,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,  1024,   167,   509,     0,
     510,     0,  1056,     0,  1026,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,  1027,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,  1028,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,  1029,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,  1030,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
    1031,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  1032,  1033,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1511,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,  1026,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,  1027,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,     0,     0,     0,
    1032,  1033,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,  1516,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
    1026,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,  1027,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,     0,
       0,     0,     0,  1032,  1033,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   723,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,  1688,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,  1101,  1689,    86,    87,    88,   705,    90,
      91,    92,   706,  1102,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,  1103,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,  1104,     0,  1105,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,  1106,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,  1107,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,  1108,   614,   615,   213,   616,   617,   618,  1109,
     620,   621,   727,   622,     0,   623,   624,   625,   626,  1110,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,  1111,   227,     0,     0,
    1112,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,  1113,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   760,   436,   437,   438,
     761,   762,   763,   764,   765,   766,   767,   439,   440,   768,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,   769,   446,   447,   448,   449,   450,   770,   771,   451,
     452,   772,   139,   453,   773,   454,   455,   456,   457,   143,
     774,   144,   775,   458,   459,   460,   461,   147,   462,   463,
     776,   777,   464,   465,   466,   467,   468,   469,   778,   150,
     470,   471,   779,   780,   781,   782,   151,   783,   784,   785,
     473,   474,   475,   476,   722,   477,   154,   155,   478,   786,
     479,   787,   480,   481,   482,   483,   484,   788,   485,   486,
     487,   789,   790,   488,   489,   490,   491,   492,   791,   493,
     494,   495,   792,   496,   497,   498,   793,   499,   500,   501,
     502,   163,   503,   504,   505,   165,   794,   506,   795,   507,
     508,   167,   509,   796,   510,   797,   511,   168,   798,   169,
     512,   513,   514,   799,   515,   171,   800,   172,   516,   801,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
     802,   525,   526,   527,   528,   529,   530,   803,   531,   175,
     176,   804,   532,   533,   534,   805,   177,   806,   178,   807,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
     808,   809,   542,   182,   183,   543,   184,   810,   544,   545,
     546,   811,   812,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,   813,   562,   563,   194,   564,   814,
     195,   565,   196,   566,   567,   568,   815,   569,   816,   817,
     570,   571,   572,   818,   819,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,   820,   582,
     583,   201,   584,   202,   585,   586,   587,   821,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,   822,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   823,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,   824,
     623,   624,   625,   626,   627,   825,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,   826,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,   827,
     647,   648,   828,   649,   225,   650,   651,   652,   653,   654,
     829,   226,   227,   830,   831,   656,   657,   228,   658,   229,
     832,   659,   660,   661,   662,   663,   664,   665,   833,   834,
     666,   667,   668,   669,   670,   835,   836,   671,   672,   673,
     674,   675,   837,   236,   838,   676,   237,   677,   678,   679,
     680,   839,   840,   681,   841,   842,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   760,   436,   437,   438,   761,   762,   763,   764,   765,
     766,   767,   439,   440,   768,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,   769,   446,   447,   448,
     449,   450,   770,   771,   451,   452,   772,   139,   453,   773,
     454,   455,   456,   457,   143,   774,   144,   775,   458,   459,
     460,   461,   147,   462,   463,   776,   777,   464,   465,   466,
     467,   468,   469,   778,   150,   470,   471,   779,   780,   781,
     782,   151,   783,   784,   785,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   786,   479,   787,   480,   481,   482,
     483,   484,   788,   485,   486,   487,   789,   790,   488,   489,
     490,   491,   492,   791,   493,   494,   495,   792,   496,   497,
     498,   793,   499,   500,   501,   502,   163,   503,   504,   505,
     165,   794,   506,   795,   507,   508,   167,   509,   796,   510,
     797,   511,   168,   798,   169,   512,   513,   514,   799,   515,
     171,   800,   172,   516,   801,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,   802,   525,   526,   527,   528,
     529,   530,   803,   531,   175,   176,   804,   532,   533,   534,
     805,   177,   806,   178,   807,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,   808,   809,   542,   182,   183,
     543,   184,   810,   544,   545,   546,   811,   812,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,   813,
     562,   563,   194,   564,   814,   195,   565,   196,   566,   567,
     568,   815,   569,   816,   817,   570,   571,   572,   818,   819,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,   820,   582,   583,   201,   584,   202,   585,
     586,   587,   821,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,   822,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   823,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,   824,   623,   624,   625,   626,   627,
     825,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,   826,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,   827,   647,   648,   828,   649,   225,
     650,   651,   652,   653,   654,   829,   226,   227,   830,   831,
     656,   657,   228,   658,   229,   832,   659,   660,   661,   662,
     663,   664,   665,   833,   834,   666,   667,   668,   669,   670,
     835,   836,   671,   672,   673,   674,   675,   837,   236,   838,
     676,   237,   677,   678,   679,   680,   839,   840,   681,   841,
     842,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,  3408,   433,   434,   435,   760,   436,   437,   438,
     761,   762,   763,   764,   765,   766,   767,   439,   440,   768,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,   769,   446,   447,   448,   449,   450,   770,   771,   451,
     452,   772,   139,   453,   773,   454,   455,   456,   457,   143,
     774,   144,   775,   458,   459,   460,   461,   147,   462,   463,
     776,   777,   464,   465,   466,   467,   468,   469,   778,   150,
     470,   471,   779,   780,   781,   782,   151,   783,   784,   785,
     473,   474,   475,   476,   722,   477,   154,   155,   478,   786,
     479,   787,   480,   481,   482,   483,   484,   788,   485,   486,
     487,   789,   790,   488,   489,   490,  3409,   492,   791,   493,
     494,   495,   792,   496,   497,   498,   793,   499,   500,   501,
     502,   163,   503,   504,   505,   165,   794,   506,   795,   507,
     508,   167,   509,   796,   510,   797,   511,   168,   798,   169,
     512,   513,   514,   799,   515,   171,   800,   172,   516,   801,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
     802,   525,   526,   527,   528,   529,   530,   803,   531,   175,
     176,   804,   532,   533,   534,   805,   177,   806,   178,   807,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
     808,   809,   542,   182,   183,   543,   184,   810,   544,   545,
     546,   811,   812,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,   813,   562,   563,   194,   564,   814,
     195,   565,   196,   566,   567,   568,   815,   569,   816,   817,
     570,   571,   572,   818,   819,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,   820,   582,
     583,   201,   584,   202,   585,   586,   587,   821,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,   822,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   823,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,   824,
     623,   624,   625,   626,   627,   825,  3410,   630,   218,   631,
     632,   220,   633,   634,   221,   635,   826,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,   827,
     647,   648,   828,   649,   225,   650,   651,   652,   653,   654,
     829,   226,   227,   830,   831,   656,   657,   228,   658,   229,
     832,   659,   660,   661,   662,   663,   664,   665,   833,   834,
     666,   667,   668,   669,   670,   835,   836,   671,   672,   673,
     674,   675,   837,   236,   838,   676,   237,   677,   678,   679,
     680,   839,   840,   681,   841,   842,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,  1587,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,  1590,     0,  1591,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,  1592,  1593,
    1594,  1595,  1596,  1597,  1598,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
    1602,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1605,     0,   172,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1609,   183,
     543,   184,     0,   544,   545,   546,  1610,  1611,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,  1616,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1619,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1620,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
    1623,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1625,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,  1628,   658,  1629,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
    1632,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,  1641,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1400,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  1451,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1407,   136,  1408,  1409,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1410,  1411,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1412,  1413,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1415,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,  2525,   525,   526,   527,   528,
     529,   530,     0,   531,   175,  2526,     0,   532,   533,   534,
    1417,  1418,     0,  1419,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1420,   190,  1421,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1422,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,  2528,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1423,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2529,   631,   632,   220,   633,   634,  1425,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1426,  1427,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1428,  2530,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1407,   136,  1408,
    1409,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1410,  1411,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1412,  1413,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1415,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1417,  1418,     0,  1419,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1420,   190,
    1421,   560,   561,     0,     0,   562,   563,   194,   564,  2622,
       0,   565,  1422,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1423,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  2529,   631,
     632,   220,   633,   634,  1425,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,  4241,   649,   225,   650,   651,   652,   653,   654,
       0,  1426,  1427,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1428,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1407,   136,  1408,  1409,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1410,  1411,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1412,  1413,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1415,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1417,  1418,     0,  1419,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1420,   190,  1421,   560,   561,  2688,     0,
     562,   563,   194,   564,     0,     0,   565,  1422,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1423,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  1424,   631,   632,   220,   633,   634,  1425,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1426,  1427,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1428,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1407,   136,  1408,
    1409,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1410,  1411,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1412,  1413,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1415,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1417,  1418,     0,  1419,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1420,   190,
    1421,   560,   561,  4068,     0,   562,   563,   194,   564,     0,
       0,   565,  1422,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1423,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  1424,   631,
     632,   220,   633,   634,  1425,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1426,  1427,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1428,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1407,   136,  1408,  1409,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1410,  1411,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1412,  1413,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1415,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,  1416,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1417,  1418,     0,  1419,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1420,   190,  1421,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1422,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1423,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  1424,   631,   632,   220,   633,   634,  1425,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1426,  1427,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1428,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1407,   136,  1408,
    1409,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1410,  1411,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1412,  1413,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1415,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,  1477,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1417,  1418,     0,  1419,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1420,   190,
    1421,   560,   561,     0,     0,   562,   563,   194,   564,     0,
       0,   565,  1422,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1423,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  1424,   631,
     632,   220,   633,   634,  1425,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1426,  1427,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1428,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1407,   136,  1408,  1409,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1410,  1411,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1412,  1413,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1415,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1417,  1418,     0,  1419,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1420,   190,  1421,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1422,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1423,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  1424,   631,   632,   220,   633,   634,  1425,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1426,  1427,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1428,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1407,   136,  1408,
    1409,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1410,  1411,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1412,  1413,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1414,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1415,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1417,  1418,     0,  1419,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1420,   190,
    1421,   560,   561,     0,     0,   562,   563,   194,   564,     0,
       0,   565,  1422,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1423,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  2529,   631,
     632,   220,   633,   634,  1425,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1426,  1427,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1428,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1407,   136,  1408,  1409,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1410,  1411,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1412,  1413,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1414,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1415,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1417,  1418,     0,  1419,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1420,   190,  1421,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1422,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1423,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,     0,   631,   632,   220,   633,   634,  1425,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1426,  1427,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1428,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,     0,   136,     0,
       0,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,     0,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,     0,     0,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,     0,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,     0,     0,     0,     0,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,     0,   190,
       0,   560,   561,     0,     0,   562,   563,   194,   564,     0,
       0,   565,     0,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,     0,   631,
     632,   220,   633,   634,     0,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,     0,     0,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,     0,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     760,   436,   437,   438,   761,   762,   763,   764,   765,   766,
     767,   439,   440,   768,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,   769,   446,   447,   448,   449,
     450,   770,   771,   451,   452,     0,   139,   453,   773,   454,
     455,   456,   457,   143,   774,   144,   775,   458,   459,   460,
     461,   147,   462,   463,   776,   777,   464,   465,   466,   467,
     468,   469,   778,   150,   470,   471,     0,   780,   781,   782,
     151,   783,   784,   785,   473,   474,   475,   476,     0,   477,
     154,   155,   478,   786,   479,   787,   480,   481,   482,   483,
     484,   788,   485,   486,   487,   789,   790,   488,   489,   490,
     491,   492,   791,   493,   494,   495,   792,   496,   497,   498,
     793,   499,   500,   501,   502,   163,   503,   504,   505,   165,
     794,   506,   795,   507,   508,   167,   509,   796,   510,   797,
     511,   168,   798,   169,   512,   513,   514,   799,   515,   171,
     800,   172,   516,   801,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,   802,   525,   526,   527,   528,   529,
     530,   803,   531,   175,   176,     0,   532,   533,   534,     0,
     177,   806,   178,   807,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,   808,   809,   542,   182,   183,   543,
     184,   810,   544,   545,   546,   811,   812,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,   813,   562,
     563,   194,   564,   814,   195,   565,   196,   566,   567,   568,
     815,   569,   816,   817,   570,   571,   572,   818,   819,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,   820,   582,   583,   201,   584,   202,   585,   586,
     587,   821,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,   822,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   823,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,   824,   623,   624,   625,   626,   627,   825,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
     826,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,   827,   647,   648,   828,   649,   225,   650,
     651,   652,   653,   654,   829,   226,   227,     0,   831,   656,
     657,   228,   658,   229,   832,   659,   660,   661,   662,   663,
     664,   665,     0,   834,   666,   667,   668,   669,   670,   835,
     836,   671,   672,   673,   674,   675,     0,   236,   838,   676,
     237,   677,   678,   679,   680,   839,   840,   681,   841,   842,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,  1194,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
    2567,   454,   455,   456,   457,   143,     0,     0,  2641,   458,
     459,   460,   461,     0,   462,   463,   720,  2568,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,  2642,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,  2570,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,  2571,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,  2572,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,  2567,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,  2568,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,  2642,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,  2570,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,  3570,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,  2571,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,  2572,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,  1089,   434,   435,
    1041,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,  1042,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,  1090,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,  1043,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,  1044,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,  1041,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,  1042,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,  3306,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,  1043,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,  1044,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
    2567,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,  2568,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,  2642,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,  2570,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,  2571,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,  2572,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   718,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,   721,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,   723,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
    1041,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,  1042,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,  1043,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,  1044,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,   950,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   951,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   952,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,  2237,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,  2238,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,  2239,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,  2240,   511,     0,
       0,     0,  2241,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,  2242,
    2243,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,  2244,   620,   621,   727,
     622,     0,  2245,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,  2246,   649,     0,  2247,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,  2248,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,  1042,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,  1043,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,  1044,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,  2226,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,  3157,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
    3158,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,  2507,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,  3159,   649,     0,   650,  3160,   652,  3161,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,  3162,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
     745,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,   723,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,   899,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,  1282,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
    1283,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,  1124,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,  1392,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,   129,   130,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,  3389,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  3390,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,  3402,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  3403,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   956,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
    1003,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,  1059,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,  1124,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,  1246,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
    1247,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,  1691,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  1875,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,  1124,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,  1924,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  1925,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,  2093,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,  2226,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,  2507,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,  4416,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,  4430,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,  5122,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,  1071,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,  1073,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1074,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,  1075,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,  1076,   227,     0,     0,  1077,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,  1078,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
    1118,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,  1074,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,  1119,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,  1120,   227,     0,     0,  1121,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,  1078,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,  1138,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  1270,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
    1277,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  1293,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  1349,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  1364,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  1405,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
    1463,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  1467,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  1469,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  1471,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  1475,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
    1483,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,  1702,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,  1103,
     452,  1074,   139,  1703,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,  1107,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,  1108,   614,   615,
     213,   616,   617,   618,  1109,   620,   621,   727,   622,     0,
     623,   624,   625,   626,  1695,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,  1111,   227,     0,     0,  1112,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,  1078,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,  1113,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,  1829,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,  1073,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,  1074,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
    1078,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  2049,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
    2079,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  2081,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  2153,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  2155,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  2157,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,  2274,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,  2473,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,     0,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  2865,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  2869,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  2909,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
    3317,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  3392,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,  3394,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,  3506,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,  3528,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,  1103,   452,  1074,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,  1107,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,  1108,   614,   615,   213,   616,   617,   618,
    1109,   620,   621,   727,   622,     0,   623,   624,   625,   626,
    1695,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,  1111,   227,     0,
       0,  1112,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,  1078,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,  1113,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1074,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,  1078,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,  1103,   452,  1074,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,     0,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,  1107,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,  1108,   614,   615,   213,   616,   617,   618,  1109,   620,
     621,   727,   622,     0,   623,   624,   625,   626,  1695,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,  2554,
     651,   652,   653,   654,     0,  1111,   227,     0,     0,  1112,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,  1078,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,  1113,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,  1103,   452,  1074,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,  1107,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,  1108,   614,   615,   213,   616,
     617,   618,  2626,   620,   621,   727,   622,     0,   623,   624,
     625,   626,  2627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,  1111,
     227,     0,     0,  2628,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
    1078,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,  1113,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,  1103,   452,  1074,   139,   453,     0,   454,   455,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,   520,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,  1107,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,  1108,
     614,   615,   213,   616,   617,   618,  1109,   620,   621,   727,
     622,     0,   623,   624,   625,   626,  2627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,  1111,   227,     0,     0,  2628,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,  1078,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,  1113,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,     0,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
       0,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,     0,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114, -2559,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,   126,    35,     0,   422,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114, -2560,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,   126,    35,     0,  1189,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,  2202,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,  2203,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
    2204,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,     0,     0,     0,     0,    41,
      42,  1786,  1787,  4948,     0,     0,     0,     0,     0,     0,
    4949,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,   129,   130,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,   216,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,   224,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   235,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,   238,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   688,
     689,    35,   427,   248,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,   249,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,     0,   477,   154,   155,   478,  2405,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,  2202,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,  2203,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,  2204,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   688,
     689,     0,     0,     0,     0,     0,    35,   427,  1786,  1787,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,     0,   477,   154,   155,
     478,  2410,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,  2202,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
    2203,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,  2204,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,   688,   689,     0,     0,     0,     0,
       0,    35,   427,  1786,  1787,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,  2202,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,  2203,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,  2204,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   688,
     689,     0,     0,     0,     0,     0,    35,   427,  1786,  1787,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,     0,   473,   474,   475,   476,     0,   477,   154,   155,
     478,  3299,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,  2202,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
    2203,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,  2204,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,   688,   689,     0,     0,     0,     0,
       0,    35,   427,  1032,  1033,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
     655,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   688,
     689,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,     0,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
    2202,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,  2203,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,  2204,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,     0,   477,   154,   155,   478,
    2390,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,  2182,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,  1272,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,   472,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1289,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,   472,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,  1290,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,   472,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  2750,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,   472,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,  3705,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   688,   689,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,   472,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,  1372,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,   472,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,     0,   519,  1453,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
     472,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,  1465,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,  1479,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,  1480,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,   129,   130,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   688,   689
};

static const yytype_int16 yycheck[] =
{
       2,   390,   879,   249,   210,   923,  1155,    78,   963,   166,
      78,   390,    78,  1160,  1105,    78,  1122,  1461,   230,    96,
      78,  1535,  1505,     2,  1042,  1043,  1044,   116,   153,   106,
    1048,   188,    78,  1452,  1456,   374,  1100,  2241,    84,  1292,
    1225,   152,  1861,  1424,   149,  1183,   923,   963,  1341,  1740,
    1302,   751,  1896,  1128,  1009,   116,   224,  2687,  1444,  1279,
    2006,  3016,   984,   981,   141,  1571,  1360,   170,  1723,  2191,
    3568,  3181,   161,   995,  2815,  2824,    78,  1371,   203,   156,
    1412,  1413,    84,  1902,  1427,  2533,  2534,    89,  1906,  1112,
    1422,  3637,   164,  1346,  3360,    78,  3595,  1350,   164,  2366,
     161,  3914,  1355,  2379,   981,   159,   875,   210,  1401,  3384,
    1363,  1249,  1278,   882,   116,  1442,  2076,  3408,  1284,  3410,
    1373,  1917,  2429,   131,   893,  3624,  2740,    94,  1294,  1957,
    1278,  1744,  2279,   362,  2988,   752,  1202,  3969,  4230,  3969,
    3558,   376,  2088,   232,  3553,  1202,   376,  3243,  3170,  3558,
     152,  1969,   921,  1108,  4167,  3168,  3169,   926,  4019,   161,
    3965,  1008,   994,  4219,   131,  2127,   209,  3858,   937,  4220,
    4217,   232,  4233,  1780,  1781,  1782,   219,  3101,  1974,  1975,
    1835,  3864,  4229,   217,  4242,   152,   153,  2373,  2818,   166,
    2453,  3830,  1108,  2455,  1902,   162,   248,  4697,  1888,  1152,
    4498,  1242,  3274,  1410,  1411,  1839,  3863,   209,  1197,  1198,
      21,   188,  3661,  2780,  1421,   217,  3932,   219,  1152,  1518,
    2180,  2788,  1498,  2790,  1775,  1776,  1489,    30,  1000,  4826,
     232,  4828,  3793,  4871,    84,  4890,   203,    10,    71,    87,
    1024,    91,    92,    93,  1028,  1029,  1030,    80,    71,    14,
     950,    71,    85,    14,  1038,    84,  5012,    74,    75,    76,
      77,   117,    85,   138,    81,   160,  2533,  1599,  1600,  4924,
      14,   124,   187,    87,   111,   115,   859,   131,   140,    74,
      75,    76,    77,   185,  1627,  1617,    81,    78,  2918,   148,
    2920,    87,    74,    75,    76,    77,  4928,  4929,    78,    81,
     106,   107,   234,    71,   105,    98,    74,    75,    76,    77,
      71,   382,    80,    81,   382,   117,   382,    85,   115,   382,
     116,  1339,   234,    78,   382,  3249,   234,    71,   102,   187,
      74,    75,    76,    77,  4963,   109,    80,    81,    82,    83,
     148,    85,    98,   138,   390,    74,    75,    76,    77,   157,
     146,   213,    81,   157,   215,   229,    74,    75,    76,    77,
      89,    90,   333,    81,   279,   330,   256,  1505,   185,   231,
     103,    89,    90,   131,   190,   275,  3362,   275,   229,   425,
     131,  1588,  1589,    74,    75,    76,    77,   100,   390,   131,
      81,   148,  1498,   152,   146,  2599,   413,   321,  4316,   382,
    4318,   375,  1102,   192,  1322,   320,  1613,   120,   235,   202,
      37,   224,    39,   228,   236,   307,   229,   234,    74,    75,
      76,    77,   412,   425,   212,    81,   224,   233,   449,   235,
      78,   159,   105,    89,    90,    74,    75,    76,    77,   524,
     449,   102,    81,   528,  5456,  1322,   202,    78,   109,    71,
      89,    90,   188,   269,   161,  1707,   371,   102,    80,   426,
      78,   472,  1647,    85,   109,   131,    74,    75,    76,    77,
     240,   199,   861,    81,    74,    75,    76,    77,   148,   148,
     293,    81,   861,  5138,  5081,    96,   336,    78,   157,  1674,
    4503,     0,   387,   234,   515,   293,    78,    74,    75,    76,
      77,   363,  5002,   184,    81,   293,  1497,   234,    78,   526,
     484,   403,    89,    90,   336,   526,   252,   209,  2480,   332,
     529,    74,    75,    76,    77,   232,    78,  1482,    81,    74,
      75,    76,    77,   384,   388,    78,    81,   270,   528,    78,
    1462,   178,  5554,   358,   655,   148,   470,  2238,  5177,   204,
    1505,  2242,   102,  2244,   415,   526,  2247,   270,  2520,  5124,
    5125,   526,  2524,  1669,  3166,   190,  1482,  1705,    74,    75,
      76,    77,  1710,  1711,   472,    81,  1682,  2021,   703,   704,
     216,  3567,  1199,  1200,   385,   138,    74,    75,    76,    77,
     449,   382,   348,    81,   526,   435,   425,  2016,    74,    75,
      76,    77,   382,   465,   215,    81,  1712,  1713,    74,    75,
      76,    77,    25,   515,   529,    81,   474,   529,   526,  1541,
    1575,   477,    74,    75,    76,    77,   382,   382,   528,    81,
     388,  4049,   449,  3235,   529,  1557,  1219,   388,   435,   529,
    4049,   449,  4698,  4690,  4657,   449,   388,   449,   422,  5287,
    1572,   526,   526,   655,   470,  1646,   412,   477,   423,  1575,
    1507,   472,   423,   513,   514,   515,  2321,   517,   518,   519,
     520,   521,   522,   526,   522,   529,   482,   470,   370,   423,
    3310,   102,  5314,   472,   517,   518,   481,    87,   655,   526,
    4189,  5447,   449,   320,   517,   518,   178,  3972,   515,   526,
    1953,  4714,  1955,   462,   477,   519,   520,   521,   522,   520,
    1876,   528,   385,  2368,  4212,  1487,  2009,  2372,  2232,   475,
     888,   524,   388,   396,  1508,   398,   522,  1511,  4411,  4420,
    1514,   526,  1516,  4424,   382,  1519,   703,   704,    98,  1523,
    1878,  2035,   524,  1963,   526,  4384,   528,  1702,  1886,   275,
     518,   382,  2004,  4410,  5409,  1710,  1711,   868,  4474,   529,
    1926,   422,  2184,  1009,   382,    87,  5421,  4328,   857,   190,
     451,   529,   524,   517,   518,  3166,   528,   422,   529,   449,
     449,   454,   131,  1012,   751,   396,  1702,   529,   529,  5386,
     481,   382,   178,  5205,   116,  2613,   857,   526,   179,   185,
     382,   438,   529,   914,   415,   355,  1795,  1945,   526,  1762,
    1948,  1949,   382,   494,  2146,   861,  1155,  2239,  5116,  4268,
    4269,  4270,  4271,  4272,   146,  5480,  2248,   952,  1762,  3277,
     382,  3279,   487,  4751,   526,   526,  5401,  4755,  4756,   382,
    4758,  3590,   202,   382,  3235,   470,   449,   178,   269,   903,
     244,   487,  5352,  4866,  1895,   857,  3878,   407,   271,   861,
    4873,   972,   335,   865,  1021,  2683,  1023,    25,  1025,   491,
     526,   122,   874,   875,  1031,   215,   178,  4152,   259,  2017,
     882,  1498,  3954,   178,   178,   493,  1054,   526,   275,   190,
     512,   893,   442,   493,   444,   517,   518,   234,  1055,  1056,
    1005,  3168,  3169,  3170,   512,  3535,  3536,   909,  3184,  5001,
    1145,   116,   512,  2547,  2213,  1145,  2123,  2124,   526,   921,
    2219,  2197,    98,    29,   926,  2188,   526,   409,   104,  1006,
    2481,   234,  2483,  2641,   320,   937,   234,  1009,   334,  5351,
     178,  2631,  1008,   234,  5444,    78,  1023,  2699,  1025,   526,
     275,  3214,   275,  3215,   956,   154,   161,    87,  1035,  3526,
    1128,   963,   144,   242,   412,   967,  3533,  3534,   269,   318,
    3537,   973,   164,   526,   348,   977,   978,  3544,  1055,  1056,
    4810,   526,   984,   950,   405,   952,   116,   275,   348,  4255,
     244,  1159,   994,   995,   154,   194,   110,  2324,  1000,   340,
     251,    70,  2754,   529,   209,   256,  3930,  1009,   382,    78,
      79,    98,   217,  1931,   219,   148,   146,   104,   318,   400,
     526,  1000,   382,  4853,   482,   154,   202,   232,  2872,   365,
    2858,   164,   340,   185,   194,  4867,  1003,  4867,   526,   388,
    1007,   292,   428,   116,   185,   431,  1023,   239,  1025,   470,
     526,   396,   412,   526,  1931,   102,   437,   438,  3244,   330,
     526,   275,  1134,   412,   318,   194,  2084,   335,   234,   330,
     318,   185,  1106,  1241,   526,   415,  1110,  2560,  1055,  1056,
     318,   529,   476,  1129,   180,  5497,  1138,   156,   161,  2195,
     256,    25,    74,    75,    76,    77,  1104,  1099,  1100,    81,
     179,    35,   400,   150,  1106,  3553,  1108,   438,  1110,   275,
    3558,   158,   449,   271,   393,   202,   249,   517,   518,   519,
     520,   521,   522,    14,  4815,  2116,  5218,  1129,  4811,  4820,
     526,  4770,  4823,  2318,  1136,  1102,   438,  1104,   207,   186,
     526,  5192,   529,   438,   438,   526,   449,   472,  2529,   472,
     349,   333,   248,  2539,  2245,  2246,   457,  5213,   449,   232,
     124,   267,   180,  5214,    78,  5226,   417,  1852,  4714,   470,
      84,  5229,   348,    14,  4874,   154,   476,  5224,   515,   320,
     259,   526,  5012,   114,   472,   483,  3634,  4686,   529,   349,
     526,   528,   261,   237,   382,  1197,  1198,   519,   520,   521,
     522,   190,   116,   137,  1183,   530,   382,   197,   140,   199,
      70,   307,   176,   260,   310,   194,   212,  4492,    78,    79,
     349,   529,   476,  1202,   412,   157,   340,   187,   496,  2151,
     248,  1233,   185,   185,   154,  3197,   412,  1280,  1281,   244,
    4531,  2159,  2164,   376,   443,   334,  2201,   161,     8,   382,
    1233,    11,    12,   405,  3856,   526,  3858,  2179,   472,   400,
     508,   348,    22,    23,    24,   526,    26,    27,   244,  4969,
    1249,    31,    32,    33,   194,   108,   530,   273,  1280,  1281,
     269,   213,  2159,   443,   353,  2976,   438,  2278,  2279,   307,
    2122,   164,   310,    87,  2285,   382,   156,  5353,  2905,   231,
    2291,  2292,  2293,   231,   268,  1307,   472,   403,  2414,  5114,
    2301,  2302,  1314,   318,   443,  2306,  1318,   412,   232,   185,
     157,   400,   116,   254,    71,   412,   478,    74,    75,    76,
      77,  1385,  1334,    80,    81,    82,    83,   271,    85,   491,
     330,  1343,   318,   348,   340,  2177,   206,   230,   185,  5362,
     334,  5443,   146,  2200,   318,  5216,  5448,  2042,   437,   438,
     512,  2499,   340,   407,   530,   325,   239,  3969,   320,   235,
     349,   189,   325,    70,   526,  2466,  4472,   382,   261,  1381,
    2298,    78,    79,   216,   431,   403,  5077,   517,   518,   519,
     520,   521,   522,    98,   463,   439,    74,    75,    76,    77,
    1646,   515,   471,    81,   102,   474,  5045,   180,  5500,   235,
     524,   507,   526,   527,   528,   529,   405,  5117,   178,  4441,
     281,  2298,  1424,  4436,   393,  4447,  5256,  5127,   236,   349,
     526,   363,     2,  1510,   529,  1512,  1825,   401,  1515,   299,
    1517,  1507,  2736,  1520,  1521,  1522,  1825,   429,   430,  5281,
     412,  5281,   226,  2519,  4308,   321,  1533,   318,   276,   156,
    1462,   334,  2519,   102,   443,  3856,   224,  3858,   464,  5561,
    1547,   476,  1549,   180,  2640,   248,   390,  2921,  5291,  5292,
    1482,   470,  4900,   320,  1486,  1487,   305,  1489,   348,   507,
    4988,  4900,  2911,  2915,   187,  1497,  3765,   202,  3702,   197,
     476,  5140,   471,  1505,  1733,  5144,  5145,  1486,  1487,   206,
    1489,   425,  1747,  1748,   164,  1750,   389,  1747,  1748,    89,
    1750,    70,   112,   443,   350,  3794,  1505,    22,   336,    78,
      79,   237,  3376,   465,   307,   293,   277,   310,  2704,  1541,
     524,   248,  2795,   317,   528,  2839,  2840,  2841,  2842,   527,
      99,   529,   312,  1555,   415,  1557,  2704,  2851,   197,  4126,
    2726,   238,   189,   449,   347,  4132,  4133,   529,  4135,  2707,
    1572,   396,   347,  1575,   332,   140,    71,  2715,  3969,  2717,
    2197,   441,   152,   443,  1586,  3198,   279,  1554,   158,   239,
    2756,  2884,   418,   334,   124,   236,  1764,  4211,  3745,   359,
     307,  4049,   299,   193,   382,  2560,   472,   156,   438,   470,
     347,  3878,  1614,   190,  3305,   324,   186,  5447,   491,   296,
     185,   212,   202,   431,   340,   202,   370,   320,   305,   412,
     403,  3938,  1721,   224,   412,   187,    87,   412,   229,  3467,
    1642,  1643,  1644,   529,  1646,   470,   176,   325,  4278,   276,
    4280,   348,   857,   397,   527,   226,  1658,   530,   207,  3477,
    1721,  5474,    70,    71,  1666,   234,    74,    75,    76,    77,
      78,    79,    80,    81,   442,   412,   444,    85,   371,   348,
    1688,  1689,   273,  2601,   334,   382,   402,   256,   157,   386,
    4965,    74,    75,    76,    77,   146,   403,     5,    81,   459,
    1702,   407,   293,  1705,  5202,  5204,   275,   256,  1710,  1711,
     419,   263,   261,  1774,   285,   412,  2638,    25,  1720,  1721,
     234,  1688,  1689,   188,  2601,   195,  1705,    35,  3688,  1775,
    1776,  1710,  1711,   439,   507,   205,   449,   491,   268,   389,
     165,   332,   256,   412,   441,  5243,   443,  1749,   347,   340,
    1839,  1753,  1754,   526,   460,   320,   188,   398,   338,  5025,
     325,   275,   281,   451,   488,   442,   318,   444,   320,   238,
     517,   518,  1774,  1775,  1776,   529,   164,   185,  1839,  1825,
     187,   106,   107,   360,   857,  1793,  1832,   252,   318,   307,
     259,   468,   310,  1795,   491,  4750,   184,   382,   363,   318,
    1968,  3315,   515,   129,   353,   529,   386,  1786,  1787,   238,
     235,   452,   377,   530,  2514,   528,  5362,   458,  4420,  1873,
     252,  3617,  4424,  1825,  3620,   491,  1793,   296,   216,   137,
    1832,  1833,   412,  1812,  1813,   348,   491,  1839,   132,   164,
     265,   491,  2980,  5134,   393,   362,   140,  1849,   338,  2867,
    1852,   177,   371,  5128,  1856,   280,   472,   512,   348,   184,
     234,  3188,  5361,   529,   449,   290,   274,   296,  2637,   382,
     339,   401,   279,   464,   177,  1008,  1009,   527,   348,   248,
     530,   348,   256,  4513,  4514,   403,  1888,   436,   296,  3275,
     315,   216,   382,   201,  1896,  3281,   415,  2888,   234,  1878,
     465,  1106,  3346,   472,   384,  1110,  4861,  1886,  4863,   334,
     526,  5021,   382,   320,   463,   382,    74,    75,    76,    77,
     256,  2876,   471,    81,  4665,   474,   236,  1929,  4677,  2698,
     493,   451,   258,   524,   451,   398,   527,   528,   307,   275,
     472,   362,   325,   857,   229,   412,   375,   861,  4689,   512,
    2039,   470,  1935,  3285,   239,   375,   266,  1940,   472,   282,
    2876,   530,    98,   271,   371,   526,  1945,   392,   104,  1948,
    1949,   256,  5238,   442,   494,   444,   529,   494,  2039,   197,
     306,   199,   308,  2938,  2753,   454,   406,   398,  1990,   256,
     378,   454,   318,   483,   526,   405,   465,  5495,  4897,   468,
    2111,   214,   296,   306,   222,   308,  1989,   515,  2010,  3700,
    1993,   491,  1145,   442,   421,   444,   530,   405,   438,  5294,
     528,   347,  2938,  2025,   530,   187,  3175,  3973,   438,  4420,
     451,  2033,   512,  4424,   403,  2424,  4935,  2039,  2017,   468,
    2042,  3334,  2044,   454,   257,  2424,  5545,   472,   396,   529,
     438,  3189,   271,   378,  4621,   484,  4623,  4624,  2060,   526,
    4627,   387,  2064,   238,   484,  2271,   202,   229,   478,   396,
     197,   398,   199,   494,  2076,  1280,  1281,   529,   493,   427,
     405,   533,  3073,   148,   229,   655,  3600,  2255,   348,  2091,
     478,   165,   157,   532,  3085,  3609,   348,   512,   127,   224,
     426,   263,  2104,   491,   229,   250,   391,   325,  2110,   517,
     518,   526,   330,   438,  2116,   382,   526,   146,   177,   386,
    2122,   296,   382,    71,   512,   283,  3117,   454,  5403,  2201,
     382,   160,  2134,  2210,  2200,  2212,   472,    85,   526,  2216,
     524,  2218,   371,  3363,  2221,   412,   530,  2149,  2225,  2151,
    2152,   375,   412,   478,   383,   386,   318,   482,   320,  3814,
     412,   235,  2164,  3186,  3155,  3385,   491,  2270,   293,  4436,
    5280,   230,  2174,   472,  4441,  2177,  4452,  2179,  2180,   408,
    4447,   412,   406,   212,   386,    80,  2188,   512,  4006,  2191,
      85,   265,  2263,   320,   530,  2263,   118,  2263,  3364,  2201,
    2263,   526,   261,   330,   229,  2263,   280,   332,  4810,  2188,
     412,  3129,  2191,  4815,   438,  1129,   290,   139,  4820,   491,
      16,  4823,  3728,  2277,   491,   250,  4022,  4023,   348,    74,
      75,    76,    77,    40,  3189,  4053,    81,   148,   456,  2241,
     512,   315,  2331,   365,   100,   512,   157,   306,   466,   308,
      70,  4853,  3129,  5528,    74,    75,    76,    77,    78,    79,
     484,    81,   382,  2963,   120,  4867,   386,   442,  3434,   444,
    2331,    74,    75,    76,    77,    98,  2278,  2279,    81,   329,
     521,   104,  2284,  2285,  3939,   526,  4232,   528,  2290,  2291,
    2292,  2293,   412,   468,  2058,  2297,   524,  2299,  2300,  2301,
    2302,  2303,  2304,   531,  2306,   348,  2308,  2309,   454,  3562,
    2312,    70,   235,  2077,  3657,  3658,   484,  3736,   392,    78,
      79,   144,    70,    71,  2326,  2327,  2328,  2329,  2330,  2331,
    1935,   348,  3209,  2335,   904,  1940,   320,  2339,   491,   382,
    2342,   325,   265,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,  4982,  2355,  2426,  4477,  2562,   280,  2564,   512,
     180,  2363,  5472,   302,  2366,   382,   402,   290,  1274,   412,
     334,  4938,   195,   283,  1507,   339,   529,  3332,  2424,   202,
    3302,  3303,   205,  1289,  1989,   369,  1292,   493,  1993,    34,
      50,  4235,  5502,   963,   964,   412,    70,    71,   331,  4218,
    2471,   334,     7,  2560,    78,    79,   512,   230,    68,   527,
    5012,    85,   530,   529,    19,    20,  3332,   533,   521,  4810,
     526,   334,  2424,   526,  4815,   528,   339,  2429,   248,  4820,
    1000,   527,  4823,    38,   530,  2481,    41,  2483,   261,  3732,
    2310,  2443,  2553,  2313,  2612,  5400,  4713,   212,   449,  1582,
    2452,  2453,  4900,   519,   520,   521,  3970,  3971,  2547,   224,
    5570,   400,  4853,   197,   229,   199,   526,   525,  1601,   392,
     442,   529,   444,  2452,  2453,  5077,  4867,   454,   525,  2481,
     325,  2483,   529,   527,   454,   529,  2547,   307,   222,  1059,
     310,   526,   524,   528,   526,   318,   528,   320,  1631,   137,
     138,  2503,   441,  4635,   527,  4637,   529,   330,   273,  4641,
     524,  4643,   526,  1646,   384,   338,  1721,   529,   530,  2521,
    2499,  2523,   325,  1093,   402,   348,  3448,  2529,   293,   468,
     305,  2533,  2534,  1103,   527,  3457,   529,  1107,  1108,  1109,
    2519,  2543,  2521,   305,  2523,  2547,  2548,  2514,   161,   527,
    2552,   529,   491,   259,   493,   160,   396,   397,  2560,   382,
     396,   397,   385,   386,   529,   530,  5014,   332,  3586,   302,
      74,    75,    76,    77,   302,   340,  2578,    81,    84,  2581,
     526,  2670,   528,   403,  2695,   250,   320,   526,   531,   412,
    2592,   325,   153,   198,  2596,   302,   330,  2599,    71,  3737,
    4291,  4292,  4293,    89,    90,  2666,  2608,   484,  3563,  2670,
    3565,   491,  3998,   493,  1747,  1748,   140,  1750,  2620,  3951,
     454,  5012,   146,    74,    75,    76,    77,  1197,  1198,  2631,
      81,   128,  1202,   157,  1839,  2637,  2638,  3712,   517,   518,
     519,   520,   521,  2645,  1849,   402,   525,  3563,  1721,  3565,
    3902,   527,   475,   529,  5256,  3577,  3084,  3579,  3086,  3087,
     527,   185,   529,   187,  2666,  2667,   283,   400,  2670,    89,
      90,    84,   400,   405,    87,   527,  3553,   529,  3633,  5281,
     527,  3558,   529,  1888,  3869,   526,  5077,   507,   527,   532,
     529,   302,    85,   400,  2696,   526,  2698,  2699,   400,   464,
    2702,   334,   527,   116,   529,   527,   438,   529,   441,   122,
     302,   529,   527,   441,   529,   396,   397,  3633,  2720,   128,
    2825,  2810,   456,  3872,  3873,  3874,   396,   397,  2707,  2731,
     484,   482,   466,   146,   441,   468,  2715,   509,  2717,   263,
     468,   527,  2744,   529,   118,   491,   478,   493,   527,  2810,
     529,  2753,  2754,   527,   279,   529,   302,  4961,   491,   491,
     493,   468,   528,   491,    84,   493,  1839,    87,   491,   337,
     493,    91,    92,    93,  3071,  3072,  3767,   337,   334,  3076,
     512,   449,  4437,   527,   491,   529,   493,   302,   108,   400,
     527,   229,   529,   526,   526,   334,   320,   210,   526,  2801,
    2802,   325,   527,   337,   529,  3727,   509,  1721,  2810,   527,
    3801,   529,   509,  4468,  2816,   279,  3113,  3114,   519,   526,
    2822,   118,   517,   518,   519,   520,   521,  3073,   526,   233,
     441,   302,   527,   527,  2039,   529,   529,   527,   251,   363,
     527,   527,   529,   256,   527,  5447,   529,   128,   527,   441,
     529,   234,  2854,   377,   400,  3846,   442,   468,   444,   275,
    1774,  1775,  1776,   530,   442,  5256,   444,   519,   532,   302,
    2872,  3117,   271,   527,  2876,   529,   468,   532,   449,   292,
     491,   527,   493,   529,   526,   400,  2888,   527,   111,   529,
    5281,   527,   527,   529,   529,   441,   449,   302,  4118,   491,
     449,   493,  4593,  4594,   449,  4596,    74,    75,    76,    77,
     208,  1825,  1482,    81,   449,   526,  1486,  1487,  1832,  1489,
     128,   277,   468,   336,   271,  1839,   441,   449,   526,   400,
      84,   528,   412,    87,   526,  1505,  2938,    91,    92,    93,
     527,   465,   529,   124,  2946,   491,   526,   493,  3160,  3161,
    3162,   495,  4246,   468,   527,   382,   529,   277,    74,    75,
      76,    77,   527,  5230,   529,    81,  2039,   400,   256,   527,
     441,   529,    74,    75,    76,    77,   491,    89,   493,    81,
     526,  1551,   217,   526,  2986,   166,   528,    74,    75,    76,
      77,   217,  3238,  4374,    81,   400,  2963,   468,   334,   256,
    3002,  2980,   382,  3092,   417,  1575,  3008,   334,   441,  3098,
     191,   526,   217,   527,  3016,   529,   336,   527,  3020,   529,
     491,  3023,   493,   256,  3026,   206,   527,   217,   529,   210,
     334,  3092,  3034,   229,   382,   468,   441,  3098,   527,   217,
     529,  3043,   527,   527,   529,   529,  3048,   530,   527,   230,
     529,   527,   233,   529,   166,   526,  5447,   527,   491,   529,
     493,   321,   322,   468,   527,   246,   529,  2200,   187,  3071,
    3072,  3073,   291,   527,  3076,   529,   188,   527,  1648,   529,
     472,   334,  3084,  3085,  3086,  3087,   491,  1657,   493,   526,
    3092,   322,   527,   526,   529,  3097,  3098,   510,  3100,   454,
    3102,  1671,   256,   229,   517,   518,   519,   520,   521,   522,
     402,  3113,  3114,   329,   484,  3117,   527,   527,   529,   529,
     527,   526,   529,   277,   283,  2039,  2331,   140,   368,  3131,
    2263,  3133,  1702,  3135,  3205,  1705,  1706,  3205,   526,  3205,
    1710,  1711,  3205,   111,   325,   405,   527,  3205,   529,  4632,
     320,   495,   333,  3155,   527,   527,   529,   529,  4296,  4673,
     527,   527,   529,   529,  3166,   526,  3168,  3169,  3170,   527,
     334,   529,  4049,   527,   405,   529,   320,   527,   438,   529,
    4999,   527,   336,   529,   527,   118,   529,  3189,   369,   118,
     527,  3193,   529,   513,   514,   515,   459,   517,   518,   519,
     520,   521,   522,  2336,  3206,   348,   229,   438,    84,   484,
    3189,    87,   527,   527,   529,   529,   484,     2,   478,  3221,
     527,   527,   529,   529,   527,  1795,   529,   527,   527,   529,
     529,   491,   153,  3235,  3213,  3214,   527,   527,   529,   529,
     116,   527,   527,   529,   529,   229,   122,   478,   366,  5453,
    5454,   527,   512,   529,   527,   527,   529,   529,  2331,   217,
     491,  4183,  4184,   527,   531,   529,   526,   217,   217,   527,
     146,   529,  3274,   359,  4196,  3277,   527,  3279,   529,   526,
     481,   512,  3284,   527,  3286,   529,   527,  1149,   529,  1151,
    4425,   217,  4427,   110,   526,   526,   527,   526,   495,   530,
    3302,  3303,   217,   217,   529,   217,  3308,   217,   334,   217,
     217,   217,   334,  4498,   217,   217,   229,   334,   217,   217,
     217,   438,   526,   111,   291,   229,   334,  3329,   229,   229,
    3332,   526,   526,  3335,   210,   526,   492,   526,  2471,   526,
     526,   526,  2547,   526,   526,   345,   526,  3408,  3409,  3410,
    3352,   526,   526,   526,   526,   526,   275,   526,   111,   513,
     514,   515,   529,   517,   518,   519,   520,   521,   522,   526,
    4361,   526,   168,   526,  3376,   251,  5580,  5581,   526,  5070,
     256,   166,   529,   275,   526,   526,   526,   526,   526,   526,
    5081,  1961,   526,   526,   277,   291,   111,   229,   332,   229,
    4464,   412,   330,   188,   519,   271,  3408,  3409,  3410,   403,
     184,   471,    84,    14,   515,    87,   292,  2331,   111,    91,
      92,    93,   310,   529,   529,   529,  2631,   526,   526,   526,
    3432,   449,   528,   449,   400,   449,   400,   130,   293,  3441,
     449,  3443,  3444,  4957,  4958,   449,  3448,   449,   515,   157,
     449,   217,   400,   334,   288,  3457,   449,   404,   449,   449,
     336,  2666,  2032,   325,   471,  2670,  4949,   441,  3557,  5160,
     163,   334,   396,   330,  2547,  3772,  3773,  3774,  3775,   526,
     449,  3778,  3779,  3780,  3781,  3782,  3783,  3784,  3785,  3786,
    3787,  2696,  2062,   449,  4632,   249,  3557,   526,   157,   529,
    3502,   348,   472,  3842,   256,   217,   179,   472,   449,   449,
    2424,   449,   128,   128,   449,   338,   441,   449,   449,  3521,
     117,   117,  3647,   400,   529,  3527,   449,   220,   334,   449,
     277,   449,   449,  3644,   495,   334,   334,  3834,  3835,  4457,
      84,   417,  3613,    87,  3712,   277,   277,    91,    92,    93,
    3552,  3553,  3623,   526,   449,  3557,  3558,   111,   100,   334,
     253,  3563,   217,  3565,   108,   320,   526,  2481,   185,  2483,
     217,  5262,   483,   299,  3553,  3577,  3647,  3579,   472,  3558,
    4457,   330,   491,   320,   320,   111,   229,   526,   111,   283,
     283,   528,   401,  2666,  3840,   288,   526,  2670,   110,   447,
     412,   447,   524,   217,   449,  2810,  4528,   449,   524,   217,
     217,   472,  3858,   472,  3616,   217,    14,   217,  2188,   329,
     449,  2191,   324,   234,   529,   312,   312,   320,    87,   487,
     449,  3633,  3634,  2547,   510,   526,  3848,  3849,  3850,  3851,
    4658,   517,   518,   519,   520,   521,   522,  3649,   526,   529,
     447,   526,   242,   225,   234,   529,   451,  5171,   529,   515,
     527,   249,   249,  4585,   336,   529,   526,   273,   281,   415,
     335,   472,   111,    34,   527,   529,   527,  4632,    10,   342,
    3647,  4830,   128,   527,   449,   449,  3688,   400,  4837,   400,
     526,  4944,   472,   386,   325,   281,   281,   390,  5142,   325,
    3702,   449,   526,  3705,   397,   449,   449,   484,  4855,   454,
     402,   404,   229,   283,   334,   325,   118,   421,  3807,   412,
    2290,   396,  5141,   291,   291,  3727,   291,   449,  3730,   333,
     449,   424,   441,   277,  5156,   529,  5158,  2810,   400,   432,
     334,   382,   382,  4849,   250,  3747,  3807,   371,  3750,   409,
     449,   449,  2666,   277,  3756,   111,  2670,   277,  3737,   452,
    3762,   277,  3764,   277,   283,  3767,  1754,   472,   277,  3771,
    3772,  3773,  3774,  3775,   333,   472,  3778,  3779,  3780,  3781,
    3782,  3783,  3784,  3785,  3786,  3787,   515,   515,   217,  3791,
    3792,   229,   336,   486,  3796,   484,   229,   490,   491,  3801,
     231,   330,   526,  3805,   409,  3807,   526,  3809,   217,   217,
     216,   491,   320,   111,   283,  3817,   320,   520,  3820,   334,
    3822,   334,   247,   247,   229,   111,   527,  2397,  3830,  3831,
     509,   509,  3834,  3835,   524,   310,   527,  3839,  3840,  5322,
     217,   513,   514,   515,  3846,   517,   518,   519,   520,   521,
     522,   527,   334,   527,  3856,   334,  3858,   527,   334,   409,
     283,   229,   256,  4160,   256,   256,   495,    99,  3870,   240,
     449,   529,   529,   529,  3876,  3877,  3878,   526,  4267,   234,
     334,   309,   491,   529,   128,   454,   438,  3092,  4267,  4980,
     283,   484,   329,  3098,   527,   527,  2810,   527,   234,   527,
     527,   345,   527,   352,   527,   526,   234,   529,   527,  1021,
     449,  1023,   344,  1025,   509,  5064,   335,   488,   335,  1031,
    4077,   470,   301,  3925,   527,   488,   128,   478,   527,   527,
     334,   334,   515,  2503,   526,   526,  3938,   526,   515,   334,
    3073,   337,   526,  1055,  1056,   526,   259,   511,   530,  2519,
    4868,  2521,  3954,  2523,   527,   529,   217,   449,   495,  4048,
     449,  4050,   449,   529,   267,   527,   527,  3969,   526,   513,
     514,   515,   325,   517,   518,   519,   520,   521,   522,  4901,
     526,   449,  4043,   404,  3117,   291,   338,  4048,   217,  4050,
    2560,  4868,   217,  4911,  4949,   259,   449,   404,   472,  4001,
     293,  3134,   353,   404,   353,   469,   449,   449,   449,   449,
     400,   303,   303,   303,   449,   449,   400,  3150,   400,  3092,
     400,   320,   449,  4900,   412,  3098,   217,   449,   117,   449,
     277,   449,   277,  3166,  4911,   449,   449,   449,   277,   277,
     526,  4043,   527,   527,   459,   118,  4048,  4049,  4050,  4138,
     449,   529,   178,   384,   527,   526,  2626,   529,  5049,   333,
     527,   334,  5481,   111,   217,   217,   449,   229,   244,   525,
    4049,  1183,  3205,   138,   865,   526,   400,  4138,   229,   400,
     400,   529,   337,   874,   409,  1197,  1198,   472,   215,   277,
    1202,   472,   215,   277,   277,   208,  4098,  5088,   524,  4101,
     234,    87,  3235,   345,   229,  3238,   234,   483,   335,   340,
     488,    84,   234,   529,    87,   155,   527,   527,   909,   389,
     459,   242,   229,   111,   472,   472,   512,   527,   283,   267,
     527,   449,   128,   441,   449,   404,  4138,  1249,   527,   526,
     459,   400,   449,   116,   449,   449,   400,   449,   515,   122,
     491,   515,   382,   526,   529,   529,  4227,   527,  4160,   128,
     529,   527,   527,   526,   526,  4144,  4145,   527,   527,   527,
     441,   229,   526,   146,   146,   217,   967,   178,  3092,   459,
      84,  4183,  4184,    87,  3098,  4187,   977,    91,    92,    93,
     527,   277,   277,   277,  4196,   277,  4198,   526,   281,   367,
     526,   262,  2772,  3408,  3409,  3410,   491,   495,   229,   526,
    2780,   151,   526,   529,   449,  1000,   527,   529,  2788,  4290,
    2790,  4267,   441,   459,    84,   239,   526,   409,   529,    84,
     527,   525,    87,  4235,  4236,  4237,  1021,   210,  1023,   178,
    1025,   234,   529,   277,   277,   277,  1031,  1032,  1033,   277,
     527,   234,   527,   128,   526,   489,   376,   345,   280,   527,
     527,   116,  5253,   489,   529,  4267,   526,   122,  2838,   527,
    1055,  1056,   343,   526,  5265,  5293,   280,   440,   251,  5270,
     526,  5272,   341,   256,  4490,   128,   245,   527,   459,   330,
     527,   146,   515,   449,   527,   491,   234,  4299,  2868,   146,
     261,   325,   325,   515,   128,   441,  2876,    84,   529,   529,
      87,   140,  2300,   277,    91,    92,    93,  4296,  4320,   292,
    2308,   217,   236,   234,   472,   449,   256,   526,   409,  4331,
     449,   108,  2902,   449,   203,  3408,  3409,  3410,   111,   472,
     487,   491,   491,   111,   234,   334,   526,   111,   229,   264,
     527,   275,  3557,   337,   234,   210,   526,   526,   376,  4361,
     477,   425,   527,   336,   351,   526,   130,  5322,  2938,  4371,
    4372,  5289,  4374,   277,   280,   490,  4378,  4379,   157,   198,
    4537,  4383,  4384,   527,   526,   526,  4388,   527,   334,  4391,
    4392,   526,   377,  1505,  4396,  4466,   251,   527,  1183,   163,
    4402,   256,   449,   449,   229,   192,   325,   111,   526,   325,
     304,   259,  5289,   367,   526,   526,   526,  1202,  4420,   527,
     526,   216,  4424,   111,   527,   338,   397,   397,   459,   423,
     527,   423,   336,   128,  4436,   515,   128,   292,   111,  4441,
      78,   441,   529,   472,   417,  4447,    84,   526,   526,   334,
     527,    89,   526,   318,   526,  2443,   220,   527,   526,   441,
     441,   527,  4464,    81,  1249,   223,   367,   337,   140,  4766,
    4531,   140,   198,  4452,   491,  4477,   491,   476,   116,    84,
    3613,   336,   477,   376,  3557,   529,   111,   526,   526,   253,
    3623,  4493,   412,   234,  3408,  3409,  3410,   488,  4477,   441,
     277,   374,   229,   203,   261,   111,   334,   334,   111,  4511,
     526,   409,   236,   236,  3647,   337,  1307,   337,   526,   283,
     527,   526,   396,   161,   288,   527,  4528,  1318,   526,  4531,
     128,   190,    81,   470,   396,    97,   526,   510,  4540,   383,
     108,   216,   449,   234,   517,   518,   519,   520,   521,   522,
     527,   529,   526,  4555,   529,   367,   320,   423,  4560,   336,
     423,   526,   417,   491,   491,  4567,   236,   382,   236,  1992,
    2823,   209,  3189,  4575,  1245,  1281,  1711,  2679,  3385,   217,
    1280,   219,  2748,  4585,  4048,  5163,  3549,  4947,    84,  4137,
    1381,    87,  5322,  1705,   232,    91,    92,    93,  1710,  1711,
    4995,  4181,  3807,  4999,  4651,  4979,  3309,  2968,  5407,   513,
     514,   515,  4614,   517,   518,   519,   520,   521,   522,  3189,
    4867,  5478,   386,  5336,  5335,  5427,   390,  3313,  4214,  4228,
    4632,  4173,  2813,   397,  2813,  4043,  4197,  3409,  2063,  4676,
     404,  3602,  2807,  3557,  5486,  5560,  5579,  4649,   412,  4974,
    3557,  3552,  5438,  4632,  4913,   510,  2052,  5308,  4660,  5417,
     424,  4916,   517,   518,   519,   520,   521,   522,   432,   188,
    1542,  4299,  5113,  1558,  2534,  4235,  3284,  5230,  2266,  5452,
     964,  2266,   992,  1795,  2267,  3505,  2426,  5563,   452,  2427,
    1856,  4216,  2201,  1123,  3205,  4467,  5399,  3936,  1500,  1739,
    2951,  1486,  1487,  1682,  1489,  3206,  2469,  3840,  1757,  3221,
    1756,  4713,  2443,  4715,  3881,  5392,  5274,  1759,  4450,  2468,
    1505,  3858,   486,  3856,  4411,  3858,   490,  4426,  3235,  5078,
    1764,  3856,  5256,  5255,  3807,  3937,   513,   514,   515,  5047,
     517,   518,   519,   520,   521,   522,  3667,  5044,  4750,  3809,
    5395,  4839,   390,  5396,  5382,  3209,  2360,    84,  3134,  3132,
      87,  3044,  3332,  2363,  4766,  3644,  1878,   655,  4770,  2877,
    2098,  4848,  5373,  4775,  1886,  1776,  2503,    84,   391,  2478,
      87,   277,  1770,  1554,  1002,  3183,  3943,   425,  2512,   116,
    4792,  4793,  2511,  2519,  4796,   122,  3944,  4451,  1685,  3907,
     424,  2523,  1774,  2964,    89,  1486,  2230,     2,  4810,   116,
    4849,  1389,  1034,  4815,    -1,   122,    -1,    -1,  4820,   146,
      -1,  4823,  4824,    -1,    -1,    -1,    -1,    -1,    -1,  4831,
    4832,    -1,    -1,  1945,    -1,    -1,  1948,  1949,  4043,   146,
     336,    -1,  5088,  4048,  3414,  4050,    -1,    -1,  1220,    -1,
    1200,  4853,    -1,    -1,  1200,    -1,    -1,    -1,  4947,  4861,
      -1,  4863,  4841,    -1,  5110,  4867,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   210,    -1,  3455,  4947,    -1,    -1,    -1,
      -1,    -1,    -1,  3807,    -1,    -1,    -1,    -1,  4900,  4901,
      -1,   116,    -1,   210,    -1,  2017,    -1,   122,  4910,    -1,
      -1,    -1,    -1,  4984,    -1,    -1,    -1,    -1,    -1,    -1,
    1705,  4900,    -1,    -1,   251,  1710,  1711,    -1,    -1,   256,
      -1,   146,    -1,  4138,  3504,    -1,    -1,    -1,  5009,    -1,
      -1,    -1,    -1,    -1,   251,  4947,    -1,  4949,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,  3526,    -1,    -1,  4961,
     973,    -1,    -1,  3533,  3534,   292,    -1,  3537,    -1,    -1,
    4043,    -1,    -1,    -1,  3544,  4048,    -1,  4050,    -1,    -1,
      -1,   994,   130,  3553,    -1,   292,    -1,    -1,  3558,    84,
      -1,    -1,    87,  3563,    -1,  3565,    91,    92,    93,  1784,
      -1,  1786,  1787,    -1,    -1,    -1,    -1,    -1,    -1,   336,
    5012,    -1,  5014,   108,    -1,   163,    -1,   513,   514,   515,
    1805,   517,   518,   519,   520,   521,   522,  1812,  1813,   336,
      -1,    -1,    -1,  3603,    -1,    -1,   251,    -1,    -1,    -1,
      -1,   256,  5044,  5045,    -1,  5047,    -1,  5049,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3632,  3633,    -1,  4138,    -1,    -1,    -1,    -1,
      -1,  5073,   220,  5134,    -1,  5077,    -1,   292,    -1,    -1,
      -1,  5083,    -1,  3071,  3072,    -1,  5088,    -1,  3076,    -1,
     417,  3661,    -1,  1878,  4227,    -1,    -1,    -1,    -1,    -1,
      -1,  1886,    -1,    -1,    -1,   253,    -1,    -1,  5110,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,    -1,  3113,  3114,    -1,    -1,  4043,
      -1,    -1,  5134,    -1,  4048,    -1,  4050,    -1,  5140,    -1,
     288,  5212,  5144,  5145,    -1,    -1,    -1,  5149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4290,    -1,    -1,
    1945,    -1,    -1,  1948,  1949,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   510,    -1,    -1,    -1,    -1,  5190,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
     348,    -1,   417,   510,    -1,    -1,    -1,    -1,  5210,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,   857,
      -1,    -1,    -1,   861,  4138,    -1,    -1,    -1,  5230,  5231,
      -1,    -1,  2017,    -1,   382,    -1,    -1,   875,   386,  5241,
      -1,   336,   390,    -1,   882,    -1,  3816,    -1,    -1,   397,
      -1,  5253,    -1,    -1,  5256,   893,   404,    -1,  5504,    -1,
      -1,    -1,    -1,  5265,   412,    -1,    -1,    -1,  5270,    -1,
    5272,    -1,  5274,    -1,    -1,    -1,   424,    -1,    -1,  5281,
      -1,    -1,    -1,   921,   432,    -1,    -1,  4420,   926,    -1,
      -1,  4424,    -1,    -1,    -1,   510,    -1,  5299,    -1,   937,
      -1,  1314,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,  2096,    -1,  2104,    -1,    -1,    -1,    -1,    -1,    -1,
    5322,  1334,    -1,    -1,    -1,   963,  4531,    -1,    -1,    -1,
    1343,    -1,    -1,  4466,    -1,  2120,    -1,    -1,   486,    -1,
     978,    -1,    -1,    -1,    -1,  2130,   984,  2132,  5350,    -1,
      -1,    -1,    -1,  4267,  2139,    -1,    -1,   995,  2149,  2144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5439,    -1,
      -1,  1009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5381,
    5382,  5452,    -1,    -1,  5452,    -1,  5452,  2499,    -1,  5452,
    5392,  2503,    -1,    -1,  5452,    -1,    -1,    -1,  5400,    -1,
      -1,    -1,    -1,  2188,    -1,    -1,  2191,  2519,    -1,  5498,
    5412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    78,
      -1,    -1,    -1,  5504,    -1,    84,  5504,  5498,  5504,    -1,
      89,  5504,    -1,    98,    -1,  5447,  5504,    -1,  2560,   104,
    2241,  5453,  5454,    -1,  5456,    -1,    -1,    -1,  4531,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,  1106,    -1,
    1108,  5560,  1110,  5475,    -1,    -1,    -1,    -1,    -1,  4049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
    5579,  1129,  5563,    -1,    -1,  5563,  5498,  5563,    -1,  5560,
    5563,    -1,  2287,  2288,    -1,  5563,    -1,    -1,  4078,  2294,
    2295,  4081,   161,  4083,    -1,    -1,    -1,    -1,  5579,  5498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,  2323,    87,
     195,    -1,  1555,    91,    92,    93,    -1,   202,    -1,    -1,
     205,    -1,  5554,  5555,    -1,    -1,  4126,    -1,  5560,  1197,
    1198,    -1,  4132,  4133,    -1,  4135,  5568,  4137,   116,    -1,
      -1,    -1,    -1,    -1,   122,   230,    -1,  5579,  5580,  5581,
      -1,  5560,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
     875,    -1,    -1,    -1,  2379,  2707,    -1,   882,   146,    -1,
    5579,    -1,    -1,  2715,    -1,  2717,   261,    -1,   893,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4531,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   921,    -1,    -1,    -1,
      -1,   926,  1280,  1281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4231,    -1,   318,    -1,   320,    -1,  2452,  2453,    -1,
      98,    -1,    -1,    -1,    -1,   330,   104,    -1,    -1,    -1,
      -1,    -1,  4815,   338,    -1,    -1,    -1,  4820,    -1,    -1,
    4823,    -1,    -1,   348,    -1,    -1,    -1,    -1,  4268,  4269,
    4270,  4271,  4272,   251,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,  2499,    -1,   144,    -1,    -1,    -1,
      -1,    -1,  4855,    -1,    -1,    -1,    -1,   382,    -1,    -1,
     385,   386,    -1,    -1,  2519,    -1,  2521,    -1,  2523,    -1,
      -1,   390,  4947,  4313,   292,    -1,  4316,    -1,  4318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,
      -1,    -1,    -1,    -1,   202,  2560,   425,   205,    -1,    -1,
      -1,    -1,    -1,    -1,  3772,  3773,  3774,  3775,   336,    -1,
    3778,  3779,  3780,  3781,  3782,  3783,  3784,  3785,  3786,  3787,
      -1,  2592,   230,    -1,    -1,    -1,    -1,    -1,  2599,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,  3805,    70,    -1,
     475,    -1,    -1,    -1,  1462,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,   261,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,  1482,    -1,  3834,  3835,   134,    -1,
      -1,  4984,    -1,    -1,    -1,    -1,   108,    -1,    -1,   111,
      -1,   147,    -1,    -1,   116,    -1,    -1,  1505,  2980,   417,
     122,    -1,    -1,    -1,  4947,   161,  5009,    -1,    -1,  4449,
      -1,    -1,  4452,  4453,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,   320,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,  1541,    -1,    -1,    -1,  4477,    -1,    -1,
     338,    -1,  1197,  1198,   200,    -1,  1929,    -1,    -1,  1557,
     348,    -1,  2707,    -1,    -1,   211,    -1,    -1,    -1,  5134,
    2715,    -1,  2717,    -1,  1572,    -1,    -1,  1575,    -1,    -1,
      -1,    -1,    -1,    -1,  5077,   231,    -1,    -1,    -1,    -1,
     236,    -1,    -1,    -1,   382,  5088,    -1,   385,   386,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,  5110,    -1,    -1,
      -1,    -1,    84,    -1,   412,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,  2010,    -1,   251,
      -1,    -1,    -1,    -1,   256,    -1,   108,    -1,    -1,    -1,
      -1,    -1,  2025,    -1,   116,    -1,    -1,    -1,    -1,   305,
     122,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,  2044,    -1,  4947,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,  4612,  4613,   146,    -1,    -1,   475,    -1,    -1,
     336,  4621,    -1,  4623,  4624,    -1,    -1,  4627,    -1,    -1,
      -1,  5134,  4632,    -1,  1702,    -1,  4636,    -1,    -1,    -1,
      -1,   323,  1710,  1711,    -1,    -1,    -1,  3189,  2091,  5212,
     366,    -1,    -1,  1721,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2122,
      -1,    -1,    -1,  4683,   400,    -1,  2901,  2902,    -1,    -1,
     406,  2134,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1774,  1775,  1776,    -1,
      -1,    -1,  4712,    -1,   101,    -1,    -1,    -1,    -1,   251,
      -1,    -1,   438,    -1,   256,    -1,    -1,  1795,    -1,   445,
      -1,  2174,    -1,    -1,  2177,   417,   452,    -1,    -1,    -1,
      -1,    -1,  4160,   459,    -1,   277,   278,    -1,    -1,    -1,
      -1,  4751,    -1,    -1,    -1,  4755,  4756,  1825,  4758,    -1,
     292,   148,    -1,    -1,  1832,  2980,    -1,    -1,   484,    -1,
      -1,  1839,    -1,    -1,    -1,    -1,    -1,    -1,   857,    -1,
      -1,  1849,   861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5134,   323,   179,    -1,    -1,    -1,   875,    -1,    -1,  3020,
      -1,    -1,    -1,   882,   336,  3026,    -1,   339,    -1,    -1,
      -1,    -1,    -1,   200,   893,    -1,    -1,    -1,    -1,    -1,
    1888,    -1,    -1,    -1,   211,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,   921,    -1,   231,    -1,    -1,   926,    84,   236,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,   937,   111,
      -1,    -1,    -1,  5498,    -1,    -1,    -1,    -1,   130,    -1,
      -1,    -1,   108,    -1,    -1,    -1,  5439,    -1,   130,    -1,
     116,    -1,    -1,  2326,   963,   417,   122,    -1,    -1,  5452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,   978,
    4900,   163,    -1,    -1,    -1,   984,    -1,    -1,    -1,    -1,
     146,   163,    -1,    -1,    -1,    -1,   995,    -1,   305,    -1,
      -1,    -1,  1990,    -1,    -1,  5560,    -1,    -1,    -1,    -1,
    1009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,
      -1,  5504,    -1,    -1,  5579,  3166,    -1,    -1,    -1,  4949,
      -1,    -1,    -1,  4953,    -1,  4955,    -1,    -1,   220,  4959,
    4960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,  3184,
      -1,  2039,  3187,    -1,  3189,    -1,    -1,    -1,   510,   366,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,   253,  2060,    -1,    -1,  5498,  2064,   529,  3213,  3214,
    5563,   253,    -1,    -1,    -1,    -1,   393,    -1,  2076,    -1,
      -1,  3553,    -1,   400,  3235,   251,  3558,    -1,    -1,   406,
     256,    -1,    -1,    -1,    -1,    -1,   288,    -1,    -1,  1108,
      -1,   283,    -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1129,   438,    -1,    -1,   441,    -1,   292,  5560,   320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,
      -1,    -1,   459,    -1,    -1,    -1,  5579,    -1,    -1,    -1,
    1795,    -1,    -1,  2151,  2152,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2164,   484,    -1,    -1,
     336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,  2180,    -1,    -1,    -1,    -1,    -1,  1197,  1198,
      -1,    -1,    -1,    -1,   386,    -1,   388,    -1,   390,    -1,
      -1,    -1,    -1,  2201,   386,   397,    -1,    -1,   390,    -1,
      -1,    -1,   404,    -1,    -1,   397,    -1,    -1,    -1,    -1,
     412,    -1,   404,  2596,  5498,    -1,    -1,    -1,    -1,    -1,
     412,    -1,   424,    -1,  5164,  2608,    -1,    -1,    -1,    98,
     432,    -1,   424,    -1,    -1,   104,    -1,    -1,    -1,    84,
     432,   417,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,  3737,    -1,    -1,    -1,    -1,
     452,    98,  2645,   108,    -1,    -1,    -1,   104,    -1,    -1,
      -1,   116,    -1,    -1,    -1,   144,  5560,   122,    -1,    -1,
      -1,    -1,    -1,    -1,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,  5579,    -1,    -1,   490,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2331,    -1,    -1,   195,    -1,    -1,    -1,
      -1,    -1,    -1,   202,   510,  1990,   205,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,   525,
      -1,    -1,    -1,    -1,    -1,   531,    -1,    -1,   195,    -1,
      -1,   230,    -1,    -1,    -1,   202,    -1,    -1,   205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,   230,    -1,    -1,    -1,    -1,  3553,    -1,
      -1,    -1,    -1,  3558,    -1,  2060,   251,    -1,  4766,  2064,
      -1,   256,    -1,    -1,    -1,    -1,  2424,  4775,    -1,  2802,
      -1,  2076,    -1,    -1,   261,  3580,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1462,    -1,    -1,    -1,   292,    -1,   318,
      -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,  1482,    -1,    -1,    -1,    -1,    -1,   338,
      -1,    -1,    -1,  2481,    -1,  2483,    -1,    -1,   323,   348,
      -1,   318,    -1,   320,    -1,    -1,  1505,    -1,    -1,    -1,
      -1,   336,    -1,   330,   339,  2503,    -1,  2152,    -1,  3654,
      -1,   338,    -1,    -1,    -1,    -1,  3661,    -1,    -1,    -1,
      -1,   348,    -1,   382,    -1,    -1,   385,   386,    -1,    -1,
      -1,    -1,  1541,    -1,    -1,  2180,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2543,    -1,    -1,  1557,  2547,
    2548,  3702,    -1,   412,  2552,   382,    -1,    -1,   385,   386,
      -1,    -1,  2560,  1572,    -1,    -1,  1575,    -1,  5498,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4049,    -1,    -1,
    2578,    -1,   417,    -1,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    -1,  3737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,    -1,    -1,   475,    -1,    -1,   104,
      -1,    -1,  2620,    -1,    -1,    -1,    -1,    -1,    -1,  3002,
    5560,    -1,    -1,  2631,    -1,    -1,    -1,    -1,    -1,  2637,
    2638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,  5579,
    3023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,  2666,  2667,
      -1,    -1,  2670,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,    -1,  1702,   529,    -1,  5044,    -1,  2696,    -1,
    2698,  1710,  1711,    -1,  2702,  3856,    -1,  3858,    -1,    -1,
     195,    -1,  1721,    -1,    -1,    -1,    -1,   202,    -1,    -1,
     205,    -1,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,  2731,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,   230,  2744,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2753,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1774,  1775,  1776,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,   261,    -1,   144,    91,
      92,    93,    -1,   116,    -1,    -1,  1795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3940,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,  2810,    -1,    -1,    -1,  1825,    -1,  3969,    -1,
      -1,    -1,    -1,  1832,  4296,    -1,    -1,    -1,   161,   195,
    1839,    -1,    -1,   318,   146,   320,   202,    -1,    -1,   205,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,  2503,    -1,
      -1,    -1,    -1,   348,   230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,  2876,    -1,
      84,    -1,    -1,    87,   217,    -1,   219,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,   261,    -1,   382,  2543,   232,
     385,   386,    -1,  2548,  4049,    -1,    -1,  2552,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,
      -1,    -1,  4077,  2578,    -1,    -1,    -1,    -1,    -1,   251,
    2938,    -1,   146,    -1,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3335,    -1,   330,   277,   278,    -1,    -1,    -1,
      -1,    -1,   338,    -1,    -1,  2620,    -1,    -1,    -1,  3352,
     292,  1990,   348,    -1,    -1,    -1,    -1,    -1,  2986,    -1,
     475,    -1,  2637,    -1,    -1,    -1,    -1,    -1,    -1,  4144,
    4145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3008,   323,    -1,    -1,    -1,    -1,   382,    -1,  3016,   385,
     386,    -1,  2667,    -1,   336,    -1,    -1,   339,    -1,    -1,
    2039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,   251,    -1,    -1,
      -1,  2060,   256,  2698,    -1,  2064,    -1,  2702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4537,    -1,  2076,  3441,    84,
    3443,    -1,    87,   277,   278,  2720,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2731,    -1,   292,    -1,
      -1,    -1,    -1,   108,  3092,    -1,    -1,    -1,    -1,  2744,
    3098,   116,    -1,    -1,    -1,   417,    -1,   122,  2753,   475,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,  4268,  4269,  4270,  4271,  4272,    -1,  3502,
      -1,   146,   336,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,  2151,  2152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4296,    -1,    -1,  3527,  2164,    -1,    -1,    -1,    -1,
    4632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2179,  2180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,  3189,  2201,    -1,    91,    92,    93,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,   108,    -1,   417,    -1,   527,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
     195,    -1,    -1,    -1,    -1,    -1,   251,   202,    98,    -1,
     205,   256,    -1,  3616,   104,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,    -1,   230,    -1,    -1,    -1,  4420,
      -1,    -1,    -1,  4424,    -1,    -1,  3649,   292,    -1,    -1,
      -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3302,  3303,   510,  4452,   323,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,   336,  2331,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,  3329,  4477,    -1,  3332,   195,    -1,    -1,    -1,    -1,
      -1,  2986,   202,    -1,    -1,   205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   318,   251,   320,    -1,    -1,    -1,   256,
      -1,    -1,    -1,  3008,    -1,   330,    -1,    -1,    -1,    -1,
     230,  3016,    -1,   338,    -1,    -1,    -1,  3750,    -1,    -1,
     277,   278,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4537,    -1,    -1,   292,    -1,    -1,  3771,    -1,
      -1,   261,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3408,  3409,  3410,  4558,  4559,  2424,    -1,   382,  4563,  4564,
     385,   386,    -1,  3796,    -1,    -1,   323,    -1,  4900,    -1,
      -1,    -1,    -1,    -1,  3432,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   339,    -1,    -1,    -1,  3444,   412,    -1,    -1,
    3448,    -1,    -1,    -1,    -1,    -1,    -1,  3830,   318,  3457,
     320,    -1,    -1,   360,    -1,    -1,    -1,    -1,    -1,    -1,
     330,    -1,  2481,    -1,  2483,    -1,    -1,    -1,   338,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4632,   348,    -1,
      -1,    -1,    -1,    -1,  2503,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,  4660,
     475,    -1,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,   382,  3521,   857,   385,   386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2543,    -1,   433,    -1,  2547,  2548,
      -1,    -1,   875,  2552,    -1,    -1,    -1,    -1,    -1,   882,
      -1,  2560,   412,    -1,    -1,    -1,    -1,    -1,    -1,  3557,
     893,    -1,    -1,    -1,    -1,  3563,    -1,  3565,    -1,  2578,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3577,
      -1,  3579,    -1,    -1,    -1,    -1,    -1,    -1,   921,    -1,
      -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   937,    -1,    -1,    -1,    -1,    -1,
      -1,  2620,    -1,   510,    -1,   475,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,  2637,  2638,
     963,    -1,    -1,    -1,    -1,  3633,    -1,    -1,    -1,    84,
      -1,  3286,    87,    -1,    -1,   978,    91,    92,    93,    98,
      -1,   984,    -1,    -1,    -1,   104,    -1,  2666,  2667,  4810,
      -1,  2670,   995,   108,  4815,    -1,    -1,    -1,    -1,  4820,
      -1,   116,  4823,  4824,    -1,    -1,  1009,   122,    -1,    -1,
      -1,    -1,    -1,    -1,  3329,    -1,    -1,    -1,    -1,  2698,
    3688,    -1,    -1,  2702,    -1,   144,  4841,    -1,    -1,    -1,
      -1,   146,  4853,    -1,    -1,    -1,    -1,  3705,    -1,    -1,
      -1,  2720,    -1,    -1,    -1,    -1,  4867,    -1,    -1,    -1,
      -1,    98,  2731,    -1,    -1,    -1,    -1,   104,    -1,  3727,
      -1,    -1,  3730,    -1,    -1,  2744,    -1,    -1,    -1,    -1,
      -1,    -1,  1429,    -1,  2753,    -1,   195,    -1,    -1,    -1,
      -1,    -1,    -1,   202,    -1,  4900,   205,    -1,    -1,  4910,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,  5241,
      -1,    -1,    -1,  1106,    -1,  1108,    -1,  1110,    -1,    -1,
      -1,   230,    -1,  1470,    -1,    -1,    -1,  3432,    -1,    -1,
      -1,  1478,    -1,    -1,    -1,    -1,    -1,  1484,    -1,  3444,
      -1,  2810,    -1,    -1,    -1,    -1,   251,    -1,    -1,  3807,
    4961,   256,   261,    -1,  4187,    -1,    -1,    -1,   195,    -1,
      -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,   205,    -1,
      -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5012,    -1,    -1,  1197,  1198,    -1,  2876,    -1,   318,
      -1,   320,    -1,    -1,    -1,    -1,  3521,    -1,   323,    -1,
      -1,   330,    -1,    -1,   261,    -1,    -1,    -1,    -1,   338,
      -1,   336,    -1,    -1,   339,    -1,    -1,    -1,    -1,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,  5077,    -1,    -1,  2938,
      -1,    -1,    -1,   382,    -1,    -1,   385,   386,   108,    -1,
      -1,   318,    -1,   320,    -1,    -1,   116,  1280,  1281,    -1,
      -1,    -1,   122,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   338,    -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   348,   417,    -1,    -1,    -1,   146,  2986,    -1,    -1,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3008,
      -1,    -1,    -1,  4001,    -1,    -1,    -1,  3016,   385,   386,
      -1,  4384,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,  5190,
      -1,    -1,    -1,  3688,    -1,  4043,    -1,    -1,    -1,    -1,
    4048,    -1,  4050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3705,    -1,   177,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
     195,   251,   527,  3092,    -1,  3730,   256,   202,    -1,  3098,
     205,    -1,    -1,    -1,    -1,    -1,  5241,    -1,   475,    -1,
    4098,    -1,    -1,  4101,    -1,  5256,    -1,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,  1462,
    5281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4511,    -1,
    4138,    -1,    -1,   258,    -1,    -1,   261,    -1,    -1,  1482,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,  4540,    -1,   339,
      -1,    -1,  1505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3189,    -1,    -1,    -1,    -1,  4183,  4184,  4560,    -1,    -1,
      -1,   306,    -1,   308,    -1,    -1,    -1,    -1,  4196,  5350,
    4198,    -1,    -1,   318,    -1,   320,    -1,    -1,  1541,    -1,
      -1,    -1,    -1,    84,    -1,   330,    87,    -1,    -1,    -1,
      91,    92,    93,   338,  1557,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   347,   348,    -1,    -1,    -1,   108,    -1,  1572,
      -1,  4614,  1575,    -1,    -1,   116,    -1,   417,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5412,    -1,    -1,    -1,    -1,    -1,   382,    -1,  4267,
     385,   386,   387,    -1,    -1,   146,    -1,  3286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3302,  3303,    -1,  5447,   412,    -1,    -1,
      -1,  4299,  5453,  5454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3329,    -1,    -1,  3332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,    -1,  4715,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,  5498,    -1,    -1,  4001,   527,    -1,    -1,
     475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1702,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1710,  1711,    -1,
     251,    -1,    -1,    -1,    -1,   256,    -1,    -1,  1721,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4770,    -1,  3408,
    3409,  3410,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5560,    -1,  5568,  2105,    -1,
      -1,   292,    -1,  3432,    -1,    -1,    -1,    -1,    -1,  5580,
    5581,    -1,    -1,    -1,  5579,  3444,    -1,    -1,    -1,  3448,
      -1,  1774,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,
      -1,    -1,   323,  4098,    -1,    -1,  4101,    -1,    -1,    -1,
      -1,    -1,  1795,  2150,    -1,   336,    -1,  2154,   339,    -1,
      -1,    -1,    -1,  2160,  2161,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1839,    -1,    -1,    -1,
      -1,    -1,  3521,    -1,    -1,    -1,  1849,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4528,    -1,    -1,  4531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,  3557,    -1,
      -1,    -1,    -1,  4198,  3563,  1888,  3565,  4555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3577,  4567,
    3579,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,  4585,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,   108,
      91,    92,    93,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,  3633,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,  4632,    -1,    -1,   146,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,  4299,   146,   527,  1990,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5045,    -1,    -1,    -1,    -1,    -1,    -1,  3688,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,  3705,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2039,    -1,   108,   973,
    5083,    -1,    -1,    -1,    -1,    -1,   116,    -1,  3727,    -1,
      -1,  3730,   122,    -1,    -1,    -1,    -1,  2060,    -1,    -1,
     994,  2064,    -1,    -1,    -1,    -1,  2423,    -1,    -1,    -1,
      -1,    -1,   251,  2076,    -1,    -1,   146,   256,    -1,    -1,
      -1,    -1,  4750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,   256,    -1,  5140,   277,   278,
      -1,  5144,  5145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3807,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,  2151,  2152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,  2164,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   336,  2179,  2180,   339,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,  5231,    -1,
      -1,    -1,    -1,  4861,    -1,  4863,    -1,    -1,  2201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4901,    -1,    -1,    -1,    -1,   417,    -1,
    4555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4567,   323,    -1,    -1,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4947,
      -1,  4949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4001,    -1,    -1,    -1,    -1,    -1,  2331,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,   417,   527,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,  4043,    -1,   527,    -1,    -1,  4048,
      -1,  4050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
    1334,    87,    -1,    -1,    -1,    91,    92,    93,    -1,  1343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4098,
      -1,    -1,  4101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,  4750,   122,    -1,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,  4138,
     146,    -1,    -1,    -1,    -1,    -1,  5134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
    1424,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
    2503,    -1,    -1,    -1,  4183,  4184,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,  4196,    -1,  4198,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2891,    -1,    -1,    -1,    -1,    -1,
    2543,    -1,    -1,    -1,  2547,  2548,  4861,    -1,  4863,  2552,
     146,    -1,    -1,  2910,    -1,    -1,    -1,  2560,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,  2925,    -1,
     256,  2928,  2929,    -1,    -1,  2578,  2933,  2934,    -1,    -1,
      -1,    -1,    -1,  2940,    -1,    -1,    -1,    -1,  4267,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,  2620,    87,    -1,
    4299,  1555,    91,    92,    93,    -1,    -1,    -1,  2631,    -1,
      -1,    -1,    -1,    -1,  2637,  2638,    -1,   323,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
     336,    -1,    -1,   122,  5322,   251,    -1,    -1,    -1,    -1,
     256,  3018,    -1,  2666,  2667,    -1,    -1,  2670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2696,    -1,  2698,   292,    84,    -1,  2702,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2720,    -1,    -1,
      -1,   108,    -1,    94,    -1,    -1,    -1,   323,  2731,   116,
      -1,   417,  5400,    -1,    -1,   122,    -1,    -1,    -1,    -1,
     336,  2744,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
    2753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
     131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   152,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2810,   277,   278,
      -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,
      -1,   417,   193,   292,   510,    -1,    -1,   513,   514,   515,
    5498,   517,   518,   519,   520,   521,   522,   208,    -1,   210,
      -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,  4528,
      -1,    -1,  4531,   224,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   251,    -1,    -1,   336,    -1,   256,
     339,    -1,    -1,  2876,    -1,    -1,  4555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4567,    -1,
     277,   278,  5560,    -1,    -1,    -1,    -1,    -1,    -1,  1833,
      -1,    -1,    -1,    -1,   101,   292,  4585,    -1,    -1,    -1,
      -1,  5579,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,   527,    -1,    -1,    -1,  2938,   323,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   336,
     147,   148,   339,  4632,    -1,    -1,    -1,    -1,    -1,    -1,
     157,  3318,  1896,    -1,   161,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   179,  2986,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   200,    -1,  3008,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3016,   211,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,   231,    -1,  3393,    -1,  3395,   236,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4750,    -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5400,    -1,   284,    -1,  3092,
      -1,  2025,    -1,    -1,    -1,  3098,    -1,    -1,    -1,  2033,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,
    2044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,   336,
     527,    -1,    -1,    -1,  3501,    -1,    -1,    -1,    -1,    -1,
    3507,    -1,    -1,    -1,    -1,    -1,    -1,  2091,    -1,   356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,
      -1,    -1,    -1,    -1,    -1,    -1,  2110,    -1,    -1,    -1,
      -1,    -1,  4861,    -1,  4863,    -1,  3189,    -1,  2122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,
    2134,   398,    -1,   400,    -1,    -1,    -1,    -1,    -1,   406,
      -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,  4901,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2174,   438,   108,  2177,   441,    -1,    -1,    -1,   445,    -1,
     116,    -1,    -1,    -1,    -1,   452,   122,   454,    -1,    -1,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,  4947,    -1,
    4949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,    -1,  3286,   655,    -1,    -1,   484,    -1,    -1,
      -1,  3648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3302,
    3303,   866,   867,    -1,    -1,   870,    -1,   872,    -1,    -1,
      -1,    -1,    -1,    -1,  3671,  3672,    -1,  3674,    -1,  3676,
    3677,    -1,    -1,    -1,    -1,    -1,  3329,   892,    -1,  3332,
      -1,    -1,  3689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   912,    -1,    -1,
      -1,   916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   934,
      -1,    -1,  3729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
     256,    -1,  2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3408,  3409,  3410,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,  3432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3444,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3457,  5134,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   865,   866,   867,   868,    -1,   870,
      -1,   872,    -1,   874,    -1,   876,    -1,    -1,   879,    -1,
      -1,    -1,    -1,    -1,   885,    -1,    -1,   888,  3521,    -1,
      -1,   892,    -1,   894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   902,    -1,    -1,    -1,    -1,   907,    -1,   909,    -1,
      -1,   912,    -1,   914,    -1,   916,    -1,    -1,    -1,    -1,
      -1,   417,   923,    -1,  3557,    -1,   927,    -1,    -1,    -1,
    3563,    -1,  3565,   934,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3577,    -1,  3579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2529,   967,    -1,    -1,  2533,
    2534,   972,    -1,    -1,    -1,    -1,   977,    -1,    -1,    -1,
     981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
    3633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5322,   510,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,   527,  2596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1054,    -1,  3688,    -1,    -1,    -1,    -1,
    1255,  1256,    -1,    -1,    -1,    -1,    -1,    -1,  1069,   164,
    1071,    -1,  3705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5400,    -1,    -1,  3727,    -1,    -1,  3730,  1099,  1100,
      -1,    -1,    -1,  1104,  1105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,  1124,    -1,    -1,    -1,  1128,    -1,   224,
      -1,    -1,    -1,    -1,   229,  1136,    -1,    -1,    -1,   234,
      -1,    -1,  1337,    -1,   239,    -1,  1147,   242,    -1,    -1,
     245,    -1,    -1,    84,    -1,    -1,    87,    -1,  1159,    -1,
      91,    92,    93,  1358,  1359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,  3807,    -1,    87,   108,   273,    -1,
      91,    92,    93,    -1,  1379,   116,    -1,    -1,    -1,  5498,
      -1,   122,    -1,    -1,    -1,    -1,    -1,   108,   293,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,   332,  2802,   334,
    1241,    -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,  1250,
      -1,  5560,    -1,    -1,  1255,  1256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1458,  1459,    -1,    -1,    -1,    -1,    -1,
    5579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4275,    -1,
      -1,    -1,    -1,    -1,   389,    -1,  4283,  4284,  4285,  4286,
      -1,    -1,    -1,    -1,    -1,    -1,  1307,    -1,  2872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1318,    -1,    -1,
     251,  1322,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1337,    -1,    -1,    -1,
     251,    -1,    -1,   438,    -1,   256,   277,   278,    -1,    -1,
      -1,  1352,    -1,    -1,    -1,    -1,    -1,  1358,  1359,    -1,
      -1,   292,    -1,    -1,    -1,    -1,   277,   278,  4001,   464,
      -1,    -1,    -1,    -1,  1375,  1376,  1377,    -1,  1379,    -1,
    1381,   292,    -1,    -1,    -1,  1386,    -1,    -1,    -1,    -1,
      -1,    -1,   323,   488,    -1,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,
    4043,    -1,   323,    -1,    98,  4048,    -1,  4050,    -1,    -1,
     104,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,   524,
      -1,    -1,   527,   528,    -1,   530,    -1,    -1,  3002,    -1,
      -1,    -1,    -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1456,    -1,  1458,  1459,  3023,
     144,    -1,    -1,    -1,    -1,  4098,    -1,    -1,  4101,    -1,
    3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,
      -1,    -1,    -1,   177,    -1,    -1,  1497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4138,   417,    -1,    -1,    -1,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,
      -1,   205,  4509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1535,  1536,    -1,    -1,    -1,  1540,
      -1,  1542,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
    4183,  4184,    -1,    -1,  4541,  4542,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4196,    -1,  4198,    -1,  1568,    -1,    -1,
    1571,    -1,    -1,  1574,   258,    -1,    -1,   261,    -1,   510,
      -1,    -1,   513,   514,   515,  1586,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,   527,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,  1614,    -1,    -1,   527,    -1,    -1,    -1,
      -1,    -1,   306,    -1,   308,    -1,    -1,    -1,  4615,  4616,
      -1,    -1,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,  1642,  1643,  1644,    -1,  1646,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,   348,  1666,  4299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1688,  1689,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,   386,   387,    -1,    -1,    -1,    -1,    -1,    -1,
    3274,    -1,    -1,  3277,    -1,  3279,  1717,  1912,    -1,  1720,
    3284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4723,    -1,    -1,    -1,
      -1,    -1,   426,    -1,    -1,    -1,  4733,  4734,  1749,    -1,
      -1,    -1,  1753,  1754,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4749,  1764,  1765,  1766,    -1,    -1,    -1,    -1,
      -1,  3335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1976,  1977,  1978,  1979,    -1,    -1,    -1,  3352,    -1,
      -1,   475,  1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3376,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2019,  2020,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2028,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2038,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,    -1,
      -1,  2066,  2067,  2068,  2069,    -1,   224,  3441,    -1,  3443,
      -1,   229,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,   239,    -1,    -1,   242,  4528,    -1,   245,  4531,    -1,
    1901,  1902,    -1,    -1,    -1,    -1,    -1,    -1,  1909,    -1,
      -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4555,    -1,    -1,   273,    -1,    -1,    -1,    -1,
    1931,    -1,  1933,    -1,  4567,    -1,    -1,    -1,  3502,    -1,
    1941,    -1,    -1,  1944,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,  4585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3527,    -1,    -1,    -1,  1968,  2163,    -1,
      -1,  2166,    -1,    -1,    -1,  1976,  1977,  1978,  1979,  1980,
      -1,  2176,    -1,    -1,   332,    -1,   334,    -1,    -1,  3553,
    2185,    -1,   340,  1994,  3558,    -1,    -1,    -1,    -1,  4632,
      -1,    -1,    -1,    -1,    -1,  2006,    -1,  2008,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2019,  2020,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2028,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2038,    -1,    -1,
      -1,   389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5037,    -1,  3616,    -1,    -1,    -1,  2057,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2066,  2067,  2068,  2069,    -1,
    3634,    -1,    -1,    -1,    -1,    -1,    -1,  2078,    -1,    -1,
      -1,    -1,    -1,    -1,  2085,  3649,    -1,  2088,    -1,    -1,
     438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,    -1,    -1,
    2111,    -1,    -1,    -1,    -1,  2116,   464,  4750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5115,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2334,
     488,    -1,   490,   491,    -1,    -1,    -1,    -1,  2149,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2159,    -1,
      -1,    -1,  2163,    -1,    -1,  2166,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5161,  2176,   524,    -1,    -1,   527,
     528,    -1,   530,  2184,  2185,    -1,  3750,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2198,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,  3771,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,  4861,    -1,
    4863,  2232,  3796,   116,    -1,    -1,    -1,    -1,  2239,   122,
    2241,    -1,    -1,    -1,  2245,  2246,    -1,  2248,    -1,    -1,
      -1,    -1,    -1,    -1,  2255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   146,  2265,    -1,  3830,    -1,  4901,  2270,
    2271,    -1,    -1,  2274,    -1,    -1,    -1,  2278,  2279,    -1,
      -1,    -1,    -1,  2284,  2285,    -1,    -1,    -1,    -1,    -1,
    2291,  2292,  2293,    -1,    -1,    -1,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,    -1,  2306,    -1,  2308,  2309,    -1,
      -1,  2312,    -1,    -1,  4947,    -1,  4949,    -1,    -1,    -1,
     101,    -1,    -1,    -1,    -1,    -1,  2327,  2328,  2329,  2330,
      -1,    -1,    -1,  2334,  2335,    -1,    -1,    -1,  2339,    -1,
      -1,  2342,    -1,    -1,  2345,  2346,  2347,  2348,  2349,  2350,
    2351,  2352,  2353,    -1,  2355,    -1,    -1,    -1,    -1,    -1,
      -1,  2362,  2363,    -1,    -1,  2366,   147,    -1,   251,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,    -1,  2388,    -1,    -1,
    3954,    -1,    -1,    -1,   277,   278,    -1,    -1,   179,  2594,
    2595,    -1,    -1,    -1,   185,    -1,    -1,    -1,  2603,   292,
    2605,    -1,    -1,    -1,  2609,    -1,    -1,    -1,    -1,   200,
      -1,    -1,    -1,    -1,  2425,    -1,  2427,    -1,  2429,    -1,
     211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,
     323,    -1,  2443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,  2452,  2453,   336,    -1,   236,   339,    -1,    -1,    -1,
      -1,   242,    -1,    -1,    -1,  2466,    -1,    -1,    -1,    -1,
      -1,    -1,  2473,    -1,  2475,    -1,    -1,    -1,   259,    -1,
      -1,    -1,    -1,    -1,    -1,  4049,  5473,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5134,    -1,   284,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,  2713,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,   417,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2553,    -1,    -1,   336,    -1,    -1,    -1,    -1,
      -1,  2562,    -1,  2564,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   356,  2771,    -1,    -1,    -1,
    2581,    -1,    -1,    -1,  2779,   366,  2781,    -1,    -1,    -1,
      -1,  2592,  2787,  2594,  2595,    -1,    -1,    -1,  2599,    -1,
    2601,    -1,  2603,    -1,  2605,    -1,    -1,    -1,  2609,    -1,
      -1,  2612,   393,    -1,    -1,    -1,    -1,   398,    -1,   400,
      -1,    -1,    -1,  4187,    -1,   406,    -1,   510,   409,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
    2641,    -1,    -1,    -1,   527,    -1,    -1,  2648,    -1,    -1,
      -1,    -1,    -1,  2654,    -1,    -1,   437,   438,    -1,    -1,
     441,    -1,  2663,    -1,   445,    -1,  2861,    -1,    -1,    -1,
      -1,  4235,   251,   454,    -1,    -1,    -1,   256,   459,    -1,
      -1,  2682,    -1,    -1,    -1,  2686,  2687,    -1,    -1,  5322,
     471,    -1,    -1,    -1,  2695,    -1,    -1,    -1,   277,   278,
      -1,    -1,    -1,   484,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2713,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2917,    -1,  2919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2740,
      -1,  2742,  2743,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    84,    -1,  5400,    87,    -1,
    2771,    -1,    91,    92,    93,    -1,    -1,    -1,  2779,    -1,
    2781,    -1,    -1,    -1,    -1,    -1,  2787,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
    2801,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
    4374,    -1,    -1,    -1,  2815,   164,    -1,  2818,    -1,  2820,
    4384,    -1,  2823,    -1,    -1,  2826,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    -1,  3037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2861,  2862,    -1,   212,    -1,  5498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   224,  2877,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,   234,    -1,  2888,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,   245,    -1,    -1,    -1,
      -1,  2902,  2903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2915,    -1,  2917,  2918,  2919,  2920,
      -1,    -1,    -1,    -1,   273,    -1,    -1,  5560,    -1,    -1,
      -1,   510,   251,    -1,   513,   514,   515,   256,   517,   518,
     519,   520,   521,   522,   293,  2946,  5579,  4511,   527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2968,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,  4540,    -1,    -1,    -1,
      -1,    -1,    -1,   332,    -1,   334,    -1,    -1,    -1,    -1,
      -1,   340,    -1,    -1,    -1,    -1,  4560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,  3010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,  3020,
     339,    -1,    -1,    -1,    -1,  3026,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3037,    -1,    -1,    -1,
     389,    -1,  3043,    -1,    -1,    -1,    -1,  3048,    -1,    -1,
    4614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3071,  3072,  3073,    -1,    -1,  3076,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3084,  3085,  3086,  3087,    -1,    -1,   438,
      -1,    -1,    -1,    -1,    -1,    -1,  3097,    -1,   417,  3100,
      -1,  3102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3113,  3114,    -1,   464,  3117,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,    -1,
    3131,    -1,  3133,    -1,  3135,    -1,    -1,    -1,    -1,   488,
      -1,   490,   491,    -1,    -1,    -1,  3341,    -1,  3343,  3344,
    3345,  4715,    -1,    -1,  3155,    -1,    -1,    -1,  3159,    -1,
      -1,    -1,    -1,    -1,    -1,  3166,    -1,  3168,  3169,  3170,
      -1,    -1,    -1,    -1,    -1,   524,    -1,    -1,   527,   528,
      -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,  3193,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,  3206,  4770,    -1,   527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3221,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3235,    -1,    -1,  3238,    -1,    -1,
    3241,    25,  3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,
      -1,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,  3308,    -1,  3310,
      -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3528,    -1,    -1,  4900,    -1,    -1,    -1,
    3341,    -1,  3343,  3344,  3345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   227,    -1,  3446,    -1,    -1,    -1,    -1,
    5014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,   248,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5045,    -1,  3678,   108,  3680,    -1,   271,    -1,  3684,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5083,
      -1,    -1,   146,   307,    -1,    -1,   310,  3528,    -1,    -1,
      -1,    -1,    -1,    -1,  3535,  3536,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,    -1,  3740,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3569,  3570,
      -1,    -1,    -1,    -1,   108,    -1,  5140,    -1,   112,    -1,
    5144,  5145,   116,    -1,  3585,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3600,
    3601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3609,  3610,
    3611,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,   403,
      -1,    -1,    -1,    -1,    -1,    -1,  3627,   251,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3644,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   277,   278,    -1,    -1,    -1,    -1,   193,
    3661,    -1,    -1,    -1,    -1,   449,    -1,  5231,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3678,    -1,  3680,
     464,    -1,    -1,  3684,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,    -1,   323,
      -1,  3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3712,   336,    -1,    -1,   339,    -1,   251,    -1,    -1,
      -1,    -1,   256,   507,    -1,    -1,    -1,  3728,    -1,    -1,
      -1,   515,    -1,   517,   518,   519,   520,   521,    -1,  3740,
     524,   525,   526,   277,   278,    -1,  3747,   531,   532,    -1,
      -1,    -1,    -1,    -1,    -1,  3756,    -1,    -1,   292,    -1,
      -1,  3762,    -1,  3764,    -1,    -1,  3767,    -1,    -1,    -1,
      -1,  3772,  3773,  3774,  3775,    -1,    -1,  3778,  3779,  3780,
    3781,  3782,  3783,  3784,  3785,  3786,  3787,    -1,    -1,   323,
    3791,  3792,    -1,   417,    -1,    -1,  3991,  3992,  3993,  3994,
    3801,    -1,   336,    -1,  3805,   339,    -1,    -1,  3809,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3817,    -1,    -1,  3820,
      -1,  3822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3831,    -1,    -1,  3834,  3835,    -1,    -1,    -1,  3839,  3840,
      -1,    -1,    -1,  3844,    -1,  3846,    -1,    -1,    -1,    -1,
      -1,    -1,  3853,  3854,  3855,  3856,    -1,  3858,  3859,    -1,
      -1,    -1,  3863,  3864,    -1,    -1,    -1,    -1,    -1,  3870,
      -1,    -1,    -1,    -1,    -1,  3876,  3877,  3878,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,   527,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3925,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3936,    -1,  3938,   472,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4158,    -1,    -1,    -1,    -1,  3969,  3970,
    3971,    -1,  3973,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
    3991,  3992,  3993,  3994,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,     5,    -1,
     217,    -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    25,  4030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    40,    -1,    42,    43,    -1,    -1,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4115,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,  4156,   116,  4158,    -1,  4160,
      -1,    -1,   122,    -1,    -1,  4166,    -1,    -1,    -1,    -1,
      -1,  4172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4181,    84,    -1,    -1,    87,    -1,   146,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4201,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,
    4211,    -1,   209,   116,    -1,    -1,    -1,  4218,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4228,    -1,    -1,
     227,  4232,    -1,    -1,    -1,  4236,  4237,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4268,  4269,  4270,
    4271,  4272,    -1,    -1,   271,    -1,    -1,  4278,    -1,  4280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     307,    -1,    -1,   310,    -1,    -1,    -1,   277,   278,  4320,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,   325,    -1,
    4331,   234,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
    4361,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
    4371,  4372,    -1,    -1,   277,   278,   336,  4378,  4379,   339,
      -1,    -1,  4383,    -1,    -1,    -1,    -1,  4388,    -1,   292,
    4391,  4392,    -1,    -1,    -1,  4396,  4397,    -1,    -1,    -1,
    4595,  4402,  4403,  4404,  4405,  4406,   403,    -1,    -1,  4410,
    4411,    -1,  4413,    -1,  4609,  4416,    -1,    -1,    -1,  4420,
     323,    -1,    -1,  4424,    -1,    -1,    -1,    -1,    -1,  4430,
      -1,    -1,    -1,   336,    -1,  4436,   339,    -1,    -1,    -1,
    4441,    -1,    -1,    -1,    -1,    -1,  4447,    -1,    -1,    -1,
      -1,    -1,   449,    -1,    -1,    -1,  4457,   417,    -1,    -1,
      -1,    -1,    -1,  4464,    -1,    -1,  4467,   464,    -1,    -1,
     876,  4472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   885,
      -1,    -1,   479,    -1,    -1,    -1,    -1,    -1,   894,  4490,
      -1,    -1,  4493,  4688,    -1,    -1,   902,    -1,    -1,    -1,
      -1,   907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     507,    -1,  4513,  4514,   417,    -1,    -1,    -1,   515,    -1,
     517,   518,   519,   520,   521,    -1,    -1,   524,   525,   526,
     527,    -1,   529,   530,   531,   532,   533,  4538,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4575,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,  4609,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4649,    -1,
     857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   865,  4660,
      -1,    -1,    -1,  1069,  4665,    -1,    -1,   874,    -1,    -1,
      -1,    -1,  4673,    -1,  4869,  4870,  4871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4688,  4689,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1105,
      -1,    -1,   909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,  1124,    -1,
    4721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     967,    -1,    -1,    -1,    -1,  4766,   973,    -1,    -1,    -1,
     977,    -1,    -1,    -1,  4775,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,
      -1,  4792,  4793,    -1,    -1,  4796,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4810,
    4811,    -1,    -1,    -1,  4815,  5010,    -1,    -1,    -1,  4820,
      -1,    -1,  4823,  4824,    -1,  4826,    -1,  4828,    -1,    -1,
    4831,  4832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4867,  4868,  4869,  4870,
    4871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1099,  1100,    -1,    -1,    -1,    -1,    -1,  1106,
      -1,    -1,    -1,  1110,    -1,    -1,    -1,    -1,    -1,  4910,
    4911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5122,    -1,  1136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4957,  4958,    -1,    -1,
    4961,    -1,  5157,  4964,  5159,    -1,    -1,    -1,    -1,  1375,
    1376,  1377,    -1,  4974,    -1,    -1,    -1,    -1,    -1,  4980,
      -1,  4982,    -1,    -1,    -1,    -1,  4987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,  4999,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,  5010,
    5011,  5012,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5044,    -1,    -1,  5047,    -1,  5049,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5073,  1280,  1281,    -1,  5077,    -1,    -1,    -1,
    5081,    -1,    -1,    -1,    -1,    -1,    -1,  5088,    -1,    -1,
      -1,    -1,  5287,    -1,    -1,    -1,  5097,    -1,    -1,    -1,
    1307,    -1,    -1,    -1,    -1,    -1,    -1,  1314,    -1,  5110,
      -1,  1318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5122,    -1,    -1,    -1,  5126,    -1,  1334,    -1,    -1,
      -1,    -1,    -1,    -1,  1540,    -1,  1343,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5149,    -1,
    5345,    -1,    -1,    -1,    -1,  5156,  5157,  5158,  5159,    -1,
      -1,   251,    -1,    -1,    -1,  1571,   256,    -1,    -1,    -1,
    5171,    -1,    -1,    -1,  1381,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,  5190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,  5210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5422,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
      -1,    -1,  5253,    -1,    -1,  5256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5265,    -1,    -1,    -1,   358,  5270,
      -1,  5272,    -1,  5274,    -1,    -1,    84,    -1,    -1,    87,
    5281,    -1,    -1,    91,    92,    93,  5287,  5482,  5289,    -1,
    1497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5299,    -1,
     108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,    -1,
      -1,  1717,    -1,    84,   122,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,   146,    -1,
      -1,    -1,    -1,    -1,  5345,   116,    -1,    -1,  1555,  5350,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1765,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5373,    -1,    -1,   146,    -1,    -1,    -1,  1586,
    5381,  5382,    -1,    -1,    -1,  5386,    -1,    -1,    -1,    -1,
      -1,  5392,    -1,    -1,  5395,    -1,    -1,    -1,  5399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1614,    -1,    -1,
      -1,  5412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,  5422,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,  1642,  1643,  1644,    -1,  1646,
      -1,    -1,    -1,   251,    -1,    -1,  5447,    -1,   256,    -1,
      -1,    -1,  5453,  5454,    -1,  5456,    -1,    -1,    -1,  1666,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,  5475,    -1,    -1,    -1,    -1,    -1,
     251,  5482,    -1,    -1,   292,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1909,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,  1720,  1721,   323,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,  1933,   336,    -1,
      -1,   339,    -1,    -1,    -1,  1941,    -1,    -1,  1944,    -1,
      -1,    -1,  1749,    -1,    -1,    -1,  1753,  1754,    -1,    -1,
      -1,    -1,   323,  5554,  5555,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   336,    -1,  5568,   339,    84,
      -1,    -1,    87,    -1,  1980,    -1,    91,    92,    93,  5580,
    5581,    -1,    -1,   354,    -1,    -1,    -1,    -1,  1994,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   111,    -1,    -1,    -1,
      -1,   116,  2008,    -1,    -1,    -1,    -1,   122,    -1,   417,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,
      -1,   146,  1839,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,  1849,   116,    -1,    -1,   417,    -1,    -1,   122,
      -1,  2057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2078,   146,    -1,    -1,    -1,    -1,    -1,  2085,
      -1,  1888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   510,
      -1,   256,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,   251,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2010,   277,   278,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,   292,
      -1,   336,    -1,    -1,   339,    -1,  2033,    -1,    -1,    -1,
      -1,    -1,  2039,    -1,    -1,    -1,    -1,  2044,    -1,  2245,
    2246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,
      -1,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2091,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2104,    -1,    -1,
      -1,    -1,   417,  2110,    -1,    -1,    -1,    -1,    -1,  2116,
      -1,    -1,    -1,    -1,    -1,  2122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2149,    -1,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2362,    -1,   973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,
    2177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,
      -1,    -1,  2388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2425,
      -1,  2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2241,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2278,  2279,    -1,    -1,    -1,    -1,  2284,  2285,    -1,
      -1,    -1,    -1,    -1,  2291,  2292,  2293,    -1,    -1,    -1,
    2297,    -1,  2299,  2300,  2301,  2302,  2303,  2304,    -1,  2306,
      -1,  2308,  2309,    -1,    -1,  2312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,
    2327,  2328,  2329,  2330,  2331,    -1,    -1,    -1,  2335,    -1,
      -1,    -1,  2339,    -1,    -1,  2342,    -1,    -1,  2345,  2346,
    2347,  2348,  2349,  2350,  2351,  2352,  2353,    -1,  2355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,  2366,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,     3,    -1,    -1,    91,    92,    93,     9,
      -1,    -1,    -1,    13,    -1,    15,    -1,    17,    18,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   111,    -1,    28,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,  2429,    -1,    44,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2443,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,  2452,  2453,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,  2663,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    -1,  2682,   108,    -1,    -1,
     111,    -1,    -1,    -1,   104,   116,   106,   107,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,
      -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,  1334,
      -1,   141,  2529,   143,   144,    -1,  2533,  2534,  1343,   149,
      -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2547,    -1,   162,    -1,   164,    -1,   251,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,   181,    -1,    -1,   184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   277,   278,  2581,    -1,   196,    -1,   198,    -1,
      -1,    -1,   202,    -1,    -1,  2592,    -1,   292,   208,  2596,
      -1,    -1,  2599,    -1,    -1,    -1,   216,    -1,   218,    -1,
      -1,  2608,    -1,    -1,   224,    -1,    -1,    -1,    -1,  1424,
      -1,    -1,    -1,    -1,  2820,    -1,    -1,    -1,   323,   239,
     251,    -1,    -1,    -1,  2631,   256,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,   339,   255,    -1,    -1,  2645,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2666,
      -1,   292,    -1,  2670,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,
      -1,   311,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    -1,   336,    84,    -1,   339,    87,
      -1,    -1,   417,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
    1555,   361,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   373,    -1,    -1,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,    -1,    -1,   386,    -1,   146,    -1,
      -1,   391,    -1,    -1,   394,    -1,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,   404,   405,   417,    -1,    -1,    -1,
      -1,    -1,   412,    -1,  2801,  2802,   416,    -1,    -1,    -1,
      -1,    -1,    -1,  2810,  3010,   510,   426,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,   438,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,    -1,   459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,    -1,   473,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,
      -1,   491,    -1,   251,    -1,    -1,    -1,    -1,   256,   510,
      -1,  2888,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,   512,    -1,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,
     530,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2946,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3159,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3020,    -1,    -1,  3023,    -1,  1833,  3026,
      -1,    -1,    84,    -1,    -1,    87,    -1,  3034,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,  3043,    -1,    -1,   417,
      -1,  3048,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      84,    -1,    -1,    87,   116,    -1,    -1,    91,    92,    93,
     122,    -1,    -1,    -1,  3071,  3072,  3073,    -1,   446,  3076,
      -1,    -1,    -1,    -1,   108,    -1,    -1,  3084,  3085,  3086,
    3087,  1896,   116,    -1,   146,  3092,    -1,    -1,   122,    -1,
    3097,  3098,    -1,  3100,    -1,  3102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3113,  3114,    -1,    -1,
    3117,    -1,   146,    -1,  1929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3131,    -1,  3133,    -1,  3135,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,  3155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3166,
      -1,  3168,  3169,  3170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3193,    -1,    -1,   251,
      -1,    -1,    -1,    -1,   256,  2010,    -1,    -1,    -1,  3206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2025,   209,    -1,    -1,  3221,   277,   278,   251,  2033,   217,
      -1,   219,   256,    -1,    -1,    -1,    -1,    -1,  3235,  2044,
     292,    -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,
    3446,    -1,    -1,   277,   278,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,  3274,    -1,   134,
    3277,    -1,  3279,    -1,   336,    -1,  2091,  3284,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,   157,    -1,    -1,  2110,   161,    -1,    -1,    -1,
      -1,  3308,   336,    -1,    -1,   339,    -1,  2122,    -1,    -1,
      -1,    -1,    -1,    -1,   179,    -1,    -1,    -1,    -1,  2134,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,    -1,
      -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3352,   211,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   219,   417,    -1,    -1,    -1,  2174,
      -1,    -1,  2177,  3569,  3570,    -1,   231,    -1,    -1,  3376,
      -1,    -1,    -1,   238,    -1,    -1,    -1,   242,    -1,  3585,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   259,  3601,    -1,    -1,    -1,    -1,
      -1,  3408,  3409,  3410,  3610,  3611,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,    -1,    -1,  3441,    -1,  3443,    -1,    -1,    -1,
     305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,   339,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,   356,    -1,    -1,    -1,  3502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     375,  2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3527,    -1,  3728,    -1,    -1,    -1,    -1,    -1,   393,    -1,
      -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,   409,    -1,  3553,    -1,    -1,    -1,
    3557,  3558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   438,    -1,    -1,   441,   442,    -1,   444,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,   468,    -1,    -1,   471,    -1,    -1,  3616,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,   484,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3634,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3649,    -1,    35,    36,    -1,  3853,  3854,  3855,
      -1,    42,    43,    -1,    -1,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,  3702,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2529,    -1,    -1,    -1,  2533,  2534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3747,    -1,    -1,  3750,    -1,    -1,   137,    -1,    -1,  3756,
      -1,    -1,    -1,    -1,    -1,  3762,    -1,  3764,    -1,    -1,
    3767,    -1,    -1,    -1,  3771,  3772,  3773,  3774,  3775,    -1,
      -1,  3778,  3779,  3780,  3781,  3782,  3783,  3784,  3785,  3786,
    3787,  2596,    -1,    -1,  3791,  3792,    -1,    -1,    -1,  3796,
      -1,    -1,    -1,  2608,  3801,    -1,    -1,    -1,  3805,    -1,
    3807,    -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3817,    -1,    -1,  3820,    -1,  3822,    -1,    -1,   209,    -1,
      -1,    -1,    -1,  3830,  3831,    -1,    -1,  3834,  3835,    -1,
    2645,    -1,  3839,  3840,    -1,    -1,   227,    -1,    -1,  3846,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3856,
      -1,  3858,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,
      -1,    -1,    -1,  3870,    -1,    -1,    -1,   865,    -1,  3876,
    3877,  3878,    -1,    -1,    -1,    -1,   874,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   909,    -1,    -1,    -1,    -1,   307,    -1,  3925,   310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3938,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3954,    -1,    -1,
    4156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4166,    -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,   967,
      -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,    -1,   977,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4201,   994,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4043,    -1,    -1,    -1,
      -1,  4048,  4049,  4050,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1099,  1100,    -1,    -1,    -1,    -1,    -1,  1106,    -1,
      -1,    -1,  1110,    -1,    -1,    -1,   507,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,    -1,   517,   518,   519,   520,
     521,  4138,    -1,   524,   525,   526,   527,    -1,  1136,    -1,
     531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4187,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4403,  4404,  4405,
    4406,    -1,    -1,    -1,    -1,     5,    -1,    -1,  3023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,  4235,  4236,
    4237,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,  1280,  1281,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1307,
      -1,    -1,    -1,  4320,    -1,    -1,  1314,    -1,    -1,    -1,
    1318,    -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1334,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4361,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4371,  4372,    -1,  4374,    -1,    -1,
      -1,  4378,  4379,    -1,    -1,    -1,  4383,  4384,    -1,    -1,
      -1,  4388,    -1,  1381,  4391,  4392,    -1,    -1,    -1,  4396,
      -1,    -1,    -1,    -1,    -1,  4402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,  4420,    -1,    -1,    -1,  4424,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1424,   227,    -1,  4436,
      -1,    -1,    -1,    -1,  4441,    -1,    -1,    -1,    -1,    -1,
    4447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,  3274,
      -1,    -1,  3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1497,
      -1,    -1,    -1,    -1,  4511,    -1,    -1,   307,    -1,    -1,
     310,    -1,  4718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3335,    -1,    -1,    -1,  4531,   325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4540,    -1,    -1,    -1,  3352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4560,    -1,    -1,    -1,  1555,    -1,    -1,
      -1,  3376,    -1,    -1,    -1,    -1,    -1,    -1,  4575,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,    -1,  4614,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1614,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3441,    -1,  3443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4649,    -1,  1642,  1643,  1644,    -1,  1646,   449,
      -1,    -1,    -1,  4660,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,  1666,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4713,   507,  4715,    -1,
      -1,    -1,  3527,    -1,    -1,   515,    -1,   517,   518,   519,
     520,   521,  1720,    -1,   524,   525,   526,   527,    -1,    -1,
      -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,  3553,    -1,
      -1,    -1,    -1,  3558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1749,    -1,    -1,    -1,  1753,  1754,    -1,  4964,  4766,
      -1,    -1,    -1,  4770,    -1,    -1,    -1,    -1,  4775,    -1,
      -1,    -1,    -1,    -1,  4980,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4792,  4793,    -1,    -1,  4796,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3616,    -1,  4810,    -1,  5011,    -1,    -1,  4815,    -1,
      -1,    -1,    -1,  4820,    -1,    -1,  4823,  4824,    -1,  3634,
      -1,    -1,    -1,    -1,  4831,  4832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3649,  1833,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4853,    -1,    -1,    -1,
      -1,  1849,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,
    4867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,
    1888,    -1,    -1,  4900,    -1,    -1,    -1,    -1,  1896,    -1,
      -1,    -1,   147,  4910,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
    5126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1929,    -1,    -1,   179,  3750,    -1,    -1,    -1,    -1,
    4947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4961,   200,  3771,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   219,    -1,    -1,    -1,    -1,    -1,
      -1,  3796,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,   236,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5012,    -1,  5014,    -1,    -1,
      -1,    -1,  2010,    -1,   259,  3830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2033,    -1,  5044,  5045,    -1,
    5047,    -1,  5049,    -1,    -1,    -1,  2044,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     305,    -1,    -1,    -1,    -1,    -1,  5073,    -1,    -1,    -1,
    5077,    -1,    -1,    -1,    -1,    -1,  5083,    -1,    -1,    -1,
      -1,  5088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   347,  5110,    -1,    -1,  2104,    -1,    -1,    -1,
      -1,   356,  2110,    -1,    -1,    -1,    -1,    -1,  2116,    -1,
      -1,   366,    -1,    -1,  2122,    -1,    -1,  5134,    -1,    -1,
      -1,    -1,    -1,  5140,    -1,    -1,  2134,  5144,  5145,  3954,
      -1,    -1,  5149,    -1,    -1,    -1,    -1,    -1,   393,    -1,
      -1,  2149,    -1,   398,    -1,   400,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,  2177,
      -1,    -1,    -1,  5190,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   438,    -1,    -1,   441,    -1,    -1,    -1,
     445,    -1,    -1,  5210,    -1,    -1,    -1,   452,    -1,   454,
      -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5230,  5231,    -1,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4049,    -1,    -1,    -1,    -1,   484,
      -1,    -1,    -1,  2241,    -1,    -1,  5253,    -1,    -1,  5256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5265,    -1,
      -1,    -1,    -1,  5270,    -1,  5272,    -1,  5274,    -1,    -1,
      -1,    -1,    -1,    -1,  5281,    -1,    -1,    -1,    -1,    -1,
    2278,  2279,    -1,    -1,    -1,    -1,  2284,  2285,    -1,    -1,
      -1,    -1,  5299,  2291,  2292,  2293,    -1,    -1,    -1,  2297,
      -1,  2299,  2300,  2301,  2302,  2303,  2304,    -1,  2306,    -1,
    2308,  2309,    -1,    -1,  2312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2326,  2327,
    2328,  2329,  2330,    -1,    -1,    -1,    -1,  2335,    -1,    -1,
      -1,  2339,    -1,  5350,  2342,    -1,    -1,  2345,  2346,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,    -1,  2355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,  2366,    -1,
      -1,    -1,  4187,    -1,  5381,  5382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5447,    -1,    -1,    -1,    -1,  2443,  5453,  5454,    -1,  5456,
      -1,    -1,     5,    -1,  2452,  2453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5475,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,
      43,  5498,    -1,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,  2529,    85,    -1,    -1,  2533,  2534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5554,  5555,    -1,
      -1,    -1,    -1,  5560,    -1,    -1,    -1,    -1,    -1,  4374,
      -1,  5568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4384,
      -1,    -1,  5579,  5580,  5581,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2581,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2592,    -1,    -1,    -1,  2596,    -1,
      -1,  2599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2631,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2645,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   248,  4511,    -1,  2696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   307,    -1,    -1,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4614,
      -1,    -1,    -1,  2801,  2802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2888,    -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,    -1,
    4715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2946,    -1,
      -1,    -1,    -1,    -1,   507,  4770,    -1,    -1,    -1,    -1,
      -1,    -1,   515,    -1,   517,   518,   519,   520,   521,    -1,
      -1,   524,   525,   526,    -1,    -1,    -1,    -1,   531,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3020,    -1,    -1,  3023,    -1,    -1,  3026,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3043,    -1,    -1,    -1,    -1,
    3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3071,  3072,  3073,    -1,    -1,  3076,    -1,
      -1,    -1,    -1,    -1,    -1,  4900,  3084,  3085,  3086,  3087,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3097,
      -1,    -1,  3100,    -1,  3102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3113,  3114,    -1,    -1,  3117,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3131,    -1,  3133,    -1,  3135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3166,    -1,
    3168,  3169,  3170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3193,    -1,    -1,    -1,  5014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,
    5045,    -1,    -1,    -1,    -1,    -1,    -1,  3235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5083,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3274,    -1,   153,  3277,
      -1,  3279,    -1,    -1,    -1,    -1,  3284,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5140,    -1,    -1,   203,  5144,
    5145,    -1,    -1,    -1,    -1,    -1,    -1,  3335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,  3376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3441,    -1,  3443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    -1,    -1,    -1,  3553,    -1,    -1,    -1,    -1,
    3558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3634,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,
      -1,    -1,  3750,    -1,    -1,    -1,    -1,    -1,  3756,    -1,
      -1,    -1,    -1,    -1,  3762,    -1,  3764,    -1,    -1,  3767,
      -1,    -1,    -1,  3771,  3772,  3773,  3774,  3775,    -1,    -1,
    3778,  3779,  3780,  3781,  3782,  3783,  3784,  3785,  3786,  3787,
      -1,    -1,    -1,  3791,  3792,    -1,    -1,    -1,  3796,    -1,
      -1,    -1,    -1,  3801,    -1,    -1,    -1,  3805,    -1,    -1,
      -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3817,
      -1,    -1,  3820,    -1,  3822,    -1,    -1,    -1,   703,   704,
      -1,    -1,  3830,  3831,    -1,    -1,  3834,  3835,    -1,    -1,
      -1,  3839,  3840,    -1,    -1,    -1,    -1,    -1,  3846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3856,    -1,
    3858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3870,    -1,    -1,    -1,   751,    -1,  3876,  3877,
    3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3925,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   872,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   880,    -1,    -1,   883,   884,
      -1,   886,    -1,    -1,   889,    -1,   891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   910,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   918,    -1,    -1,    -1,    -1,    -1,    -1,
     925,  4049,    -1,   928,   929,    -1,    -1,    -1,   933,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   950,    -1,   952,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   983,    -1,
     985,    -1,    -1,   988,    -1,   990,    -1,    -1,   993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4160,    -1,    -1,    -1,    -1,    -1,    -1,    89,
      -1,    -1,    -1,    -1,    94,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,  4187,
      -1,    -1,    -1,    -1,    -1,  1070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,  1102,    -1,    -1,
      -1,    -1,   152,   153,    -1,    -1,   156,  4235,  4236,  4237,
      -1,    -1,   162,    -1,    -1,    -1,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1138,    -1,    -1,    -1,    -1,   188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4331,    -1,  1210,    -1,  1212,    -1,    -1,
      -1,  1216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1236,    -1,  4361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4371,  4372,    -1,  4374,    -1,    -1,    -1,
    4378,  4379,    -1,    -1,    -1,  4383,  4384,    -1,    -1,    -1,
    4388,    -1,    -1,  4391,  4392,    -1,    -1,    -1,  4396,    -1,
      -1,    -1,    -1,    -1,  4402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1295,    -1,  4420,    -1,    -1,    -1,  4424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1311,    -1,  4436,    -1,
      -1,    -1,    -1,  4441,    -1,    -1,    -1,    -1,  1323,  4447,
    1325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,    -1,    -1,
    1345,    -1,    -1,  1348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,  1382,    -1,    -1,
      -1,    -1,    -1,  4511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4614,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4660,    -1,    -1,    -1,    -1,    -1,    -1,  1544,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4713,    -1,  4715,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   655,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4766,    -1,
      -1,    -1,  4770,    -1,    -1,    -1,    -1,  4775,    -1,    -1,
      -1,    -1,    -1,   703,   704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4792,  4793,    -1,    -1,  4796,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4810,    -1,    -1,    -1,    -1,  4815,    -1,    -1,
      -1,    -1,  4820,    -1,    -1,  4823,  4824,    -1,    -1,    -1,
      -1,   751,    -1,  4831,  4832,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4853,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1739,  1740,    -1,    -1,    -1,  4867,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1798,    -1,    -1,  1801,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1809,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5012,    -1,  5014,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   949,
     950,    -1,   952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5044,  5045,    -1,  5047,
      -1,  5049,    -1,    -1,    -1,    -1,    -1,  1932,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5073,    -1,    -1,    -1,  5077,
      -1,    -1,    -1,  1003,    -1,  5083,  1006,  1007,    -1,    -1,
    5088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1021,    -1,  1023,    -1,  1025,    -1,    -1,    -1,    -1,
      -1,  1031,  5110,    -1,    -1,  1035,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1055,  1056,    -1,    -1,    -1,
      -1,    -1,  5140,    -1,    -1,    -1,  5144,  5145,    -1,    -1,
      -1,  5149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2048,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1102,    -1,  1104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5230,  5231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5253,    -1,    -1,  5256,    -1,
      -1,    -1,    -1,  1183,    -1,    -1,    -1,  5265,    -1,    -1,
      -1,    -1,  5270,  2148,  5272,    -1,  5274,  1197,  1198,    -1,
      -1,  1201,    -1,  5281,    -1,    -1,    -1,  2162,    -1,    -1,
    2165,    -1,  2167,    -1,  2169,    -1,    -1,    -1,    -1,    -1,
    2175,  5299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2226,  5350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2238,    -1,    -1,    -1,  2242,    -1,  2244,
      -1,    -1,  2247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5381,  5382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5392,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5447,
      -1,    -1,    -1,    -1,    -1,  5453,  5454,    -1,  5456,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5475,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5554,  5555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5580,  5581,    -1,  1505,    -1,    -1,    -1,    -1,
    1510,    -1,  1512,    -1,    -1,  1515,    -1,  1517,    -1,    -1,
    1520,  1521,  1522,    -1,    -1,    -1,  1526,    -1,    -1,    -1,
      -1,    -1,    -1,  1533,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1547,    -1,  1549,
      -1,    -1,    -1,    -1,  1554,    -1,    -1,    -1,    -1,  2514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2544,
    2545,    -1,    -1,    -1,  2549,  2550,    -1,    -1,    -1,  2554,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2568,    -1,    -1,    -1,    -1,    -1,    -1,
    2575,    -1,    -1,    -1,  2579,  2580,    -1,    -1,  2583,  2584,
      -1,    -1,    -1,    -1,    -1,  2590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2602,    -1,  2604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2621,    -1,    -1,    -1,
      -1,  2626,    -1,    -1,    -1,    -1,    -1,  1677,    -1,    -1,
      -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,  1688,  1689,
      -1,    -1,  2647,    -1,  2649,    -1,  2651,  2652,  2653,    -1,
      -1,    -1,    -1,  2658,  2659,  1705,    -1,    -1,    -1,    -1,
    1710,  1711,    -1,  2668,    -1,    -1,    -1,    -1,  2673,    -1,
      -1,    -1,    -1,  2678,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2714,
      -1,  2716,    -1,    -1,    -1,    -1,  2721,    -1,    -1,    -1,
    2725,    -1,  2727,  2728,  2729,  2730,    -1,  2732,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2745,  2746,  2747,  1793,    -1,  1795,    -1,    -1,    -1,    -1,
      -1,    -1,  2757,  2758,    -1,  1805,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    -1,  2811,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,  1878,    -1,
      -1,    -1,    -1,    -1,    78,    79,  1886,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,  1945,    -1,    -1,  1948,  1949,
      -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2963,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,  2017,    -1,    -1,
      -1,  2976,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,
      -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,  3011,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,
     274,    -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,   315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,
      -1,    -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,
      -1,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2210,    -1,  2212,    -1,    -1,    -1,  2216,    -1,  2218,    -1,
     414,  2221,    -1,   417,    -1,  2225,   420,    -1,    -1,    -1,
    2230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,  3204,
      -1,    -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,
      -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3287,  3288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2362,    -1,    -1,    -1,    -1,    -1,    -1,  2369,
      -1,    -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,  2379,
      -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3355,  3356,    -1,    -1,    -1,  3360,    -1,    -1,    -1,    -1,
    3365,  3366,  3367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3396,  3397,  3398,  3399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3433,    -1,
    3435,  3436,  3437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2499,
      -1,    -1,    -1,  2503,    -1,    -1,    -1,    -1,    -1,  2509,
      -1,  2511,    -1,    -1,  2514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3514,
    2560,    -1,    -1,    -1,    -1,    -1,    -1,  3522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3564,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3608,    -1,    -1,    -1,  3612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,    -1,
      -1,    -1,  3647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2707,    -1,    -1,
      -1,    -1,    -1,    -1,  3669,  2715,    -1,  2717,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   865,  3683,    -1,
      -1,    -1,  3687,    -1,    -1,    -1,   874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   967,
      -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,    -1,   977,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   994,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1099,  1100,  2963,  2964,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3976,    -1,  3978,    -1,    -1,    -1,    -1,    -1,    -1,
    3985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4028,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4073,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4084,
    4085,  4086,    -1,    -1,  4089,  4090,  4091,  4092,  4093,  4094,
      -1,    -1,    -1,    -1,  4099,  4100,    -1,  4102,  4103,  4104,
    4105,  4106,  4107,  4108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4117,    -1,  4119,  4120,    -1,    -1,    -1,  1307,
      -1,    -1,    -1,    -1,    -1,    -1,  1314,    -1,    -1,    -1,
    1318,    -1,    -1,    -1,  3184,    -1,    -1,    -1,    -1,  3189,
      -1,    -1,    -1,    -1,    -1,    -1,  1334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4159,  1343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4291,  4292,  4293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1614,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1642,  1643,  1644,    -1,  1646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1666,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3553,    -1,    -1,    -1,    -1,  3558,    -1,
      -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,  4523,  4524,
    4525,  4526,    -1,    -1,  4529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4551,  4552,  4553,  4554,
      -1,  4556,  4557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1749,    -1,  4568,  4569,  1753,  1754,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4586,    -1,    -1,    -1,    -1,    -1,    -1,  4593,  4594,
      -1,  4596,    -1,    -1,    -1,    -1,    -1,  3647,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4679,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4739,    -1,    -1,    -1,    -1,    -1,
      -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2010,  4828,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2044,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3943,    -1,    -1,    -1,  4902,    -1,    -1,
      -1,    -1,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4920,  2104,    -1,    -1,    -1,
    4925,  4926,  2110,    -1,    -1,    -1,    -1,    -1,  2116,    -1,
      -1,    -1,    -1,    -1,  2122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4981,   973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,  2177,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,  4049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5025,    -1,    -1,    -1,    -1,    -1,    -1,  4077,    -1,    -1,
    5035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2278,  2279,    -1,    -1,    -1,    -1,  2284,  2285,    -1,    -1,
      -1,  5106,    -1,  2291,  2292,  2293,    -1,    -1,    -1,  2297,
      -1,  2299,  2300,  2301,  2302,  2303,  2304,    -1,  2306,    -1,
    2308,  2309,    -1,    -1,  2312,  5130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5139,    -1,    -1,    -1,  2326,  2327,
    2328,  2329,  2330,    -1,    -1,    -1,    -1,  2335,    -1,    -1,
      -1,  2339,    -1,    -1,  2342,  5160,    -1,  2345,  2346,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,    -1,  2355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,  2366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2429,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2443,    -1,  5262,    -1,    -1,
      -1,    -1,    -1,    -1,  2452,  2453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5337,    -1,    -1,    -1,    -1,    -1,  1334,    -1,
      -1,  2529,    -1,    -1,    -1,  2533,  2534,  1343,   973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4452,    -1,  2592,    -1,  5411,    -1,  2596,    -1,
      -1,  2599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,
      -1,  5436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2645,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1099,  1100,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2801,  2802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,  1314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1343,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2946,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4848,  1424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3020,    -1,    -1,  3023,    -1,  1833,  3026,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,    -1,    -1,
    4900,    -1,    -1,    -1,    -1,  3043,    -1,    -1,    -1,    -1,
    3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3071,  3072,  3073,    -1,    -1,  3076,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3084,  3085,  3086,  3087,
    1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3097,
      -1,    -1,  3100,    -1,  3102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3113,  3114,    -1,    -1,  3117,
    1555,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3131,    -1,  3133,    -1,  3135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3166,    -1,
    3168,  3169,  3170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,  3206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,
      -1,    -1,    -1,  3221,    -1,    -1,    -1,  2033,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3235,  2044,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1586,
      -1,    -1,    -1,    -1,    -1,    -1,  3274,    -1,    -1,  3277,
      -1,  3279,    -1,    -1,    -1,  2091,  3284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1614,    -1,    -1,
      -1,    -1,    -1,    -1,  2110,    -1,    -1,    -1,    -1,    -1,
    3308,    -1,    -1,    -1,    -1,    -1,  2122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1642,  1643,  1644,  2134,  1646,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1666,
      -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,
      -1,  2177,    -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,
      -1,  5241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,
      -1,    -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1749,    -1,    -1,    -1,  1753,  1754,    -1,    -1,
      -1,    -1,    -1,  3441,    -1,  3443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,    -1,    -1,
    3558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2033,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3634,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3649,    -1,    -1,    -1,    -1,  2091,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,
      -1,    -1,    -1,    -1,  3702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2529,    -1,    -1,    -1,  2533,  2534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,  2174,
      -1,    -1,  2177,    -1,    -1,    -1,    -1,    -1,    -1,  3747,
      -1,    -1,  3750,    -1,    -1,    -1,    -1,   994,  3756,    -1,
      -1,    -1,    -1,    -1,  3762,    -1,  3764,    -1,    -1,  3767,
      -1,    -1,    -1,  3771,  3772,  3773,  3774,  3775,    -1,    -1,
    3778,  3779,  3780,  3781,  3782,  3783,  3784,  3785,  3786,  3787,
    2596,    -1,    -1,  3791,  3792,    -1,    -1,    -1,  3796,    -1,
      -1,    -1,  2608,  3801,    -1,    -1,    -1,  3805,    -1,    -1,
      -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3817,
      -1,    -1,  3820,    -1,  3822,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3830,  3831,    -1,    -1,  3834,  3835,    -1,  2645,
      -1,  3839,  3840,    -1,    -1,    -1,    -1,    -1,  3846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3856,    -1,
    3858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3870,    -1,    -1,    -1,    -1,    -1,  3876,  3877,
    3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3925,    -1,    -1,
      -1,  2366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2284,    -1,    -1,
      -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2297,    -1,  2299,    -1,    -1,  2302,  2303,  2304,    -1,    -1,
      -1,    -1,  2309,    -1,    -1,  2312,  2802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2327,  2328,  2329,  2330,    -1,    -1,    -1,    -1,  2335,    -1,
      -1,    -1,  2339,    -1,    -1,  2342,    -1,    -1,  2345,  2346,
    2347,  2348,  2349,  2350,  2351,  2352,  2353,    -1,  2355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2363,    -1,    -1,  2366,
      -1,  4049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,    -1,    -1,
     994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2529,    -1,    -1,  1334,  2533,  2534,
      -1,    -1,    -1,    -1,    -1,    -1,  1343,    -1,    -1,    -1,
      -1,    -1,  2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2452,  2453,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2596,  4160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,  4187,
      -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2645,    -1,    -1,    -1,    -1,    -1,    -1,  3023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4235,  4236,  4237,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1555,    -1,
      -1,    -1,  4320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4361,    -1,    -1,    -1,  2802,    -1,    -1,
      -1,    -1,    -1,  4371,  4372,    -1,  4374,    -1,    -1,    -1,
    4378,  4379,    -1,    -1,    -1,  4383,  4384,    -1,    -1,    -1,
    4388,    -1,    -1,  4391,  4392,    -1,    -1,    -1,  4396,    -1,
    1314,    -1,    -1,    -1,  4402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1334,    -1,  4420,    -1,    -1,    -1,  4424,    -1,    -1,  1343,
     973,    -1,    -1,    -1,    -1,    -1,    -1,  2872,  4436,    -1,
      -1,    -1,    -1,  4441,    -1,    -1,    -1,    -1,    -1,  4447,
      -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,  3274,    -1,
      -1,  3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,    -1,
      -1,    -1,    -1,    -1,  2801,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1424,    -1,    -1,  4511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4540,    -1,    -1,    -1,  3352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4560,    -1,    -1,    -1,    -1,  3002,    -1,    -1,
    3376,    -1,    -1,    -1,    -1,    -1,    -1,  4575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,    -1,  3034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4614,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2946,
      -1,    -1,    -1,    -1,    -1,  3441,    -1,  3443,    -1,    -1,
      -1,  1555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1896,
      -1,    -1,  4660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1929,    -1,    -1,    -1,  3502,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4713,    -1,  4715,    -1,    -1,
      -1,  3527,    -1,    -1,    -1,    -1,  3043,    -1,    -1,    -1,
      -1,  3048,    -1,  3168,  3169,  3170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,
      -1,    -1,  3558,    -1,    -1,    -1,  3073,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3084,  4766,  3086,
    3087,  1314,  4770,  2010,    -1,    -1,    -1,  4775,    -1,    -1,
    3097,    -1,    -1,  3100,    -1,  3102,    -1,    -1,  2025,    -1,
      -1,  1334,    -1,    -1,  4792,  4793,  2033,    -1,  4796,    -1,
    1343,    -1,    -1,    -1,    -1,    -1,    -1,  2044,    -1,    -1,
    3616,    -1,  4810,    -1,  3131,    -1,  3133,  4815,  3135,    -1,
      -1,    -1,  4820,    -1,    -1,  4823,  4824,    -1,  3634,    -1,
      -1,    -1,    -1,  4831,  4832,    -1,    -1,    -1,    -1,  3274,
      -1,    -1,  3277,  3649,  3279,    -1,    -1,    -1,    -1,  3284,
      -1,  3168,  3169,  3170,  2091,  4853,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4867,
      -1,    -1,    -1,  2110,    -1,    -1,  3193,    -1,    -1,    -1,
      -1,  1424,    -1,    -1,    -1,  2122,    -1,    -1,    -1,  3206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,    -1,
    3335,    -1,  4900,    -1,  3221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4910,    -1,    -1,    -1,    -1,  3352,    -1,  1833,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,
    2177,  3376,    -1,    -1,  3750,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4961,    -1,  3771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3796,  3308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3441,    -1,  3443,    -1,
      -1,    -1,  1555,    -1,  5012,  1929,  5014,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3830,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5044,  5045,    -1,  5047,
      -1,  5049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5073,    -1,    -1,    -1,  5077,
      -1,    -1,    -1,    -1,    -1,  5083,    -1,    -1,    -1,  2326,
    5088,    -1,  3527,    -1,    -1,    -1,  2010,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2025,  5110,    -1,    -1,    -1,    -1,    -1,  3553,  2033,
      -1,    -1,    -1,  3558,    -1,    -1,    -1,    -1,    -1,    -1,
    2044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5140,    -1,    -1,    -1,  5144,  5145,  3954,    -1,
      -1,  5149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2091,    -1,    -1,
      -1,  3616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5190,    -1,    -1,    -1,  2110,    -1,    -1,  3634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2122,    -1,
      -1,    -1,  5210,    -1,  3649,    -1,    -1,    -1,    -1,    -1,
    2134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5230,  5231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4049,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5253,    -1,    -1,  5256,    -1,
    2174,    -1,    -1,  2177,    -1,    -1,    -1,  5265,    -1,    -1,
      -1,    -1,  5270,    -1,  5272,    -1,  5274,    -1,    -1,    -1,
      -1,    -1,    -1,  5281,    -1,    -1,    -1,    -1,    -1,    -1,
    1833,    -1,  2529,    -1,    -1,    -1,  2533,  2534,    -1,    -1,
      -1,  5299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3750,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3771,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5350,  1896,    -1,    -1,    -1,    -1,    -1,  2596,
      -1,  3796,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2608,   973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4187,    -1,  5381,  5382,    -1,  1929,    -1,    -1,    -1,
      -1,    -1,    -1,   994,  5392,  3830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2645,    -1,
      -1,    -1,  2326,    -1,  5412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4235,
    3747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3756,
      -1,    -1,    -1,  3878,    -1,  3762,    -1,  3764,    -1,  5447,
      -1,    -1,    -1,    -1,    -1,  5453,  5454,    -1,  5456,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,
      -1,    -1,    -1,    -1,  3791,  3792,    -1,  5475,    -1,    -1,
      -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2033,    -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3817,  2044,    -1,  3820,    -1,  3822,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3831,    -1,    -1,    -1,    -1,  3954,
      -1,    -1,  3839,  3840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2091,    -1,
      -1,    -1,    -1,  3870,    -1,    -1,  5554,  5555,    -1,  3876,
    3877,  3878,    -1,    -1,    -1,  2802,    -1,  2110,  4374,    -1,
    5568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4384,  2122,
      -1,    -1,  5580,  5581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3925,    -1,
      -1,    -1,    -1,    -1,  4049,  2529,    -1,    -1,    -1,  2533,
    2534,  3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2174,    -1,    -1,  2177,  2872,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1314,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2645,    -1,  1334,  4540,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4187,    -1,  4560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2326,    -1,    -1,  3023,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,    -1,
    4235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4614,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4715,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4236,
    4237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4384,
      -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,  2872,    -1,
      -1,    -1,    -1,    -1,  4770,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2529,    -1,    -1,    -1,
    2533,  2534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4436,    -1,  4320,    -1,    -1,  4441,    -1,    -1,    -1,
      -1,    -1,  4447,    -1,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,    -1,    -1,
    3277,    -1,  3279,    -1,    -1,    -1,    -1,  3284,    -1,    -1,
      -1,    -1,    -1,  2596,  4371,  4372,    -1,    -1,    -1,    -1,
      -1,  4378,  4379,    -1,    -1,  2608,  4383,    -1,    -1,    -1,
      -1,  4388,    -1,    -1,  4391,  4392,  4511,    -1,    -1,  4396,
      -1,    -1,    -1,    -1,    -1,  4402,    -1,    -1,  3002,    -1,
      -1,    -1,    -1,    -1,  4900,    -1,    -1,    -1,  3335,    -1,
      -1,    -1,  2645,    -1,    -1,  4540,    -1,    -1,    -1,  3023,
      -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,  4436,
    3034,    -1,    -1,    -1,  4441,  4560,  1658,    -1,    -1,    -1,
    4447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,  4614,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1735,  3441,    -1,  3443,    -1,  5014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1833,    -1,    -1,    -1,    -1,    -1,    -1,  5045,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4575,  2802,
      -1,    -1,    -1,    -1,    -1,  3502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5083,  4713,    -1,
    4715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3527,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3553,    -1,    -1,    -1,
      -1,  3558,    -1,    -1,    -1,    -1,    -1,    -1,  1929,  2872,
      -1,    -1,  4649,    -1,  5140,  4770,    -1,    -1,  5144,  5145,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3274,    -1,    -1,  3277,    -1,  3279,    -1,    -1,    -1,    -1,
    3284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3634,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,
      -1,    -1,  3649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3335,    -1,    -1,  2025,  5231,    -1,    -1,    -1,    -1,
      -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,    -1,    -1,  2044,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,
      -1,    -1,  3376,    -1,    -1,  4900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4792,  4793,    -1,    -1,  4796,
    3023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2091,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2110,
      -1,    -1,    -1,  3750,  4831,  4832,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,    -1,    -1,    -1,    -1,  3441,    -1,  3443,
      -1,    -1,    -1,  2134,  3771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3796,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2174,    -1,    -1,  2177,    -1,    -1,  5014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3502,    -1,
      -1,    -1,    -1,  3830,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5045,    -1,    -1,  3527,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3553,
      -1,    -1,    -1,    -1,  3558,    -1,    -1,    -1,  5083,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3616,    -1,    -1,  5140,    -1,    -1,    -1,  5144,
    5145,    -1,    -1,    -1,    -1,    -1,    -1,  3954,    -1,    -1,
    3634,    -1,    -1,    -1,    -1,  2326,    -1,    -1,    -1,    -1,
    5047,  3274,    -1,    -1,  3277,  3649,  3279,    -1,    -1,    -1,
      -1,  3284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2282,    -1,    -1,    -1,    -1,    -1,  5073,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2296,    -1,    -1,    -1,  2300,    -1,
      -1,  5088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2314,  2315,  2316,    -1,    -1,  2319,    -1,    -1,
      -1,    -1,  3335,  5110,    -1,  5230,  5231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,
      -1,    -1,  4049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2361,
      -1,    -1,  5149,  3376,    -1,    -1,  3750,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3796,    -1,  2416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5210,    -1,    -1,    -1,    -1,  3441,    -1,
    3443,    -1,    -1,    -1,    -1,    -1,    -1,  2439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3830,    -1,    -1,  2451,
      -1,    -1,    -1,    -1,  2456,    -1,    -1,    -1,  2529,    -1,
      -1,    -1,  2533,  2534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4187,    -1,    -1,    -1,    -1,    -1,    -1,  5274,    -1,  3502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5299,    -1,  3527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2596,    -1,    -1,  4235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,
    3553,    -1,    -1,    -1,    -1,  3558,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3954,    -1,    -1,    -1,  2645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5381,  5382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3616,    -1,  5392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3634,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3649,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4049,    -1,  4374,    -1,  5456,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4384,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2802,    -1,    -1,    -1,    -1,    -1,  3750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5554,  5555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2872,    -1,  4187,  4511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4235,    -1,  4560,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4614,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4715,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3046,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4770,  3066,    -1,  3068,    -1,    -1,  3071,
    3072,    -1,  3074,    -1,  3076,    -1,    -1,    -1,  3080,    -1,
      -1,  3083,    -1,    -1,    -1,    -1,  3088,    -1,    -1,    -1,
      -1,    -1,  3094,    -1,    -1,    -1,    -1,  3099,    -1,    -1,
      -1,    -1,    -1,    -1,  3106,  3107,  3108,  3109,    -1,    -1,
      -1,  3113,  3114,    -1,  3116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3128,  4511,  3130,    -1,
      -1,    -1,    -1,    -1,    -1,  3137,  3138,  3139,  3140,  3141,
    3142,  3143,  3144,  3145,  3146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4540,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3174,    -1,  4187,    -1,  4560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4900,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3274,    -1,    -1,  3277,    -1,  3279,    -1,
      -1,    -1,    -1,  3284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3376,    -1,  5014,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4715,    -1,    -1,    -1,    -1,    -1,    -1,  5045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3441,  4384,  3443,    -1,    -1,    -1,  5083,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4770,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3502,    -1,  5140,    -1,    -1,    -1,  5144,  5145,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3553,    -1,    -1,    -1,    -1,  3558,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4900,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5231,    -1,    -1,  4540,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3616,    -1,  4560,    -1,    -1,
      -1,    -1,  3554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3634,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3649,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3750,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5083,
    3771,    -1,  4715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3796,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3746,    -1,    -1,    -1,    -1,    -1,
    3752,    -1,    -1,    -1,    -1,    -1,  5140,  4770,    -1,  3830,
    5144,  5145,    -1,    -1,    -1,    -1,  3768,  3769,    -1,    -1,
    3772,  3773,  3774,  3775,    -1,    -1,  3778,  3779,  3780,  3781,
    3782,  3783,  3784,  3785,  3786,  3787,  3788,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3810,    -1,
      -1,  3813,    -1,  3815,    -1,    -1,  3818,  3819,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3833,  3834,  3835,  3836,    -1,  3838,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3954,    -1,    -1,    -1,  4900,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3906,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4049,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5140,    -1,    -1,
      -1,  5144,  5145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4160,    -1,
      -1,    -1,    -1,    -1,  4235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4374,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4384,    -1,    -1,    -1,    -1,    -1,  4321,
      -1,    -1,    -1,  4325,  4326,  4327,    -1,    -1,    -1,    -1,
      -1,  4333,  4334,  4335,  4336,    -1,    -1,    -1,    -1,  4341,
    4342,  4343,  4344,  4345,  4346,  4347,  4348,  4349,  4350,  4351,
    4352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4377,    -1,    -1,  4380,    -1,
    4382,    -1,    -1,    -1,  4386,    -1,    -1,  4389,  4390,    -1,
      -1,  4393,  4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4438,    -1,    -1,    -1,
    4511,    -1,    -1,  4445,  4446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4540,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4560,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4614,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4715,    -1,    -1,    -1,    -1,    -1,
    4652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4710,  4711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4760,    -1,
      -1,    -1,    -1,  4765,  4766,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,    -1,
    4782,    -1,    -1,    -1,  4786,  4787,  4788,    -1,    -1,  4791,
      -1,    -1,  4794,  4795,    -1,    -1,    -1,  4799,    -1,    -1,
      -1,  4803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,  4865,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    -1,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,  4921,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,  4966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,  5045,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,  5083,    -1,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5043,  5044,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   221,  5059,  5060,  5061,
      -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,  5140,
     235,    -1,    -1,  5144,  5145,    -1,   241,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,  5095,  5096,    -1,    -1,    -1,    -1,    -1,
     265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,
      -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,
    5231,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5245,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,  5261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5311,
      -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,    -1,    -1,    -1,    -1,  5349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,  5527,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5567,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     3,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,   532,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   104,    -1,   106,   107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,   118,    -1,    -1,
     121,   122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   162,    -1,   164,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,
     181,   182,   183,   184,    -1,    -1,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,   196,    -1,   198,    -1,    -1,
      -1,   202,    -1,    -1,    -1,    -1,    -1,   208,   209,    -1,
      -1,    -1,    -1,    -1,    -1,   216,   217,   218,    -1,    -1,
     221,    -1,    -1,   224,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,   239,    -1,
     241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,   266,    -1,    -1,   269,    -1,
      -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,
      -1,   322,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,
     361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,   373,    -1,    -1,    -1,    -1,   378,   379,    -1,
     381,    -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,
     391,   392,    -1,   394,    -1,   396,    -1,    -1,   399,    -1,
      -1,    -1,    -1,   404,   405,    -1,    -1,    -1,    -1,    -1,
      -1,   412,    -1,   414,    -1,   416,   417,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,    -1,    -1,    -1,   438,    -1,   440,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,
      -1,    -1,   453,    -1,   455,    -1,   457,    -1,   459,    -1,
      -1,    -1,    -1,   464,    -1,    -1,   467,    -1,    -1,   470,
      -1,    -1,   473,    -1,    -1,    -1,    -1,   478,   479,    -1,
      -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,    -1,    -1,    -1,
      -1,   512,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
      -1,    10,    11,    12,    -1,   526,    -1,    16,    -1,   530,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,
      -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,
      -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
      -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,   533,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,
     526,   527,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,   527,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,   527,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
     527,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,   527,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   527,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,    -1,
      -1,    -1,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,    -1,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,    -1,    -1,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,   358,    -1,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   527,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,    -1,    -1,    -1,    -1,    -1,   524,   525,   526,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,
      -1,   526,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,   271,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   526,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   527,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,   525,   526,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,   512,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,   512,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   526,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    84,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,   219,
     220,    -1,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,   452,    -1,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,
      -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,   519,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,    -1,    -1,    -1,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,    -1,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,    -1,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
     358,    -1,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,    -1,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,   509,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   519,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   519,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   519,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,   234,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   517,   518,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,   234,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,   234,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
     234,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     4,   515,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,    -1,   124,    -1,
      -1,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,    -1,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,    -1,    -1,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,    -1,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,    -1,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
      -1,   317,   318,    -1,    -1,   321,   322,   323,   324,    -1,
      -1,   327,    -1,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,    -1,    -1,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,    -1,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    -1,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,    -1,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,   231,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,   231,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,   231,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,   168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,   231,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,    -1,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,    -1,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,    -1,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,
      -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,
     266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,    -1,
      -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   315,
     316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,
     326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,   345,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,
     396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,   499,   500,   501,   502,   503,   504,   505,
     506,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,    -1,
     235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,   274,
      -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,    -1,
      -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,    -1,
     345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
      -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,    -1,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   233,
      -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   265,   266,    -1,    -1,    -1,    -1,    -1,   272,    -1,
     274,    -1,    -1,   277,   278,    -1,   280,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,   315,   316,    -1,    -1,   319,    -1,    -1,    -1,   323,
      -1,    -1,   326,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   343,
      -1,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,   359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     414,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,    -1,    -1,    -1,    -1,   453,
      -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   498,   499,   500,   501,   502,   503,
     504,   505,   506,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
     233,    -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   265,   266,    -1,    -1,    -1,    -1,    -1,   272,
      -1,   274,    -1,    -1,   277,   278,    -1,   280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   314,   315,   316,    -1,    -1,   319,    -1,    -1,    -1,
     323,    -1,    -1,   326,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,
     343,    -1,   345,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,    -1,    -1,    -1,    -1,
     453,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,   482,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,
      79,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,   106,   107,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,   508,
     509,    70,    71,   512,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,   526,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,   508,
     509,    -1,    -1,    -1,    -1,    -1,    70,    71,   517,   518,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    -1,   508,   509,    -1,    -1,    -1,    -1,
      -1,    70,    71,   517,   518,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,   508,
     509,    -1,    -1,    -1,    -1,    -1,    70,    71,   517,   518,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    -1,   508,   509,    -1,    -1,    -1,    -1,
      -1,    70,    71,   517,   518,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,   508,
     509,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,   508,   509,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,   508,   509
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   535,  1139,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   209,   227,   248,
     271,   307,   310,   325,   403,   449,   464,   479,   507,   515,
     517,   518,   519,   520,   521,   524,   525,   526,   527,   529,
     530,   531,   532,   533,  1129,  1140,  1168,  1170,  1261,  1271,
    1272,  1274,  1280,  1281,  1169,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   196,   198,   202,
     208,   209,   216,   217,   218,   221,   224,   227,   233,   235,
     239,   241,   243,   251,   255,   265,   266,   272,   274,   277,
     278,   280,   289,   290,   292,   294,   295,   300,   311,   314,
     315,   316,   319,   322,   323,   326,   328,   342,   343,   345,
     346,   357,   359,   361,   372,   373,   378,   379,   381,   386,
     391,   392,   394,   396,   399,   404,   405,   412,   414,   416,
     417,   420,   426,   434,   438,   440,   447,   448,   453,   455,
     457,   459,   464,   467,   473,   478,   479,   482,   491,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   512,   526,
     536,   537,   543,   544,   546,   547,   548,   549,   550,   551,
     552,   554,   555,   559,   571,   576,   577,   580,   581,   582,
     594,   597,   598,   614,   653,   656,   657,   658,   665,   671,
     673,   675,   676,   679,   682,   683,   687,   688,   697,   701,
     702,   703,   704,   705,   708,   710,   711,   712,   713,   714,
     721,   734,   735,   739,   741,   742,   743,   753,   755,   762,
     763,   766,   767,   768,   769,   770,   776,   778,   781,   785,
     789,   790,   800,   801,   804,   809,   820,   843,   846,   847,
     848,   851,   854,   856,   858,   860,   861,   866,   867,   870,
     871,   872,   879,   880,   882,   883,   884,   889,   891,   892,
     898,   899,   900,   901,   902,   903,   905,   906,   908,   909,
     911,   914,   915,   920,   926,   929,   931,   939,   941,   946,
     953,   957,   958,   959,   960,   961,   962,   965,  1000,  1136,
    1137,  1141,  1143,  1144,  1161,  1162,  1163,  1164,  1175,  1177,
    1181,  1182,  1183,  1184,  1185,  1187,  1189,  1191,  1192,  1193,
    1194,  1196,  1201,  1202,  1206,  1207,  1216,  1218,  1219,  1220,
    1223,  1228,  1231,  1236,  1238,  1239,  1242,  1244,  1247,  1256,
    1274,  1282,    72,  1164,  1172,  1173,    14,    71,    94,    95,
      96,    97,    98,    99,   100,   101,   103,   104,   105,   113,
     114,   116,   117,   119,   120,   121,   128,   129,   130,   131,
     132,   135,   136,   139,   141,   142,   143,   144,   149,   150,
     151,   152,   154,   155,   158,   159,   160,   161,   162,   163,
     166,   167,   175,   176,   177,   178,   179,   181,   184,   186,
     188,   189,   190,   191,   192,   194,   195,   196,   199,   200,
     201,   202,   203,   205,   206,   207,   209,   210,   211,   213,
     214,   215,   216,   218,   219,   220,   223,   225,   226,   228,
     230,   232,   236,   237,   238,   240,   244,   246,   247,   249,
     250,   252,   253,   254,   255,   257,   258,   259,   260,   261,
     262,   264,   268,   269,   270,   276,   279,   281,   282,   283,
     284,   285,   288,   291,   294,   295,   296,   299,   300,   301,
     302,   303,   304,   305,   306,   308,   309,   311,   312,   313,
     317,   318,   321,   322,   324,   327,   329,   330,   331,   333,
     336,   337,   338,   341,   344,   347,   348,   349,   350,   351,
     352,   353,   355,   356,   358,   360,   361,   362,   364,   365,
     366,   367,   368,   369,   370,   371,   373,   374,   375,   376,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   390,   391,   393,   394,   395,   397,   398,   399,   400,
     401,   402,   404,   406,   407,   408,   409,   410,   411,   412,
     413,   415,   416,   418,   419,   421,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   436,   437,   439,
     441,   442,   443,   444,   445,   449,   451,   452,   454,   457,
     458,   459,   460,   461,   462,   463,   466,   467,   468,   469,
     470,   473,   474,   475,   476,   477,   481,   483,   484,   485,
     486,   489,   492,   493,   494,   495,   496,   497,   508,   509,
    1131,  1132,  1134,  1135,  1136,  1137,  1154,  1155,  1266,  1268,
    1272,  1274,    29,   267,  1217,     9,    13,    15,    28,    44,
      45,    49,    50,    55,    64,    66,    68,    69,   102,   137,
     156,   168,   180,   185,   248,   307,   310,   403,   478,   507,
    1122,  1135,  1136,  1156,  1203,  1204,  1246,  1247,  1248,  1252,
    1257,  1258,  1259,  1268,  1274,   102,   954,  1121,  1156,  1252,
    1265,    14,   954,     5,    25,    29,    35,    36,    42,    43,
     102,   106,   107,   108,   109,   110,   111,   112,   115,   127,
     133,   134,   137,   140,   146,   148,   156,   157,   164,   168,
     169,   170,   171,   173,   174,   175,   185,   187,   193,   197,
     198,   204,   208,   212,   222,   224,   229,   231,   234,   239,
     242,   245,   256,   263,   267,   271,   273,   275,   286,   287,
     293,   297,   298,   320,   325,   332,   334,   335,   339,   340,
     354,   363,   377,   389,   405,   411,   422,   435,   438,   446,
     449,   450,   456,   464,   465,   471,   472,   478,   480,   487,
     488,   490,   491,  1135,  1138,  1248,  1249,  1250,  1254,  1255,
    1256,  1257,  1259,    25,    35,   137,   271,  1243,    37,    39,
     320,  1176,   451,   494,   885,   101,   147,   161,   179,   185,
     200,   211,   219,   231,   236,   242,   259,   284,   305,   336,
     356,   366,   393,   398,   400,   406,   409,   437,   438,   441,
     445,   454,   459,   471,   484,   672,  1204,   184,   885,   102,
     954,   482,   916,   334,   362,   885,   124,   605,   958,   101,
     113,   134,   147,   157,   179,   185,   200,   211,   219,   231,
     238,   242,   296,   336,   339,   356,   393,   400,   409,   441,
     442,   444,   445,   454,   459,   465,   468,   471,   615,   655,
     758,   810,   821,  1122,  1145,  1146,  1147,  1156,  1272,  1274,
      14,   102,   361,  1121,  1156,  1160,   427,   954,   102,   355,
     407,   442,   444,   283,   852,   853,  1272,   101,   113,   134,
     147,   161,   179,   200,   211,   219,   231,   236,   242,   259,
     305,   336,   347,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   471,   484,   672,   771,   885,
     532,  1186,  1250,   252,  1160,   164,   184,   216,   482,   526,
     653,   656,   915,   921,   929,   931,   939,   946,   953,   957,
    1141,    95,   102,   119,   226,   232,   234,   256,   285,   317,
     364,   380,   517,   518,   786,   787,   954,  1129,  1130,  1266,
    1268,   102,   164,   377,   405,   791,   792,   793,  1252,   231,
    1252,  1126,  1272,   438,   968,   119,   232,   786,  1252,   451,
    1160,   347,   305,   179,   259,   400,   437,   438,   526,   862,
     863,   399,  1252,   102,   137,   410,   447,   451,   478,   563,
     572,   573,  1135,  1136,  1246,  1251,  1257,  1259,  1274,    99,
     239,   791,   792,   362,   885,  1252,   282,   102,   197,   970,
     971,     4,    14,   135,   156,   158,   296,   313,   393,   400,
     410,   447,   451,   497,   560,   561,   562,   563,   102,   410,
     447,   451,   563,   451,   335,  1011,  1119,  1252,   968,  1240,
    1250,   519,  1252,   235,   526,   917,   526,  1114,   375,   963,
     964,  1121,   963,   958,   959,   962,   530,   916,   212,   273,
     340,   464,   972,   973,   958,   960,   961,   190,   269,   470,
     529,   121,   536,  1184,  1187,  1183,  1179,   530,  1188,  1190,
       5,    25,    35,   137,   201,   271,  1195,   180,   248,   307,
     310,   403,   507,   526,  1048,  1049,  1167,  1171,  1261,    72,
    1164,  1121,  1156,  1275,   185,  1145,    21,   472,   520,  1160,
    1160,  1275,   472,  1208,  1209,  1210,    25,   271,   271,  1254,
       7,    19,    20,    38,    41,   160,   198,  1245,  1245,    16,
    1184,  1127,  1137,  1246,  1249,  1252,  1253,  1257,  1258,  1274,
     773,  1252,   773,  1122,   365,   773,   454,   773,  1121,  1252,
     178,   438,   799,  1127,  1131,  1132,   102,   250,  1119,   329,
     484,    84,    91,    92,    93,   142,   223,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   850,  1081,  1082,  1252,
     250,  1121,   102,  1131,  1132,  1121,  1121,   250,  1119,  1121,
     386,   412,   102,   250,  1011,  1121,   402,  1121,   773,   102,
     303,  1131,  1132,   250,  1119,   283,    34,   187,   279,   320,
     371,   886,   887,   888,  1119,  1125,  1252,   101,   134,   147,
     148,   157,   161,   179,   200,   211,   219,   231,   236,   259,
     284,   305,   336,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   484,   672,   779,  1272,  1119,
     449,  1127,  1121,   526,   773,   454,  1122,   773,   454,   250,
    1121,   178,   438,   442,   444,  1131,   442,   444,   142,   223,
     850,   384,  1121,  1131,   250,   556,  1252,  1121,  1121,   402,
    1121,   773,   303,  1131,   375,   406,   438,   484,   305,   161,
     259,   236,   398,   452,   458,   666,    84,  1148,  1149,   531,
    1268,  1275,   102,  1160,  1274,   955,   570,  1134,  1272,   853,
     250,  1127,  1121,   250,   857,   250,  1122,   123,   125,   126,
     137,   138,   182,   183,   201,   227,   250,   271,   272,   274,
     314,   316,   328,   372,   414,   420,   447,   448,   479,   775,
    1026,  1028,  1030,  1032,  1034,  1036,  1037,  1038,  1040,  1041,
    1042,  1045,  1046,  1246,  1253,  1257,  1258,  1274,   454,   178,
     438,   250,  1127,   250,  1132,  1133,   153,   484,   142,   223,
     250,   850,   128,   250,  1121,   250,  1133,   250,  1121,   250,
    1121,   250,  1121,   402,   857,   250,  1121,   250,   775,   250,
     303,  1133,   283,   250,   772,   773,   526,   532,  1276,  1277,
    1278,  1279,  1281,  1186,    70,  1156,  1205,   526,   930,   615,
     954,   921,   915,   922,   923,   924,  1134,   916,  1130,   787,
     788,   102,   787,   954,  1130,   788,   102,   787,   954,  1130,
     788,   788,   788,  1130,  1129,  1129,   275,   472,  1210,  1211,
    1285,  1287,   954,   788,   365,   526,   526,   634,   634,   634,
     334,   449,   529,   634,   400,  1011,  1012,   787,   954,   787,
     954,   529,   881,  1272,   234,   526,   927,   128,   484,   482,
     864,   865,  1119,  1121,  1252,   118,   509,   279,   528,   337,
     337,   334,   234,  1272,   449,   229,   782,   334,    82,    83,
      84,    86,   110,   123,   125,   126,   133,   134,   137,   138,
     145,   147,   169,   170,   171,   172,   173,   174,   175,   182,
     183,   217,   221,   222,   227,   241,   243,   272,   274,   289,
     297,   298,   314,   316,   320,   325,   326,   328,   336,   346,
     357,   372,   396,   411,   420,   434,   447,   448,   453,   455,
     456,   465,   471,   479,   499,   500,   501,   502,   503,   504,
     505,   506,   510,   517,   518,   519,   526,   958,  1029,  1032,
    1035,  1036,  1037,  1039,  1040,  1041,  1045,  1046,  1050,  1052,
    1053,  1054,  1056,  1077,  1078,  1079,  1083,  1102,  1107,  1116,
    1117,  1127,  1128,  1129,  1252,  1264,  1266,  1268,  1269,  1270,
    1271,  1272,  1115,  1116,   449,   515,  1275,  1272,   449,   515,
    1204,   102,   578,  1118,  1119,   410,   560,   185,   569,  1272,
     570,  1272,   118,   139,   560,   509,   421,   887,   337,   234,
     449,   515,   118,   509,   279,  1285,   888,   526,  1119,   519,
     524,   528,  1108,  1109,  1012,  1256,   233,   235,   482,   912,
     913,   915,   233,   918,   185,  1050,  1112,  1113,   963,   529,
     526,   919,   527,   527,  1119,   102,   197,   969,   969,   128,
     969,   224,   229,   293,   332,   976,   978,   979,   994,   996,
     997,   998,   972,   973,   234,   275,  1011,  1013,  1114,   530,
    1178,   519,  1197,  1198,  1200,   532,   532,    25,   271,   271,
     449,   449,   449,   449,   526,   449,   517,   518,   663,  1130,
    1165,  1271,   208,   111,  1152,   128,  1155,  1155,   275,  1210,
    1212,   275,  1210,  1211,  1212,   477,  1221,  1222,  1268,    14,
      83,   423,   517,   518,  1129,  1213,  1214,  1215,  1264,  1266,
    1270,  1271,  1272,  1273,   271,   277,  1121,   449,  1121,     6,
    1121,  1245,  1200,   526,   833,  1109,   348,   382,   412,   528,
     774,   348,   382,   412,   156,   206,   299,   348,   382,   412,
     441,   443,   491,   571,   574,   893,   894,   895,   896,  1274,
     805,    98,   202,   348,   382,   412,   475,   585,  1121,   412,
      98,   202,   470,   553,   495,   250,  1011,   130,   163,   220,
     253,   288,   320,   348,   382,   390,   397,   404,   412,   424,
     432,   486,   571,   575,   836,   844,   526,   822,   382,   553,
     256,   217,    98,   104,   144,   195,   202,   205,   230,   261,
     318,   320,   330,   338,   348,   382,   385,   386,   412,   475,
     583,   584,   691,   663,   102,   250,  1119,   773,   773,   526,
     849,   528,   217,   334,   256,   545,   382,   491,   512,   538,
     545,   334,   348,   382,   217,   129,   177,   258,   306,   308,
     318,   347,   382,   387,   412,   426,   583,   660,   661,   348,
     382,   483,   691,   699,   573,   561,   563,   256,   217,   382,
     412,   583,   348,   382,   386,   412,   154,   194,   349,   443,
     334,    98,   104,   202,   348,   382,   412,   595,   596,   545,
     229,   382,   538,   545,   217,   382,   412,   583,  1121,   530,
     291,   187,   335,   496,   529,   886,   472,   910,   334,  1127,
     526,  1121,  1026,   454,   178,   438,  1127,   329,   484,   142,
     223,   850,  1121,  1121,   402,   229,  1121,  1026,   283,   773,
     634,   368,   600,   526,   748,   833,   140,  1026,   234,   526,
     744,  1121,   538,   111,   904,  1121,   320,   538,   495,   250,
    1119,   538,   773,   773,   744,   468,   615,   334,   538,   320,
     118,   557,   459,   698,   348,   674,   154,   194,   349,   443,
     100,   120,   270,   722,   111,   744,   229,   538,   484,   250,
    1119,   250,   651,  1119,  1119,   484,   773,   153,   811,  1127,
    1121,   229,   672,    73,  1150,  1252,   531,  1151,  1148,   124,
     176,   268,   318,   401,   217,   833,   131,   388,   586,   217,
     526,   217,   481,  1043,  1043,  1043,   526,  1031,  1031,   359,
     526,  1033,   217,   137,   138,  1043,  1031,  1028,   493,   512,
     526,  1047,   526,  1047,   529,   586,   110,  1027,   138,   526,
    1044,   180,   310,   507,   526,  1048,   774,  1031,   495,   217,
     822,   217,   529,   250,   772,   250,   773,   250,   773,   217,
     849,  1133,   217,   334,   217,   217,   334,   217,   586,   217,
     154,   194,   349,   443,   229,   217,   334,   217,   586,   217,
     229,   250,   250,   570,   217,   529,   586,   527,  1277,  1278,
    1276,   529,   533,  1050,  1086,  1209,  1284,  1285,   438,   955,
     527,   529,   222,   334,   456,   567,   570,   663,   925,   921,
     788,   954,   788,   954,  1287,  1288,   788,   954,   788,   954,
    1288,   788,   954,   954,   954,   788,    14,   423,  1260,  1263,
    1268,   954,   526,   635,   636,  1252,   635,   102,   179,   200,
     231,   236,   283,   284,   400,   406,   438,   441,   459,   794,
    1118,  1133,   793,  1121,   256,   529,   942,   954,   954,  1272,
    1205,  1026,  1089,   111,  1133,   811,   527,   529,   291,  1252,
     229,   229,   794,  1133,   399,  1252,   570,   334,   526,   524,
     958,  1090,  1050,  1106,   526,   526,   229,   526,   526,   958,
     526,   526,   526,   526,   526,   526,  1050,   526,   526,   526,
     526,   526,   526,   526,   526,   958,   526,   526,   526,   526,
     526,   526,   526,   526,  1050,  1050,  1050,   478,   958,  1050,
    1086,  1109,  1272,   526,  1272,    84,    87,    91,    92,    93,
     108,   111,   116,   122,   146,   251,   256,   277,   278,   292,
     323,   336,   339,   417,   510,   513,   514,   515,   517,   518,
     519,   520,   521,   522,  1081,  1083,  1085,  1274,   492,  1065,
     345,  1050,   275,   529,   966,  1285,   526,  1272,  1109,    22,
    1267,  1268,  1110,   966,   331,   334,  1237,  1237,    10,   477,
    1224,  1225,  1227,  1204,  1204,   188,   252,   579,   529,   139,
     185,   570,   111,   185,   296,   568,   663,  1046,  1272,  1274,
    1272,   159,   199,  1062,   168,   185,   564,   565,   567,   663,
     185,   564,  1285,  1285,   291,  1119,  1050,   519,  1124,  1254,
    1108,   160,   387,   777,   277,   527,   529,   916,   527,   529,
     964,  1120,  1121,   111,   919,   960,   960,   974,   975,  1050,
     960,   226,   317,   985,   281,   318,   371,   415,   470,   102,
     980,  1050,   517,   518,   981,   982,  1050,  1052,   994,   995,
     979,   978,   976,   977,   229,   997,   330,   999,   976,   994,
    1013,   932,  1119,   111,  1252,   412,  1197,   519,   529,   530,
    1255,  1174,  1177,  1174,   271,   180,   248,   307,  1049,   307,
    1049,  1049,   310,  1129,   307,   310,   403,  1271,  1271,   529,
    1166,   184,  1204,   471,  1153,  1155,  1121,   423,  1129,  1226,
    1268,   529,   515,  1121,    14,  1129,  1271,  1129,  1271,   529,
    1184,   526,  1121,   526,  1256,   256,   266,   340,   342,   414,
     480,   519,   826,   827,   828,   830,   832,   834,  1026,  1253,
     348,   382,   412,   449,   449,   400,  1124,   528,   449,   449,
     400,   293,   449,   449,   441,   560,   348,   893,   895,   515,
     897,   229,   239,   256,   391,   806,   807,   140,   157,   213,
     231,   363,   465,   631,   632,   157,   185,   320,   449,   157,
     449,   185,   320,   400,   157,   195,   205,   348,   382,   740,
     400,   680,   101,   134,   147,   161,   200,   211,   231,   236,
     305,   336,   400,   406,   409,   438,   445,   452,   459,   484,
     672,  1121,   217,   382,   412,   583,   334,   663,   404,   288,
     449,   449,   325,   663,   189,   276,   400,   410,   451,   562,
     388,   412,   836,   845,   527,   823,   826,   449,   471,   441,
    1119,   148,   213,   622,   631,  1252,   148,   157,   868,   334,
     396,   398,   454,   157,   868,   105,   385,   396,   398,   454,
     396,  1119,   230,   261,   330,   773,   526,   449,   449,   249,
     526,   590,   302,   441,   468,   491,   493,   590,   157,   529,
     348,   256,   217,   382,   412,   583,   472,   472,   319,  1026,
     348,   412,   850,  1121,  1119,   179,   412,   574,   449,   540,
     574,  1119,   449,   449,  1119,   663,   128,   662,   663,   663,
     177,   306,   308,   128,   449,   538,   400,   538,   318,   661,
     449,   449,   325,  1272,   691,   441,  1011,   157,   449,   868,
     400,   449,   449,   590,   590,   773,   773,   773,   773,  1119,
     117,   477,   117,   117,   449,   117,   449,   400,   529,   574,
     471,   709,  1132,   449,   540,   574,  1119,   449,   400,   348,
     382,   371,   383,   408,   566,   886,  1125,  1252,  1119,   833,
    1026,   334,   277,   495,   822,   663,   773,   773,   849,   334,
     277,   334,   154,   194,   349,   443,  1026,   334,   277,   773,
     277,   491,   606,   429,   430,   601,  1272,   749,   750,  1274,
     744,   526,   111,   773,   745,   746,  1254,   100,   893,  1026,
     334,   217,   677,  1121,   320,   526,   539,   758,   472,   375,
     484,  1119,   539,   217,  1132,   164,   239,   558,   614,   657,
     721,   789,   809,   889,  1272,   699,   700,  1132,   299,   773,
     773,   773,   773,   330,   190,   269,   457,   470,   723,   724,
     209,   370,   526,   709,   539,  1119,   320,   659,   660,   320,
     111,   330,   526,   634,   634,   250,   654,  1119,   229,   250,
     812,  1125,   526,   824,   111,  1026,   283,   528,  1129,  1151,
     491,   493,   956,   401,  1127,   586,  1026,  1122,   526,  1086,
    1129,   775,  1043,  1043,   110,  1027,   447,   447,  1129,  1129,
    1026,   524,   524,   412,  1129,   449,   449,  1129,  1031,   250,
    1121,  1127,   586,  1133,  1132,   217,   586,   217,   472,   217,
     472,   850,   586,   586,  1121,   773,  1133,  1121,   773,  1121,
    1121,  1026,  1121,   773,   775,  1133,   709,   217,   217,   586,
     772,   773,   527,   533,  1279,   527,   529,  1285,  1286,  1209,
    1119,   176,   921,   923,   954,   954,  1288,   954,   954,  1288,
     954,   954,  1121,    14,   529,  1267,   635,   527,   529,   527,
     237,   407,   439,  1120,   772,   178,   409,   798,   799,  1120,
     329,  1120,  1118,  1118,  1120,   772,   449,   491,   802,   212,
     293,   706,   707,    96,   215,   396,   415,   943,  1011,   324,
     944,   527,   529,   928,   931,   939,   946,   957,   449,  1119,
     862,   863,   865,   792,   791,   792,   234,   240,   803,  1252,
     101,   148,   179,   200,   211,   231,   236,   284,   305,   393,
     400,   406,   438,   441,   459,   484,   672,   783,  1086,   525,
    1086,  1090,  1091,   487,  1103,  1104,  1050,  1086,   526,  1129,
    1129,   180,   248,   307,   310,   403,   507,  1092,  1093,  1272,
    1274,  1086,  1086,  1086,  1129,  1129,  1050,   850,  1050,  1094,
     396,   517,   518,   526,  1051,  1052,  1083,  1096,   527,  1086,
    1050,  1086,  1097,  1050,   127,   234,   287,   450,  1050,  1086,
    1100,  1086,   312,  1052,  1050,  1060,  1061,  1062,   312,  1050,
    1062,   527,   529,  1129,  1048,  1026,  1050,  1050,  1050,  1050,
    1254,   447,   115,   435,  1111,   773,  1050,   526,   958,  1101,
     197,   199,   222,   320,   325,   330,   456,   466,  1050,   526,
    1050,   449,   122,   251,   256,   292,   417,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,   102,   109,   422,
    1080,   242,   225,  1066,   396,   526,  1077,   238,   296,   438,
     442,   444,   468,   967,  1119,  1117,   234,  1001,   102,   197,
     480,   519,   527,   828,  1050,  1087,  1088,  1253,  1121,  1268,
    1108,  1001,  1226,   529,   515,  1119,   451,   526,  1272,   529,
    1285,   527,   525,   531,   249,   249,   586,  1184,  1119,   913,
     914,  1119,  1112,   527,   529,   526,   529,   112,   193,   472,
     818,   396,   397,   517,   518,   982,   984,  1052,   415,   281,
     335,   529,   983,  1129,  1271,   983,   396,   397,   984,  1118,
     324,   419,   945,   995,   977,   472,   940,   185,   526,   933,
     957,   111,  1252,   526,   947,   948,   949,   950,   951,  1252,
     530,  1198,  1027,   533,  1177,   533,   527,   663,   527,    34,
    1154,  1229,  1230,  1268,  1222,  1227,  1275,  1213,  1027,  1262,
    1278,  1262,  1027,   342,   128,  1253,   527,   828,   830,   827,
     830,  1253,   340,   527,   529,   774,   449,   449,   400,  1132,
    1121,  1121,  1124,  1132,  1121,  1121,  1132,  1122,  1121,   185,
     567,  1130,   393,   471,   791,   400,   239,   791,   526,  1121,
     472,   813,   281,   281,   472,   526,   650,   250,  1121,   325,
    1132,  1121,  1121,  1050,   325,  1121,  1121,   105,   385,   449,
     449,  1121,   449,   681,  1127,   526,   773,   773,  1026,   454,
     178,   438,   799,   484,   142,   223,   850,  1121,   773,  1121,
     773,   402,   229,  1026,   773,   283,   244,   318,   348,   382,
     476,   684,   685,   686,  1011,   449,   868,   400,   325,   189,
     276,  1132,  1121,   334,  1121,   527,   529,  1131,  1133,  1121,
     382,   583,   622,  1026,  1121,  1252,  1121,   291,  1121,   102,
     471,  1121,   250,  1121,   250,  1252,   398,   454,   398,   454,
     291,  1121,   102,   471,  1121,   291,   396,  1119,    98,   202,
     412,   692,   693,   694,   695,  1254,  1132,  1121,   185,   235,
     321,   472,   589,   592,   593,  1254,  1121,   333,   144,   333,
    1121,   584,   449,   441,  1119,   449,   868,   400,  1123,  1252,
    1123,   529,   527,   529,   449,   400,   334,   382,   449,   718,
    1122,  1131,   156,   207,   261,   353,   463,   471,   474,   541,
    1274,   382,  1132,  1121,   382,   412,   583,   660,   663,   773,
    1121,   663,  1121,   663,  1132,  1121,  1121,   382,   412,   583,
    1121,  1121,  1121,  1121,  1132,  1121,    98,   104,   202,   348,
     382,   412,   348,   382,   412,   744,   382,   412,   382,   412,
     382,  1025,  1252,   250,   754,  1252,   250,  1252,  1132,  1121,
    1121,  1121,    98,   596,   409,  1131,   382,   412,   583,  1121,
    1121,   449,   449,   152,   462,   371,   277,   111,   200,   773,
     325,   780,  1272,   277,   277,   472,   472,   277,   773,   780,
     773,   283,   773,   780,   277,   780,   333,   234,   449,   599,
     538,   527,   529,   515,  1050,  1026,   527,   529,   515,   723,
     624,  1254,  1121,   234,   400,   483,   678,   685,   686,   217,
     292,   616,   618,   620,   622,   628,   631,    99,   256,   393,
     436,   541,   542,   229,  1123,   484,  1119,   229,   719,   556,
    1252,   557,   339,   615,   231,  1272,   744,   744,   744,   744,
     330,   334,   339,   526,   744,  1023,  1024,  1025,   409,   526,
     217,   217,   216,  1142,   773,   616,  1252,   491,   493,   646,
     491,   591,   320,   111,   634,  1272,   320,   334,   527,   825,
     826,   831,   111,   283,   390,   452,   490,   835,   836,   837,
     334,   283,   570,  1150,   520,   247,   247,   229,   833,   111,
    1086,   527,   527,   586,   524,   509,   509,   527,   527,  1129,
     525,   526,  1129,  1252,  1272,  1283,  1252,   527,   527,   217,
     586,   822,   772,   773,  1123,   773,  1123,   849,   334,   586,
     334,   586,   586,   283,   334,   586,   586,   409,   229,   570,
     586,  1050,   956,  1275,  1263,   527,   636,   256,   256,   256,
     495,  1120,   529,   663,   664,   242,   795,   796,  1132,    99,
     803,   449,   526,   234,   215,   415,   215,   415,   396,   470,
     309,  1026,  1132,   491,   652,  1119,  1121,   234,   334,   795,
     128,   586,  1127,  1026,   454,   438,  1127,   329,   484,  1026,
     283,   773,   527,   525,   525,   529,  1050,   204,  1104,  1105,
     111,   527,  1050,   527,   527,   527,   234,   527,   527,   527,
     527,   527,   529,   527,   354,  1095,   527,   526,  1051,  1051,
    1086,    87,    91,    92,    93,   256,   277,   336,   513,   514,
     515,   517,   518,   519,   520,   521,   522,  1083,  1051,   527,
     527,   229,   234,  1098,  1099,   527,   111,  1100,  1086,  1100,
    1100,   234,   527,   527,  1254,   352,  1064,   111,   527,   529,
    1050,  1254,   529,  1050,  1110,  1050,   527,   509,  1051,  1051,
     210,  1086,   234,   197,   199,   222,   325,   330,   456,   466,
     526,   210,   850,  1050,   435,  1111,  1050,  1101,  1050,   449,
     526,   958,   526,   526,   344,  1070,   526,  1086,   442,   444,
     442,   444,  1119,   968,   968,   968,   286,   397,   526,   958,
    1002,  1003,  1004,  1011,  1016,  1053,  1055,  1056,  1127,  1252,
     488,  1021,  1087,  1087,  1088,   527,    89,    90,   529,   972,
     973,  1021,     8,    11,    12,    22,    23,    24,    26,    27,
      31,    32,    33,   178,   312,   359,   459,  1232,  1233,  1235,
    1225,  1226,   887,  1129,  1048,   565,  1050,  1027,   919,  1121,
     928,   975,   336,  1081,  1084,   511,   819,  1129,  1271,   984,
     335,   470,   981,   301,  1002,   488,  1022,   478,   934,   935,
    1252,   334,   936,  1252,   951,   952,   529,  1001,   515,  1110,
     531,  1180,   530,   529,   515,    30,  1241,   527,   527,   530,
     834,   774,   830,   830,   128,   832,   521,  1132,  1121,  1121,
    1133,  1133,   334,  1120,   337,   334,  1050,   632,  1123,   526,
     526,   526,   650,   259,   635,   732,   217,   586,   449,  1132,
    1121,   570,   833,  1026,  1121,   495,   773,   773,   773,   773,
     849,   154,   194,   349,   443,  1026,  1121,   667,  1121,   244,
     476,   449,   449,   667,   684,   691,   382,   412,   583,  1121,
    1121,  1121,   267,   325,   826,   347,   412,   449,   338,   689,
     732,   202,   386,   412,   585,   691,   869,   404,   217,   586,
     217,   586,  1121,  1121,  1121,  1121,   404,   404,   291,   694,
     695,   694,   527,   529,   696,  1272,   259,   527,   529,   515,
     528,  1132,  1121,   382,   412,   583,  1121,  1121,  1121,   348,
     382,   412,    98,   202,   348,   382,   412,  1026,   319,  1026,
    1132,  1121,  1119,   449,  1133,   472,   715,   293,   353,   325,
    1272,   353,  1133,   469,   449,   449,   400,   347,   412,   157,
     449,   868,   400,   449,   449,   303,   303,   303,   449,   449,
     400,   449,   449,   400,   449,   400,   449,   400,   449,   586,
    1026,   320,  1272,   412,   869,   217,   586,   449,  1121,   449,
     400,  1132,  1121,   780,  1026,   773,   277,   780,   780,  1123,
    1123,   780,   277,   277,  1121,   277,   780,   600,   526,   602,
     603,   750,  1274,   336,   517,   518,   663,   747,   830,  1084,
    1138,  1272,   527,   527,   746,   747,   334,   140,   146,   157,
     185,   187,   263,   320,   325,   363,   377,   465,   625,   626,
     627,   216,   487,   538,   570,  1121,   570,   689,  1119,  1119,
     527,   529,  1133,   242,   393,  1133,  1129,   459,  1119,   634,
     102,   190,   269,   405,   470,   720,   449,   717,   118,   557,
     384,   438,   178,   591,   635,  1119,   724,   751,   752,  1272,
     527,   529,  1121,   635,  1119,  1119,  1121,   957,   526,   617,
     527,   333,   590,   333,   334,   647,   590,   111,   217,   957,
     591,   449,   217,  1119,   527,   529,   185,   515,   838,  1272,
     570,   438,   829,   830,   229,   839,   491,   837,   840,   190,
     269,   405,   470,   877,  1121,   244,  1146,   957,  1160,   586,
    1026,   527,  1129,  1047,  1047,   525,  1283,   526,   517,   518,
     519,   520,   521,   525,  1044,  1121,   586,   586,   472,   586,
     472,   586,   586,   773,   773,  1121,   773,  1121,   709,   586,
     229,   400,   400,   400,  1120,   799,   529,  1132,   491,   529,
     797,   337,  1012,   409,   215,   215,   178,   318,  1133,   794,
     586,  1132,   833,   277,   822,   663,   277,   773,   277,  1090,
     446,  1050,   208,  1026,   527,  1050,  1050,  1050,  1098,   527,
    1086,   529,  1026,  1051,  1051,  1051,  1051,   197,   199,   320,
     330,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1050,  1050,  1099,  1098,  1026,   527,   527,   527,  1086,
     527,   529,   128,  1052,   527,  1254,  1061,   360,   433,  1063,
     527,   529,   483,  1057,   111,   527,  1272,  1050,   108,   108,
    1050,   527,  1050,   234,   526,  1089,  1050,   527,   210,  1051,
    1051,   210,   210,  1050,  1050,   973,   488,   526,  1071,  1252,
     527,  1086,   529,   968,   968,   968,   968,  1119,  1119,  1119,
     958,  1016,   234,   958,  1003,  1004,   111,  1005,  1006,  1252,
     529,   165,   235,   265,   280,   290,   315,   392,  1008,  1006,
     111,  1005,  1007,  1252,   512,  1020,   526,  1109,  1050,   242,
     986,   529,   972,   972,   972,  1050,  1050,   480,  1088,   527,
     986,   529,   515,   527,   525,  1241,   527,   526,   819,   226,
     285,   335,   168,  1050,   389,   938,   527,   529,  1110,   155,
     938,   527,   529,   948,  1022,  1112,  1129,   515,  1199,  1230,
    1235,   527,   521,   834,   459,   237,   407,   439,   460,   808,
     229,   808,   527,   526,   638,   639,   815,  1055,  1252,   635,
     635,   732,  1125,   527,   187,   263,   318,   320,   733,  1121,
    1121,   111,  1121,   472,   472,   773,   773,   773,   773,   283,
     774,  1132,  1121,   449,   868,   400,   449,   267,   128,   441,
    1121,   526,   624,   320,   590,   178,   320,   428,   431,   590,
     459,  1121,  1252,   404,   693,  1121,   593,   747,  1254,   347,
     412,   449,   868,   400,   449,   449,   449,   400,   236,   336,
     431,   756,   757,   236,   336,   764,   765,   449,   449,   400,
     527,   527,   527,   382,  1121,   526,   491,   716,  1130,  1272,
    1272,  1272,  1121,  1121,  1121,   128,   441,  1121,  1121,  1121,
    1121,  1121,  1121,   229,   229,   384,   229,   250,  1132,  1121,
    1121,  1132,  1121,  1121,  1121,  1121,  1121,  1121,  1121,   146,
     587,   217,   100,   120,   459,  1252,  1121,   691,  1121,  1121,
     527,   277,   780,   277,   277,   780,   780,   277,   780,   601,
     609,   610,  1254,   124,   166,   191,   206,   210,   230,   233,
     246,   325,   333,   369,   604,   732,   491,   493,  1119,   526,
     773,  1121,  1051,   188,   252,   187,   325,   281,  1119,   840,
     367,   736,   737,  1252,   677,   526,   629,   262,   645,   620,
    1133,  1133,  1026,   526,   591,  1133,   715,  1132,  1119,   495,
     229,   725,   527,   529,  1025,   689,   527,   659,   330,   526,
     930,   652,   619,   621,   623,   631,  1252,   646,   645,   151,
     441,   648,   957,   654,   652,   648,  1272,  1125,   813,   831,
    1050,  1050,   529,   526,   835,   459,   529,   744,   449,   526,
     667,    84,  1157,   527,   525,   527,  1184,  1283,  1283,  1283,
    1283,  1283,   586,  1123,  1123,   586,   586,   586,   586,   409,
    1120,  1120,  1120,   663,   239,   796,   527,  1121,   178,   803,
     234,   277,   325,   784,  1272,   277,   277,   784,   277,   784,
    1050,   527,   527,  1099,   527,  1050,   234,   197,   199,   330,
     526,   527,   498,  1059,  1086,   376,   128,   489,   489,   527,
    1050,   318,  1050,   529,  1058,  1028,  1050,  1050,  1050,  1089,
     527,  1050,   108,   108,  1050,  1050,   210,   527,   527,  1050,
    1072,  1252,   527,  1050,  1119,  1119,  1119,  1119,  1006,  1007,
     526,   527,  1252,   526,  1003,   280,   343,  1009,  1003,  1009,
     280,  1008,  1009,   280,   440,  1014,   526,  1252,   526,   341,
    1087,   128,   245,   993,   527,   527,   527,  1088,  1272,   993,
    1233,   518,  1226,  1234,  1271,  1272,  1272,   850,   330,  1116,
     957,   935,   334,   526,   937,   515,   951,   938,  1279,   459,
     527,   449,   791,   234,   732,  1050,   527,   529,   491,   146,
     816,   816,   527,   527,   840,   188,   252,   261,   187,   474,
     586,  1026,  1123,  1123,  1121,  1121,  1121,  1121,  1121,  1133,
    1121,   690,   694,   325,   325,  1130,  1252,  1026,   586,   586,
     515,   128,   441,  1121,  1121,  1121,  1121,  1132,  1121,  1121,
    1129,  1129,  1026,   529,  1129,  1129,   529,  1132,  1121,  1121,
     449,  1050,   140,  1133,  1121,   449,   449,  1120,  1120,   773,
    1120,   217,   773,  1272,  1272,  1026,   586,   586,   277,   780,
     780,   780,   780,   472,   607,   608,   527,   529,   519,   526,
     567,   611,   663,   904,  1272,   904,   320,   325,   369,   904,
     904,   236,   266,   236,   234,   731,  1050,   320,   626,   840,
     634,   472,   649,  1127,   108,   216,   256,   616,   214,   257,
     526,   409,   472,   635,   111,   716,   557,   526,  1121,   203,
     726,   487,   728,  1272,   591,   773,   616,   652,   527,   529,
     491,   647,   646,   190,   202,   360,  1121,   491,   890,   111,
     234,   334,   526,  1272,   828,   841,   842,  1253,   840,  1026,
     229,  1119,   234,   449,   859,   264,   668,  1158,  1252,   586,
     527,   586,   586,  1121,   337,   275,   586,   795,   784,   784,
     784,   784,   527,  1051,   234,   526,  1089,   526,   527,   529,
     527,  1052,   376,   527,   477,   425,   527,   527,   527,  1050,
    1050,  1050,   527,   351,  1073,   527,  1017,  1018,  1055,  1005,
     526,  1120,  1003,   334,   472,  1010,  1003,   280,  1003,  1127,
    1024,   526,  1024,  1252,   972,   167,   243,   395,   526,   987,
     988,   989,   990,   991,   992,  1050,  1050,   490,  1067,   972,
    1067,  1129,  1271,   527,   954,  1286,   157,   814,   815,   198,
     526,   958,  1114,   795,   334,   795,   527,   840,   639,   336,
     850,   773,   472,   773,   817,   817,   377,   840,   649,   527,
     449,   412,   944,   527,   529,   587,   747,  1133,  1121,   449,
     526,  1127,   850,   757,   526,   526,   765,  1121,   527,   526,
     412,   944,  1121,  1121,   491,   512,   907,   384,   907,   907,
     229,   587,   780,   538,   192,   610,   567,   612,   613,  1272,
    1272,   325,   635,   519,   635,  1272,  1272,   799,   111,   855,
     855,  1119,   732,   527,   649,   304,   637,   259,   526,   737,
     367,   526,   527,   102,   150,   158,   186,   260,   431,   630,
     630,  1118,  1121,  1123,   527,   957,   689,   396,   427,   727,
     526,   216,   111,   617,   527,   621,   338,   648,   647,   397,
     397,   132,   140,   296,   957,   773,  1119,   814,   830,   527,
     529,   459,  1021,   423,   423,   527,   667,   318,   476,   669,
     670,   515,  1159,  1121,   586,  1051,  1089,   527,  1060,  1086,
     128,   318,   508,   128,   972,   527,   529,   111,  1019,  1120,
     527,  1050,   526,  1003,  1010,   526,   527,  1024,   527,   527,
     526,   413,   526,   527,   529,  1068,  1069,  1252,   527,  1121,
     527,   529,   321,   470,   797,   808,   586,   816,   649,   526,
     773,   818,   818,  1119,   649,   732,  1121,   441,   694,   472,
     588,   412,   944,  1121,  1089,   822,   229,   760,   849,  1089,
    1089,  1050,   441,   772,   773,   772,   773,  1120,   586,   602,
    1272,   527,   529,   635,   855,   114,   254,   229,   318,   633,
     235,   350,   418,   334,   641,   642,   643,   441,   527,  1127,
      81,   738,   645,   527,   689,   223,   759,   591,   890,  1050,
     367,   957,   646,   645,   624,   648,   140,   337,   140,   652,
     813,   527,   835,   841,  1026,   198,   491,   491,   476,   667,
    1129,  1266,  1274,    84,   689,   527,   527,   527,   376,   477,
    1086,   370,   397,  1074,  1020,  1017,   526,   527,  1120,  1086,
     527,  1086,   526,  1086,   988,   529,   111,  1021,   815,   412,
     234,   817,   488,   640,   850,   819,   819,   634,   732,  1121,
    1050,   441,   527,   340,   402,   374,   761,   760,   527,   527,
     527,  1121,   907,   613,   203,   261,   190,   470,   334,   643,
     334,   642,  1121,   526,   527,   529,   409,   773,   111,   111,
     527,  1127,   890,   647,   646,   337,   337,   526,   591,   840,
     103,   270,   878,   236,   236,  1158,   122,   168,   461,  1050,
    1075,  1076,  1075,   527,  1024,   527,   527,   527,   987,   527,
    1069,  1071,   947,   795,   818,   526,   732,   527,   637,   944,
    1121,  1127,   128,   761,   944,   773,   396,   131,   318,   388,
     412,   644,   644,   527,    81,  1121,   756,   957,   526,   648,
     647,   814,   648,   321,   526,   873,   875,   880,   931,   939,
     946,   957,   799,   799,  1076,   396,   228,   358,   228,   358,
     527,   383,  1015,   527,  1021,   586,   819,  1050,   641,   944,
     822,   773,   728,    97,   185,   325,   689,   890,   729,   730,
    1129,  1254,  1271,  1272,   648,   527,  1021,   874,   875,   876,
     958,   959,   529,   529,   108,   526,   527,   732,   216,   527,
     529,   591,   527,   530,   449,   234,  1076,  1050,   367,   730,
     648,   876,   423,   423,   527,  1127,  1021,   491,   491,   526,
     236,   236,   729,   799,   799,   527
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   534,   535,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   537,   538,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   542,   542,   542,   542,   543,   544,
     545,   545,   546,   546,   547,   548,   548,   549,   549,   550,
     550,   551,   552,   553,   553,   554,   554,   555,   555,   555,
     555,   556,   556,   557,   557,   558,   558,   558,   558,   558,
     558,   559,   559,   559,   560,   560,   560,   561,   561,   561,
     561,   562,   562,   562,   562,   562,   562,   562,   562,   562,
     562,   562,   563,   563,   564,   564,   565,   565,   566,   566,
     566,   566,   567,   567,   567,   567,   568,   568,   568,   568,
     568,   568,   568,   569,   569,   569,   570,   570,   571,   572,
     572,   572,   572,   573,   573,   574,   574,   575,   575,   576,
     576,   576,   576,   576,   577,   578,   578,   579,   579,   580,
     581,   581,   581,   581,   581,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   582,
     582,   583,   583,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   585,   585,   586,   586,   586,   587,   587,
     588,   588,   589,   589,   589,   589,   590,   591,   591,   592,
     592,   593,   593,   593,   593,   594,   595,   595,   596,   596,
     596,   596,   597,   597,   598,   598,   599,   599,   600,   600,
     601,   601,   601,   602,   602,   603,   603,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   605,   605,   606,   606,   607,   607,   608,   608,   609,
     609,   610,   611,   611,   611,   611,   611,   612,   612,   613,
     614,   614,   614,   614,   615,   615,   615,   615,   615,   615,
     615,   615,   616,   616,   617,   617,   618,   618,   619,   619,
     620,   620,   620,   621,   621,   622,   623,   624,   624,   625,
     625,   625,   625,   626,   626,   626,   626,   626,   626,   626,
     627,   627,   627,   627,   628,   629,   629,   629,   630,   630,
     630,   630,   630,   630,   631,   631,   632,   632,   632,   632,
     632,   632,   632,   633,   633,   634,   634,   635,   635,   636,
     637,   637,   637,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   641,   641,   641,   642,   643,   644,   644,   644,
     644,   644,   645,   645,   646,   646,   646,   646,   647,   647,
     647,   647,   648,   648,   649,   649,   650,   651,   652,   652,
     652,   653,   653,   654,   655,   655,   656,   657,   657,   658,
     658,   659,   659,   660,   660,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   661,   662,   662,   663,
     663,   663,   663,   664,   664,   665,   665,   666,   666,   667,
     667,   668,   668,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   674,   674,   675,   675,   676,   676,   677,   677,
     678,   678,   678,   679,   680,   680,   681,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   683,   684,   684,   684,   684,   685,   685,   686,
     686,   687,   687,   688,   688,   689,   689,   690,   690,   691,
     692,   692,   693,   693,   693,   693,   694,   695,   696,   697,
     698,   698,   699,   699,   700,   700,   701,   701,   702,   702,
     702,   703,   703,   704,   704,   705,   706,   706,   707,   707,
     708,   709,   709,   710,   710,   711,   712,   713,   714,   714,
     715,   715,   716,   716,   717,   717,   718,   718,   719,   719,
     720,   720,   720,   720,   720,   721,   721,   722,   722,   722,
     723,   723,   724,   724,   724,   724,   724,   725,   725,   726,
     726,   727,   727,   728,   728,   729,   729,   729,   730,   730,
     730,   730,   731,   731,   732,   732,   733,   733,   733,   733,
     733,   733,   734,   734,   735,   735,   736,   736,   737,   738,
     738,   739,   740,   740,   740,   740,   741,   742,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   744,   745,   745,   746,   746,   747,   747,   747,
     747,   747,   748,   749,   749,   750,   751,   751,   752,   752,
     753,   753,   753,   754,   754,   755,   756,   756,   757,   757,
     757,   757,   757,   758,   758,   759,   759,   760,   760,   760,
     761,   761,   762,   763,   763,   764,   764,   765,   765,   766,
     766,   767,   767,   768,   769,   770,   770,   770,   770,   770,
     770,   770,   770,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   777,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   780,
     780,   781,   781,   781,   781,   781,   781,   781,   782,   782,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   784,   784,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   786,   786,   787,   787,
     788,   788,   789,   790,   790,   791,   791,   791,   791,   791,
     792,   792,   793,   793,   793,   793,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     794,   794,   795,   795,   796,   796,   797,   797,   798,   798,
     799,   800,   801,   801,   802,   802,   803,   803,   804,   805,
     805,   806,   806,   806,   807,   807,   807,   808,   808,   808,
     808,   809,   809,   810,   810,   811,   811,   812,   812,   813,
     813,   814,   814,   815,   815,   815,   816,   816,   817,   817,
     817,   818,   818,   818,   819,   819,   819,   820,   820,   820,
     821,   821,   822,   822,   823,   823,   824,   824,   825,   825,
     826,   826,   826,   826,   826,   827,   827,   827,   827,   827,
     828,   829,   830,   830,   830,   831,   831,   831,   832,   833,
     833,   833,   833,   834,   834,   835,   835,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   837,   837,   837,   837,   837,   838,   838,   839,
     839,   840,   840,   841,   842,   842,   843,   844,   844,   845,
     845,   846,   846,   847,   847,   848,   848,   849,   849,   849,
     849,   850,   850,   851,   852,   852,   853,   853,   854,   854,
     854,   855,   855,   855,   856,   857,   857,   858,   859,   859,
     859,   859,   860,   861,   861,   861,   861,   862,   862,   863,
     863,   863,   864,   864,   865,   866,   866,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   868,   868,   869,   869,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   872,   873,   873,   873,   874,   874,   875,   875,
     875,   875,   875,   876,   876,   877,   877,   877,   877,   878,
     878,   878,   879,   879,   880,   881,   881,   882,   883,   883,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   885,   885,   885,   886,   886,   886,
     886,   886,   887,   887,   887,   888,   888,   889,   889,   889,
     889,   890,   890,   890,   890,   891,   892,   893,   893,   894,
     894,   895,   895,   895,   896,   896,   896,   896,   896,   896,
     896,   897,   897,   898,   898,   898,   899,   900,   900,   901,
     901,   902,   903,   903,   903,   903,   903,   903,   903,   904,
     904,   905,   906,   906,   906,   906,   906,   906,   907,   907,
     908,   909,   909,   909,   910,   910,   911,   911,   911,   911,
     911,   912,   912,   913,   913,   913,   913,   914,   914,   915,
     915,   916,   916,   917,   917,   918,   918,   919,   919,   920,
     920,   920,   920,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   922,   922,   923,   924,   924,   925,   925,   925,
     926,   926,   927,   927,   928,   928,   928,   928,   929,   929,
     930,   930,   931,   932,   932,   933,   933,   933,   934,   934,
     935,   936,   936,   936,   937,   937,   937,   938,   938,   939,
     940,   940,   941,   942,   942,   943,   943,   943,   943,   943,
     943,   943,   943,   944,   944,   945,   945,   945,   946,   947,
     947,   948,   948,   949,   950,   950,   951,   952,   952,   953,
     954,   954,   955,   955,   955,   955,   955,   956,   956,   956,
     957,   957,   958,   958,   959,   959,   959,   959,   959,   959,
     959,   959,   960,   960,   961,   961,   961,   961,   961,   961,
     961,   962,   962,   962,   963,   963,   964,   965,   965,   966,
     966,   966,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   968,   968,   969,   969,   969,   970,   970,   971,   971,
     972,   972,   973,   974,   974,   975,   975,   976,   976,   976,
     976,   977,   977,   978,   978,   978,   978,   979,   979,   980,
     980,   981,   982,   982,   982,   983,   983,   984,   984,   985,
     985,   986,   986,   987,   987,   988,   988,   988,   988,   988,
     989,   990,   991,   992,   993,   993,   994,   994,   995,   995,
     996,   996,   997,   998,   998,   998,   998,   999,   999,  1000,
    1000,  1001,  1001,  1002,  1002,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1004,  1005,
    1005,  1005,  1005,  1006,  1006,  1007,  1007,  1007,  1007,  1007,
    1008,  1008,  1008,  1008,  1009,  1009,  1010,  1010,  1011,  1011,
    1011,  1011,  1012,  1012,  1013,  1013,  1013,  1014,  1015,  1015,
    1016,  1016,  1017,  1018,  1018,  1019,  1019,  1020,  1020,  1021,
    1021,  1022,  1022,  1022,  1023,  1023,  1024,  1024,  1025,  1026,
    1026,  1026,  1026,  1026,  1026,  1027,  1027,  1027,  1028,  1028,
    1028,  1028,  1028,  1028,  1028,  1029,  1029,  1029,  1029,  1030,
    1030,  1031,  1031,  1032,  1032,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1032,  1032,  1033,  1033,  1034,  1034,  1035,  1035,
    1036,  1037,  1038,  1038,  1039,  1039,  1040,  1041,  1042,  1042,
    1042,  1042,  1042,  1042,  1043,  1043,  1044,  1044,  1045,  1045,
    1045,  1045,  1046,  1047,  1047,  1047,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1049,  1049,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1053,  1053,  1053,  1053,  1053,  1053,
    1053,  1054,  1054,  1055,  1055,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1057,  1057,  1058,
    1058,  1058,  1058,  1059,  1060,  1060,  1061,  1061,  1062,  1062,
    1063,  1063,  1063,  1064,  1064,  1064,  1064,  1065,  1065,  1066,
    1066,  1067,  1067,  1068,  1068,  1069,  1070,  1070,  1070,  1071,
    1072,  1072,  1073,  1073,  1074,  1074,  1074,  1075,  1075,  1076,
    1076,  1076,  1076,  1076,  1077,  1077,  1077,  1078,  1078,  1079,
    1080,  1080,  1080,  1081,  1081,  1082,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1082,  1082,  1082,  1082,  1083,  1083,  1084,
    1084,  1085,  1085,  1085,  1085,  1085,  1085,  1086,  1086,  1087,
    1087,  1088,  1088,  1088,  1089,  1089,  1090,  1090,  1090,  1091,
    1091,  1092,  1092,  1093,  1093,  1093,  1093,  1093,  1093,  1093,
    1093,  1094,  1094,  1095,  1096,  1096,  1097,  1097,  1097,  1097,
    1097,  1097,  1098,  1099,  1100,  1100,  1100,  1101,  1101,  1102,
    1103,  1103,  1104,  1105,  1105,  1106,  1106,  1107,  1107,  1108,
    1108,  1108,  1108,  1109,  1109,  1110,  1110,  1111,  1111,  1112,
    1112,  1113,  1113,  1114,  1115,  1115,  1116,  1116,  1117,  1117,
    1117,  1117,  1118,  1118,  1119,  1119,  1120,  1120,  1121,  1122,
    1123,  1124,  1125,  1126,  1127,  1127,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1129,  1130,  1130,  1130,  1130,  1131,  1132,  1132,  1132,
    1133,  1133,  1134,  1134,  1134,  1134,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1139,  1139,
    1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1142,  1141,
    1143,  1144,  1144,  1144,  1144,  1145,  1145,  1145,  1145,  1146,
    1146,  1147,  1148,  1149,  1149,  1150,  1150,  1150,  1151,  1151,
    1152,  1152,  1153,  1153,  1154,  1154,  1154,  1154,  1155,  1155,
    1155,  1156,  1157,  1157,  1158,  1158,  1159,  1159,  1159,  1159,
    1160,  1160,  1161,  1162,  1163,  1164,  1164,  1165,  1166,  1166,
    1167,  1167,  1167,  1167,  1167,  1169,  1168,  1170,  1171,  1172,
    1172,  1173,  1173,  1173,  1173,  1174,  1174,  1176,  1175,  1178,
    1177,  1179,  1177,  1177,  1180,  1180,  1181,  1181,  1181,  1182,
    1182,  1182,  1182,  1183,  1183,  1184,  1184,  1184,  1184,  1184,
    1184,  1185,  1185,  1185,  1186,  1188,  1187,  1189,  1190,  1189,
    1191,  1191,  1192,  1192,  1193,  1193,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1196,  1196,  1197,  1197,  1198,
    1199,  1199,  1200,  1200,  1200,  1201,  1202,  1203,  1203,  1203,
    1203,  1204,  1204,  1204,  1205,  1205,  1206,  1206,  1207,  1208,
    1208,  1209,  1209,  1210,  1210,  1211,  1211,  1212,  1213,  1213,
    1214,  1214,  1214,  1215,  1215,  1215,  1215,  1215,  1215,  1215,
    1215,  1215,  1216,  1216,  1216,  1216,  1216,  1217,  1217,  1218,
    1219,  1220,  1221,  1221,  1222,  1223,  1224,  1224,  1225,  1226,
    1226,  1227,  1228,  1229,  1229,  1230,  1231,  1232,  1232,  1233,
    1234,  1234,  1234,  1234,  1234,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1236,  1236,  1237,  1237,  1238,  1238,  1238,  1240,  1239,  1241,
    1241,  1243,  1242,  1244,  1244,  1244,  1245,  1245,  1245,  1245,
    1245,  1245,  1245,  1245,  1245,  1246,  1246,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1248,  1248,  1248,  1248,  1248,  1248,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1250,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1253,
    1253,  1253,  1253,  1253,  1253,  1254,  1254,  1254,  1254,  1254,
    1254,  1254,  1254,  1254,  1254,  1254,  1255,  1255,  1255,  1255,
    1255,  1256,  1256,  1256,  1256,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,  1258,  1258,  1258,  1259,  1259,  1259,  1259,  1259,
    1259,  1260,  1260,  1261,  1262,  1262,  1263,  1263,  1264,  1265,
    1266,  1267,  1267,  1267,  1268,  1269,  1270,  1271,  1272,  1272,
    1272,  1272,  1272,  1273,  1274,  1274,  1274,  1275,  1275,  1276,
    1276,  1276,  1277,  1277,  1278,  1278,  1279,  1279,  1280,  1280,
    1280,  1280,  1280,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1282,
    1282,  1282,  1282,  1283,  1283,  1283,  1283,  1283,  1283,  1283,
    1283,  1283,  1283,  1284,  1284,  1284,  1284,  1285,  1285,  1286,
    1286,  1287,  1287,  1288,  1288
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     5,     5,     5,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     9,
       7,     1,     0,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,    10,    13,     4,
       6,    10,    13,     4,     6,     4,     6,     5,     7,    11,
      14,     1,     3,     2,     3,     4,     6,     6,     6,     5,
       5,     6,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     3,     2,     2,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     1,     1,     0,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    11,     7,     1,     1,     1,     0,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     3,
       2,     1,     0,     2,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      11,    14,    10,    13,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     2,     2,     1,     3,     4,     5,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     3,     8,
       4,     9,    11,     2,     0,     3,     0,     1,     3,     1,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     2,     2,     2,     0,     3,     4,
       4,     0,     2,     0,     4,     0,     3,     5,     2,     3,
       0,     8,    11,     4,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     7,     6,
       8,     8,     8,     8,     6,     6,     7,     7,     8,     6,
       9,     6,     7,     2,     2,     2,     2,     1,     2,     1,
       0,     6,     8,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
       2,     0,     2,     2,     1,     0,     4,     6,     5,     4,
       4,    11,    14,     5,     7,    11,     2,     1,     4,     0,
       8,     1,     1,     7,     9,     8,     9,     8,     6,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       1,     1,     1,     1,     1,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     3,     0,    13,     1,     3,     5,     6,
       4,     7,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     1,     3,     5,     2,     2,     0,
       6,     6,     6,     7,     7,     7,     8,     9,     8,     8,
       6,     9,     8,     9,     9,     7,    10,     7,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     1,     3,     2,     3,     3,     3,     3,     1,
       1,     8,     8,     8,     9,     9,     9,     9,     2,     0,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,    14,    17,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     2,     2,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     2,     1,     1,     1,     3,     3,
       5,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,    10,    11,    11,
       5,     5,     8,     3,     3,     6,     6,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     5,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     8,
      10,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     6,     6,     6,     6,     6,     7,
       7,     7,     9,     9,     6,     6,     6,     8,     8,     8,
       6,     7,    13,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     0,     6,     8,     3,     2,     0,     2,     2,     2,
       2,     3,     3,     2,     2,     2,     2,     3,     2,     5,
       4,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     9,    11,    12,
      14,     3,     4,     4,     0,     2,     5,     1,     0,     1,
       2,     3,     3,     3,     1,     2,     1,     1,     1,     1,
       1,     1,     0,     5,     4,     6,     4,     3,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     0,     1,     0,     1,     0,     3,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     7,     1,     3,     1,     4,     2,     1,     3,
       2,     8,     5,     0,     4,     3,     0,     3,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     1,     2,     0,     8,     1,
       3,     1,     1,     3,     5,     5,     2,     1,     3,     7,
       1,     1,     0,     3,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     9,     1,     2,     4,     4,
       4,     2,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     4,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     2,
       3,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     6,     4,     0,
       2,     6,     2,     1,     3,     4,     0,     2,     0,     2,
       0,     2,     4,     0,     1,     0,     1,     3,     3,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     5,     2,     2,     2,
       1,     3,     3,     2,     1,     0,     3,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     5,     6,     6,     7,     3,     4,
       1,     1,     2,     4,     1,     1,     1,     2,     2,     2,
       2,     1,     1,     4,     3,     5,     6,     8,     6,     6,
       4,     4,     1,     1,     1,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     2,     2,     0,     1,     4,     2,
       2,     2,     2,     2,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       4,     3,     2,     1,     1,     1,     1,     1,     0,     8,
       2,     5,     3,     2,     2,     3,     7,     1,     1,     1,
       0,     2,     2,     1,     0,     1,     3,     1,     2,     0,
       2,     0,     2,     0,     1,     3,     4,     3,     1,     1,
       1,     1,     2,     0,     2,     4,     0,     2,     2,     2,
       1,     1,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     2,
       1,     3,     2,     2,     3,     0,     5,     1,     0,     5,
       2,     2,     1,     1,     1,     2,     2,     3,     1,     2,
       2,     3,     3,     4,     2,     1,     2,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     0,     1,     3,     5,
       0,     2,     0,     1,     2,     3,     2,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     2,     2,     3,     0,
       1,     2,     1,     4,     3,     4,     3,     2,     1,     3,
       1,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     1,     4,     4,     4,     4,     4,     1,     0,     3,
       3,     4,     1,     3,     3,     4,     1,     3,     3,     1,
       1,     1,     6,     1,     3,     3,     6,     1,     3,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     1,     1,     4,     4,     3,     0,     7,     1,
       0,     0,     7,     3,     4,     3,     1,     1,     1,     2,
       3,     5,     2,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     0,     1,     2,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     1,     2,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     2,     3,     1,     3,     3,     3,     3,     3,     3,
       1,     1,     4,     0,     2,     2,     1,     2,     1,     0,
       1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1559 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30797 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1561 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30803 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1563 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30809 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1565 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30815 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1567 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30821 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1569 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30827 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1571 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30833 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1573 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30839 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1575 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30845 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1577 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30851 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1579 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30857 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1581 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30863 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1583 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30869 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1585 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30875 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1587 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30881 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1589 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30887 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1591 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30893 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1593 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30899 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1595 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30905 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1597 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30911 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1599 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30917 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30923 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30929 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30935 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30941 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30947 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30953 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30959 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30965 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30971 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1619 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 30993 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30999 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31005 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31011 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31017 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31023 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31029 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31035 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31041 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31047 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31053 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31059 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31065 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31071 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31077 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31083 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31089 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31095 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31101 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31107 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31113 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31119 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31125 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31131 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31137 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31143 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1687 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31149 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1689 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31155 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1691 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31161 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31167 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31173 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31179 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31185 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1701 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 31193 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 31199 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31205 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31211 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31217 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31223 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1715 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31229 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31235 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31241 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31247 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31253 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31259 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31265 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31271 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31277 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31283 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31289 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31295 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31301 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31307 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31313 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31319 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31325 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31331 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31337 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 31343 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31349 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31355 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31361 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31367 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31373 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31379 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31385 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31391 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31397 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31403 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31409 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31415 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1779 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31426 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31432 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1788 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31438 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1790 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31444 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1792 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31450 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1794 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31456 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1796 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31462 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1798 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31468 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1800 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31474 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1802 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31480 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1804 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31486 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1806 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31492 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1808 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31502 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1814 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31508 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1816 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31514 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1818 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31520 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1820 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31526 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1822 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31532 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1824 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31538 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1826 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31544 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1828 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31550 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1830 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31560 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1836 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31574 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1846 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31582 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1850 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31592 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1856 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31600 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1860 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31614 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1870 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31628 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1879 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31634 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1881 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31652 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1895 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31663 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1902 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31673 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1908 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31688 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1919 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31698 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1925 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31711 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1934 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31722 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1941 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31732 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1947 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31745 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1956 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31756 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1963 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31767 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31773 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31781 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31789 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31797 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31804 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31812 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31819 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31827 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31834 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 31842 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 31850 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 31858 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 31866 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 31874 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 31882 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 31890 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 31898 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31906 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31914 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 31922 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 31930 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 31938 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 31946 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 31954 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31962 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31970 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31977 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 31985 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31993 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32001 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32009 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32017 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32025 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 32033 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 32041 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 32049 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 32057 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32065 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 32073 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 32081 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 32089 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 32097 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 32105 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32113 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32121 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2220 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32130 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32139 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32147 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32154 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32162 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32169 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32177 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32185 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32193 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32201 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32209 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32217 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32225 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 32233 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 32241 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 32249 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 32257 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32265 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32273 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32281 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 32289 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32297 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 32305 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 32313 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 32322 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32330 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 32338 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32346 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 32354 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 32362 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 32370 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32378 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32386 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32394 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32402 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32410 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32418 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2406 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32432 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32440 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32448 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32456 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32464 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32472 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32480 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32488 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32496 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32504 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32512 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32520 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32528 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32536 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32544 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32552 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32560 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32568 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32575 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32583 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32591 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32599 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32607 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32615 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32623 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32631 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32639 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32647 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32655 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32663 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32671 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32679 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32687 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32695 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32703 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32711 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2599 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32720 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32728 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32736 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32744 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32752 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32760 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32768 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32776 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32784 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32792 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32800 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 32808 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32816 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32824 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32832 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32840 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32848 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32856 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32864 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32872 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32880 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32888 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32896 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32904 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32912 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32920 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32928 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32936 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32944 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32952 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32960 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 32968 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32976 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 32984 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 32992 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 33000 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 33008 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 33016 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 33024 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33032 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33040 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33048 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33056 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 33064 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33072 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 33080 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33088 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33096 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 33104 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 33112 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 33120 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 33128 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 33136 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 33144 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 33152 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 33160 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 33168 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 33176 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 33184 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 33192 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 33200 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 33208 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 33216 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 33224 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 33232 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 33240 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 33248 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 33256 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 33264 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 33272 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33280 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 33288 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33296 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 33304 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 33312 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 33320 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 33328 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 33336 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 33344 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33352 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 33360 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 33368 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33376 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33384 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33391 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33399 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33406 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33414 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33421 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33429 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33437 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33445 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33453 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33461 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33469 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33476 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33484 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33492 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33500 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33508 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33516 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33524 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33532 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33540 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33548 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33556 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33564 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33572 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33580 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3116 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33589 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33597 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3129 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33609 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33617 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33625 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33633 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33641 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33648 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33656 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33664 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33672 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33680 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33688 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33703 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33711 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33719 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33727 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33735 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33743 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33751 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33759 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33767 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33775 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33783 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 33791 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 33799 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 33807 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 33815 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33823 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33830 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 33838 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33845 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 33853 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33860 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 33868 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33875 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33883 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33891 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33899 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33907 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33915 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 33923 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33931 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33938 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33946 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33954 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33962 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33970 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33978 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33986 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33994 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 34002 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 34010 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 34018 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 34026 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 34034 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 34042 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34050 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34057 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34065 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34072 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34080 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34087 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34095 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34103 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34111 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34119 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34127 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34143 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34151 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34159 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34167 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 34175 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34183 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34190 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34198 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34206 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34214 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34222 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 34230 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34238 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34246 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34254 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34262 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 34270 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34278 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 34286 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 34294 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 34302 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 34310 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34318 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 34326 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 34334 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34341 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 34349 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 34357 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 34365 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34373 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34381 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34389 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34397 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34405 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34413 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34421 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34429 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34437 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34445 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34453 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34461 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34469 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34476 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34484 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34491 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34499 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34507 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34515 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34523 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34532 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34540 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34547 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34555 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34563 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34571 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34579 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34587 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34594 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34602 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34610 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34618 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34626 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34633 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34641 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34649 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34657 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34665 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34673 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34681 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34689 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34697 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34704 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34712 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34720 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34728 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34735 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34743 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34751 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34759 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34766 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34774 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34781 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 34789 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34796 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34804 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34812 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 34820 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 34828 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34835 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34843 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34851 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34859 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34867 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34874 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34882 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34890 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34898 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34906 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34914 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34922 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34929 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34937 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34945 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 34953 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 34961 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 34969 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34977 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 34985 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 34993 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 35001 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 35009 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 35017 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35025 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35033 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35041 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 35049 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35056 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35064 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 35072 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 35080 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35088 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35096 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35104 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35112 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35120 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 35128 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35135 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35143 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35151 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 35159 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35166 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35174 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35182 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35190 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35197 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35205 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35213 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 35221 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35228 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35236 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 35244 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35251 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 35259 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 35267 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35275 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35283 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35291 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35298 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35306 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35314 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35322 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 35330 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35338 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35345 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35353 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35361 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35369 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 35377 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35385 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35393 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35401 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35409 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35417 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35425 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35433 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35441 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35457 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35473 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35481 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35489 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35497 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35505 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35513 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35521 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35529 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35537 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35545 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35553 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35561 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35569 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35577 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35585 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35593 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35601 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35609 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35617 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35624 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35632 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35640 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35648 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35656 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35664 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35671 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35679 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35687 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35695 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35703 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35711 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35719 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35727 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35735 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35743 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35751 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35759 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35767 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35775 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35783 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35790 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35798 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 35806 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35814 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35821 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35829 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35837 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35845 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35853 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35861 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35869 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35877 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35885 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35893 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35901 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 35909 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 35917 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35925 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35932 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35940 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35948 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 35956 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35964 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35972 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35980 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35988 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35996 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36004 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36012 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36020 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36027 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36035 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36042 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36050 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36057 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36065 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36072 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 36080 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36087 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36095 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36103 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36111 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36119 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36127 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36135 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36143 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 36151 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 36159 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 36167 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36175 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 36183 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36191 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36199 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36207 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 36215 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 36223 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36231 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36238 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 36246 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36253 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 36261 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 36269 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36277 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36284 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36300 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36307 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36315 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36323 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36331 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36339 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36347 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36354 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36361 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36369 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36377 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36385 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36393 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36401 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36409 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36417 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36425 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36433 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36441 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36449 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36457 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36465 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36473 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36481 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36489 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36497 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36505 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36513 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36521 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36529 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36538 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36547 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36555 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36563 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36571 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36579 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36587 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36595 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36603 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36611 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36619 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36627 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36635 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36643 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36651 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36659 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36667 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36675 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36683 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36691 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36699 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36707 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36715 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36723 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36731 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36739 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36747 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36755 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36763 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36771 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36779 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36786 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36794 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36802 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36810 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 36818 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 36826 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 36834 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36841 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36849 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36857 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36865 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36873 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36881 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36889 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36897 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 36905 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36913 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36920 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 36928 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36935 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 36943 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 36951 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36958 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5438 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 36967 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36974 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 36982 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 36990 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 36998 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37006 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37014 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37022 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37030 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37038 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37046 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37054 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37062 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37070 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37078 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37086 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37094 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37102 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37110 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37118 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37126 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37134 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37142 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37150 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37158 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37166 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37174 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37182 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37190 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37198 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37206 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37214 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37222 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37230 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37238 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37246 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37254 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37262 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37270 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37278 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37286 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37294 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 37302 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 37310 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37318 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37326 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 37334 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 37342 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37349 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37357 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37365 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37373 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37381 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37389 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37397 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37405 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37413 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37421 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37429 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37437 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37445 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37453 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37461 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37469 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37477 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37485 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37493 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37501 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37509 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37517 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37525 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37533 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37541 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37549 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37557 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37565 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37573 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37581 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37589 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37597 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37605 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37613 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37621 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37629 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37637 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37645 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37653 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37661 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37669 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37677 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37685 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37693 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37701 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37709 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37717 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37725 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37733 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37741 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37748 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37756 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37764 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37772 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37780 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37788 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37796 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37804 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37812 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37820 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37828 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37836 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37844 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37852 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 37860 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 37868 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 5985 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 37876 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 5989 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 37886 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 5995 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 37896 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6001 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 37906 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6007 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 37916 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6013 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 37926 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6019 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 37936 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6025 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 37946 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6031 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 37956 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6041 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 37971 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6052 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37986 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38001 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6074 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38016 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6085 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38031 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38046 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38066 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6123 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38086 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6139 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38106 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6155 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38121 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6166 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38141 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6182 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38156 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6193 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38176 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6209 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38191 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 38199 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38207 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38215 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38222 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38230 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38238 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38246 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38254 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38262 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 38270 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38278 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38286 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38294 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38302 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 38310 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 38318 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 38326 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38334 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38342 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38350 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38358 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38366 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 38374 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38382 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38390 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38398 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38406 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38414 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38422 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38430 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38438 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38446 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38454 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38462 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38470 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38478 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38486 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38494 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38502 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38509 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38517 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38525 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38533 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38541 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38549 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38557 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38565 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38572 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38580 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38587 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38595 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38603 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38610 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38618 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38626 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38634 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38642 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38650 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38658 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38666 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38674 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 38852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 38860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 38875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 38883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 38922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 39041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 39049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 39057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 39065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 39073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 39129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6870 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 39146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 39154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 39218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 39226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 39234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 39242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 39250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 39258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 39266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 39274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 39282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 39290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 39298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 39306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 39314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 39322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 39362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 39798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 39830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 40253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 40755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 40794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 40833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 40849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 40857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 40865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 40873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 40881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 40889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 40897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 40905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 40921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 40929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 40937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 40945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 40953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 40968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 40976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 40984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 40992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 41000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8052 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8057 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 41081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 41089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 41097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 41112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 41175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 41191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 41199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 41207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 41215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 41231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 41254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 41286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 41294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 41302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 41310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 41696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 41712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8596 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 41865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8602 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 41875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 41928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 41999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 42039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 42062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 42077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 42123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 42138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 42146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 42154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 42162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 42170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 42178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 42225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8933 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 42373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8990 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9025 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9195 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 42699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 42705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 42876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 42963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9375 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 42972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 42980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 42988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 42996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 43044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 43052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 43076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 43108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 43211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 43234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 43281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 43289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 43297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 43305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 43313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 43328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9691 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9698 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 43792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9978 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 43831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10021 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10023 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 43913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 43921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10045 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 43935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10055 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 43949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10065 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 43959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 44086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 44126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 44134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 44142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 44150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 44158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 44229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 44285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 44293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 44309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 44317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 44325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 44348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 44371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 44387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 44729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 44753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 44769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 44785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 44801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 44817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 44833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 44849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 44857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 44865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 44873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 44881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 44889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 44897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 44905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 44913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 44921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 44929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 44937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 44945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 45001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 45009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10693 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 45034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 45066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 45074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 45082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 45090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 45098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 45106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 45114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 45122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 45130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 45138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 45146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 45162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 45170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 45178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 45322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 45802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 45810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 45818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 45826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 45881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 45889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 45897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 45905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 45920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 45936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 45982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 46067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11310 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 46083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 46091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 46114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 46122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 46130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 46138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 46146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 46154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 46250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 46258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 46274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 46282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 46290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 46298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 46306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 46314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 46330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 46338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 46783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 46791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 46845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 47010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 47162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 47226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12113 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 47298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 47306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 47362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 47370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 47378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 47386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 47394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 47698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 47706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 47714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 47722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 47730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 47738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 47746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 47754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 47762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 47770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 47778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 47786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 47794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 47802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 47810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 47818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 47826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 47834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 47842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 47850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 47858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 47866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 47874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 47882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 47890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 47898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 47906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 47914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 47922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 47930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 47938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 47946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 47954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 47962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 47970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 47978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 47986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 47994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 48002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 48010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 48018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 48026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 48034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 48042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 48050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 48058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 48066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 48074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 48082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 48090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 48098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 48114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 48122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 48130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 48138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 48146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 48154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 48162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 48170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 48178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 48186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 48194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 48202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 48210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 48218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 48226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 48234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 48242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 48250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 48258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 48274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 48282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 48290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 48298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 48306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 48314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 48322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 48330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 48338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 48346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 48354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 48362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 48370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 48378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 48386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 48394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 48674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 48682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 48690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 48698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 48706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 48714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 48722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 48730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 48738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 48746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 48754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 48762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 48770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 48778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 48786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 48794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 48802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 48810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 48818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 48826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 48834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 48842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 48850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 48858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 48866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 48874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 48882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 48890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 48898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 48906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 48914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 48922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 48930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 48938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 48946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 48954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 48962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 48970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 48978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 48986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 48994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 49002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 49010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 49018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 49026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 49034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 49042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 49050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 49058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 49066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 49074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 49082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 49090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 49098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 49114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 49122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 49130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 49138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 49146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 49154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 49162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 49170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 49178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 49186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 49194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 49202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 49210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 49218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 49226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 49234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 49242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 49250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 49258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 49266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 49274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 49282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 49290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 49298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 49306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 49314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 49330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 49338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 49346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 49354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 49362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 49370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 49378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 49386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 49394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 49674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 49682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 49690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 49698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 49706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 49722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 49730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 49738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 49746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 49754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 49762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 49770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 49778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 49786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 49794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 49802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 49810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 49818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 49826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 49834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 49842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 49850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 49866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 49874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 49882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 49890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 49898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 49914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 49922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 49930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 49938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 49946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 49954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 49962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 49970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 49978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 49986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 49994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 50002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 50010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 50018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 50026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 50034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 50042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 50050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 50058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 50066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 50074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 50082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 50090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 50098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 50106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 50162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 50178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 50186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 50194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 50202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 50210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 50218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 50234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 50242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 50250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 50258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 50266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 50274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 50282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 50290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 50298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 50306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 50314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 50322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 50330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 50338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 50362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 50378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 50386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 50394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13812 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 50576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13815 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13821 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13823 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 50604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13825 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 50619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13837 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 50625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13838 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 50636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13847 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 50674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13873 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 50690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13885 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 50710 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13901 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 50718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13905 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 50731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13915 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13916 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 13920 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 50757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 13932 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 13940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 13941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13944 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 13945 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 50792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 50798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 13949 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 50804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13953 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13954 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 50822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13957 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 50834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 50840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13966 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 13968 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 13972 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 13979 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 13986 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 50898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14002 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 50934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14036 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 50948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14049 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 50962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14053 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 50976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14075 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 51018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14096 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 51087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14157 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 51097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14178 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 51139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 51145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 51151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 51157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14188 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 51163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14190 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 51173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14197 "preproc.y" /* yacc.c:1646  */
    {}
#line 51179 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14199 "preproc.y" /* yacc.c:1646  */
    {}
#line 51185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14205 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14206 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14207 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14208 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14211 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51227 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14212 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14216 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 51243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14222 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 51255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14232 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14242 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14246 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14256 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14260 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 51307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14270 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14271 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14272 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 51343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14276 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 51349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 51355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 51361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 51367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 51373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14286 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14294 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14311 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14319 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14342 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14448 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14493 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14500 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14545 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 51688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14551 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14560 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 51709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14566 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 51718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14573 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 51727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14578 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 51735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14583 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14584 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14587 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14588 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14589 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14590 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14591 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14592 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14594 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14602 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14609 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 51813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14612 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14613 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14614 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 51831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14615 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14616 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14618 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14626 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14633 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 51873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 51879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14635 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 51885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14645 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 51902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14654 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 51991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14743 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 52006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 52018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 52024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14758 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14770 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 52057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14775 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 52075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14777 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14790 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 52105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14798 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 52115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14810 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14814 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14819 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14826 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14831 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14838 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14847 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 52195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14872 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14879 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14891 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14897 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14904 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14911 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 52325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14912 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14925 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14936 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14947 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 52355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14955 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 52367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14968 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14974 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14982 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14987 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14995 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 15002 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 15006 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15014 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15020 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15029 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15034 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15044 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15054 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15065 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15067 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15068 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15069 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15070 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15071 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15073 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15074 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15075 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15076 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15077 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15079 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15087 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 52595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 52601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15099 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15100 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15107 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15113 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15123 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15124 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15131 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15137 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15201 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15207 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15213 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15221 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 52766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15227 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 52776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15233 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 52786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15239 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15245 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15251 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 52816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15257 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 52826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15263 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15269 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15283 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 52864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 52870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 52876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 52882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 52888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 52894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15289 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 52900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 52906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 52912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 52918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 52924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 52930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 52936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15296 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 52942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15297 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 52948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15298 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 52954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 52960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 52966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 52972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 52978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 52984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 52990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15305 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 52996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 53002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 53008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15310 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 53014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 53020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 53026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 53032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15317 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 53050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15323 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15326 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15329 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15330 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15331 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15332 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15333 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15335 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15336 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15349 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15350 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15351 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15352 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15363 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15364 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15365 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15371 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15372 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 53230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 53236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 53248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 53254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15385 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15386 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 53392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15426 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15437 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15448 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15450 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15455 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15465 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15476 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15482 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15483 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15488 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15528 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15538 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15548 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15565 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15569 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 53662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15584 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15586 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15589 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15590 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15593 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15594 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 53704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15597 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53710 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15598 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 53716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 53722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 53728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 53734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15606 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15608 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 53764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15609 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 53770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15610 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 53776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15611 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 53782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 53788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 53800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15615 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 53806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15616 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15617 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15618 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15619 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 53830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 53836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 15621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 53842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 15622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 53848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 15623 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 15624 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 53860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 15625 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 53866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 15626 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 53872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 15627 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 53878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 15628 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 53884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 15629 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 53890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 15630 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 53896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 15631 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 53902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 15632 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 15633 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 53914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 15634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 15635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 53926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 15636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 15637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 15638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 15639 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 53950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 15640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 15641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 15642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 15643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 15644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 15645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 15646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 15647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 15648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 54004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 15649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 54010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 15650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 54016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 15651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 54022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 15652 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 54028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 15653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 54034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 15654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 54040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 15655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 54046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 15656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 54052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 15657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 54058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 15658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 54064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 15659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 54070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 15663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 15664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 15665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 15669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 15670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 54112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 15671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 54118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 15672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 54124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 15673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 54130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 15674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 54136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 15675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 15676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 15677 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 54158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 15684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 15685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 15686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 15687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 15690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 15691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 15694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 15695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 15698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 15700 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 54225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 15710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 15711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54237 "preproc.c" /* yacc.c:1646  */
    break;


#line 54241 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15714 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
